Żieda proprjetajiet issettjati minn qabel ma 'komponent, kollegament jew tip

Navigation: populating arkitettura tiegħek> Properties>

Żieda proprjetajiet issettjati minn qabel ma 'komponent, kollegament jew tip

Jibagħtu l-kummenti fuq dan is-suġġett.

Libreriji standard ta 'proprjetajiet jistgħu jiġu speċifikati u assenjati lil kull ħaġa oħra fl-arkitettura. Dawn libreriji huma magħrufa bħala Standards. Bl-użu Standards, Inti għandek bżonn biss li jiġbru proprjetajiet sistemi speċifiċi - il-proprjetajiet standard huma diġà hemmhekk.

Per eżempju l-karatteristiċi tal-prestazzjoni standard ta 'Microsoft Windows 2000 jistgħu jiġu ffrankati bħalaStandardu assenjati għal kwalunkwe komponenti (jew konnessjonijiet, mhux li dan ikun tipiku) jużaw is-sistema operattiva Microsoft Windows 2000.

Biex iżżidstandardma 'komponent, kollegament jew tip

1. Right-clickfuq il-komponent / konnessjoni / tip.

2. Agħżel Jassenja Standard.

3. AgħżelaStandardmil-lista.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip | Proprjetajiet aggregati

© 2001-2015 Avolution Pty Ltd drittijiet kollha riżervati.


Proprjetajiet aggregati

Navigation: populating arkitettura tiegħek> Properties>

Proprjetajiet aggregati

Jibagħtu l-kummenti fuq dan is-suġġett.

L-operazzjoni "aggregat Properties"Jippermettilek li żżid valuri ta 'proprjetajiet simili flimkien u jiktbu (jew iżidu) ir-riżultat fil-proprjetajiet l-element ġenitur magħżula l. Hija tippermetti wkoll li inti tiddefinixxi l-ambitu ta' aggregazzjoni u jekk taġġornahx-proprjetajiet ta 'kull sub-elementi jew le.

Proprjetajiet aggregati

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Right-click fuq element (arkitettura, komponent jew konnessjoni) biex jagħmel l-aggregazzjoni u tagħżel Properties aggregati.

3. Agħżel waħda mill-għażliet aggregat (Travers Sub-livelli kollhajew Direct biss Sub-Livell). Jekk inti għażilt Travers Sub-livelli kollha, Inti tista 'wkoll tagħżel l-għażla jekk Aġġornament Sub-Livelli.

o Travers Sub-livelli kollhaifisser li l-ambitu ta 'aggregazzjoni se tinkludi l-elementi fil-livelli kollha taħt element magħżul tiegħek.

o Aġġornament Sub-Livellijista 'jsir biss jekk inti wkoll għażlu l-alternattiva Travers Sub-livelli kollha. Dan ifisser li filwaqt li inti aggregat proprjetajiet mill-isfel, ir-riżultat aggregat fuq kull livell se jiġi aġġornat ukoll f'kull wieħed mill-elementi korrispondenti.

o Direct biss Sub-Livellifisser li biss il-proprjetajiet tal-elementi direttament taħt l-element magħżul se jiġu aggregati.

o Agħżel Inkludi StandardPropertiesjekk trid li l-proprjetajiet definiti fil- standards li għandhom jiġu inklużi. Inkella, biss il-proprjetajiet uniċi għal kull każ komponent se jintużaw.

4. Jagħżel liema proprjetajiet tixtieq li tinġabar flimkien. Dawn huma miġbura fil tagħhom Tipi.

5. Ikklikkja l- Li jmissbuttuna.

6. Agħżel l-għażla jekk Valuri jissostitwixxujew Żid Valurifil-element magħżula.

o Valuri jissostitwixxuse jikteb ir-riżultati direttament fil-proprjetajiet tal-element magħżula.

o Żid Valurise jżid ir-riżultati għall-karatteristiċi eżistenti tal-element magħżula.

Ara wkoll

Żieda proprjetajiet issettjati minn qabel ma 'komponent, kollegament jew tip | Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip | Evalwazzjoni arkitettura tiegħek


Arkitettura Diff u sync

Navigation: Analiżi arkitettura tiegħek>

Arkitettura Diff u sync

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta għandek 2 jew aktar arkitetturi, jew bħala evoluzzjonijiet jew arkitetturi linja bażi, inti tista viżwalment "diff taż-żewġ arkitetturi użu katalgu jew dijagramma Paragun jew l- Arkitettura Diff karatteristika. Dan huwa speċjalment utli għall-iskoperta / il-bidliet preċiżi magħmula minn arkitettura għall-ieħor kif inti jevolvu arkitetturi u jiżviluppaw pjanijiet fit Abacus-iskoperta mill-ġdid.

Biex juru l-"diff" l-arkitettura ieħor permezz ta 'dijagramma

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandhom mill-inqas 2 arkitetturi fil-proġett.

3. Iftaħ il-dijagramma inti tixtieq li tqabbel l-arkitettura ieħor.

4. Ikklikkja l- "Qabbel dan Dijagramma għall-kontenut tal-arkitettura ieħor" buttuna fuq il-toolbar Dijagramma.

5. Agħżel l-arkitettura oħra mil-lista drop-down biex iqabblu.

6. Tista 'filtru dak differenzi huma murija billi tikklikkja buttuna' Differenzi 'fuq il-toolbar Dijagramma u deselecting għażliet, eż Mibdul / Miżjud / Mhux magħruf u Indeterminat / Sync Rakkomandata/ Żomm Rakkomandata.

Nota

Komponenti u konnessjonijiet fuq l-dijagramma se jkunu enfasizzati fil aħmar, aħdar jew vjola fejn ikun hemm differenzi bejn l-kontenut li jkun jidher min-dijagramma attwali u l-kontenut fl-arkitettura oħra. Red huwa użat fejn huwa rrakkomandat li sinkronizzazzjoni tas-differenzi (ara hawn taħt), Aħdar huwa użat meta ma jkunx rakkomandat li sinkronizzazzjoni d-differenzi, li huwa jżommhom (ara hawn taħt) u Purple huwa użat fejn Abacus ma tistax tagħmel rakkomandazzjoni dwar syncing id-differenzi (ara hawn taħt). Biss il-kontenut viżibbli fuq il-dijagramma huwa mqabbel hekk jekk annotazzjoni qed turi valur tal-proprjetà repożitorju u l-valur jiġi biddel il-komponent partikolari jew konnessjoni se jintwerew fil aħmar ħażin, aħdar ħażinjew debboli vjola u "*" simbolu muri fil-quċċata-xellug għall-komponenti, madankollu, jekk xi valur ta 'proprjetà repożitorju sottostanti nbidlu li ma jkunx qed jintwerew annotazzjoni allura l-ebda indikazzjoni tingħata. Kontenut li sseħħ fuq il-dijagramma attwali iżda l-ebda tinstab taqbila fid-arkitettura paragun se jintwerew fil aħmar qawwi, aħdar qawwijajew qawwija vjolau simbolu "+" muri fil-quċċata-xellug għall-komponenti. Tqabbil isir billi tip ta 'komponent u isem li jekk it-tip jew l-isem tal-komponent jew il-konnessjoni inbidlet fl-arkitettura oħra ebda taqbila se jkun jinstab. Peress li m'hemm l-ebda mod ta 'ddefiniti b'mod affidabbli jekk il-kontenut addizzjonali mill-arkitettura oħra kien ikun muri fuq il-dijagramma attwali (eż interface addizzjonali bejn 2 komponenti kif muri hawn taħt fis b'dijagramma mill-arkitettura paragun fuq il-lemin), dawn id-differenzi mhumiex muri għall dijagrammi (dawn huma murija għal katalgi bħala kull taħt). Baqgħet iddur fuq kull oġġett mibdul se juru d-differenza fil-tooltip. Baqgħet iddur fuq il- "*" simbolu fil-top-xellug tal-dijagramma jipprovdi sommarju tal-bidliet (jew l-ebda tibdil) bejn il-kontenut tal-dijagramma u l-kontenut tal-arkitettura oħra.

Kulur Legend

· Aħdar jindika oġġetti li mhuwiex rakkomandat li sinkronizzazzjoni d-differenzi, li huwa li jżommhom.

· Red jindika oġġetti li, huwa rakkomandat li sinkronizzazzjoni tas-differenzi.

· Purple jindika oġġetti fejn Abacus ma jista 'jagħmel rakkomandazzjoni dwar syncing id-differenzi.

Biex synchronize ("sync") kontenut minn arkitettura wieħed ma 'ieħor permezz ta' dijagramma

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandhom mill-inqas 2 arkitetturi fil-proġett.

3. Iftaħ il-dijagramma inti tixtieq li tqabbel l-arkitettura ieħor.

4. Ikklikkja l- "Qabbel dan Katalgu għall-kontenut tal-arkitettura ieħor" buttuna fuq il-toolbar Dijagramma.

5. Agħżel l-arkitettura oħra mil-lista drop-down biex iqabblu.

Nota

Ara hawn fuq għall-mod kif Abacus turi l-"diff" bejn il-arkitetturi 2 fil-katalogu. B'mod partikolari kif Red huwa użat meta dan huwarakkomandat li sinkronizzazzjoni tas-differenzi, Aħdar huwa użat fejn tkun mhuxrakkomandat li sinkronizzazzjoni tas-differenzi u Purple huwa użat fejn Abacus ma tistax tagħmel rakkomandazzjoni dwar syncing id-differenzi.

6. Right-click l-element dijagramma (jew elementi li jużaw Shift jew l-kanvas dijagramma li sync Kollha) juru "diff" u agħżel l-oġġett menu sync.

Nota

Kwalunkwe tibdil sinkronizzazzjoni se tiġi applikata biss għall-arkitettura li l-katalogu bħalissa in focus jappartjeni. Biex tapplika bidliet għall-arkitettura oħra trid tuża katalogu fl-arkitettura oħra. Barra minn hekk, l-utenti se jkunu jistgħu japplikaw bidliet sinkronizzazzjoni jekk biss dawn ikollu permess sabiex jagħmlu dan .

Nota

Jiddependi fuq fejn inti dritt ikklikkja l-oġġett menu se display gwida dwar dak li preċiżament se jkun sinkronizzat.Eż Right-tikklikkja komponent singolu fid-dijagramma se jissinkronizzaw biss dak il-komponent. Billi tikklikkja l-kanvas dijagramma u l-għażla sync kollha se jissinkronizzaw l-differenzi kollha murijin bħalissa.

Biex juru l-"diff" l-arkitettura ieħor permezz ta 'katalgu

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandhom mill-inqas 2 arkitetturi fil-proġett.

3. Iftaħ il-katalogu inti tixtieq li tqabbel l-arkitettura ieħor.

4. Ikklikkja l- "Qabbel dan Katalgu għall-kontenut tal-arkitettura ieħor" buttuna fuq il-toolbar Katalogu.

5. Agħżel l-arkitettura oħra mil-lista drop-down biex iqabblu.

6. Tista 'filtru dak differenzi huma murija billi tikklikkja buttuna' Differenzi 'fuq il-toolbar Dijagramma u l-għażliet unselecting, eż Mibdul / Miżjud / Mhux magħruf u Indeterminat / Sync Rakkomandata/ Żomm Rakkomandata.

Nota

Ċelloli fil-katalgu għandu jkun enfasizzat fil aħmar, aħdar jew vjola fejn hemm differenzi bejn l-kontenut fil-katalogu attwali u l-kontenut tqabbil fl-arkitettura oħra. Red huwa użat fejn huwa rrakkomandat li sinkronizzazzjoni tas-differenzi (ara hawn taħt), Aħdar huwa użat meta ma jkunx rakkomandat li sinkronizzazzjoni d-differenzi, li huwa jżommhom (ara hawn taħt) u Purple huwa użat fejn Abacus ma tistax tagħmel rakkomandazzjoni dwar syncing id-differenzi (ara hawn taħt). L-ringieli kolonni fl viżibbli-katalgu huma mqabbla hekk jekk ikun hemm differenza fil-filliera lil hinn mill-ringieli murija bħalissa jew valur fil-kolonna li ma jkunx qed jintwera għandha differenza allura l-ebda differenza se jiġu indikati. Fejn il-valur fil-ċellula individwali hija differenti mal-ċellula tqabbil fl-arkitettura paragun se tkun enfasizzata l-fruntiera taċ-ċelluli. Il header kolonna u ringiela selettur se jkunu oskura wkoll debboli vjolau murija b'simbolu "*". Dawn "*" simboli jistgħu għafast biex tiżdied għad-differenza li jmiss fil-kolonna jew ringiela rispettivament. Ringieli li jseħħ fil-katalgu attwali iżda l-ebda taqbila jinstab fl-arkitettura paragun se jintwerew b '' + "simbolu fil-selettur ringiela fuq ix-xellug u l-fruntiera tal-ringiela kollha se jiġu enfasizzati. Ringieli li xorta kienu jiġru fil-verżjoni l-arkitettura paragun tal-katalogu (jiġifieri bl-istess filtri, eċċ) iżda l-ebda taqbila jinstab fl-arkitettura attwali se jintwerew b '' - "simbolu fil-selettur ringiela fuq ix-xellug, il-fruntiera ta ' ir-ringiela kollha se jiġu enfasizzati u l-kontenut ċelloli ringieli kollu se jintwerew fil debboli vjolau permezz laqat, eż 08:00-06:00. Tqabbil isir billi tip ta 'komponent u isem li jekk it-tip jew l-isem tal-komponent jew il-konnessjoni inbidlet fl-arkitettura oħra ebda taqbila se jkun jinstab. Baqgħet iddur fuq kull oġġett mibdul se juru d-differenza fil-tooltip. Baqgħet iddur fuq il- "*" simbolu fil-top-xellug tal-dijagramma jipprovdi sommarju tal-bidliet (jew l-ebda tibdil) bejn il-kontenut tal-dijagramma u l-kontenut tal-arkitettura oħra.

Kulur Legend

· Aħdar jindika oġġetti li mhuwiex rakkomandat li sinkronizzazzjoni d-differenzi, li huwa li jżommhom.

· Red jindika oġġetti li, huwa rakkomandat li sinkronizzazzjoni tas-differenzi.

· Purple jindika oġġetti fejn Abacus ma jista 'jagħmel rakkomandazzjoni dwar syncing id-differenzi.

Biex synchronize ("sync") kontenut minn arkitettura wieħed ma 'ieħor permezz ta' katalgu

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandhom mill-inqas 2 arkitetturi fil-proġett.

3. Iftaħ il-katalogu inti tixtieq li tqabbel l-arkitettura ieħor.

4. Ikklikkja l- "Qabbel dan Katalgu għall-kontenut tal-arkitettura ieħor" buttuna fuq il-toolbar Katalogu.

5. Agħżel l-arkitettura oħra mil-lista drop-down biex iqabblu.

Nota

Ara hawn fuq għall-mod kif Abacus turi l-"diff" bejn il-arkitetturi 2 fil-katalogu. B'mod partikolari kif Red huwa użat meta dan huwarakkomandat li sinkronizzazzjoni tas-differenzi, Aħdar huwa użat fejn tkun mhuxrakkomandat li sinkronizzazzjoni tas-differenzi u Purple huwa użat fejn Abacus ma tistax tagħmel rakkomandazzjoni dwar syncing id-differenzi.

6. Right-click-ċellula, kolonna jew ringiela intestatura (jew punti multipli jużaw Shift jew Ctrl + A għal kollox) juru "diff" u agħżel l-oġġett menu sync.

Nota

Kwalunkwe tibdil sinkronizzazzjoni se tiġi applikata biss għall-arkitettura li l-katalogu bħalissa in focus jappartjeni. Biex tapplika bidliet għall-arkitettura oħra trid tuża katalogu fl-arkitettura oħra. Barra minn hekk, l-utenti se jkunu jistgħu japplikaw bidliet sinkronizzazzjoni jekk biss dawn ikollu permess sabiex jagħmlu dan .

Nota

Jiddependi fuq fejn inti dritt ikklikkja (ie ċellola, kolonna jew ringiela intestatura) l-oġġett menu se display gwida dwar dak li preċiżament se jkun sinkronizzat.Eż Right-tikklikkja proprjetà waħda jew phone komponent mehmuża fil-katalgu se jissinkronizzaw dik il-proprjetà jew il-komponent mehmuża biss. Billi tikklikkja ringiela intestatura (jew l-intestaturi li jużaw Shift) se jissinkronizzaw ir-ringiela kollha (jew fillieri). Right-tikklikkja header kolonna se jissinkronizzaw l-differenzi f'dik il-kolonna.

Biex tara 'diff'tat-2 kollu arkitetturi

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandhom mill-inqas 2 arkitetturi fil-proġett.

3. Agħżel Għodod| Arkitettura Diff ....

4. Fil-dialog li jidher tagħżel l-ewwel / Mingħand u t-tieni / Li arkitetturi biex titqabbel.

5. Ikklikkja fuq il- kollox sewbuttuna.

Arkitettura Diff

Kulur Legend

· Aħdarjindika li l-node ġie miżjud fit-tieni / To arkitettura.

· Redjindika li l-node tneħħiet fit-tieni / To arkitettura.

· Bluejindika li l-node għandha attributi differenti (eż proprjetajiet jew l-istandards) fit-tieni / arkitettura.

· Isfarjindika li l-node għandha differenzi fit-tfal tagħha fit-tieni / Biex arkitettura hekk il-node għandu jiġi estiż.

Nota

Inti tista 'dritt ikklikkja u "Show fl Explorer" fuq l-lymph biex tara d-dettalji u aktar informazzjoni tingħata dwar id-differenzi fil-pannell Sommarju Differenzi meta node hija magħżula.

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart ħin ta 'reazzjoni | Viewing matriċi scatterplot ta 'arkitetturi evolvew tiegħek | Jevolvu arkitettura tiegħek


Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip

Navigation: populating arkitettura tiegħek> Properties>

Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip

Jibagħtu l-kummenti fuq dan is-suġġett.

Properties huma tipikament l-ħtiġiet tas-sistema li inti tiddefinixxi, jew ir-riżultati tal-evalwazzjonijiet Abacus ". (Meta Abacus twettaq evalwazzjonijiet tagħha, huwa jikteb proprjetajiet lura għall-fajl.) Fi kliem ieħor, il-proprjetajiet huma l-affarijiet li għandek tkun taf dwar sistema tiegħek, jew l-affarijiet qed tuża Abacus biex issir taf.

Biex jinbidlu l-valur tal-proprjetà ta 'komponent, kollegament jew tip

1. Ikklikkjafuq il-komponent / konnessjoni / tip (proprjetajiet tiegħu se juri fit-tieqa Properties lejn il-lemin).

2. Ikklikkjali tenfasizza l-proprjetà trid tibdel.

3. Tipvalur ġdid.

Importanti

Ukoll, ħafna proprjetajiet huma mfissra permezz Standards . Billi tibdil ta 'karatteristika fiStandard, Inti mhux biss ibiddlu l-oġġett kurrenti, inti wkoll jibdlu l-kaptan Standard (taħt Istandards filil-quċċata tas-siġra). Qabel ma tagħmel dan, jiċċekkjaw liema komponenti oħra, konnessjonijiet jew it-tipi huma jużaw l- Standard, Minħabba li l-bidla ma tistax tkun rilevanti għalihom- Tista 'tuża l-tieqa Referenzi għal dan.

Tip

Tista 'bidla proprjetajiet konnessjoni minn ġewwa s-fergħa Komponenti tas-siġra (u viċi-versa). Allura, per eżempju, jekk inti qed tħares lejn dak konnessjonijiet huma mehmuża ma 'komponent, u inti tirrealizza li għandek jbiddel wieħed, inti tista'.

Biex iżżid proprjetajiet ġodda ma 'komponent jew konnessjoni (permezz tal--tip)

Nota

Properties jistgħu jiġu miżjuda biss għal tipi u l-komponenti jew il-konnessjonijiet tat-tip "jirtu" dawk il-proprjetajiet.

1. Ikklikkjait-tip (proprjetajiet tiegħu se juri fit-tieqa Properties lejn il-lemin).

2. Ikklikkjafuq il-buttuna Żid fil-quċċata tat-tieqa Proprjetà li żżid ringiela fil-quċċata tal-grid proprjetà għall-proprjetà ġodda.

3. Żid Tipgħall-proprjetà ġodda.

4. Żid Isemgħall-proprjetà ġodda.

5. Żid Valur ta 'defaultgħall-proprjetà ġodda.

6. Żid Unitàgħall-proprjetà ġodda.

7. Issettja l- Tip Datagħall-proprjetà ġodda.

Nota

Il-qasam tat-Tip tad-Data jista 'jintuża biex jirrestrinġu l-valuri validi li proprjetà jista' jkollhom. Dan huwa; Test, Integer, Deċimali, Data / Ħin, Boolean jew il-Lista.

o A Testproprjetà hija waħda li għandha numru illimitat ta 'karattri u essenzjalment m'għandha l-ebda restrizzjonijiet fuq il-valur.Jekk il-valur tal-proprjetà huwa hyperlink iffurmat tajjeb (ie URLs bżonn biex tibda ma 'wieħed mill 5kordi; http: //, https: //, FTP: //,fajl:jew \\ u kullspazji għandha tiddaħħal bi "% 20 ') Allura l-link huwa clickable (permezz Ctrl + ikklikkja).

o An Integerpropjetà għandha tkun numru sħiħ pożittiv jew negattivu jista 'jkun fihom perjodu, spazju, apostrophe jew comma għal grupp ċifri jiddependi minn kemm il-Proġett Settings Reġjun minn File | Għażliet Proġett.Is-settings Reġjun u l-.Net Metodu Long.TryParse huwa użati biex jiddeterminaw validu IntegerValuri.

o A Deċimaliproprjetà jista jkun fihom perjodu jew comma għas-simbolu deċimali u jista 'jkun fihom perjodu, spazju, apostrophe jew comma għal grupp ċifri jiddependi minn kemm il-Proġett Settings Reġjun minn File | Għażliet Proġett.Is-settings Reġjun u l-.Net Metodu Decimal.TryParse huwa użati biex jiddeterminaw validu Deċimali Valuri.

o A Data / Ħinproprjetà tippermetti jew parti Data jew parti Time jew it-tnejn. Ir-Reġjunsettingsu l-Net Metodu DateTime.TryParse huma primarjament użati biex jiddeterminaw valuri Data u / jew il-ħin validi. Madankollu, il-parti Data jekk ikun applikabbli teħtieġ mill-inqas il-Jum u Xahar (-Sena tkun assunta li tkun is-sena kurrenti) jew xahar u sena partijiet li jkunu validi. Jiġifieri Ġunju, Q3 2010 jew anki sempliċement 2010 huma invalidi. Filwaqt li se jkun differenti ma settings reġjonali differenti, tipikament il-jum, xahar u sena partijiet jistgħu jiġu separati bi spazju, comma, sing ("-") jew slash quddiem ("/"). Il-parti Jum tipikament huwa integer minn 1 sa 31. Il-parti Xahar hija tipikament integer minn 1 sa 12, validu abbrevjazzjoni 3 ittra għall-xhur (eż Jan, Frar, Mar) jew l-isem xahar sħiħ (eż Jannar, Frar , Marzu). Il-parti Sena huwa tipikament 4 ċifri numru pożittiv iżda 1, 2 u 3 snin ċifri huma aċċettati skond il-settings fil-kontroll Panel-> Reġjonali u Għażliet Lingwa> Għażliet Reġjonali> Customise (buttuna) -> Date-> Kalendarju. Tipikament dawn huma interpretati kif ġej; 0-29 hija interpretata bħala 2000-2029, 30-99 kif 1930-1999 u 100-999 bħala 100-999. Dati Invalid bħal għall-31 Ġunju 2010 u 31/9/2010 se jiġu skoperti. Il-parti Ħin jekk applikabbli teħtieġ Sigħat u minuti parti u b'għażla tal-parti Seconds. Il f'sigħat, minuti u partijiet Seconds mhux obbligatorji huma tipikament separati b'żewġ punti (":") u l-parti Seconds jistgħu jiġu speċifikati bi punt deċimali ("."). Għal aktar informazzjoni dwar il-formati validi jekk jogħġbok irreferi għat-taqsima Rimarki fuq il Net Metodu DateTime.TryParse .

Tip

Huwa rakkomandat li tuża mill-inqas 3 ittra format isem xahar (jiġifieri "Lulju" jew "Lulju") għall-valuri data minflok ifformattjar numerika (jiġifieri "7" jew "07") bħala dawn il-valuri se jiġu vvalidati l tul l-aktar reġjuni li jiddependu minn kemm il-Proġett Settings Reġjun minn File | Għażliet Proġett.Jiġifieri huwa rakkomandat li tuża "Lulju 15, 2010" minflok "15/7/2010" jew "2010/07/15". Ma 'dan l-eżempju, "15/7/2010" tfalli validazzjoni għal "English (-Istati Uniti)" u "2010/07/15" kienet se tfalli għal "English (United Kingdom)", madankollu "15 Lul 2010" se jgħaddi għall tnejn.

o A Booleanproprjetà jista 'jkun jew vera jew falza.Huwa każ insensittiva hekk vera jew falza jistgħu wkoll jintużaw madankollu Iva, Le, 1, 0 eċċ kollha se jonqsu xi limitazzjonijiet proprjetà.

o A Listaproprjetà jippermetti li jinġabru valuri pre-definiti bħal Baxxa | Medju | Għolja jew Żomm | Riffriskar | Disinn mill-ġdid | Jirtiraw u l-firxa ta 'valuri ġej mill-kamp Unità għall-proprjetà jew bħala comma jew pajpijiet "|" Valuri separati. Il-proprjetà jista 'jiġi kkunsidrat bħala ordinal (kif oppost għad nominali, intervall jew proporzjon) għaliex meta jintuża fuq mapep u għall-kulur elementi dijagrammai u 3DS-valuri huma ttrattati sempliċiment fi axxendenti (jew dixxendenti) ordni. Dan huwa l-valuri huma mpinġija fl axxendenti (jew dixxendenti) ordni fuq assi chart jew firxiet kulur.

8. Tip Data jistgħu jiġu stabbiliti biex tkun Disabled, Wissietjew Infurzatabilli tikklikkja l-qasam tat-Tip tad-Data għal kull iffissar għajr Test, li tippermetti xi karattri hekk ma tista 'qatt tkun inkorretta.

9. Issettja l- Meħtieġabandiera għall-proprjetà ġodda.

Nota

Il-qasam Meħtieġa jista 'jintuża biex jindika jekk valur jeħtieġ li jiddaħħlu għall-proprjetà. Li huwa li ma jistax ikun vojt jew vojta. Falzahuwa l-default u l-mezzi l-proprjetà jista 'jkun biss vojti jew vojta, Veruifisser li l-proprjetà għandu jkollu valur u ma tistax tkun vojta jew vojt. Il Meħtieġa jistgħu jiġu stabbiliti biex tkun Disabled, Wissietjew Infurzatabilli tikklikkja l-qasam Meħtieġa jekk ikun ġie stabbilit li True.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Żieda proprjetajiet issettjati minn qabel ma 'komponent, kollegament jew tip | Proprjetajiet aggregati


Nibdlu komponent / Tip konnessjoni tal

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Nibdlu komponent / Tip konnessjoni tal

Jibagħtu l-kummenti fuq dan is-suġġett.

Komponent u l-konnessjoni tipi huma prinċipalment użati għal finijiet ta 'klassifikazzjoni. Tista 'tuża tipi bħala filtri meta wieħed iħares lejn arkitettura tiegħek. Per eżempju, minflok tara l-ħaġa sħiħa, inti tista 'tara komponenti Applikazzjoni biss.

Biex jinbidlu komponent / Tip konnessjoni tal

1. Right-clickfuq il-komponent jew konnessjoni.

2. Agħżel Bidla Tip.

3. Agħżel tip differenti mil-lista.

Tip

Meta tibdel it-tip, inti tista 'tikseb xi ġdida standardsjew proprjetajiet (dak kollu li huwa assoċjat mat-tip - ara l-fergħa Tipi tas-siġra). Eżistenti tiegħek standards u l-proprjetajiet se jibqgħu l-istess. Tista 'toħloq tipi ġodda tiegħek u tassenja kombinazzjonijiet tiegħek ta' standards u l-proprjetajiet għalihom.

Ara wkoll

Ħolqien ta 'Tip ġdid | Populating arkitettura tiegħek - Ħarsa ġenerali | Analiżi arkitettura tiegħek


Nibdlu settings Reġjun tal-proġett

Navigation: populating arkitettura tiegħek> Properties>

Nibdlu settings Reġjun tal-proġett

Jibagħtu l-kummenti fuq dan is-suġġett.

Valuri tal-proprjetà jeħtieġu ċerti ifformattjar f'reġjuni differenti li jlaħħaq kull Restrizzjonijiet Tip data għall Integer, Deċimali u Data / Ħin proprjetajiet. Per eżempju fl-Awstralja l-deċimali "123406 ħamsin punt sebgħa tmienja disa" huwa rappreżentat bħala "123,456.789", filwaqt li fil-Ġermanja ikun represnted bħala "123.456,789" u fi Franza dan ikun " 123 456789 ".Bl-istess mod, fl-Istati Uniti "tieni ta 'Diċembru 1970" huwa rappreżentat bħala data qasir kemm "1970/12/02" iżda fir-Renju Unit huwa rappreżentat bħala "1970/02/12" u fil-Polonja bħala "1970-1912 -02 ". Għaldaqstant, li jaħdmu ma 'proġett Abacus fir-reġjuni l-issettjar globali għal kull proġett Abacus hija meħtieġa.

Biex jinbidlu settings Reġjun ta 'proġetti Abacus ta

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Agħżel File | Għażliet Proġett ... u mill-dialog li jidher tagħżel l- Reġjunu ikklikkja OK. Nota: Jekk jogħġbok irreferi għat-taqsima hawn taħt għall-nuqqasijiet reġjonali.

Nota

Jekk inti ma tara l- Għażliet Proġett ... oġġett menuallura inti ma għandekx il-Disinjatur u Amministratur add-onsu inti ma tistax tbiddel reġjun tal-proġett.Ukoll, jekk l-ebda Reġjun huwa stabbilit (ie ir-Reġjun fl Għażliet Proġett huwa "Xejn (System Reġjun)") imbagħad kull MS Windows settings kultura attwali utent (ie Reġjonali Settings)huma użati biex jivvalidaw il-proprjetajiet.

Reġjun nuqqasijiet

It-tabella li ġejja telenka l- nuqqasijiet għal kull reġjun kif stabbilit permezz tal- File | Għażliet Proġett ...oġġett menu.Jekk jogħġbok ara taħt it-tabella għal lista tas-simboli użati.

Reġjun | Simbolu deċimali | Grupp DIGIT | Sinjal negattiv | Ħin qasir | Żmien twil | AM / PM simbolu | Short Data | Data Long
Ingliż (Awstralja) | . | , | - | HH: mm | HH: mm: ss | AM | PM | jj / xx / ssss | ssss dd Mmmm
English (United Kingdom) | . | , | - | HH: mm | HH: mm: ss | AM | PM | jj / xx / ssss | ssss dd Mmmm
English (Stati Uniti) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | M / d / ssss | DDDD, dd Mmmm, ssss
Franċiż (Franza) | , | ispazju | - | HH: mm | HH: mm: ss | | | jj / xx / ssss | DDDD d ssss Mmmm
Ġermaniż (il-Ġermanja) | , | . | - | HH: mm | HH: mm: ss | | | jj.xx.ssss | DDDD, d. Ssss Mmmm
Taljan (l-Italja) | , | . | - | HH: mm | HH: mm: ss | | | jj / xx / ssss | DDDD d ssss Mmmm
Spanjol (Spanja) | , | . | - | H: mm | H: mm: ss | | | jj / xx / ssss | DDDD, ssss dd "de" Mmmm "de"
Ingliż (il-Kanada) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | jj / xx / ssss | Mmmm-dd-yy
Franċiż (il-Kanada) | , | ispazju | - | HH: mm | HH: mm: ss | | | SSSS-XX-JJ | ssss d Mmmm
Għarbi (U.A.E.) | . | , | - | hh: mm tt | hh: mm: ss tt | ص | م | jj / xx / ssss | dd Mmmm, ssss
Arabic (Arabja Sawdita) | . | , | - | hh: mm tt | hh: mm: ss tt | ص | م | jj / xx / ss | jj / Mmmm / ssss
English (Afrika t'Isfel) | , | ispazju | - | hh: mm tt | hh: mm: ss tt | AM | PM | ssss / MM / dd | ssss dd Mmmm
English (New Zealand) | . | , | - | h: mm tt | h: mm: ss tt | a.m. | p.m. | d / MM / ssss | DDDD, d ssss Mmmm
English (Indja) | . | , | - | HH: mm | HH: mm: ss | AM | PM | JJ-XX-SSSS | ssss dd Mmmm
Ġermaniż (l-Iżvizzera) | . | ' | - | HH: mm | HH: mm: ss | | | jj.xx.ssss | DDDD, d. Ssss Mmmm
Franċiż (il-Belġju) | , | . | - | HH: mm | HH: mm: ss | | | d / MM / ssss | DDDD d ssss Mmmm
Olandiż (il-Belġju) | , | . | - | H: mm | H: mm: ss | | | d / MM / ssss | DDDD d ssss Mmmm
Ċeka (ir-Repubblika Ċeka) | , | ispazju | - | H: mm | H: mm: ss | dop |. ODP. | d.M.yyyy | d. Ssss Mmmm
Daniż (id-Danimarka) | , | . | - | HH: mm | HH: mm: ss | | | JJ-XX-SSSS | d. Ssss Mmmm
Grieg (il-Greċja) | , | . | - | h: mm tt | h: mm: ss tt | πμ | μμ | d / M / ssss | DDDD, d ssss Mmmm
Finlandiż (il-Finlandja) | , | ispazju | - | H: mm | H: mm: ss | | | d.M.yyyy | d. Yyyy MMMM'ta "
Ungeriża (l-Ungerija) | , | ispazju | - | H: mm | H: mm: ss | de |. du. | yyyy.MM.dd. | ssss. Mmmm d.
Olandiż (l-Olanda) | , | . | - | H: mm | H: mm: ss | | | d-M-ssss | DDDD d ssss Mmmm
Norveġiż, Bokmahal (in-Norveġja) | , | ispazju | - | HH: mm | HH: mm: ss | | | jj.xx.ssss | d. Ssss Mmmm
Lustrar (il-Polonja) | , | ispazju | - | HH: mm | HH: mm: ss | | | SSSS-XX-JJ | ssss d Mmmm
Russu (Russja) | , | ispazju | - | H: mm | H: mm: ss | | | jj.xx.ssss | d Mmmm yyyy "г."
Svediż (l-Iżvezja) | , | ispazju | - | HH: mm | HH: mm: ss | | | SSSS-XX-JJ | "den" D Mmmm ssss
Korean (Korea) | . | , | - | h tt: mm | h tt: mm: ss | 오전 | 오후 | SSSS-XX-JJ | yyyy "년" M "월" d "일 'DDDD
Ebrajk (Iżrael) | . | , | - | HH: mm | HH: mm: ss | AM | PM | jj / xx / ssss | DDDD dd ssss Mmmm

Is-simboli li ġejjin jintużaw biex jispeċifikaw kif dati u ħinijiet huma murija:

Simboli Ħin |
h | Hour (hh juri l-siegħa bi jwasslu żero)
m | Minuta (mm juri l-minuti bil ewlieni żero)
s | It-tieni (ss juri t-tieni bi jwasslu żero)
tt | A.m. jew p.m.
h / H | Wiri ħin 12 jew 24 siegħa
Data simboli |
d, dd | Jum
DDD, DDDD | Jum tal-ġimgħa
M | Xahar
y | Sena

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip | Żieda proprjetajiet issettjati minn qabel ma 'komponent, kollegament jew tip


Għażliet Kmand Line

Navigation: Referenza>

Għażliet Kmand Line

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'twettaq operazzjonijiet Abacus varji direttament mill-linja tal-kmand ma' l-operazzjoni l-aktar komuni hija li jiftaħ fajl speċifiku proġett u tippubblikaha li HTML.

Speċifikament, l-użu kmand tal-linja ta 'Abacus huwa kif ġej;

ABACUS.exe ProjectFile [OptionalFile] [/ exitOnCompletion] [/ dontShowDialogs] [/ utent "utent" / tgħaddi "PASS"]

Argument | Deskrizzjoni
ProjectFile | Il ProjectFile jista 'jkun jew fajl Abacus proġett (.abacus), fajl librerija (.abacuslib), fajl XML (XML) jew MS Access DB (MDB) u l-fajl speċifikat jew se jinfetħu (jekk .abacus jew .abacuslib ) jew proġett ġdid maħluq (jekk XML jew file MDB).
OptionalFile | Il OptionalFile jista 'jkun jew iskrittura Abacus (.abacusscript, .vb jew .cs), makro (.abacusmac) jew file librerija (.abacuslib) u l-fajl speċifikat jew se titmexxa wara li jinfetaħ il ProjectFile (jekk .abacusscript, .vb jew .cs jew .abacusmac) jew sempliċiment miftuħa (jekk .abacuslib).
/ exitOnCompletion | Se ħruġ Abacus u jekk meħtieġ issalva u jimpenjaw kull tibdil fil-proġetti .abacus miftuħa fuq it-tlestija ta 'kwalunkwe iskrittura jew makro. Nota: Din il-bandiera hija Kawża Sensittivi sabiex ikun żgur li jużaw "O" uppercase u "C" fit-test kif muri.
/ dontShowDialogs | Se jipprevjeni Abacus Enterprise Edition (EE) dialogs notifika aġġornament milli juri fuq ftuħ proġett. Nota: Din il-bandiera hija Kawża Sensittivi sabiex ikun żgur li jużaw uppercase "S" u "D" fit-test kif muri.
/ utent "utent" / tgħaddi "PASS" | L-utent username u password PASS se jintużaw biex log fil lill-proġett ma ', twarrab xi kredenzjali utent ffrankati. Nota: kwotazzjonijiet Double għandhom ikunu mqiegħda madwar l-utent u jgħaddu bnadar u żewġ kwotazzjonijiet doppja tista 'tintuża biex jaħrab kwotazzjonijiet doppja jew fil-UTENT jew PASS bnadar.

Eż;

ABACUS.exe "Data \ Example.abacus" "skripts \PublishExample.vb"/ exitOnCompletion / dontShowDialogs / utent "Pubbliku" / tgħaddi "123456"

meta jiddekorri mill-direttorju fejn l ABACUS.exe binarja huwa tinsab se miftuħa il-proġett Eżempju u l-log fil bħala Pubblika utent ma password 123456 (kif deskritt hawn ), Tippubblikaha li HTML u mbagħad agħlaq il-proġett kollu mingħajr ma juri dialogs tul it-triq (eż Update Successful "jew" Nru aġġornamenti disponibbli "għal proġetti Intrapriża).

Eż;

ABACUS.exe "Data \ Example.abacus" "skripts \Katalgu Excel Importazzjoni.vb"/ exitOnCompletion / dontShowDialogs

meta jiddekorri mill-direttorju fejn l ABACUS.exe binarja huwa tinsab se miftuħa il-proġett Eżempju u l-importazzjoni l-"Servers (2014 attwali) .xlsx" fajl MS Excel fil-katalgu "Servers" tal- "2014 attwali" arkitettura tal-proġett mingħajr ma juri dialogs tul it-triq u mbagħad jagħlaq il-proġett mat-tlestija. Jekk l-operazzjoni tagħmel xi bidliet biex il-proġett imbagħad meta jingħalqu l-bidliet huma salvati lokalment u jekk proġett Enterprise impenjata għall-Server Intrapriża.

Nota

Kun żgur li tuża l-karattru korretta kwotazzjoni doppja kif hemm diversi fis-sett standard karattru ASCII u l Prompt Windows Kmand se taħdem biss b'mod korrett ma 'dik korretta. Il-kodiċi korrett karattru kwotazzjoni doppja hija Deċimali 34 (hexadeċimali 22).Dan huwa dak li huwa użat fl-eżempju ta 'hawn fuq hekk li tħossok liberu li kopja / paste minn hemm.


Ikkupjar u pasta

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Ikkupjar u pasta

Jibagħtu l-kummenti fuq dan is-suġġett.

Tista 'kopja parti jew kollha ta' l-arkitettura tiegħek u paste f'post differenti fil-siġra.

Li kopja

1. Right-clickfuq l-oġġett inti tixtieq li kopja.

2. Agħżel Kopja.

Paste

1. Innaviga l-siġra biex isibu l-post inti tixtieq li paste tal-oġġett.

2. Right-clickfuq il-fergħa inti tixtieq li jidhru ġewwa.

3. Agħżel Paste.

4. Il-partita se jiġu kkupjati bl-isem oriġinali (għajr jekk inti kopja lill-fergħa oriġinali - imbagħad se jissejjaħ "Kopja ta '...").

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus


Dijagrammi ikkupjar

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Dijagrammi ikkupjar

Jibagħtu l-kummenti fuq dan is-suġġett.

Hemm 2 xenarji bażiċi li jiġi kkupjat minn dijagramma e¿istenti; fi ħdan arkitettura, jew madwar arkitetturi.

Biex kopjadijagrammafi ħdan arkitettura

1. Jiżgura li inti għandek xiFajl Abacus miftuħfihom tiegħek arkitettura popolatib'mill-inqas waħda dijagramma.

2. Expandl Dijagrammifergħa (u kwalunkwe meħtieġa Gruppi Dijagramma) ta mogħti Arkitetturataqsima tas-siġra.

3. Agħżel il-dijagramma tixtieq li kopja u imbagħad ippressa Ctrl + Cjew dritt ikklikkjau tagħżel Kopja mill-menu.

Nota

A Kopja tal- dijagramma se jiġu miżjuda mal- Dijagrammifergħa tal- istess arkitettura. Hija se jkollha "Kopja ta '" mehmuża mal-bidu tal-isem, Li tista 'tbiddel aktar tard mill ippressar F2 jew tikklikkja fuqhau l-għażla Semmi.

Biex kopja dijagramma madwar arkitetturi

1. Jiżgura li inti għandek xiFajl Abacus miftuħfihom tiegħek arkitettura popolatisb'mill-inqas waħda dijagramma.

2. Expandl Dijagrammifergħa (u kwalunkwe meħtieġa Gruppi Dijagramma) ta l Arkitetturataqsima tas-siġragħall-arkitettura li fih l-dijagramma inti tixtieq li kopja.

3. Agħżel il-dijagramma tixtieq li kopja u fuq il- Properties ġeneralinota tieqa l Perspettiva li l-dijagramma hija marbuta sa (fil-qasam tat-Tip).

4. Issa, jespandul Dijagrammifergħa (u kwalunkwe meħtieġa Gruppi Dijagramma) ta l Arkitetturataqsima tas-siġragħall-arkitettura oħra li inti tixtieq li kopja tal-dijagramma fis.

5. Right-clickl Dijagrammi node (jew il- Grupp Dijagramma) U agħżel Oħloq Dijagramma .... Fil-dialog li jidher jagħżlu l- Perspettiva li kien innutat fil-pass 3 hawn fuq fil-drop-down fil-kantuniera. Ħalli kollox kif inhu u kklikkja kollox sew. Fil-dialog Dijagramma Isem jidħol isem għall-(dalwaqt ikunu) dijagramma kkupjati. Nota: A kanvas dijagramma vojt skond il-lat magħżul se jinfetħu.

6. Ritorn għall-dijagramma li inti tixtieq li kopja u tiftaħ li billi tikklikkjal node u l-għażla Open jew sempliċiment double-clickit.

7. Agħżel l-isfond tila tat-dijagramma tixtieq li kopja u agħfas Ctrl + A. Dan se tagħżel l-elementi kollha fuq dak dijagramma. Issa agħfas Ctrl + Cli kopja tal-kontenut lill-clipboard.

8. Issa, ritorn lejn il-dijagramma vojt fl-arkitettura tixtieq li kopja tal-kontenut fil- tagħżel l-isfondkanvas u jew dritt ikklikkjau tagħżel Paste jew sempliċement agħfas Ctrl + Vli paste tal-kontenut. Wara żmien qasir il-kontenut kollu se tiġi nkollata fis-dijagramma vojt ġdid.

Nota

Elementi se jiġu miżjuda mal-top-livell tal-arkitettura l-ġdida u se jeħtieġu li jiġu rranġati mill-ġdid jew magħquda b'kontenut eżistenti kif xieraq.

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Ħolqien ta 'komponent / Tip ġdid konnessjoni jew Tip Group

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Ħolqien ta 'komponent / Tip ġdid konnessjoni jew Tip Group

Jibagħtu l-kummenti fuq dan is-suġġett.

Komponent u l-konnessjoni tipi huma prinċipalment użati għal finijiet ta 'klassifikazzjoni. Tista 'tuża tipi bħala filtri meta wieħed iħares lejn arkitettura tiegħek. Per eżempju, minflok tara l-ħaġa sħiħa, inti tista 'tara komponenti Applikazzjoni biss.

Biex jinħoloq komponent / konnessjoni Tip ġdid

Nota

Biex iżżid tipi jew gruppi tat-tip fi proġett Abacus-liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

1. Jespandu l- Tipifergħa tas-siġra.

2. Right-clickfuq Tipi komponenti(jew Tipi Konnessjoni).

3. Agħżel Żid Komponent Tip(jew Żid Konnessjoni Tip) Jew Oħloq Group.

Tip

Ladarba inti ħadthom ħolqot tip, għandek tibdel icon tagħha (ara hawn taħt) u żid proprjetajiet u standards lilha għall-komponent jew istanzi konnessjoni għal "jirtu".

Biex jinbidlu icon għal komponent / konnessjoni Tip

Nota

Biex jinbidlu l-ikoni għal tipi fi proġett Abacus-liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

1. Right-click fuq il Komponent Tip(jew Konnessjoni Tip) Tixtieq tibdel l-ikona għall.

2. Agħżel Bidla Icon.

3. Fil-Select Icon jibbrawżjaw dialog għal post u jagħżlu immaġni fajl u kklikkja Open.

Nota

Inti tista 'jkollha dehra ikona drawwa ta' kull qies iżda dejjem se jkun skalat li tajbin għal dehra pixel 16x16 fil-Tieqa Explorer. Mela jekk immaġini oriġinali tiegħek ikona konswetudni hija mhux tal-istess għoli u wisa Explorer icon Tieqa tiegħek ser tiġi mġebbda. Għaldaqstant, stampi custom għandu jkun mill-inqas 16x16 pixels u jekk inti tixtieq li żżomm l-forma eżatta ta 'l-ikona custom tagħmel ċert image icon tiegħek custom huwa għoli li jkun ugwali u wisa' pixels (16x16 jew akbar). Inti għandek ukoll tkun attenta dwar li ma jkollhomx kkulurita "pixels" jmorru it-triq kollha sal-fruntiera tal-immaġini ikona dwana kif se tfittex foqra fil-Tieqa Explorer ma 'ikoni adjaċenti "fsada" fis xulxin. Għaldaqstant, għandek tħalli mill-inqas bordura bajda 1 pixel.

Tip

Inti tista 'tagħmel tiegħek image ikona custom l .ico, BMP, gif, jpg jew file format png iżda minħabba limitazzjoni fil-Windows biss .ico format se preview fil-dialog Abacus Agħżel Icon jekk inti għandek l-għażla View Menu stabbiliti biex xi ħaġa oħra għajr Thumbnails.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Analiżi arkitettura tiegħek


Ħolqien jew jiddupplika arkitettura

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Ħolqien jew jiddupplika arkitettura

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti jista 'jkollhom kwalunkwe numru ta arkitetturi fil-fajl Abacus wieħed. Tipikament, youd toħloq arkitettura ġdida kull darba li inti tixtieq li mudell u jevalwaw evoluzzjoni tas-sistema tiegħek.

Biex jinħoloq arkitettura ġdida

1. Right-click fuq il Arkitetturifergħa tas-siġra.

2. Agħżel Arkitettura ġdida.

Biex jinħoloq kopja ta 'arkitettura eżistenti

1. Right-clickdwar l-arkitettura.

2. Agħżel Kopja.

3. Right-click fuq il Arkitetturifergħa tas-siġra.

4. Agħżel Paste.

5. L-arkitettura l-ġdida se tissejjaħ "Kopja ta '...".

Tevolvi arkitettura eżistenti

1. Right-clickdwar l-arkitettura.

2. Agħżel Jevolvu.

3. L-arkitettura l-ġdida se tissejjaħ "... 0.1".

Nota

Hemm deskrizzjoni dettaljata fuq arkitettura qed jevolvu hawn .

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus | Jevolvu arkitettura tiegħek


Rapporti Custom

Navigation: Rappurtar dwar l-arkitettura tiegħek>

Rapporti Custom

Jibagħtu l-kummenti fuq dan is-suġġett.

Rapporti tad-dwana Abacus "jippermetti li inti toħloq ir-rapporti tad-dwana kompletament configurable. Ir-rapporti jistgħu jinkludu xbihat tad-dwana u grafika kif ukoll dettalji xi komponenti, konnessjonijiet jew attributi minn repożitorju Abacus kif ukoll ir-riżultati analitiċi dettaljati minn simulazzjonijiet varji (inklużi TCO, prestazzjoni u affidabbiltà). Barra minn hekk, ir-rapporti jista 'jkun fihom dijagrammi, mapep, katalgi, matrices / tabelli pern, mapep, gauges, sparklines, bars data u indikaturi (eż-dwal tat-traffiku).

Nota

Filwaqt kull utent tista 'tiftaħ rapporti tad-dwana eżistenti, to kkonfigurat rapporti il-liċenzja utent jeħtieġ l Rapport Konfigurazzjoni kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

Biex tara custom rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati(i).

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa se jintwerew.

Rapporti Customtieqa

3. Agħżel il-eżistenti Rapportli inti tixtieq li juri mill- Rapporti disponibblitaqsima.

4. Ikklikkja Rapport Run.Ir-rapport se tiftaħ fl Rapport Microsoft Viewer u to jinnavigaw fil-paġni rapport, ikklikkja fuq l-icons [image] jinsabu fuq il-toolbar fuq il-kantuniera tan-naħa tax-xellug tal-iskrin.

Nota

Tista jiffrankaw ir-rapport formati differenti billi tikklikkja fuq il- Esportazzjoni rapport icon [image] tinsab fil l toolbar. Tista 'jagħżel li jesporta fil-formati li ġejjin: Excel, PDFu Kelma. Jekk jogħġbok tiffranka-rapport fil-post mixtieq għal użu aktar tard. Jekk isiru bidliet għall-arkitettura fi stadju aktar tard, rapport ġdid se jkollhom jiġu maħluqa biex jirriflettu l-bidliet.

Biex jeditjaw il-data repożitorju li hi mibgħuta lill a custom rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati(i).

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

Nota

Filwaqt kull utent tista 'tiftaħ rapporti tad-dwana eżistenti, to kkonfigurat id-data li tiġi mibgħuta lill-rapport custom il-liċenzja utent jeħtieġ l Rapport Konfigurazzjoni kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

3. Agħżel il-eżistenti Rapportli inti tixtieq li juri mill- Rapporti disponibblitaqsima.

4. Ikklikkja Settijiet Edit Data. Il Data Set Editurtieqa se jintwerew.Dan tieqa juri l-ġbir ta 'settijiet ta' data li bħalissa qed jiġu mibgħuta lil rapport custom. Fl-eżempju ta 'hawn taħt hemm tliet (3);

· l ApplicationProxy sett ta 'data li huwa jispeċifika d-dettalji kollha għall-komponenti kollha Applikazzjoni fil- "2015 attwali" arkitettura (inklużi l-proprjetajiet fuq Standards tagħhom u kwalunkwe komponent mehmuża),

· sett ta 'dejta TwoDViewProxy li jispeċifikaw Dijagrammi wieħed jew aktar meta l-isem logħbiet "Applikazzjoni Pajsaġġ (l-Awstralja)",

· sett ta 'dejta TargetProxy li jispeċifikaw id-dettalji kollha għal kulħadd l-konnessjonijiet Mira fil- "2015 attwali" arkitettura (inklużi l-komponenti mehmuża).

Data Set Editurtieqa

Nota

L-Isem Mistoqsija se jintużaw għall-isem dejtasett Rapport Microsoft bennej (ara hawn taħt). Il Inkludi qasam tispeċifika jekk il dataset hija jew Element Uniku, ġabra ta 'Elementi, Tipi komponenti kollha, Tipi Kollha Konnessjoni, arkitetturi wieħed jew aktar, Dijagrammi wieħed jew aktar jew Mapep nawtiċi wieħed jew aktar. Għall- "Ġbir ta 'elementi" data settijiet buttuna Filter huwa ipprovdut li meta għafast tiftaħ il Iffiltra tieqa Element li tippermetti li inti tapplika filtri multipli li jirritornaw elementi biss minn ċerti arkitetturi, u / jew ta' ċerti tipi, u / jew ma 'ċerti Standards , u / jew marbuta ma 'ċerti komponenti, u / jew ma' ċerti Ġenituri, u / jew f'ċerti Dijagrammi, u / jew f'ċerti Charts u / jew b'valuri Proprjetà mogħtija. Għat-tipi l-oħra sett tad-dejta hija pprovduta qasam Isem u tuża l-buttuna Agħżel inti tista 'tagħżel l-oġġett (i) li għandhom jiġu inklużi mas-sett tad-dejta.

Nota

Il-settijiet ta 'data huma maħżunaData Settijiet fajl (.xml)bl-istess isem ta 'fajl bażi bħala lassoċjat Fajl Definizzjoni rapport (.RDL). Jekk dan il-fajl ma teżistix l-editur sett ta 'dejta awtomatikament se timla ma' xi ismijiet mistoqsija li jeżistu fil- Fajl Definizzjoni rapport (.RDL)u ġdida Data Settijiet fajl (.xml)se jinħolqu darba aa lista valida ta 'mistoqsijiet hija definita.

3. Jekk tixtieq tħassar sett ta 'data eżistenti mbagħad tagħżel l- Ħassar Mistoqsijabuttuna.

4. Jekk inti tixtieq li żżid data ġdida stabbiliti mbagħad ikklikkja l- Żid Sett ta 'Dejta Newbuttuna u kkonfigurat sett tad-dejta kif fis-Nota ta 'hawn fuq.

Biex joħolqu custom ġdid rapport(minn template)

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

3. Ikklikkja New u tagħżel jew A4 - Portrait, A4- Pajsaġġ, A3 - Portrait, A3- Pajsaġġ, Istati Uniti Ittra - Portrait, Istati Uniti Ittra - Pajsaġġ, Istati Uniti Tabloid - Portraitjew Istati Uniti Tabloid - Pajsaġġjiddependi fuq ir-rapport orjentazzjoni u karta ta 'daqs li huwa mixtieq.

4. Jibbrawżjaw għall-post biex isalva l-fajl Definizzjoni Rapport (.rdl / .rdlc) u l-fajl Sett ta 'Dejta tqabbil (XML) u kklikkja Save. Dan se jżid rapport ġdid custom għat-taqsima Rapporti Disponibbli tat-tieqa Rapporti Custom u tista jinfetaħ jew editjat kif deskritt hawn fuq.

Biex żid custom eżistenti rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

3. Ikklikkja Żid u jibbrawżjaw għall-post tal-fajl Definizzjoni Rapport (.rdl / .rdlc) u kklikkja Open. Dan se jżid rapport ġdid custom għat-taqsima Rapporti Disponibbli tat-tieqa Rapporti Custom u tista jinfetaħ jew editjat kif deskritt hawn fuq.

Nota

Huwa preżunt li fajl Sett ta 'Dejta tqabbil (XML) teżisti fl-istess post bħall-fajl Rapport Definizzjoni.

Biex kopja drawwa eżistenti rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

3. Agħżel il-eżistenti Rapportli inti tixtieq li kopja mill- Rapporti disponibblitaqsima.

4. Ikklikkja Kopja u kopja tar-rapport magħżul (jismu 'Kopja ta' ... ") se jkunu miżjuda mat-taqsima Rapporti Disponibbli tat-tieqa Rapporti Custom u tista jinfetaħ jew editjat kif deskritt hawn fuq.

Nota

Billi tagħmel dan int se toħloq kopja tar-rapport tal Rapport Definizzjoni fajl (.rdl / .rdlc) kif ukoll tagħha tqabbil fajl Sett ta 'Dejta (XML)(jekk jeżisti).

Biex tneħħi custom eżistenti rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

3. Agħżel il-eżistenti Rapportli inti tixtieq biex jitneħħew mill- Rapporti disponibblitaqsima u ikklikkja Neħħi.

Nota

Meta inti tneħħi rapport mhux se jibqa jidhru fuq il-lista rapport. Madankollu, dan mhux se tħassar il- Rapport Definizzjoni rapport tal fajl (.rdl / .rdlc) jew il- Data Set fajl(XML). Jekk ikun meħtieġ, it-tħassir dawn il-fajls jista 'jinkiseb permezz tal-fajl sistema.

Biex semmi mill-ġdid ta 'dwana eżistenti rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

3. Agħżel il-eżistenti Rapportli inti tixtieq li tibdel isem fil l Rapporti disponibblitaqsima u ikklikkja Semmi.

4. Daħħal l-isem ġdid għar-rapport.

Nota

Kemm il-fajl Definizzjoni Rapport (.rdl / .rdlc) u l-fajl Sett ta 'Dejta tqabbil (XML) se jingħata l-isem xieraq.

Biex jeditjaw il-disinn ta ' custom rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| Rapport Customjew ikklikkja l- Oħloq Custom Rapport buttuna toolbar. Il Rapporti Customtieqa (murija hawn fuq) se jintwerew.

Nota

Filwaqt kull utent tista 'tiftaħ rapporti tad-dwana eżistenti, to kkonfigurat id-disinn ta 'rapporti tad-dwana il-liċenzja utent jeħtieġ l Rapport Konfigurazzjoni kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.Barra minn hekk, ir-Rapport Microsoft bennej 3.0 hija meħtieġa għad-disinn rapporti u jista 'jitniżżel b'xejn mill hawn .

3. Agħżel il-eżistenti Rapportli inti tixtieq li juri mill- Rapporti disponibblitaqsima.

4. Ikklikkja Rapport Edit.Ir-rapport se tiftaħ fl Rapport Microsoft bennej 3.0. Għall-għajnuna speċifika u xi "tips & tricks" fuq xi wħud mill-kompiti aktar komuni ma tfassil rapporti jekk jogħġbok irreferi għall-taqsimiet hawn taħt. Għall-għajnuna ġenerali fuq rapporti tfassil jekk jogħġbok irreferi lill-Rapport Microsoft bennej 3.0 jgħinu paġni hawn .

Żieda Tabelli għar-rapport tiegħek

1. Jiżgura li inti għandek fajl Rapport Abacus Custom Definizzjoni (.rdl / .rdlc) miftuħ fl Rapport Microsoft bennej 3.0.

2. Agħżell Daħħal tab fil- "żigarella" fil-quċċata, imbagħad ikklikkja l- Tabella buttunafit-taqsima Reġjuni Data u tagħżel Daħħal Tabella.

3. Issa jkaxkru l-cursorgħall-pożizzjoni fuq il-kanvas rapport fejn inti tixtieq-xibka tax-xellug tat-tabella li jitqiegħed. Ikklikkja l-kanvas. Permezz ta 'default-tabella se jkunu miżjuda ma' filliera ta 'fuq u mbagħad grupp dettalji (grupp huwa użat biex jorganizzaw ħsieb ta' rapport CCD). Biex tneħħi l-grupp, jew iħassar il-filliera jew iħassar il-Grupp Ringiela fil-toolbar Raggruppament.

Tips

Formuli / Espressjonijiet fiċ-ċelloli mejda huma editjat billi tagħżel il-phone imbagħad tikklikkja l << Expr >> test u tagħżel Espressjoni .... Ringieli issortjar fi tabella isir billi tagħżel il-mejda u mbagħad browsing isfel għall-oħra -> SortExpressions qasam fil-panel Properties u li jidħlu espressjoni. Għal ringiela total fl-aħħar ta 'tabella żid ringiela wara (u barra) l-agruppament u mbagħad jużaw l-espressjoni li ġejja = Somma (Oqsma!Isem.Value)fejn "Isem" hija l-qasam li jkun qiegħed ammontaw. Biex tapplika kulur għal kolonni jużaw "IIF" dikjarazzjoni fil-proprjetà BackgroundColor. Biex iżżid gauge bħala ċella f'tabella ewwel daħħal il-gauge ġo ċellula u mbagħad waqa oqsma tad-dejta meħtieġa għall-gauge. Meta editjar l-għoli & wisgħat ta 'ringieli fit-tabella, jiżgura li inti tagħżel l-ringiela korretta, u mbagħad imbagħad jerġgħu cursor maws madwar l-linji griż sakemm ikollok l-Arrow up / stabbiliti cursor, allura resize.

Żieda Mapep nawtiċi għar-rapport tiegħek

1. Jiżgura li inti għandek Rapport Abacus Custom fajl Definizzjoni (.rdl / .rdlc) miftuħ fl Rapport Microsoft bennej 3.0.

2. Agħżell Daħħal tab fil- "żigarella" fil-quċċata, imbagħad ikklikkja l- Chart buttunafit-taqsima Reġjuni Data u tagħżel Daħħal Chart.

3. Issa jkaxkru l-cursorgħall-pożizzjoni fuq il-kanvas rapport fejn inti tixtieq l-kantuniera top-xellug tal-mappa biex jitqiegħed. Ikklikkja l-kanvasu mbagħad tagħżel l-chartgħandek bżonn mill-għażliet u ikklikkja kollox sew.

Tips

Biex juru proprjetà bħala annotazzjoni fuq karti, ikklikkja dritt fuq il-karta u tagħżel Labels Show Data, imbagħad agħżel waħda mit-tikketti li ġie miżjud u tistabbilixxi l-Misc -> UseValueAsLabel għall Foloz fil-panel Properties u żid espressjoni (eż = Oqsma Name.Value) fil Misc -!> Label. Speċifikament għal charts bużżieqa; Charts bubble huma murija taħt l-intestatura chart Scatter. Drop X assi proprjetà fis-oqsma ta 'Serje (jew iżidu fil Properties Serje). Drop Y assi proprjetà fis-oqsma Data (jew iżidu fil Properties Serje). Biex tuża proprjetà li jiddefinixxu daqs bużżieqa, qatra dan in oqsma Data (jew iżidu fil Properties Serje). Charts bubble ma jkunux jistgħu juru jekk ikun hemm wisq data (200 + oġġetti), xi kultant dan jikkawża r-rapport kollu li ma juru. Markatur Tip - Set ċirku. Konvenzjonalment, meta twaqqa oqsma fis-oqsma tad-Data, hija żżid bl- somma ()formula, hekk jitneħħa dan. Speċifikament għal Charts f'munzelli / Kronoloġija / Gantt charts; Għal ċart Gantt tuża chart firxa u żid proprjetajiet bħala valuri għoljin u baxxi fl-oqsma tad-data. Inti jista 'jkollhom "bars" multipli billi żżid aktar u aktar meded, fejn il-valur baxx għal wieħed jaqbel mal-valur għoli għall-ieħor. Speċifikament għal Mapep pie; Għal charts pie aggregati, qatra l-informazzjoni f'linji Kategorija u fl-oqsma tad-Data, żid il-formula = CountRows (). Jiffiltraw kwalunkwe valur 0 (eż fuq karti ta 'spejjeż), inkella l-tikketti għal dawn xorta se jidhru fuq il-karta.

Jużaw dikjarazzjoni Jjekk li jżidu kuluri għat-tabelli u ċarts

1. Jiżgura li inti għandek Rapport Abacus Custom fajl Definizzjoni (.rdl / .rdlc) miftuħ fl Rapport Microsoft bennej 3.0.

2. Right-click-ċellula fit-tabella għall-kulur u l-ikklikkja Properties Kaxxa.

3. Agħżel Imla u kklikkja l- FXbuttuna fuq il-lemin tat-tikketta kulur Imla u fis-Sett espressjoni għal qasam BackgroundColor jidħol espressjoni, pereżempju = IIF (Oqsma! InformationStatus.Value = "Żomm", "LightGreen", IIF (Oqsma! InformationStatus.Value = "Disinn mill-ġdid", "Yellow", IIF (Oqsma! InformationStatus.Value = "Riffriskar", "Oranġjo", " Salmon "))). Din il-bidliet l-kulur fl-isfond għall aħdar ċar għal kull ċellula li fiha l-Istatus "Żomm", safra minħabba kull ċellula li fiha l-Istatus "Redesign", Orange għal kull ċellula li fiha l-istatus "Riffriskar" u kwalunkwe valur status ieħor se tkun ta 'kulur fil- "Salmon".

Nota

Kuluri jistgħu jiġu miżjuda għall-mapep billi tagħżel l-serje fuq il-karta u mbagħad iffissar tal-Dehra -> proprjetà Kulur (jew għall-mapep bużżieqa tal-Dehra -> Marker -> proprjetà Color) għal espressjoni simili għall-eżempju hawn fuq.

Affarijiet li wieħed iżomm f'moħħu meta jiddisinjaw rapporti tad-dwana

· Minħabba l-proprjetajiet kollha ħlief Integer jintbagħtu bħala string mill Abacus għall-telespettatur rapport jekk inti tixtieq li tagħmel xi 'espressjonijiet "magħhom (bħal qasma proprjetà waħda minn oħra jew tip) għandek bżonn biex jaqilbuhom għall deċima jew Data eċċ Għall-isfond , Dan l-artiklu hija referenza tajba. Eż = CDate (Oqsma! LifecycleEndDate.Value) Nota: Jekk jogħġbok kun ċert li l-lingwa rapport huwa stabbilit li en-GB (kif deskritt hawn taħt) li jaċċetta jj / xx / ssss kif hi tistenna format xx / jj / ssss awtomatikament u għalhekk 31/7/2011 se jonqsu konverżjoni. =Round(Convert.ToDecimal(Fields!CostMaintenanceCostfixed.Value)/Convert.ToDecimal(Fields!UsersNumberofUsers.Value)) = FormatCurrency (Oqsma! CostTotalCosttoOwnnext5years.Value, 0)

· Jekk issib li int qed jitħabtu biex iżommu kollha tat-tabelli u ċarts fuq paġna waħda, Hemm modi ewlenin ftit immaniġjar ta 'spażju dokument tiegħek:

· Page Break - Tiżgura li dan l-istabbiliment tabella hija off għal kull tabella li inti tixtieq li tkun fuq l-istess paġna.

· Żomm Flimkien - L-iżgurar dan l-istabbiliment tabella hija True għal kull tabella li inti tixtieq li tkun fuq l-istess paġna.

· Meta l-affarijiet li jiċċaqalqu madwar, huwa aktar faċli li zoom out jużaw il-kontroll fil-lemin t'isfel tal-paġna u mbagħad multi oġġetti u drag tagħżel

· Għall-ringiela immaġini f'tabella, kun żgur li l-"Daqs" | Proprjetà "Daqs" huwa ssettjat għal "Fit" inkella l-immaġni jista 'jidher kbir wisq, jew se tiġi mġebbda ħażin.

· Biex jirrepetu filliera ta 'fuq ta' tabella fuq kull paġnatar-rapport:

1. Open Avvanzata Modalità fil-pane Raggruppamenti. (Ikklikkja l-vleġġa lejn il-lemin tal-Gruppi Kolonna u tagħżel Advanced Mode.)

2. Fil-qasam Gruppi Ringiela (Gruppi mhux Kolonna), ikklikkja fuq grupp statiku, li tenfasizza l-kaxxa korrispondenti fil-tablix. Ikklikkja permezz ta 'kull grupp statiku sakemm jenfasizza l-header kolonna fuq ix-xellug. Dan huwa ġeneralment l-ewwel grupp statiku elenkati.

3. Fit-tieqa Properties, jistabbilixxu l-proprjetà RepeatOnNewPage li True.

4. Kun żgur li l-proprjetà KeepWithGroup huwa stabbilit li wara.

· Ibdel il- settings tal-lingwafil-proprjetajiet Rapport jaqblu mal-format tad-data li għandek bżonn, eż en-GB biex jipproduċu UK format data (jj / xx / ssss).

Ara wkoll

Analiżi arkitettura tiegħek


Customising l-interface Abacus

Navigation: Introduzzjoni għall Abacus>

Customising l-interface Abacus

Jibagħtu l-kummenti fuq dan is-suġġett.

Tista 'tbiddel id-dehra u l-imġieba tal-interface Abacus f'ħafna modi. Abacus jinkludi diversi kombinazzjonijiet settings predefiniti li tista 'tuża biex tapplika grupp ta' customisations għall-interface. Barra minn hekk, inti tista 'tagħmel customisations individwali għal oġġetti bħal twieqi, toolbars, shortcut keys, u l-għażliet varji wirjiet.

Jirranġa u Dock Windows

Inti għandek ħafna għażliet sabiex tiġi rranġata twieqi fil-interface għall Abacus, inklużi dawn li ġejjin:

· Twieqi Tab-baċir.

· Twieqi Dock għall-tarf ta 'qafas fil-interface.

· Jimminimizzaw twieqi għodda tul ix-xifer tal-interface.

· Irrisettja tqegħid tieqa għall-format default.

Windows docking

Meta tieqa hija dockable, jista tkun imwaħħla ma 'naħa waħda ta' qafas fi ħdan l-interface jew jista 'jiġi rranġat fuq panewijiet tat tabbed fi ħdan il-qafas. A djamant Gwida jidher meta inti drag twieqi minn post attwali tagħhom lejn post ieħor fil-interface. Il-djamant gwida jippermettilek li malajr jerġa 'dock tieqa fuq waħda mill-erba' naħat tal-qafas jew fil-ċentru bħala pane tabbed. Meta tieqa hija undocked jew le dockable, sufruni fuq quċċata tal-twieqi l-oħra.

Biex dock twieqi

1. Ikklikkja l-tieqa inti tixtieq li dock, biex jagħtuh tiffoka.

2. Fuq il Tieqamenu, ikklikkja Dockable.

3. Drag-tieqa mill-pożizzjoni attwali tagħha lejn in-nofs tal-qafas trid baċir bl.

A djamant Gwida jidher. L-erba 'vleġeġ tal-punt djamant lejn l-erba truf tal-frejm u l-ċentru jirrappreżenta l-pane tabbed.

Tip

Biex timxi tieqa dockable mingħajr ma jitqaċċtu hija fis-seħħ, agħfas Ctrl filwaqt jittrattienu.

4. Meta l-tieqa inti qed jittrattienu jilħaq il-pożizzjoni fejn inti tixtieq li dock, jċaqalqu l-pointer fuq il-porzjon korrispondenti tal-djamant gwida. Deskrizzjoni tat-tieqa jidher fil-qasam nominat.

5. Dock-tieqa fil-pożizzjoni indikata, itlaq il-buttuna maws.

Per eżempju, jekk Explorerhuwa ittrakkat fuq il-tarf tax-xellug tal-interface u inti tixtieq li dock fuq il-tarf tal-lemin, inti drag Explorerlejn in-nofs tal-interface, jċaqalqu l-pointer fuq il-lemin tal-djamant gwida, u mbagħad tirrilaxxa l-mouse button.

Imminimizzar Windows

Windows (jekk humiex Tool Windows - li jidhru fuq il- Viewmenu, jew Dokument Windows - li jidhru fuq il- Tieqamenu) jappoġġaw karatteristika imsejjaħ Hide Auto. Hide Auto jgħinuk biex tara aktar ta 'arkitettura tiegħek fi żmien wieħed billi timminimizza twieqi tul it-truf ta' l-interface meta ma jintużax.

Li jduru fuq Hide Auto

1. Ikklikkja l-tieqa inti tixtieq li jaħbu biex jagħtuh tiffoka.

2. Fuq il Tieqamenu, ikklikkja Hide Auto.

- Jew -

2. Ikklikkja l-ikona pushpin fuq il-bar titolu tat-tieqa.

Hide Auto Iffaċilitati

Meta tieqa auto-fokus moħbija jitlef, awtomatikament slides lura għall tab tagħha fuq it-tarf tal-interface. Filwaqt tieqa hija awto-moħbi, ismu u icon huma viżibbli fuq tab fit-tarf tal-interface. Biex juri tieqa auto-moħbi, jimxu pointer tiegħek fuq il-tab. It-tieqa slides lura fis-għan u tkun lesta għall-użu.

Nota

A window li hija awto-moħbi ma jistgħux jiġu ittrakkat. Dock tieqa ser ikollok bżonn li itfi Hide Auto kif deskritt hawn taħt.

Biex itfi Hide Auto

1. Ikklikkja l-tieqa inti tixtieq li żżomm viżibbli biex jagħtuh tiffoka.

2. Fuq il Tieqamenu, ikklikkja Hide Autoċar li l-check mark.

- Jew -

2. Ikklikkja l-ikona pushpin fuq il-bar titolu tat-tieqa.

Auto Aħbi Disabled

Tip

Windows li jkollhom Auto Hide possibbiltà li b'mod temporanju slide fis-għan meta l-tieqa għandha tiffoka. Biex jaħbu l-tieqa mill-ġdid, jagħżlu l-oġġett barra tat-tieqa attwali. Ladarba l-tieqa jitlef fokus, slides lura barra mill-għan.

Jerġa 'jiġi issettjat Windows Layouts

Tista 'tirritorna l-interface għall-format tieqa default bl-użu Irrisettja Window Layoutkmand. Meta inti tmexxi dan il-kmand, l-azzjonijiet li ġejjin iseħħu:

· Twieqi kollha huma mċaqilqa għal pożizzjonijiet default tagħhom.

· Windows li huma magħluqa fit-taqsim tieqa default huma magħluqa mill-kmand.

· Windows li huma miftuħa fil-format tieqa default huma miftuħa mill-kmand.

· Windows li huma moħbija / viżibbli fil-format tieqa default huma magħmula moħbija / viżibbli mill-kmand.

Għal reset tqegħid tieqa għall-format default

1. Fuq il Windowsmenu, ikklikkja Irrisettja Window Layout.

Customising Menus u Toolbars

Tista 'tbiddel l-format, il-pożizzjoni, u l-kontenut ta' menus u toolbars fil-interface. Tista 'wkoll żżid buttuni biex toolbars u jibdlu l-ikona assenjat għal kull buttuna.

Oħloq toolbars ġodda

Biex jinħoloq toolbar ġdida

1. Fuq il Għododmenu, jagħżlu Jippersonalizzaw.

2. Fil- Customizekaxxa dialog, agħżel l- Toolbarstab.

3. Agħżel New.

4. Fil- New Toolbarkaxxa dialog, tip isem għall-toolbar.

5. Agħżel kollox sew.

Biex iżżid buttuna kmand għal menu jew toolbar

1. Fuq il Għododmenu, jagħżlu Jippersonalizzaw.

2. Fil- Customizekaxxa dialog, agħżel l- Kmandijiettab.

3. Agħżel kategorija u drag kmand barra mill-kaxxa dialog li l-menu jew toolbar.

4. Agħżel Agħlaq.

Tip

Azjenda l Alt-ċavetta jippermettilek li malajr customize kmandi bħallikieku l-dialog Customize kienet miftuħa.

Ara wkoll

L-interface Abacus


Id-definizzjoni u l-validazzjoni Limitazzjonijiet

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Id-definizzjoni u l-validazzjoni Limitazzjonijiet

Jibagħtu l-kummenti fuq dan is-suġġett.

L-istruttura u l-proprjetajiet ta 'arkitettura jistax jiġi ristrett bl-użu restrizzjonijiet. Limitazzjonijiet jistgħu jiġu applikati għal tipi komponenti u tipi konnessjoni li jirrestrinġu l-istruttura ta 'arkitettura f'żewġ modi. L-ewwel mod huwa li jirrestrinġi l- ġerarkijabilli jiddefinixxi "ġenitur għandu / għandha jkollu tfal" u "tfal għandu / għandha jkollu ġestjonarji" relazzjonijiet. It-tieni mod huwa li jirrestrinġi l- topoloġijabilli jiddefinixxi "komponent għandu / għandha tintehmeż mal-konnessjoni" u "konnessjoni għandhom / għandha tintehmeż mal komponenti" relazzjonijiet. Barra minn hekk, limitazzjonijiet jistgħu jiġu applikati għall-proprjetajiet ta 'tipi komponenti, tipi konnessjoni, templates, opinjonijiet, arkitetturi, dijagrammiu 3D fehmiet li jirrestrinġu l-arkitettura (i) f'żewġ modi addizzjonali. L-ewwel mod huwa li jiġi stabbilit l- tip ta 'datatal-proprjetà li jirrestrinġu l-valuri validi li jista 'jkollhom, jiġifieri; Test, Integer, Deċimali, Data / Ħin, Boolean jew il-Lista. It-tieni mod huwa li jiġi stabbilit l- meħtieġaistatus tal-proprjetà li jindika jekk valur jeħtieġ li jiddaħħlu għall-proprjetà (Nota: Restrizzjonijiet Meħtieġa japplikaw biss għal proprjetajiet għat-tipi komponenti u l-konnessjoni). Aktar informazzjoni dwar limitazzjonijiet ta 'proprjetà huwa provdut fil- Jibdlu il-proprjetajiet ta 'komponent, kollegament jew tip għajnuna tema. Ladarba restrizzjonijiet kienu definiti, huwa possibbli li jivvalida arkitettura kontra l-limitazzjonijiet. Abacus se twissi dwar kwalunkwe limitazzjonijiet li ġew miksura.

Il-qofol biex ikun determinat liema restrizzjoni (jiet) li tiddefinixxi tinsab fil-lingwa eżatta użata biex tiddeskrivi r-restrizzjoni. Għal restrizzjonijiet ġerarkija huma tipikament tal-formola "nomitista / għandha / għandhom jiġu analizzati f'komponenti tal-n nomi"Jew"nomitista / għandha / għandhom jiġu miġbura flimkien skond il nomi"Eċċ Per eżempju,"Dipartimentigħandhom jiġu analizzati f'komponenti tal- Timijiet"Jew"Applikazzjonijietjistgħu jiġu dekompost Moduli". Għal restrizzjonijiet topoloġija huma tipikament tal-formola"nomitista / għandha / għandhom verb nomi". Pereżempju, "Proċessijista 'jkun mwettqa minn Timijiet"Jew"Applikazzjonijiethuma ospitati fuq Servers. "Issa, tista 'tara f'kull restrizzjoni hemm varji jistgħu / għandhom / għandhom" kwalifiki "u dawn jistgħu jkunu ta' 3 tipi;

· Fakultattiv- Dawn tipikament se jużaw kliem / frażijiet simili; "jista '", "jista", "jista", "b'mod mhux obbligatorju" eċċ

· Rakkomandata- Dawn tipikament se jużaw kliem / frażijiet simili; "għandu", "rakkomandati", "parir" eċċ

· Obbligatorju- Dawn tipikament se jużaw kliem / frażijiet simili; "must", "huwa", "huma", "għandha", "għandu" eċċ

Jiddependi mit-tip ta 'restrizzjoni (ġerarkija jew topoloġija) u l-kwalifiki użati fid-deskrizzjoni fiha, restrizzjoni (jiet) speċifika għandha tkun definita (ara hawn taħt). Għall-eżempju hawn fuq ġerarkija ta "Dipartimentigħandhom jiġu analizzati f'komponenti tal- Timijiet"Wieħed għandu jiddefinixxi" Parent għandu jkollhom Tfal "restrizzjoni u tistabbilixxi l-infurzar għandha tiġi eżegwita. Għall-eżempju hawn fuq topoloġija ta '"Proċessijista 'jkun mwettqa minn Timijiet. "Wieħed għandu joħloq biss tnejn (2)" Konnessjoni għandhom ikunu mehmuża mal-Komponent "restrizzjonijiet għall f'kull tarf tal-mwettaq skont it-tip konnessjoni Speċifikament, il-limitazzjonijiet li ġejjin huma rrakkomandati li jiġu definiti (ara hawn taħt) għad-diversi għażliet;

· Restrizzjonijiet ġerarkija;

o Nomi A jista 'jkundekompost Nomi B, Jew Nomi B jista 'jkunmiġbura flimkien skond il Nomi Ajew Nomi B għandhom ikunumiġbura flimkien skond il Nomi A- Tiddefinixxi "Tfal għandu jkollhom parent" restrizzjoni mat-tip tfal bħala Noun B, tip prinċipali kif Noun A u infurzar kif mwissija.

Nota

Dan ifisser li jekk jeżisti tifel, dan għandu jkollu ġenitur ta 'ċertu tip. Jekk le, inti se tikseb twissija.

o Nomi A għandhom ikunudekompost Nomi B- Tiddefinixxi "Parent għandu jkollhom Tfal" restrizzjoni mat-tip prinċipali kif Noun A, it-tip tat-tfal bħala Noun B u infurzar kif mwissija.

Nota

Dan ifisser li jekk jeżisti ġenitur, għandu jkollhom it-tfal ta 'ċertu tip. Jekk le, inti se tikseb twissija.

o Nomi A għandhom ikunudekompost Nomi B- Tiddefinixxi "Parent għandu jkollhom Tfal" restrizzjoni mat-tip prinċipali kif Noun A, it-tip tat-tfal bħala Noun B u infurzar kif infurzati.

Nota

Dan ifisser li jekk jeżisti ġenitur, għandu jkollhom it-tfal ta 'ċertu tip. Jekk le inti se tikseb żball.

o Nomi A għandhom ikunumiġbura flimkien skond il Nomi B- Tiddefinixxi "Tfal għandu jkollhom parent" restrizzjoni mat-tip tfal bħala Noun A, it-tip prinċipali kif Noun B u infurzar kif infurzati.

Nota

Dan ifisser li jekk jeżisti tifel, għandu jkollu ġenitur ta 'ċertu tip. Jekk le, inti se tikseb żball.

· Restrizzjonijiet topoloġija;

o Nomi A jista 'jkun verb Nomi B- Tiddefinixxi tnejn (2) "Konnessjoni għandhom ikunu mehmuża mal Komponent" restrizzjonijiet. L-ewwel wieħed mal-Sors aħħar ta 'tip ta' konnessjoni verbmehmuża mal nom A approvazzjoni tat-tip u l-infurzar stabbiliti biex Sfurzat. It-tieni benesseri mat-tmiem inżel tat-tip konnessjoni verbmehmuża ma 'Noun tip ta' komponent B u l-infurzar stabbiliti biex Sfurzat.

Nota

Dan ifisser li jekk teżisti l--rigward, għandu jikkonnettja l-komponenti ta 'ċerti tipi. Jekk le inti se tikseb Error. Kollox ma 'kollox dan jiżgura li dawn il-komponenti jistgħu jippersistu u mhux konnessi ma' xulxin. Madankollu jekk dawn ikunu konnessi, għandhom jintużaw konnessjonijiet tat-tip dritt.

o Nomi A għandhom ikunu verb Nomi B- Tiddefinixxi tnejn (2) "Komponent għandhom ikunu mehmuża mal Konnessjoni" restrizzjonijiet. L-ewwel waħda ma Noun A approvazzjoni tat mehmuża mal-Sors aħħar tal- verbtip ta 'konnessjoni u sett infurzar sabiex mwissija. It-tieni benesseri ma Noun tip ta 'komponent B imwaħħla mat-tarf inżel tal- verbtip ta 'konnessjoni u sett infurzar sabiex mwissija. Barra minn hekk, jiddefinixxu żewġ (2) "Konnessjoni għandhom ikunu mehmuża mal Komponent" restrizzjonijiet. L-ewwel wieħed mal-Sors aħħar ta 'tip ta' konnessjoni verbmehmuża mal nom A approvazzjoni tat-tip u l-infurzar stabbiliti biex Sfurzat. It-tieni benesseri mat-tmiem inżel tat-tip konnessjoni verbmehmuża ma 'Noun tip ta' komponent B u l-infurzar stabbiliti biex Sfurzat.

Nota

Dan ifisser li jekk jeżistu komponenti ta 'xi waħda tip, dawn għandhom jiġu mehmuża ma' konnessjoni ta 'ċertu tip. Jekk le inti se tikseb twissija. Barra minn hekk, dan ifisser li jekk teżisti l--rigward, għandu jkun konness ma 'komponenti tat-tip speċifikat. Jekk le inti se tikseb żball. B'mod ġenerali dan jassigura li jekk jeżistu komponenti ta 'dawn it-tipi, inti se tikseb twissijiet jekk ma jkunux konnessi ma' xulxin.

o Nomi A għandhom ikunu verb Nomi B- Tiddefinixxi tnejn (2) "Komponent għandhom ikunu mehmuża mal Konnessjoni" restrizzjonijiet. L-ewwel waħda ma Noun A approvazzjoni tat mehmuża mal-Sors aħħar tal- verbtip ta 'konnessjoni u l-infurzar stabbiliti biex Sfurzat. It-tieni benesseri ma Noun tip ta 'komponent B imwaħħla mat-tarf inżel tal- verbtip ta 'konnessjoni u l-infurzar stabbiliti biex Sfurzat. Barra minn hekk, jiddefinixxu żewġ (2) "Konnessjoni għandhom ikunu mehmuża mal Komponent" restrizzjonijiet. L-ewwel wieħed mal-Sors aħħar ta 'tip ta' konnessjoni verbmehmuża mal nom A approvazzjoni tat-tip u l-infurzar stabbiliti biex Sfurzat. It-tieni benesseri mat-tmiem inżel tat-tip konnessjoni verbmehmuża ma 'Noun tip ta' komponent B u l-infurzar stabbiliti biex Sfurzat.

Nota

Dan ifisser li jekk jeżistu komponenti ta 'xi waħda tip, huma għandhom ikunu mehmuża ma' konnessjoni ta 'ċertu tip. Jekk le inti se tikseb żball. Barra minn hekk, dan ifisser li jekk teżisti l--rigward, għandu jkun konness ma 'komponenti tat-tip speċifikat. Jekk le inti se tikseb żball. B'mod ġenerali dan jassigura li jekk jeżistu komponenti ta 'dawn it-tipi, inti se tikseb l-iżbalji jekk ma jkunux konnessi ma' xulxin.

Sabiex jiġi definit limitu

1. Jiżgura li inti għandek xi Fajl Abacus-miftuħ u Tieqa Explorermurija.

2. Fil-siġra Explorer jespandu Tipi | Tipi komponentijew jespandu Tipi | Tipi Konnessjoni.

3. Right-clickkomponent tat-tip jew tip ta 'konnessjoni u tagħżel Żid Restrizzjoni.

Żieda ta 'restrizzjoni

Sabiex jiġi definit restrizzjoni ġerarkija, fejn ġenitur għandu jkollhom tfal speċifika

4. Fuq il Żid Restrizzjonitieqa immarka l- Oħloq RestrizzjoniCheckbox taħt il Parent Must Have Tfal Restrizzjoniqasam.

5. Agħżel il- tip ta 'komponentmill-kaxxa drop-down li inti tixtieq li tispeċifika kif l-wild ta 'l-approvazzjoni tat magħżula fil-pass 3.

Nota

Jekk ikun hemm diġà ppermetta "Parent Must Have Tfal" restrizzjoni definiti għall-tip ta 'komponent ġenitur u ieħor tip ta' komponent tat-tfal allura din ir-restrizzjoni ġdida se tkun trattata bħala "U". Li hija t-tip għandha tkun ġenitur tat-tip wild A utip tfal B, għal dak kollu livell ta 'infurzar (eż Persuni b'Diżabbiltà, mwissija jew infurzat - ara pass 7) hu speċifikat għal kull restrizzjoni.

6. B'għażla tista 'tiddefinixxi l-għadd minimu u massimu ta' komponenti ta 'l-approvazzjoni tat speċifikat li jridu jkunu tfal ta' l-approvazzjoni tat dritt għafast fil-pass 3.

7. Agħżel jekk trid li l-limitazzjoni li jkun Disabled, Wissietjew Infurzata.

Nota

Limitazzjonijiet b'Diżabilità se jiġu injorati mill-ivvalidar restrizzjoni, restrizzjonijiet wissiet se tipproduċi Twissija fit-tieqa Validazzjoni darba dan jinqabad u restrizzjonijiet inforzati se jipproduċi Żball fit-tieqa Validazzjoni jekk jiġu skoperti. Barra minn hekk, Żbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

8. Ikklikkja kollox sew.

Nota

Ir-restrizzjoni se jintwerew fil-siġra Explorer taħt il tip ta 'komponent dritt għafast fil-pass 3. Il-vleġġa tindika d-direzzjoni tal-limitazzjoni u f'dan il-każ se punt isfel u tal-lemin. Il katnazz hija kkulurita skond jekk il-limitazzjoni hija b'Diżabilità (griż), wissiet (isfar) jew Infurzat (aħmar).

Ġenitur għandu jkollu wild wissiet restrizzjoni

Sabiex jiġi definit restrizzjoni ġerarkija, fejn wild għandu jkollu ġenitur speċifika

4. Fuq il Żid Restrizzjonitieqa immarka l- Oħloq RestrizzjoniCheckbox taħt il Tfal Must Have Restrizzjoni Parentqasam.

5. Agħżel il- tip ta 'komponentmill-kaxxa drop-down li inti tixtieq li tispeċifika kif l-ġenitur tat l-approvazzjoni tat dritt għafast fil-pass 3.

Nota

Jekk ikun hemm diġà ppermetta "Tfal Must Have parent" restrizzjoni definit għall-komponent tfal tip u ieħor tip ta 'komponent ġenitur allura din ir-restrizzjoni ġdida se tkun trattata bħala "JEW". Li hija t-tip irid ikun wild tat-tip ġenitur A jewtip ġenitur B, u l-livell ta 'infurzar (eż mwissija jew infurzat - ara pass li jmiss) għandhom ikunu l-istess restrizzjonijiet infurzati inkella dejjem se jwarrab dawk wissiet.

6. Agħżel jekk trid li l-limitazzjoni li jkun Disabled, Wissietjew Infurzata.

Nota

Limitazzjonijiet b'Diżabilità se jiġu injorati mill-ivvalidar restrizzjoni, restrizzjonijiet wissiet se tipproduċi Twissija fit-tieqa Validazzjoni darba dan jinqabad u restrizzjonijiet inforzati se jipproduċi Żball fit-tieqa Validazzjoni jekk jiġu skoperti. Barra minn hekk, Żbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

7. Ikklikkja kollox sew.

Nota

Ir-restrizzjoni se jintwerew fil-fehma Explorer taħt l-approvazzjoni tat magħżul fil-pass 5. Il-vleġġa tindika d-direzzjoni tal-limitazzjoni u f'dan il-każ se punt up u tax-xellug. Il katnazz hija kkulurita skond jekk il-limitazzjoni hija b'Diżabilità (griż), wissiet (isfar) jew Infurzat (aħmar).

Tfal għandu jkollhom ġenitur wissiet restrizzjoni

Sabiex jiġi definit restrizzjoni topoloġija, fejn komponent għandha tkun imwaħħla ma 'konnessjoni speċifika

4. Fuq il Żid Restrizzjonitieqa immarka l- Oħloq RestrizzjoniCheckbox taħt il Komponent għandhom jiġu mehmuża Restrizzjoniqasam.

5. Agħżel il- tip ta 'konnessjonimill-kaxxa drop-down li inti tixtieq li tispeċifika kif il-konnessjoni mehmuż tal-approvazzjoni tat-tip dritt għafast fil-pass 3. (Jew jagħżlu l- tip ta 'komponentmill-kaxxa drop-down li inti tixtieq li tispeċifika bħala l-komponent mehmuża jekk fil-pass 3 inti dritt għafast tip konnessjoni.)

Nota

Jekk diġà hemm restrizzjoni ppermettiet "Komponent għandu jkun mehmuż" definita għall-approvazzjoni tat-tip u ieħor konnessjoni tip allura din ir-restrizzjoni ġdida se tkun trattata bħala "U". Dan huwa l-komponent tat-tip għandha tkun mehmuża mal tip ta 'konnessjoni A ukonnessjoni tip B, għal dak kollu livell ta 'infurzar (eż Persuni b'Diżabbiltà, mwissija jew infurzat - ara pass 7) hu speċifikat għal kull restrizzjoni.

6. B'għażla inti tista 'tagħżel konnessjoni rwolli inti tixtieq li żżid mal-restrizzjoni. Sjeleġġi l speċifika rwol (jiġifieri kemm Sors jew inżel) mill-kaxxa drop-down.

7. Agħżel jekk trid li l-limitazzjoni li jkun Disabled, Wissietjew Infurzata.

Nota

Limitazzjonijiet b'Diżabilità se jiġu injorati mill-ivvalidar restrizzjoni, restrizzjonijiet wissiet se tipproduċi Twissija fit-tieqa Validazzjoni darba dan jinqabad u restrizzjonijiet inforzati se jipproduċi Żball fit-tieqa Validazzjoni jekk jiġu skoperti. Barra minn hekk, Żbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

8. Ikklikkja kollox sew.

Sabiex jiġi definit restrizzjoni topoloġija, fejn konnessjoni jridu jkunu mqabbda ma 'komponent speċifiku

4. Fuq il Żid Restrizzjonitieqa immarka l- Oħloq RestrizzjoniCheckbox taħt il Konnessjoni għandha tkun imwaħħla Restrizzjoniqasam.

5. Agħżel il- tip ta 'konnessjonimill-kaxxa drop-down li inti tixtieq li tispeċifika kif il-konnessjoni mehmuż tal-approvazzjoni tat-tip dritt għafast fil-pass 3. (Jew jagħżlu l- tip ta 'komponentmill-kaxxa drop-down li inti tixtieq li tispeċifika bħala l-komponent mehmuża jekk fil-pass 3 inti dritt għafast tip konnessjoni.)

Nota

Jekk ikun hemm diġà ppermetta "Konnessjoni għandha tkun imwaħħla" restrizzjoni definita għall-tip ta 'konnessjoni u t-tip ta' komponent ieħor bl-istess konnessjoni rwol(jiġifieri jew Sors jew inżel), allura dan restrizzjoni ġdida se tkun trattata bħala "JEW". Dan huwa l-tip ta 'konnessjoni għandhom ikunu mehmuża ma' tip ta 'komponent A jewapprovazzjoni tat-tip B, u l-livell ta 'infurzar (eż mwissija jew infurzat - ara pass 7) għandhom ikunu l-istess restrizzjonijiet infurzati inkella dejjem se jwarrab dawk wissiet. Innota wkoll, li jekk ikun hemm restrizzjonijiet multipli li għandhom il-konnessjoni rwolspeċifikata bħala "Kull" (kif oppost għad speċifikament Sors jew inżel) imbagħad kull tarf tal-konnessjoni għandu jkun mehmuż ma 'waħda mit-tipi komponenti speċifikati fir-restrizzjonijiet.

6. B'għażla inti tista 'tagħżel konnessjoni rwolli inti tixtieq li żżid mal-restrizzjoni. Sjeleġġi l speċifika rwol (jiġifieri kemm Sors jew Inżel) mill-kaxxa drop-down.

Nota

Jew Sors jew rwol inżel jeħtieġ li jiġu magħżula b'mod espliċitu għal Sekwestru kolonna li jkun avilable li jidhru komponent katalogu .

7. Agħżel jekk trid li l-limitazzjoni li jkun Disabled, Wissietjew Infurzata.

Nota

Limitazzjonijiet b'Diżabilità se jiġu injorati mill-ivvalidar restrizzjoni, restrizzjonijiet wissiet se tipproduċi Twissija fit-tieqa Validazzjoni darba dan jinqabad u restrizzjonijiet inforzati se jipproduċi Żball fit-tieqa Validazzjoni jekk jiġu skoperti. Barra minn hekk, Żbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

8. Ikklikkja kollox sew.

Real-time verifika mudell u restrizzjonivalidazzjoni

ABACUS jinkludifil-ħin reali Mudell Iċċekkjar u Karatteristika validazzjoni immedjatament wiri l-effetti operazzjoni utent partikolari se jkollu fuq it-twissijiet u l-iżbalji mal-proġett attwali, minħabba xi ġerarkija u topoloġija restrizzjonijiet li ġew definiti. Għandu jiġi nnutat li l-iżbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

Il-karatteristika validazzjoni restrizzjoni fil-ħin reali huwa l-aktar notevoli meta populating ma dijagrammi jew direttament fit-tieqa Explorer. B'mod partikolari, matul l-operazzjonijiet li ġejjin, gwida tinsab tuża jenfasizza kulur fejn tidħol ir-operazzjoni se jkollu fuq it-twissijiet u l-iżbalji mal-proġett attwali;

1. Meta jittrattienu elementi fuq jew madwar dijagramma il-kulur tal-ġenitur (jew li jorbtu) komponent (jekk hemm) fruntiera se tkun ta 'kulur skond l-iskema deskritta hawn taħt.

2. Meta komponenti konnessjoni bl-użu drag dritt ikklikkja | Qabbad Biex karatteristika lista tat-tipi Konnessjoni disponibbli hija kkulurita skond l-iskema deskritta hawn taħt.

3. Meta komponenti konnessjoni fuq dijagrammi tintuża l-modalità Konnettur il-cursor se bidla kuluri skond l-iskema deskritta hawn taħt.

4. Meta żżid subkomponenti-lista ta 'Tipi Komponent disponibbli hija kkulurita skond l-iskema deskritta hawn taħt.

B'mod ġenerali l-kuluri li ġejjin huma użati biex jindikaw l-effetti l-operazzjoni utent se jkollhom fuq it-twissijiet u l-iżbalji mal-proġett attwali;

Iswed : L-ebda impatt fuq twissijiet jew żbalji.

Aħdar : L-operazzjoni hija espliċitament skond ilrestrizzjonijiet ġerarkija u topoloġija definiti għall-proġett.

Red : L-operazzjoni hija espliċitament bi ksur talil-limitazzjonijiet ġerarkija u topoloġija definiti għall-proġett u ser tirriżulta fit-twissijiet u / jew żbalji.

Sfond verifika mudell u restrizzjonivalidazzjoni

Abacus jinkludi Karatteristika Validazzjoni li juri l-twissijiet u l-iżbalji mal-proġett attwali, minħabba xi limitazzjonijiet li ġew definiti. Għandu jiġi nnutat li l-iżbalji kollha għandhom jiġu solvuti qabel Intrapriża Server proġett jista 'jiġi impenjat.

Nota

Jeħtieġ validazzjoni li jitmexxew manwalment permezz tal- "Ivvalida / Iċċekkja Limitazzjonijiet Proġett" buttuna fuq il- Toolbar prinċipali . It-tieqa validazzjoni hija moħbija fil-kontumaċjaiżda se jidhru meta l-buttuna toolbar huwa għafast. Ara Customising l-interface għal kif unhide dan u potenzjalment jitilqu minnu murija b'mod permanenti. Ukoll, inti tista 'double-click kull ringiela fit-tieqa Validazzjoni għal "qabża" għall-element rilevanti fil-proġett.

Tieqa Validazzjoni

Il-kolonni default fit-tieqa Validazzjoni huma deskritti kif ġej;

Twissija jew Error: Din il-kolonna displays ikona biex jekk il-ksur huwa Twissija (trijangolu isfar b'marka exclamation) jew Error (ċirku aħmar b'salib).

Numru: Din il-kolonna turi n-numru vjolazzjoni.

Nota

Vjolazzjonijiet 200 biss huma murija fi żmien u jekk ikun hemm aktar minn 200 vjolazzjonijiet fi proġett tal-Bidu, Prev, Next u navigaturi ringiela End fil-quċċata tal-lemin tat-tieqa tista 'tintuża biex jibbrawżjaw il-vjolazzjonijiet addizzjonali.

Deskrizzjoni: Din hija deskrizzjoni sħiħa tal-ksur inkluża l-Entità u Restrizzjoni kkonċernata.

Entità: Din il-kolonna turi l-Entità ta 'tħassib għall-vjolazzjoni.

Tip: Din il-kolonna turi t-tip element għall-Entità.

Arkitettura: Din il-kolonna turi l-Arkitettura fi żmien li sar il-ksur.

Osservata: Din il-kolonna turi l-ħin li kien skopert il-ksur.

Tip

Huwa utli biex issolvi dixxendenti mill-kolonna Osservata (kif muri fl-dialog hawn fuq) biex jiżguraw l-aktar vjolazzjonijiet riċenti jidhru fil-"top" tal-lista.

Hemm diversi għażliet utent sabiex jibdel l-imġiba tal-mudell isfond validazzjoni. Per eżempju to Tibdilx il-kuluri wżati għal vjolazzjonijiet 'restrizzjonijiet għal xi ħaġa oħra għajr l-inadempjenza Red, Ikklikkja fuq Għodod | Għażliet ... imbagħad mur l Validazzjonitab, u jistabbilixxu l-kuluri permezz tal- Bidla buttuni.

Validazzjoni għażliet

Li manwalment jivvalidaw restrizzjonijiet

1. Right-click fuq il Arkitetturinode, kwalunkwe arkitettura jew fi kwalunkwe post jew fil- Komponentijew Konnessjonijietparti tal-fehma Explorer u tagħżel Iċċekkja Limitazzjonijiet.

Ivvalida restrizzjonijiet

2. Ikklikkja l- Dettaljibuttuna fuq il- Twissijiettieqa biex tara fejn l-arkitettura jikser xi limitazzjonijiet li ġew definiti.

Nota

Vjolazzjonijiet huma murija biss għal dawk ir-restrizzjonijiet li ġew stabbiliti biex mwissija jew infurzat. Barra minn hekk il-kliem tat-twissija għandu jinkludi "should" jekk ir-restrizzjoni kienet biss twissija jew "għandu" jekk kien infurzat.

3. Ikklikkja kollox sew.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment


Tħassir ta 'komponent jew konnessjoni

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Tħassir ta 'komponent jew konnessjoni

Jibagħtu l-kummenti fuq dan is-suġġett.

Biex tħassar komponent jew konnessjoni

1. Right-clickfuq il-komponent jew konnessjoni.

2. Agħżel Ħassar.

Attenzjoni

Abacus se twissi inti li l-opinjonijiet se jkunu affettwati bit-tħassir u nitolbok li tikkonferma t-tħassir. Dan huwa għaliex tista 'teżisti elementi fuq ħafna dijagrammi u hija tħallas biex jiċċekkjaw dak it-tħassir propost se jaffettwa.

Tip

Jekk inti tħassar komponent, kollha ta 'sub-komponenti tagħha se jitħassru wkoll. Tista 'tagħżel li tħassar l-konnessjonijiet interni u esterni għall-komponent. Jekk inti tagħżel li ma iħassarha, il-konnessjonijiet huwa mehmuża li se jibqgħu, iżda dawn se jibqgħu mehmuża. Kollha komponenti u konnessjonijiet huma ta 'partikolari Tip . Tħassar il-komponent / konnessjoni ma għandhiex impatt fuq it-tip (fil-fergħa Tipi tas-siġra). Bl-istess mod, jekk il-komponent / konnessjoni għandha Standard assenjat, tħassir mhux se jkollha impatt fuq il-kaptan fil-fergħa Istandards.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali


Fehmiet Dijagramma

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Fehmiet Dijagramma

Jibagħtu l-kummenti fuq dan is-suġġett.

Thopinjonijiet eKaratteristika jiżgura li l-komponenti u konnessjonijiet li jiġu miżjuda ma 'dijagramma għandu jkollu assoċjazzjoni tip definit preċedentement qabel ma jkunu jistgħu jiġu miżjuda ma' dijagramma. Din il-karatteristika jippermetti l-limitazzjoni tat-tipi ta 'dijagrammi li tista' tinġibed billi jirrestrinġu l-forom u konnekters li huma assoċjati ma Komponenti u Konnessjonijieteżistenti fi ħdan arkitettura tiegħek.

Abilitazzjoni jew Skonnettjar dijagramma infurzar opinjonijiet

Il-ħila li jinfurzaw opinjonijiet dijagramma huwa awtomatikament attivat awtomatikament. Li jiskonnettja / jippermetti din il-karatteristika ikklikkja fuq Għodod | Għażliet ...| l Dijagrammatab, u deselect / tagħżel l- Jinfurzaw Dijagramma Fehmietcheck-kaxxa kif xieraq.

Nota

Jekk inti ma tara l-"tinforza Dijagramma Fehmiet"Għażla fuq il-tab Dijagramma allura inti ma għandekx il-Disinjatur add-on u l-għażla hija fuq b'mankanza.

Ħolqien ta 'dijagramma infurzabbli perspettiva

1. Jiżgura li inti għandek xi Fajl Abacus miftuħa mal- Explorerfehma murija.

2. Fil-fehma Explorer dritt ikklikkja fuq Viewpuntsu kklikkja fuq Oħloq Opinjoni Dijagramma

3. Il Opinjoni Dijagrammatieqa se jintwerew.

4. Jassenja isem rilevanti għall- perspettiva dijagrammau jinnota li l- perspettiva jiġi ffrankat taħt il Fehmiettaqsima ta 'l-esploratur.

5. Il Opinjoni Dijagrammatieqa se jintwerew.

6. Issa ikklikkja u drag-tipi komponenti rilevanti u t-tipi konnessjoni fil arkitetturi tiegħek fuq il- forom meħtieġa perspettiva trid. Tipi komponentigħandhom jiġu mkaxkra fuqformafil- foromtab, filwaqt tipi konnessjonigħandhom jiġu mkaxkra fuq wieħed mill-forom istil 5 linjafil- konnetturitab.

7. Biex isalva l- perspettiva dijagrammainti ħolqu ikklikkja fuq il- [image] fuq il-kantuniera tal-lemin ta 'fuq tal tiegħek Opinjoni Dijagrammatieqa.

Nota

Il perspettiva dijagrammajistgħu jiġu editjati billi tagħfas fuq il- perspettiva u l-għażla Openjew double-clickl perspettiva.

Synchonising aspett aġġornat bl dijagrammi

1. Jiżgura li inti għandek xi Fajl Abacus miftuħa.

2. Jew dritt ikklikkja l-perspettiva fit- Explorer tieqa taħt Meta-Mudell | Fehmietu tagħżel Sync Dijagramma Mappings ...

- Jew -

3. Agħlaq -perspettiva miftuħa u aġġornata tieqa u tagħżel Ivafil- Jissinkronizzaw li Perspettivadialog li hija murija.

4. Il Sinkronizzazzjoni perspettivadialog se jintwerew kif muri hawn taħt.

Checkboxes

· Żid Mappings nieqsa- Kwalunkwe forma ġdida (sa tip ta 'komponent) jew konnettur (sa tip ta' konnessjoni) assoċjazzjonijiet li ġew miżjuda għall-perspettivase jiġu miżjuda mal- dijagramma korrispondentis (jiġifieri tagħhomstensils)li huma marbuta mal-perspettiva.

· Aġġornament eżistentiMappings- Kwalunkwe Aspett aġġornati tal-forma eżistenti (sa tip ta 'komponent) jew konnettur (li tip ta' konnessjoni) assoċjazzjonijiet għall -perspettiva(eż kulur, stili font) se jiġi aġġornat fid- dijagramma korrispondentis (jiġifieri tagħhomstensils)li huma marbuta mal-perspettiva.

· Neħħi ExtraMappings- Kwalunkwe forma addizzjonali (sa tip ta 'komponent) jew konnettur (sa tip ta' konnessjoni) assoċjazzjonijiet li ġew miżjuda għall- dijagrammi (jiġifieri stensils tagħhom) iżda mhux fil- perspettivase jitneħħew mill- dijagramma korrispondentis (jiġifieri tagħhomstensils)li huma marbuta mal-perspettiva.

· Jissostitwixxu Settings Lokali għall Miżjud jew aġġornati mappings (Differenzi biss)- Kwalunkwe Aspett aġġornati tal-forma eżistenti (sa tip ta 'komponent) jew konnettur (li tip ta' konnessjoni) assoċjazzjonijiet għall -perspettiva(eż kulur, stili font) se jiġu applikati għall-elementi korrispondenti fuq il-dijagrammi li huma marbuta mal-perspettiva.Biss jiġu applikati l-"differenzi" aġġornati magħmula lill-perspettiva sabiex kwalunkwe settings lokali eżistenti fid-dijagramma li ma kinux aġġornati fil-perspettiva se jibqgħu l-istess.

· [image] Annotazzjonijiet – Kif intqal hawn fuq iżda speċifikament għall-annotazzjonijiet.

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Tpinġija Tool Features

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Tpinġija Tool Features

Jibagħtu l-kummenti fuq dan is-suġġett.

L-Għodda Tpinġija tappoġġja numru ta 'tpinġija karatteristiċi.

Zooming

L-iskala tal-dijagramma jistgħu jiġu mibdula tuża l-funzjoni zoom.

Biex inaqqsu l-iskala jew "zoom in '

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Press Ctrlu l- "=" ċavetta.

- Jew -

2. Agħżel il- Zoom Flbuttuna fuq il- Diagramtoolbar.

- Jew -

2. Press Ctrlu roll-rota maws quddiem. Nota: F'din il-modalità-kanvas se zoom lejn fejn l-maws huwa jittajjar fuq il-kanvas.

Biex tiżdied l-iskala jew "zoom out"

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Press Ctrlu l- "-" ċavetta.

- Jew -

2. Agħżel il- Zoom Outbuttuna fuq il- Diagramtoolbar.

- Jew -

2. Press Ctrlu roll-rota maws lura. Nota: F'din il-modalità-kanvas se zoom barra minn fejn l-maws huwa jittajjar fuq il-kanvas.

Auto-tqassim

It-tqassim tal-komponenti fid-dijagramma jistgħu jiġu modifikati awtomatikament.

Biex tqassim kollha komponenti on dijagramma

1. Clagħaq l Layout Dijagrammabuttuna fuq il-toolbar Dijagramma.

2. Agħżeljew Radjali Layout jew Layout Grid.

Nota

It-tqassim radjali se tuża dak li jissejjaħ "diretti seħħ" algoritmu tali li l-komponenti konnessi huma mfassla flimkien filwaqt komponenti mhux konnessi huma sfurzati bogħod minn xulxin. It-tqassim Grid se jużaw algoritmu fiss wisa 'u għoli ispazjar. Hija l-ewwelnett tippermetti lill-utent li jagħżel il-dijagramma ġenerali Aspect Ratio (eż 16: 9, A4 (Portrait), Ittra (Pajsaġġ)) u allura l-ispazjar fil-ġnub u bejn il-kolonni u ringieli kif muri hawn taħt.Bil tqassim Grid xi konnessjonijiet bejn il-komponenti ma jaffettwawx it-tqassim peress li hija sempliċiment jirranġa l-komponenti alfabetikament (bl-isem tagħhom) mill-top-xellug sal-qiegħ tal-lemin tal-kanvas. Maż-żewġ algoritmi forom freeform ma jiġux mċaqalqa.

Biex tqassim tfal komponenti fil-o ġenitur wieħedn dijagramma

1. Right-clickkomponent ta 'livell għoli li t-tfal tixtieq auto-tqassim.

2. Agħżel Tfal Layout.

Nota

Permezz ta 'default biss l-algoritmu tqassim radjali hija użata.

Nibdlu Element Estetika bħal Kulur, It-trasparenza, dellijiet u Rotazzjoni

L-elementi kollha dijagramma jkollhom estetika li jista 'jiġi manipulati kif mixtieq. Fil-każ ta 'forom assoċjati, jistgħu jiġu stabbiliti dawn l-aspetti kull tipu f'ħafna każijiet ukoll per eżempju. Fil-każ ta 'forom freeform, dawn il-proprjetajiet jistgħu jiġu stabbiliti per eżempjufuq il-kanvas.

Nota

Kwalunkwe kull istanza aspetti li ġew stabbiliti għall-forom assoċjati ser jingħata "miktubin fuq xulxin" jekk l-istess aspett tinbidel għat-tip korrispondenti.

Biex jinbidlu l-kulur ta 'forma assoċjat jew forma freeform

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew forma freeform fuq il-kanvas.

3. Agħżel Bidla Kulur.

4. Agħżel il- Kulur fissbuttuna tar-radju (jekk applikabbli).

5. Agħżel Kulur Bażiku jew Tiddefinixxi Kulur Custom fil-dialog u kklikkja kollox sew.

- Jew -

4. Agħżel il- Gradientbuttuna tar-radju (jekk applikabbli).

5. Jagħżlu jew orizzontali, vertikali, Forward Diagonal jew b'lura Diagonal għad-direzzjoni xaqliba fil-pulldown u ikklikkja kollox sew.

6. Agħżel Kulur Bażiku jew Tiddefinixxi Kulur Custom fil-dialog għall Biduu Tmiemu kklikkja kollox sew.

Nota

Abacus se kulur t-tagħrif miksub forma jekk;
a) huwa forma "sempliċi" ma 'element grafiku sottostanti wieħed (eż ċirku, rettangolu, eċċ polygon), jew
b) huwa forma ta '' kumpless "ma subshapes sottostanti multipli li huma l-kulur istess / gradjent bħal xulxin jew l-subshapes jkollhom LockScale = sett VERU.
Jekk il-kondizzjonijiet ta 'hawn fuq ma jiġux sodisfatti, l-isfond tal-forma hija kkulurita.

Li tiffissa l-kulur ta 'forma assoċjat miegħu skond l proprjetà

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil(MHUX fuq il-kanvas tpinġija).

3. Agħżel Bidla Kulur.

4. Agħżel il- Bl-użu tal-Proprjetàbuttuna tar-radju.

5. Agħżel proprjetà billi tikklikkja l- "..." buttuna fuq il-lemin tal-kaxxa.

6. Agħżel il- Medda buttuna tar-radju.

7. Aġġusta l- Minu MaxValuri kif mixtieq. Nota: kwalunkwe valur taħt il-valur minimu se jintwerew bħala l-kulur Min u kwalunkwe valur ogħla mill-massimu se jintwerew bħala l-kulur Max. Ukoll, meta jużaw Boolean, Lista jew Data / Ħin proprjetajiet l-valuri huma konvertiti għal indiċi kif ġej; Boolean (Foloz = 0, True = 1), Lista (l vale numru sħiħ ta '1 sa n għal kull valur valida sabiex axxendenti tagħhom li ġie speċifikat fil-qasam Unitajiet) u data / ħin (Numru ta' ġranet mill Jannar 1, 1900 - inkluż deċimali għat f'sigħat, minuti, sekonda porzjonijiet - u jekk id-data hija pre-1990 huwa numru negattiv).

8. Agħżel Kulur Bażiku jew Tiddefinixxi Kulur Custom fil-dialog għall Minu Maxu kklikkja kollox sew.

Tip

Jekk Aħdar (RGB - 128,255,0) hija magħżula bħala l-kulur Min u Red (RGB - 255,0,0) hija magħżula bħala l-kulur Max għal proprjetà ma 'firxa valur tal 1li 4imbagħad valur ta 1se jintwerew bħala Aħdar, Valur ta ' 2kif Isfar, 3kif Orangeu 4kif Red.

Alternattivament, għal firxa proprjetà ta 1li 3valur ta ' 1se jkunu kif Aħdar, Valur ta ' 2kif Amberu 3kif Redaka "Dwal tat-Traffiku" jew status RAG.

Għal firxa proprjetà ta '1 sa 5 jekk Blue (RGB - 0,0,255) hija magħżula bħala l-kulur Min u Red (RGB - 255,0,0) hija magħżula bħala l-Max kulur valur ta '1 għandu jkun Blue, Valur ta '2 kif Aqua, Valur ta '3 kif Aħdar, Valur ta '4 kif Isfar u valur ta '5 kif Red.

Għal firxa proprjetà ta '1 sa 6, jekk Vjola (RGB - 255,0,255) hija magħżula bħala l-kulur Min u Red (RGB - 255,0,0) hija magħżula bħala l-Max kulur valur ta '1 għandu jkun Vjola, Valur ta '2 kif Blue, Valur ta '3 kif Aqua, Valur ta '4 kif Aħdar, Valur ta '5 kif Isfar u valur ta '6 kif Red.

U fl-aħħarnett, għal firxa proprjetà ta '1 sa 7 valur ta' 1 għandu jkun Vjola, Valur ta '2 kif Dark Blue, Valur ta '3 kif Light Blue, Valur ta '4 kif Blue Paper, Valur ta '5 kif Aħdar, Valur ta '6 kif Amber u valur ta '7 kif Red

Nota

Ara n-nota hawn fuq tagħrif miksub versus kulur fl-isfond.

- Jew -

7. Agħżel il- Valur speċifikubuttuna tar-radju.

8. Ikklikkja l- Edit Kuluributtuna.

9. Agħżel kull valur min-naħa u kklikkja Set Kulurli tistabbilixxi kulur speċifiku għal kull valur.

Nota

Il-firxa ta 'valuri għall-elementi preżenti fuq il-dijagramma se tkun pre-popolati.

10. Biex iżżid xi kuluri valur addizzjonali ma 'dawk click pre-popolati (per eżempju wara l-firxa propjetà tkun ġiet ikkonfigurat mill-ġdid) Żid Valur.

Biex jinbidlu t-trasparenza kulur ta 'forma assoċjat jew forma freeform

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew forma freeform fuq il-kanvas.

3. Agħżel Bidla Kulur.

4. Fil-panel Trasparenza tistabbilixxi l-slider wiċċ għal trasparenza mixtieqa għall-kulur bażi.

5. Jekk il-Gradient jew użu ta 'għażliet Proprjetà qed jintużaw, fil-panel Trasparenza tistabbilixxi l-slider qiegħ tat-trasparenza mixtieqa għat-tieni kulur.

6. Ikklikkja kollox sew.

Biex turi dellijietgħall kollha tal- assoċjat forom fil dijagramma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentitab tat-tieqa stensil.

3. Agħżel Żid Dellijiet.

Biex juru dell fuq forma komponent jew forma freeform

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Dritt-Ikklikkjafuq il-forma komponent jew freeform fuq il-kanvas.

3. Agħżel Żid Dellijiet.

Li jduru forom komponenti u forom forma ħielsa fil dijagrammi

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Agħżel il-forma komponent jew forma freeform fuq il-kanvas inti tixtieq li jduru.

3. Right-clickfuq forma u tagħżel Dawwaru mbagħad tagħżel l-angolu rilevanti li trid dawwar il-forma minn.

Nibdlu Annotazzjonijiet element u Labels Test Freeform

L-elementi kollha dijagramma jkollhom annotazzjonijiet li jistgħu jkunu manipulati kif mixtieq. Fil-każ ta 'forom assoċjati, jistgħu jiġu stabbiliti dawn l-aspetti kull tipu f'ħafna każijiet ukoll per eżempju. Fil-każ ta 'forom Freeformu konnetturi, Il-tikketti test jistgħu jiġu stabbiliti per eżempjufuq il-kanvas.Tmien (8) it-tipi differenti ta 'annotazzjonijiet jistgħu jintwerew għal elementi dijagramma (jiġifieri Isem, Tip, Proprjetà Valur, Proprjetà Marker, Komponenti Mehmuża, Tfal (għal komponenti biss), l-Istandards u Timestamps (tinħoloq, tiġi modifikata mill-ETC)) fil għoxrin ħamsa (25) pożizzjonijiet differenti (eż Ċentru - Top Barra, Ġewwa xellug - Ċentru, Dritt Barra - Bottom barra).

Nota

Kwalunkwe kull istanza aspetti li ġew stabbiliti għall-forom assoċjati ser jingħata "miktubin fuq xulxin" jekk l-istess aspett tinbidel għat-tip korrispondenti.Barra minn hekk, fejn 2 jew aktar annotazzjonijiet jokkupaw l-istess pożizzjoni biss Font waħda, stil Font, kulur tipa u daqs jistgħu jintużaw u Separator (eż comma, l-ispazju, linja ġdida) għandhom jintgħażlu.

Biex turi l-isem jew it-tip għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Isem jew Tip.

5. Fil-dialog li jidher jagħżlu l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex juru proprjetà valur għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Proprjetà Valur.

5. Fil-dialog li jidher tagħżel l-proprjetà billi tikklikkja l-Proprjetà: "..." buttuna u jagħżlu proprjetà fil-dialog Agħżel A Proprjetàu tagħżel kollox sew. Agħżel l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex juru proprjetà markatur għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Proprjetà Marker.

5. Fil-dialog li jidher tagħżel l-proprjetà billi tikklikkja l-Proprjetà: "..." buttuna u jagħżlu proprjetà fil-dialog Agħżel A Proprjetàu tagħżel kollox sew. Issettja l-raġġ tal-markatur fil pixels u l-metodu kulur li jew Kulur Permezz Range jew Kulur ma 'proprjetà u tistabbilixxi l-assenjazzjonijiet kuluri. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex turi komponenti mehmuża għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Komponenti Mehmuża.

5. Fil-dialog li jidher, għall-komponenti assoċjati tagħżel it-tip ta 'komponent mehmuża billi tikklikkja l-Mehmuża: "..." buttuna u jagħżlu tip ta' komponent fir-dialog Set Komponent Tipu tagħżel kollox sew. Agħżel it-tip konnessjoni mehmuża billi tikklikkja l-Via Konnessi: "..." buttuna u jagħżlu tip ta 'konnessjoni fil-dialog Set Tip Konnessjoniu tagħżel kollox sew.Għal konnessjonijiet assoċjati tagħżel l-aħħar konnessjoni billi tagħżel Sors jew Sink mill-Tmiem Konnessjoni: pull-down menu. Għaż-żewġ komponenti assoċjati u konnessjonijiet jagħżlu l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex turi it-tfal għal komponent assoċjat

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentitab tat-tieqa stensil jew forma assoċjat fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għal forma individwali assoċjat fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Tfal.

5. Fil-dialog li jidher jagħżlu l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex turi l-istandards għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Standards.

5. Fil-dialog li jidher jagħżlu l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex turi l timestamps għal komponent assoċjat jew konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-clickfuq forma assoċjat jew konnettur fil- Komponentijew Konnessjonijiettab tat-tieqa stensil jew forma assoċjat jew konnettur fuq il-kanvas.

3. Agħżel Annotazzjonijiet.

Nota

Għall-individwu assoċjat forma jew konnettur fuq il-kanvas ser ikollok bżonn li jagħżlu l- Jwarrab Annotazzjonijiet StensilCheckbox-ewwel darba.

4. Agħżel New Annotazzjoni fil-toolbar u jagħżlu Maħluqa, maħluqa minn, maħluqa Marker, Modifikat, Modifikat permezz jew Modifikat Marker.

5. Fil-dialog li jidher, jekk mhux markatur, tagħżel l-għażliet Display li huma mixtieqa inkluż brackets u l-istil Font, Font, kulur tipa u daqs. Jekk markatur, tistabbilixxi l-raġġ tal-markatur fil pixels u l-metodu kulur li jew Kulur Permezz Range jew Kulur ma 'proprjetà u tistabbilixxi l-assenjazzjonijiet kuluri. Ukoll, jagħżlu l-għażliet tqassim li huma mixtieqa inkluż l-allinjament orizzontali u vertikali (jiġifieri pożizzjoni annotazzjoni) u l-Angolu (ie rotazzjoni). Agħżel kollox sew.

Biex jinbidlu l-istil font ta 'forma freeformjew konnettur

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq il-forma freeform jew konnettur fuq il-kanvas. Nota: Jekk il- konnettur tikketta test jurix mbagħad biex juru l-konnessjonijew tikketta test: Right-clickl jgħaqqdujewu tagħżel Annotazzjoni | Uri Annotazzjoni.

3. Agħżel Bidla Font.

4. Agħżel stil Font, tipa u daqs fil-dialog u tagħżel kollox sew.

Biex jinbidlu l-font kulur ta 'forma freeformjew konnettur

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq il-forma freeform jew konnettur fuq il-kanvas. Nota: Jekk il- konnettur tikketta test jurix mbagħad biex juru l-konnessjonijew tikketta test: Right-clickl jgħaqqdujewu tagħżel Annotazzjoni | Uri Annotazzjoni.

3. Agħżel Bidla Font Kulur.

4. Agħżel FontKulur (jew għal forom tal-Link Kulur) billi tikklikkja l- "..." buttuna u tagħżel kulur fil-dialog u tagħżel kollox sew.

5. Agħżel il-Trasparenza tat-tikketta test billi jaġġusta l-slider ma 0 jkunu kompletament trasparenti u 255 qed kompletament opak.

Li jduru it-tikketta test ta 'forma freeformjew konnettur

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Right-clickfuq il-forma freeform jew konnettur fuq il-kanvas. Nota: Jekk il- konnettur tikketta test jurix mbagħad biex juru l-konnessjonijew tikketta test: Right-clickl jgħaqqdujewu tagħżel Annotazzjoni | Uri Annotazzjoni.

3. Agħżel Dawwaru mbagħad tagħżel l-angolu rilevanti inti tixtieq li jduru l- tikketta test by.

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Jissimulaw ispiża totali ta 'Proprjetà (TCO)

Navigation: Jissimulaw l-arkitettura tiegħek> Simulaturi>

Jissimulaw ispiża totali ta 'Proprjetà (TCO)

Jibagħtu l-kummenti fuq dan is-suġġett.

Sfond

Spiża totali ta 'Proprjetà (TCO) hija stima finanzjarja, maħsuba biex tkejjel l-ispejjeż taċ-ċiklu tal-ħajja totali minfuqa (minn akkwist għad-diżattivazzjoni / rimi) assoċjati ma' assi li jkunu proprjetà. TCO jirrifletti mhux biss l-ispejjeż ta 'xiri, din tinkludi wkoll l-aspetti l-oħra fl-użu ulterjuri u l-manutenzjoni tal-assi.

TCO hija użata sabiex tiddetermina l-isforz u l-ispejjeż meħtieġa tal-baġit li jonfqu fuq sistema. A mod sempliċi ta 'mudellar fil Abacus għall TCO huwa li jiksru s-sistema tal-IT isfel fil-komponenti. Nistgħu mbagħad issir taf kemm fuq medja l-ispejjeż biex imexxu wieħed minn dawn il-komponenti. Wara dan nistgħu mbagħad fattur fl-ispejjeż differenti skond jekk is-sistema tal-IT hija evolvable jew miftuħa eċċ Jekk sistema jkun diġà twaqqaf u qed jiffunzjona, il-fattur ewlieni li wieħed għandu jikkonsidra huwa l-ispiża ta 'manutenzjoni u forsi l-ispiża biex tiddiżattiva.

Eżempju

Dijagramma għall Eżempju Kalkolu

Il-komponent taħt Organizzazzjoni jew standard tagħha għandha dawn il-proprjetajiet:

· FTE= 100 000 $ / yr

· Appoġġ Isforz= 0.01 FTE + 0.001 FTE / sena = 1000 $ + 100 $ / yr

· Cost Manutenzjoni= 100 $ - 10 $ / yr

· Kapital Cost= 2000 $

· Installa Isforz= 2 FTE / ġranet = 0.01 FTE / sena = 1000 $

Il-komponent taħt Organizzazzjoni għandha dawn il-proprjetajiet:

· Installa Horizon= -2 Snin (ie Is-sistema kienet installata 2 snin qabel l-preżenti)

· Ħajja= 3 snin

Meta Installa Horizon + Ħajja <= 0 , M'hemmx Manutenzjoni aktar Cost.

Kalkoli

Il-kalkoli huma kif ġej:

Nota

TC =-ispiża għal kull sena. SE = Appoġġ Isforz. MC = Cost Manutenzjoni.

· Inizjali ispiża = Belt Kapitali ispiża + Installa Isforz= 2000 + 1000 = 3000 $

· T = -2 (matul 1-sena), TC =-ispiża inizjali + SE + MC= 3000 + 1000 + 100 = 4100 $

· T = -1, TC = SE + MC= (1000 + 100) + (100-10) = 1190 $

· T = 0, TC = (1000 + 200) + (100-20) = 1280 $

· T = 1 (aħħar sena), TC = (1000 + 300) + (100-30) = 1370 $

Grafika għall Eżempju Kalkolu

TCO huwa s-somma tal-ispejjeż kollha preżenti u futuri sakemm is-sistema tkun ġiet dekommissjonati.

· T = -2 (matul 1-sena), TCO = 4100 + 1190 + 1280 + 1370 = 7940 $

· T = -1, TCO = 1190 + 1280 + 1370 = 3840 $

· T = 0, TCO = 1280 + 1370 = 2650 $

· T = 1 (aħħar sena), TCO = 1370 $

Fatturi ewlenin Cost

Il-fatturi ta 'spejjeż ewlenin li għandhom jitqiesu meta jiġi kkalkulat il-TCO ta' assi fil Abacus huma:

· Akkwist Hardware- Ispiża inizjali tat-tagħmir (spiża kapitali).

· Software Akkwist- Ispiża inizjali tal-liċenzja għal software (spiża kapitali).

· Installazzjoni- Spejjeż assoċjati ma setup tal-bidu.

· Taħriġ- In-nefqa assoċjata mat-taħriġ bejjiegħ esterna wara setup tal-bidu.

· Appoġġ- In-nefqa assoċjata mal-appoġġ intern.

· Manutenzjoni- Spejjeż biex jissostitwixxi jew jaġġornaw l-bejjiegħ kuntratti ta 'manutenzjoni, provvisti u spejjeż ta' rkupru għad-diżastri.

· Infrastruttura- Spejjeż assoċjati mal tappoġġja l-assi.

Abacus Eżempju Rappreżentazzjoni tal Fatturi ewlenin Cost

Running-simulatur Cost

Biex jissimulaw arkitettura tiegħek f'termini ta 'spiża

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Analiżi| Cost.

3. Agħżel il- Arkitettura (i)inti jixtiequ jinkludu fl-evalwazzjoni.

Nota

Konvenzjonalment, Abacus awtomatikament se tagħżel l-arkitettura (i) li għalihom 'simulazzjoni ġdid hija meħtieġa minħabba xi proprjetà sottostanti jew bidliet strutturali.Dan tenfasizza tidher fit Red fuq il Toolbar Simulazzjoni .

4. Agħżel il- Munitamill-pull-down.

5. Mexxi l- Snin għall-kalkoluslider għan-numru ta 'snin meħtieġa.

Nota

Konvenzjonalment, jekk il-Snin għall-kalkolu huwa aktar minn 1 sena l-ispejjeż awtomatikament se jiġu kkalkulati għal kull sena individwali (u kollezzjoni ta 'proprjetajiet miżjud / aġġornati) u mbagħad valur kumulattiv għan-numru kollu ta' snin li wkoll. Jekk biss il-valur kumulattiv huwa meħtieġ imbagħad uncheck Spejjeż Per-Sena Ikkalkulagħażla kif deskritt hawn taħt biex jiffrankaw fuq in-numru ta 'proprjetajiet fil-proġett.

6. Jagħżlu jekk jitilqu Spejjeż Per-Sena Ikkalkulaċċekkjati jew uncheck dan.

7. Ikklikkja Li jmiss.

8. B'għażla jagħżlu l- Konnessjonijietinti tixtieq li tattribwixxi l-ispejjeż flimkien bħala parti mill-evalwazzjoni.

Nota

Permezz ta ' Spiża | Attribuzzjoniproprjetà fuq l-ispejjeż konnessjonijiet jista 'jkun attribwiti mill-komponent imwaħħla mat-tarf sink tal-konnessjoni mal-komponent imwaħħla mat-tarf sors(ie Spiża | Attribution = "Sink sors"), jew mill-komponent mehmuża mal- sors aħħar tal-konnessjoni mal-komponent mehmuża mal- sink aħħar(jiġifieri Spiża | Attribution = "Sors għall Sink"). Barra minn hekk, Abacus awtomatikament se tagħżel dawk konnessjonijiet ma 'Mġiba | Relazzjoni = "proċessi" jew "jappoġġja"u d-direzzjoni ta 'attribuzzjoni se jkun "Sink sors". Barra minn hekk, l-ispejjeż huma mqassma skond xi Imġiba | % Jew spiża | Proprjetajiet% fuq il-konnessjonijiet, jew inkella fejn hemm konnessjonijiet multipli minn sink biex ħafna sorsijew sors ħafna bjar, Skond xi Imġiba | Proprjetajiet ipproċessar fuq il-komponenti ta 'sorsjew jegħrqu komponenti rispettivament.

9. Ikklikkja Finishu inti se tikseb Twissijadialog.

10. B'għażla tesplora t-twissijiet billi tikklikkja Dettalji >>.

11. Ikklikkja Kompli.

Nota

Wara dan, Abacus se twettaq evalwazzjoni li jiswew bbażata fuq l-attività tal-arkitettura (i) u wara żmien qasir (bil-bars progress għal feedback) kalkolu dialog komplet se jidhru.

12. Ikklikkja kollox sewbiex jagħrfu l-evalwazzjoni.

Tip

Għall-korsijiet ta 'taħriġ u aktar għajnuna tul il Simulazzjoni ispiża, jekk jogħġbok irreferi għall- Avolution Komunità .

Komponent u / jew Konnessjoni Properties

It-tabella li ġejja telenka l-komponent u / jew konnessjoni proprjetajiet meħtieġa biex tevalwa l-ispiża.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input Cost ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" u l-bidliet strutturali varji għall-repożitorju ser tirriżulta fil-simulatur Cost jeħtieġu s-simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip

Isem

Default Valur

Unità

Tip Data

Meħtieġa

Deskrizzjoni

Cost

Installa Horizon

0

snin

Integer

Veru

Jispeċifika meta l-komponent jew konnessjoni kien, jew se tkun installata.

· Valur ta '0 (l-inadempjenza) jindika li l-komponent jew konnessjoni jkun qed jiġi installat fis-sena kurrenti.

· A valur anqas minn 0 jindika li l-komponent jew konnessjoni ġie installat fil-passat.

· A valur akbar minn 0 jindika li l-komponent jew konnessjoni se jkun installat fil-futur.

Cost

Ħajja

0

snin

Integer

Veru

Jispeċifika t-tul ta 'żmien li fih il-komponent jew konnessjoni se tibqa 'titħaddem, wara li se jkun dekommissjonat.

Cost

FTE

100,000.00

$ / sena

Deċimali

Falza

L-ispiża annwali ta 'kull impjegat full Time.

Jekk din il-proprjetà ma tinstabx fil-komponentinnifsu jew fil-każ ta 'konnessjonijiet-komponent imwaħħla mat-tarf sink tal-konnessjoni, Se jiġu mfittxija fil komponenti l-oħra.

L-ewwelnett, kwalunkwe "sink" komponentsfl-aħħar tal a konnessjoni ma '"jappoġġja" relazzjoni għall-komponent se jiġu mfittxija, segwit minn dak il-ġenitur komponent tal-sink "s.

Jekk il-proprjetà FTE ma tinstabx, il-komponent tal- ġenitur-components mbagħad jiġu mfittxija. Jekk FTE għadu ma tinstabx, huwa użat il-valur ta 'default.

Jekk jogħġbok Nota: FTE hija biss proprjetà input valida fuq il-komponenti.

Cost

Spiża Manutenzjoni (fissi)

0.00

$ / sena

Deċimali

Falza

L-ispiża fissa annwali ta 'żamma tal-komponentjew konnessjoni.

Cost

Spiża Manutenzjoni (varjabbli)

0.00

$ / sena

Deċimali

Falza

L-ammont li bih l-ispiża totali taż-żamma tal-komponent jew konnessjoni se jinbidlu kull sena.

Per eżempju, valur ta '$ -500 tindika li l-ispiża totali ta' manutenzjoni tonqos $ 500 kull sena, filwaqt li valur ta '$ 500 tindika li total tal-żidiet fl-ispejjeż ta' manutenzjoni minn $ 500 kull sena.

Cost

Appoġġ Isforz (fissi)

0.00

FTE / sena

Deċimali

Falza

L-isforz fiss annwali ta 'appoġġ għall-komponentjew konnessjoni, Speċifikati f'termini ta 'persuna snin.

Cost

Appoġġ Isforz (varjabbli)

0.00

FTE / sena

Deċimali

Falza

L-ammont li bih l-isforz totali ta 'appoġġ għall-komponent jew konnessjoni se jinbidlu kull sena.

Per eżempju, valur ta '-0.01 tindika li l-isforz totali appoġġ tonqos 0.01 snin ta' persuni kull sena, filwaqt valur ta '0.01 jindika li ż-żidiet totali isforz appoġġ mill 0.01 kull sena.

Cost

Kapital Cost

0.00

$

Deċimali

Falza

L-ispiża inizjali ta 'xiri l-komponentjew konnessjoni.

Cost

Installa Isforz

0.00

FTE

Deċimali

Falza

L-isforz meħtieġa, persuna snin, biex tinstalla l-komponentjew konnessjoni.

It-tabella li ġejja telenka l-komponent u / jew konnessjoni proprjetajiet li huma output mill-evalwatur TCO. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Cost ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Cost teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Nota

Fejn il-proprjetajiet produzzjoni mill-evalwatur TCO jeħtieġ li tkun "tond" l- "nofs Round li anki" approċċ (imsemmi wkoll bħala "bankiera" arrotondament) hi użata.Din it-teknika hija użata għal aktar indaqs isolvu kwalunkwe 0.5 "tie-pawżi" bir-riżultat li qed arrotondati għall-eqreb anke riżultat, aktar milli dejjem arrotondament jew 'l isfel u tagħwiġ r-riżultat. Jiġifieri 2.5 hija kalkolata bi tnaqqis sa 2, filwaqt li 3.5 għandu jiġi arrotondat sa 4, aktar milli tnejn qed la kalkolata bi tnaqqis sa 2 u 3 jew mqarrba sa 3 u 4.

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Cost | Spiża totali għal Own - sena x ġejjin. | $ | Integer | Falza | L-ispiża totali tas-sjieda fuq l-li jmiss xsnin, fejn x huwa t-tul ta 'żmien speċifikat waqt il-ġiri tal-evalwatur. Dan jinkludi l-ispiża tal-proċeduri ta 'komponent jew tal-konnessjoni istandards, sub-komponentijew sub-konnessjonijiet(jiġifieri tfal) u kwalunkwe spejjeż attribwiti.
Cost | Spiża totali għal Own (lokali) - li jmiss x snin. | $ | Integer | Falza | L-ispiża "lokali" ta 'proprjetà fuq l-li jmiss xsnin, fejn xhuwa t-tul ta 'żmien speċifikat waqt il-ġiri tal-evalwatur. Dan ma mhuxjinkludu l-ispiża ta 'sub-komponenti tal-komponent jew sub-konnessjonijiet konnessjoni tal (jiġifieritfal) jew kwalunkwe spejjeż attribwiti.
Cost | Spiża totali għal Own (tfal) - dieħla x snin. | $ | Integer | Falza | L-ispiża "tfal" ta 'proprjetà fuq l-li jmiss xsnin, fejn x huwa t-tul ta 'żmien speċifikat waqt il-ġiri tal-evalwatur. Dan biss tinkludi l-ispiża ta 'sub-komponenti tal-komponent jew sub-konnessjonijiet konnessjoni tal (jiġifieri tfal).
Cost | Spiża totali għal Own (attribwita) - dieħla x snin. | $ | Integer | Falza | L-ispiża "attribwit" ta 'proprjetà fuq l-li jmiss xsnin, fejn x huwa t-tul ta 'żmien speċifikat waqt il-ġiri tal-evalwatur. Dan biss jinkludi kwalunkwe spejjeż attribwiti mill-komponenti mehmuża(li tista 'naturalment jinkludu spejjeż attribwiti minn kull konnessjonijiet mehmuża).

It-tabella li ġejja telenka l-komponent u / jew konnessjoni proprjetajiet li huma output mill-evalwatur TCOjekk il Ikkalkula Per-Sena ispejjeż għażla hija magħżula. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Cost ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Cost teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Nota

Ara n-nota hawn fuq dwar l-arrotondament possibbli ta 'proprjetajiet output.

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Cost | Spiża totali għal Proprji - senax. | $ | Integer | Falza | L-ispiża totali tas-sjieda għall sena x, Fejn x hija għal kull sena speċifikat waqt il-ġiri tal-evalwatur. Dan jinkludi l-ispiża tal-proċeduri ta 'komponentjew tal-konnessjoni istandards, sub-komponenti jew sub-konnessjonijiet (jiġifieri tfal) u kwalunkwe spejjeż attribwiti.
Cost | Spiża totali għal Own (lokali) - senax. | $ | Integer | Falza | L-ispiża "lokali" ta 'sjieda għas-sena x, Fejn xhuwa għal kull sena speċifikat waqt il-ġiri tal-evalwatur. Dan ma mhuxjinkludu l-ispiża ta 'sub-komponenti tal-komponent jew sub-konnessjonijiet konnessjoni tal (jiġifieri tfal) jew kwalunkwe spejjeż attribwiti.
Cost | Spiża totali għal Own (tfal) - senax. | $ | Integer | Falza | Ispiża Il- "tfal" tal-pussess għas-sena x, Fejn x hija għal kull sena speċifikat waqt il-ġiri tal-evalwatur. Dan biss tinkludi l-ispiża ta 'sub-komponenti tal-komponent jew sub-konnessjoni konnessjoni tal (jiġifieri tfal).
Cost | Spiża totali għal Own (attribwita) - senax. | $ | Integer | Falza | L-ispiża "attribwit" ta 'sjieda għas-sena x, Fejn x hija għal kull sena speċifikat waqt il-ġiri tal-evalwatur. Dan biss jinkludi kwalunkwe spejjeż attribwiti mill-komponenti mehmuża(li tista 'naturalment jinkludu spejjeż attribwiti minn kull konnessjonijiet mehmuża).

Addizzjonali Properties Konnessjoni

Il-listi li ġejjin tabella addizzjonali proprjetajiet konnessjoni li huma meħtieġa mill-evalwatur TCO. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input-ispiża / Performance "jew sempliċiment" input Cost ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" u l-bidliet strutturali varji għall-repożitorju ser tirriżulta fil-ispiża u / jew Simulatur Prestazzjoni jeħtieġu s-simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip

Isem

Default Valur

Unità

Tip Data

Meħtieġa

Deskrizzjoni

Cost

Attribuzzjoni

Sink mal Sors

[Sors għall inżel | Sink biex Sors]

Lookup / Lista

Veru

Jekk "Sors għall Sink", F'dan ir-rigward se għandhom għandhom ispiżasattribwit "flimkien" dan mill- sorskomponent għall- sink komponent. Alternattivament, jekk "Sink mal Sors", F'dan ir-rigward se jkunu spejjeż attribwiti "flimkien" dan mill-komponent sink għall-komponent sors.

Imġiba

Relazzjoni

jappoġġja

proċessi [| jappoġġja]

Lookup / Lista

Falza

Jekk "jappoġġja", f'dan ir-rigward jindika li "sors" komponent huwa appoġġjat mill- "sink" komponent.

Barra minn hekk, jekk jew "jappoġġja" jew "proċessi" allura l-konnessjoni awtomatikament se jiġu magħżula fil-konnessjonijiet li jkollhom spejjeż tagħhom attribwiti "tul" mill-komponent sink għall-komponent sors.

Cost

%

100.0

%

Deċimali

Falza

Jindika l-proporzjon tal-ispejjeż komponenti sink li se jiġu attribwiti għall-komponent sors. Il-valuri% ma jeħtiġux li jammontaw għal 100% u huwa sempliċiment użati għall-iskala l-"L-ispiża totali li Proprji -. Snin x ġejjin" proprjetà (ara hawn fuq) mill-komponent sink kif huwa attribwit għall-komponent sors.

Properties Arkitettura

It-tabella li ġejja telenka l-proprjetajiet arkitettura li huma output mill-evalwatur TCO. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Cost ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Cost teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Nota

Ara n-nota hawn fuq dwar l-arrotondament possibbli ta 'proprjetajiet output.

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Cost | Spiża totali għal Own - sena x ġejjin. | $ | Integer | Falza | L-ispiża totali tas-sjieda tal-arkitettura kollu matul is-snin x ġejjin.

It-tabella li ġejja telenka l-proprjetajiet arkitettura li huma output mill-evalwatur TCOjekk il Ikkalkula Per-Sena ispejjeż għażla hija magħżula. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Cost ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Cost teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Nota

Ara n-nota hawn fuq dwar l-arrotondament possibbli ta 'proprjetajiet output.

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Cost | Spiża totali għal Proprji - senax. | $ | Integer | Falza | L-ispiża totali tas-sjieda għall l-arkitettura kollu għas-sena xfil-futur.


Tissimula Modularità

Navigation: Jissimulaw l-arkitettura tiegħek> Simulaturi>

Tissimula Modularità

Jibagħtu l-kummenti fuq dan is-suġġett.

Is-simulatur modularità tikkalkula l-għadd ta 'konnessjonijiet deħlin u ħerġin għal kull komponent.

Biex jissimulaw arkitettura tiegħek f'termini ta 'modularità

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Analiżi| Modularità.

3. Agħżel il- Arkitettura (i)inti jixtiequ jinkludu fl-evalwazzjoni.

Nota

Konvenzjonalment, Abacus awtomatikament se tagħżel l-arkitettura (i) li għalihom 'simulazzjoni ġdid hija meħtieġa minħabba kwalunkwe bidla strutturali sottostanti.Dan tenfasizza tidher fit Red fuq il Toolbar Simulazzjoni .

4. Ikklikkja Li jmiss.

5. Agħżel il- Tipi konnessjoni (jiet)inti jixtiequ jinkludu fl-evalwazzjoni.

6. Ikklikkja Li jmiss.

7. B'għażla customize l-ismijiet tal-proprjetà għar-riżultati tal-kalkolu.

8. Ikklikkja Finish.

Nota

Wara dan, Abacus se jwettaq evalwazzjoni strutturali tal-arkitettura (i) u wara żmien qasir (bil-bars progress għal feedback) kalkolu dialog komplet se jidhru.

9. Ikklikkja kollox sewbiex jagħrfu l-evalwazzjoni.

Tip

Għall-korsijiet ta 'taħriġ u aktar għajnuna dwar l-evalwazzjoni Modularità jekk jogħġbok irreferi għall- Avolution Komunità .

Properties komponenti

It-tabella li ġejja telenka l-proprjetajiet tal-komponenti li huma output mill-evalwatur modularità.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Modularità ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba bidla strutturali sottostanti fl-arkivju u l-simulatur Modularità teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Tip Data | Meħtieġa | Deskrizzjoni
Modularità | Coupling-fann f '(lokali) | Integer | Falza | Numru ta 'konnessjonijiet li fann fis dan il-komponent.
Modularità | Coupling-fann out (lokali) | Integer | Falza | Numru ta 'konnessjonijiet li fan minn dan il-komponent.
Modularità | Coupling-fann fil | Integer | Falza | Numru ta 'konnessjonijiet li fann fis dan il-komponent, inklużi konnessjonijiet li fan f'sub-komponenti.
Modularità | Coupling-fann out | Integer | Falza | Numru ta 'konnessjonijiet li fan minn dan il-komponent, inklużi konnessjonijiet li fan f'sub-komponenti.


Tissimula ftuħ

Navigation: Jissimulaw l-arkitettura tiegħek> Simulaturi>

Tissimula ftuħ

Jibagħtu l-kummenti fuq dan is-suġġett.

Is-simulatur ftuħ jiddetermina l-grad li fih l-arkitettura u l-elementi tiegħu huma "miftuħa", jiġifieri, l-abbiltà tas-sistema biex jimmaniġġaw tibdil ta 'komponenti b'impatt minimu.

Biex jissimulaw arkitettura tiegħek f'termini ta 'ftuħ

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Analiżi | It-trasparenza.

3. Agħżel il- Arkitettura (i)inti jixtiequ jinkludu fl-evalwazzjoni.

Nota

Konvenzjonalment, Abacus awtomatikament se jagħżlu l-ewwel arkitettura li għaliha s-simulazzjoni ġdid hija meħtieġa minħabba xi proprjetà sottostanti jew bidliet strutturali.Dan tenfasizza tidher fit Red fuq il Toolbar Simulazzjoni .

4. Ikklikkja Finishu inti se tikseb Twissijadialog.

5. B'għażla tesplora t-twissijiet billi tikklikkja Dettalji >>.

6. Ikklikkja Kompli.

Nota

Wara dan, Abacus se jwettaq evalwazzjoni strutturali tal-arkitettura (i) u wara żmien qasir (bil-bars progress għal feedback) kalkolu dialog komplet se jidhru.

7. Ikklikkja kollox sewbiex jagħrfu l-simulazzjoni.

Tip

Għall-korsijiet ta 'taħriġ u aktar għajnuna dwar l-Evalwazzjoni Ftuħ jekk jogħġbok irreferi għall- Avolution Komunità .

Komponent u Konnessjoni standard Properties

It-tabella li ġejja telenka l-proprjetajiet standard komponenti u l-konnessjoni meħtieġa għall-valutazzjoni ftuħ.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input trasparenza ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" fil-repożitorju ser tirriżulta fil-simulatur trasparenza teħtieġ 'simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip | Isem | Default Valur | Unità | Tip Data | Meħtieġa | Deskrizzjoni
It-trasparenza | Maturità-Organizzazzjoni Livell standards Standard |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Livell tal responsabbli Korp Istandards 0:Organizzattiva / Proprjetarji 1:Konsorzju / defacto 2:Nazzjonali / Militari 3:Internazzjonali
It-trasparenza | Standards Standard Maturità-Istatus |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Approvazzjoni ta 'livell milħuq mal-korp standards 0:Abbozz Ħidma tal-Kumitat / 1:Abbozz pubbliku / balloted 2:Abbozz Interim 3:Approvat
It-trasparenza | Standards Standard Maturità-Istabbiltà |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Huwa l-istandard li x'aktarx ibiddel? 0:Standard skaduti 1:Highly soġġetta għal bidla fil jmiss 1 sa 2 snin 2:Tibdil fil-Magħruf / aġġornamenti għall-karatteristiċi eżistenti 3:Stabbli ħafna (l-ebda bidla fi żmien 2 snin)
It-trasparenza | Standards Standard Maturità-bejjiegħ Appoġġ |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Appoġġ Vendor 0:L-ebda prodotti jew bejjiegħa tappoġġja l-istandard 1:Bejjiegħa waħda jew aktar li jimplimentaw porzjon tal-istandard 2:Bejjiegħ aktar minn waħda bi prodotti li jimplimentaw partijiet kollha tal-istandard 3:Ħafna aktar minn wieħed bejjiegħ ma 'prodotti li jimplimentaw partijiet kollha tal-istandard
It-trasparenza | Standards Standard espliċità-Dokumentazzjoni |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Kwalità tad-dokumentazzjoni standard 0:Poor 1:Fair 2:Tajba 3:Eċċellenti
It-trasparenza | Standards Standard espliċità-Standard Wisa |  |  | Integer | Falza | Numru ta 'karatteristiċi. L-għadd ta 'l-karatteristiċi standard livell aktar baxx - Sf
It-trasparenza | Standards Standard espliċità-Sm |  | % | Deċimali | Falza | Perċentwali tal-għadd totali ta 'karatteristiċi li huma obbligatorji
It-trasparenza | Standards Standard espliċità-So |  | % | Deċimali | Falza | Perċentwali tal-għadd totali ta 'karatteristiċi li huma fakultattivi
It-trasparenza | Standards Standard espliċità-Sc |  | % | Deċimali | Falza | Perċentwali tal-għadd totali ta 'karatteristiċi li huma definiti b'mod kondizzjonali
It-trasparenza | Profili-Profil Dokumentazzjoni-Dokumentazzjoni |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Kwalità tad-dokumentazzjoni standard 0:Xejn 1:Poor 2:Fair 3:Eċċellenti
It-trasparenza | Profili-Profil Dokumentazzjoni-Eżattezza |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Il dokumentazzjoni jirriflettu l-disinn tas-sistema attwali? Liema livell ta 'karatteristiċi profil huma użati fis-sistema? 0:Ebda fatturi 1:Xi karatteristiċi 2:Aktar karatteristiċi 3:Il-karatteristiċi kollha
It-trasparenza | Profili-Profil Dokumentazzjoni fuq maturità |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Hija l-profil maturi u disponibbli? 0:Ad hoc 1:Proġett ibbażat 2:Organizzattiva 3:Pubbliku
It-trasparenza | Profili-Profil-espliċità espliċitu Wisa |  |  | Integer | Falza | Numru ta 'karatteristiċi standard speċifikati Kif meħtieġ fil-profil
It-trasparenza | Profili-Profil espliċità-Pm |  | % | Deċimali | Falza | Perċentwali ta 'fatturi viżwali obbligatorji fil-profil
It-trasparenza | Profili-Profil espliċità-Po |  | % | Deċimali | Falza | Persentaġġ ta 'FAKULTATTIV karatteristiċi fil-profil
It-trasparenza | Profili-Profil espliċità-Pc |  | % | Deċimali | Falza | Perċentwali ta 'KONDIZZJONALI DEFINIT karatteristiċi fil-profil
It-trasparenza | Profili-Profil espliċità-Kopertura |  | % | Deċimali | Falza | Perċentwal ta 'karatteristiċi standard indirizzati b'mod speċifiku fil-profil
It-trasparenza | Profili-Profil Estensjonijiet-Estensjoni Wisa |  |  | Integer | Falza | Numru ta 'non-standard karatteristiċi speċifikati mill-profil
It-trasparenza | Profili-Profil Estensjonijiet-Kopertura |  | % | Deċimali | Falza | Persentaġġ ta 'estensjonijiet dettaljati fil-profil
It-trasparenza | Disponibbiltà prodotti Product u Konformità-numru ta 'prodotti |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Numru ta 'prodotti tappoġġja l-karatteristiċi obbligatorji ta' l-istandard 0:Ebda prodotti tappoġġja l-istandard 1:Prodott wieħed jew aktar jiġu implimentati porzjon tal-istandard 2:Aktar minn prodott wieħed jimplimenta partijiet kollha tal-istandard 3:Ħafna aktar minn prodott wieħed jimplimenta partijiet kollha tal-istandard
It-trasparenza | Disponibbiltà prodotti Product u Konformità-Applikazzjoni Konformità |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Liema livell ta 'konformità ma' prodotti jkollhom l-istandard? 0:Xejn 1:Dikjarata 2:Wera 3:Certified u wera
It-trasparenza | Disponibbiltà prodotti Product u Konformità-Konformità Kwalità |  | [0 | 1 | 2 | 3] | Lookup / Lista | Falza | Kwalità tal-ittestjar għall-konformità 0:Xejn 1:In-house ittestjar mill-iżviluppatur prodott 2:Ittestjar indipendenti (eż NIST) 3:Murija kuntest ta 'prodott rilevanti

Komponent, Konnessjoni u Properties Arkitettura

It-tabella li ġejja telenka l-komponent, konnessjoni u l-proprjetajiet arkitettura output mill-evalwatur ftuħ. Kollha tal-proprjetajiet li ġejjin jevalwaw sa bejn żero (0) u tliet (3), żero (0) huwa l-inqas mixtieq u tliet (3) huwa l-iktar mixtieqa.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output trasparenza ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba bidla proprjetà sottostanti fir-repożitorju u l-simulatur ftuħ teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Tip Data | Meħtieġa | Deskrizzjoni
It-trasparenza | It-trasparenza | Deċimali | Falza | Evalwazzjoni globali ta 'ftuħ oġġett.
It-trasparenza | Maturità standards Standard | Deċimali | Falza | L-istat attwali tal-istandard, li jirrifletti jekk jew le li jkun ġie approvat, kemm żmien li kien fl-użu u kif ukoll aċċettata huwa fi ħdan il-komunità ta 'żviluppaturi.
It-trasparenza | Standards Standard espliċità | Deċimali | Falza | Il-espliċità tal-istandards, li jirriflettu l-ambigwità potenzjali fl-istandards li jirriżultaw
It-trasparenza | Dokumentazzjoni Profili-Profil | Deċimali | Falza | Il-punt sa liema l-profil interface dokumentazzjoni huwa żviluppat u jekk id-dokumentazzjoni profil jirrifletti l-disinn tas-sistema attwali u / jew is-sistema implimentata
It-trasparenza | Profili-Profil espliċità | Deċimali | Falza | Il-livell ta 'dettall ipprovdut fil-profil / speċifikazzjoni profil
It-trasparenza | Profili-Profil Estensjonijiet | Deċimali | Falza | Il-grad li magħha tikkonforma l-profil għall-istandard li fuqhom hija bbażata
It-trasparenza | Prodotti ta 'prodott Disponibbiltà u Konformità | Deċimali | Falza | Jew le hemm prodotti b'mod konformi mal standard miftuħ disponibbli għal utilizzazzjoni fil-proġett


Tissimula Prestazzjoni

Navigation: Jissimulaw l-arkitettura tiegħek> Simulaturi>

Tissimula Prestazzjoni

Jibagħtu l-kummenti fuq dan is-suġġett.

Sfond

L-evalwatur arkitettoniku għall-prestazzjoni hija simulatur avveniment diskret li jaħdem billi jissimulaw il-fluss ta 'messaġġi (jew tokens) tul xi arkitettura. It-teorija wara dan huwa derivat minn riċerka li saret mill-Università tat-Teknoloġija, Sydney, u hija bbażata fuq Mudelli Ub'saffi queuing Netwerk(LQNM), Timed u kkulurit Petri-Nets(TCPN) u Attività Dijagrammi Ċiklu(ACD).

Fil-simulazzjoni prestazzjoni Abacus, l-ipproċessar fuq komponent wieħed huwa iktar minħabba messaġġi li jgħaddu minnhom lilha minn komponent ieħor. Il-prinċipji wara din it-teknika tista 'tinftiehem f'erba' partijiet ewlenin:

1. Il -messaġġ iċċentratikomunikazzjoni huwa mudellat fil Abacus użu loġiku(jew indirett) konnessjonijiet. Konnessjonijiet Logical jiddefinixxu l-imġieba (frekwenza u data) tal-messaġġi mgħoddija bejn il-komponenti. Eżempju tajjeb ta 'konnessjonijiet loġika tkun flussi s-sekwenza bejn żewġ (2) proċessi tan-negozju jew l-interfaces loġiċi bejn żewġ (2) applikazzjonijiet.

2. Messaġġi Logical jitwasslu sad-destinazzjoni tagħhom permezz ġerarkija(bħal swimlanes riżorsi) jew direttKonnessjonijiet (bħal wires fiżiċi). Biex tagħmel dan, huma jistgħu jgħaddu up, madwar u reġgħu lura l-ġerarkija (approċċ ub'saffi) li jsegwu t-triq diretta.

3. Il fedeltà tal-mudell jistgħu jiġu aġġustati biex jakkomodaw. Per eżempju, proċess jista 'jiġi maqsum l isfel sakemm tali li kull proċess elementari u funzjoni għandha impatt ipproċessar separat. Alternattivament, jista 'jkun biżżejjed li jkollhom biss valur wieħed għall-proċess kollu, li jirrifletti l- medjarispons ipproċessar għal messaġġ.

4. L-attwali ipproċessarhija mwettqa biss minn komponenti li jkollhom (jew huma) proċessur. A proċessur hija ħaġa ġeneriku, u jista 'jkun CPU, persuna, unità organizzattiva jew xi ħaġa oħra li hija kapaċi li jwettqu xogħol. Per eżempju, proċess tan-negozju ma tagħmel ebda trattament stess; dan isir min-netwerk ipproċessar tagħha (jekk notazzjoni ipproċessar distribwit hija użata) l-ewwel "proċessur" jqiegħed fi kwalunkwe ġerarkija parent tagħha (jekk notazzjoni swimlane huwa użat) jew.

L-evalwazzjoni hija mwettqa billi jiġu simulati l (speċifikati)-traffiku fis-sistema, b'tali mod li kull konnessjoni hija simulata mill-inqas darba. Ħinijiet tal-wasla ta 'messaġġi huma saltwarjament ġġenerati fir-rigward tal-frekwenza speċifikata tagħhom. Il-mudell tissimula ipproċessar tar-riżorsi u allegazzjoni u l-queuing ta 'messaġġi, ġbir statistiċi matul it-triq kif proprjetajiet ta' diversi.

Fatturi ewlenin Input Prestazzjoni

1. Frekwenza- Il-frekwenza li biha l-konnessjoni iseħħ.

2. Ipproċessar- L-ammont ta 'żmien ta' eżekuzzjoni biex jitlesta proċess wieħed. Dan jista 'jkun f'sigħat, minuti, ġranet, l-operazzjonijiet eċċ

3. Veloċità- Il-veloċità tar-riżorsa proċessur. Dan huwa, kemm Ċikli / istruzzjonijiet / azzjonijiet li jistgħu jwettqu fl-unità waħda ta 'ħin. Huwa importanti li tkun konsistenti mal-unitajiet użati għall-ipproċessar.

4. Proċessuri- In-numru ta 'riżorsi proċessur. Proċessuri jista 'jkun nies, CPU, organizzazzjonijiet esterni eċċ

Fatturi ewlenin Output Prestazzjoni

1. Throughput- In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal- konnessjoni. Dan il-valur attwali tista 'tiġi mqabbla mal-valuri teoretiċi / mistennija (ie Frekwenza) li jiġi dedott saturazzjoni tas-sistema.

2. Messaġġ Rata- In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal- komponent. Dan huwa t-total ta 'messaġġi deħlin u ħerġin l-komponenti kollha ".

3. Rispons- Il-minimu / medju / latency massima għal dan konnessjoni. Dan huwa s-somma ta 'l-latencies osservati għall-konnessjoni mill-għajn sa l-sink u kull queuing u l-ipproċessar (u latency lura lill-sors jekk bidirezzjonali).

4. Utilizzazzjoni- L-użu tal- komponent. Dan se jkun ta '0% jekk il-komponent mhix apparat / proċessur (jiġifieri ma jkollu l-proċessuri u l-proprjetajiet tal-veloċità definiti hawn fuq).

Filwaqt simulazzjoni avveniment diskret hija mwettqa biex tikkalkula l-proprjetajiet ta 'diversi, kif deskritt hawn fuq, il-formula li ġejja tista' tintuża bħala verifika approssimattiva tar-riżultati (fejn is-sistema mhix saturati):

Użu = Somma ta Frekwenza għal kull konnessjonijiet deħlin * Ipproċessar / (Veloċità * Proċessuri)

Il-kunċett ġenerali huwa forsi aħjar murija billi tikkunsidra l-dijagramma li ġejja, li juri żewġ prestazzjoni meta-models differenti. L-istil tax-xellug huwa l-klassika notazzjoni "swimlane" b'kompiti pproċessar huma bbażati ġerarkikament skond ir-riżorsi proċessur tagħhom. L-istil tal-lemin huwa notazzjoni "mqassma" mal-kompiti ta 'pproċessar konnessi permezz ta' konnessjoni proċessi biex riżorsa proċessur tagħhom. Dan notazzjoni aħħar tippermetti riżorsi proċessur multipli għal kompitu ipproċessar mogħti, kuntrarjament għall-notazzjoni swimlane limitat.

Nota

Tidher fuq kull mudell meta huma l-proprjetajiet input (aħmar) u l-proprjetajiet produzzjoni (bil-blu):

Prestazzjoni meta-models: Swimlane versus notazzjoni Imqassam

Running-simulatur Prestazzjoni

Biex jissimulaw arkitettura tiegħek f'termini ta 'rendiment

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Analiżi| Prestazzjonijew ikklikkja l-buttuna toolbar.

3. Agħżel il- Arkitetturainti tixtieq li tevalwa mill-pull-down menu.

Nota

Konvenzjonalment, Abacus awtomatikament se jagħżlu l-ewwel arkitettura li għaliha s-simulazzjoni ġdid hija meħtieġa minħabba xi proprjetà sottostanti jew bidliet strutturali.Dan tenfasizza tidher fit Red fuq il Toolbar Simulazzjoni .

4. Agħżel il- Komponentiu Konnessjonijietinti tixtieq li tevalwa, mill- tieqa għażla element standard .

5. Issettja l- Mexxi Time Skala Fatturslider.

Nota

Valuri ogħla, se twassal aktar statistikament riżultati konsistenti imma jieħdu aktar żmien biex tikkalkula.

Addizzjonali Checkboxgħall- tieqa għażla element standard

· Save Mudell Trasformatise ħlief kopja tal-verżjoni RBD trasformati tal-proġett fl-istess folder bħall-proġett attwali u tehmeż "_transformed" għall-isem tal-proġett.Dan il-proġett trasformati jistgħu jintużaw biex jiġu djanjostikati fid-dettall l-simulazzjoni affidabilità mwettqa mill Abacus.

Għażliet oħra għall- tieqa għażla element standard

· Mexxi Time Skala Fattur jikkontrolla l-ħin simulazzjoni u l-eżattezza ogħla Valuri rendimentIngaktar statistikament riżultati konsistenti, iżda teħid żmien itwal biex run.

Nota

Meta Abacus tikkalkula l-ħin ta 'simulazzjoni ser tiddetermina l-iżgħar rata Frekwenza indirett konnessjoni li kienet magħżula biex tkun simulata u mbagħad "warm-up" għall-Perjodu (ie 1 fuq il-Frekwenza) ta' dan ir-rigward (tibda ġeneraturi perjodiċi messaġġi għal l-konnessjonijiet saltwarjament matul dan warm-up time, jagħtihom kollha l-opportunità li jibdew) u mbagħad jissimulaw għal żminijiet Mexxi Time Scale Fattur il-Perjodu ta 'ir-rigward. Jew (1 / Frekwenza) warm-up time + (1 / Frekwenza) Ħin simulazzjoni * Mexxi Time Scale Fattur. Dan huwa li jiġi żgurat li din l-konnessjonijiet huma mibdija qabel istatistika tinġabar u mbagħad l-konnessjoni iżgħar rata għadu simulata mill-inqas darba fil-simulazzjoni. Eż Jekk il-konnessjoni indiretta iżgħar rata għandha Frekwenza ta 0.033-time (jew circa darba fix-xahar jekk it-taqsimiet time huma ġranet) allura l-warm-up time se jkun 30.3 taqsimiet ħin u l-ħin simulazzjoni se jkun 30.3 żminijiet-time skala ta 'fattur ħin Run.

6. Ikklikkja Finishu inti se tikseb Twissijadialog.

7. B'għażla tesplora t-twissijiet billi tikklikkja Dettalji >>.

8. Ikklikkja Kompli.

Nota

Wara dan, Abacus se jwettaq diskreti-avveniment simulazzjoni tal-arkitettura u wara żmien qasir (bil-bars progress għal feedback) kalkolu dialog komplet se jidhru.

9. Ikklikkja kollox sewbiex jagħrfu l-simulazzjoni.

Tip

Għall-korsijiet ta 'taħriġ u aktar għajnuna tul il Simulazzjoni Prestazzjoni jekk jogħġbok irreferi għall- Avolution Komunità .

Properties komponenti

It-tabella li ġejja telenka l-proprjetajiet meħtieġa biex jevalwaw il-prestazzjoni. Properties huma mfittxija għall-ewwel fil-każijiet Komponent, allura l-Istandards Komponent u jekk ma tinstabx, l-inadempjenza hija użata.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input Performance ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" u l-bidliet strutturali varji għall-repożitorju ser tirriżulta fil-simulatur Prestazzjoni jeħtieġu s-simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip | Isem | Default Valur | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Imġiba | b_pack | 0.0 |  | Deċimali | Falza | Il-ħin tas-servizz fiss għall-pakkett f'sekondi. Din il-proprjetà hija tipikament speċifikata bħala tip standard u mbagħad użat għall-każijiet komponenti multipli. Per eżempju, CORBA għandha b_pack = 0.23 ms.
Imġiba | m_pack | 0.0 |  | Deċimali | Falza | Il-ħin tas-servizz varjabbli li pakkett f'sekondi / byte. Din il-proprjetà hija tipikament speċifikata bħala tip standard u mbagħad użat għall-każijiet komponenti multipli.
Imġiba | b_unpack | 0.0 |  | Deċimali | Falza | Il-ħin tas-servizz fiss unpack f'sekondi. Din il-proprjetà hija tipikamentspeċifikata bħala tip standard u mbagħad użat għall-każijiet komponenti multipli.
Imġiba | m_unpack | 0.0 |  | Deċimali | Falza | Il-ħin tas-servizz varjabbli unpack f'sekondi / byte. Din il-proprjetà hija tipikamentspeċifikata bħala tip standard u mbagħad użat għall-każijiet komponenti multipli.
Imġiba | Ipproċessar | 0.0 |  | Deċimali | Veru | L-ammont ta 'żmien ta' eżekuzzjoni biex jitlesta proċess wieħed. Dan jista 'jkun f'sigħat, minuti, ġranet, l-operazzjonijiet eċċ
Imġiba | Proċessuri | 1 |  | Integer | Veru | In-numru ta 'riżorsi Processor. Proċessuri jista 'jkun nies, CPU, organizzazzjonijiet esterni eċċ
Imġiba | Veloċità | 100 |  | Integer | Veru | Il-veloċità tar-riżorsa proċessur. Dan huwa, kemm Ċikli / istruzzjonijiet / azzjonijiet li jistgħu jwettqu fl-unità waħda ta 'ħin. Huwa importanti li tkun konsistenti mal-unitajiet użati għall-ipproċessar.
Imġiba | k_bkgd | 0.0 |  | Deċimali | Falza | Ipproċessar Sfond fuq il-komponent. Din tintuża biex jaġġustaw ir-riżultati li tilqa 'kumpensi fissi għal%. Dan jista 'probabbilment jiġu injorati.

It-tabella li ġejja telenka l-output proprjetajiet komponent mill-evalwatur prestazzjoni. Sett ta 'dawn il-proprjetajiet tal-komponenti huma ġġenerati għal kull komponent fuq kull ġirja prestazzjoni.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Performance ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Prestazzjoni teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Imġiba | Messaġġ Rata |  | Deċimali | Falza | In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal-komponent. Dan huwa t-total ta 'messaġġi deħlin u ħerġin l-komponenti kollha ".
Imġiba | Bandwidth |  | Deċimali | Falza | Bandwidth ġenerali permezz tal-komponent. Is-somma dovuta kemm messaġġi deħlin u ħerġin.
Imġiba | Utilizzazzjoni | % | Deċimali | Falza | L-utilizzazzjoni tal-komponent. Dan se jkun ta '0% jekk il-komponent mhix apparat / proċessur (ie Ma għandhom proċessuri u l-proprjetajiet Veloċità definita hawn fuq)

Properties Konnessjoni

It-tabella li ġejja telenka l-proprjetajiet meħtieġa biex jevalwaw il-prestazzjoni. Properties huma mfittxija għall-ewwel fil-każijiet Konnessjoni, allura l-Istandards Konnessjoni u jekk ma tinstabx, l-inadempjenza hija użata.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input Performance "jew" Spiża input / Performance ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" u l-bidliet strutturali varji għall-repożitorju ser tirriżulta fil-simulatur Prestazzjoni u / jew Simulatur ispiża jeħtieġu s-simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip

Isem

Default Valur

Unità

Tip Data

Meħtieġa

Deskrizzjoni

Imġiba

Tip

bidirezzjonali

[bidirezzjonali | unidirezzjonali]

Lookup / Lista

Veru

Jekk il-konnessjoni hija bidirezzjonali (bidirezzjonali) jew one-way (unidirezzjonali).

Il-valuri permessi għal din il-proprjetà huma "bidirezzjonali" jew "unidirezzjonali".

Bidirezzjonali ifisser messaġġi sinkroniċi talba / rispons billi mezzi unidirezzjonali a asinkrona "avveniment" wieħed.

Imġiba

Estrazzjoni

indirett

[indirett | dirett]

Lookup / Lista

Veru

Jekk il-konnessjoni hija fiżika jew loġiku. Konnessjonijiet diretti huma "pajpijiet" fiżiċi bejn żewġ komponenti li konnessjonijiet loġiku fluss tul.

Il-valuri permessi għal din il-proprjetà huma "dirett" jew "indiretta".

Jekk il-valur huwa "dirett" allura l-konnessjoni ma ma bżonn xi proprjetajiet oħra (ħlief għall-proprjetajiet Tip u astrazzjoni).

Data

L_app1

0

Integer

Falza

Talba / daqs avveniment fil bytes.

Kull konnessjoni se tipikament ikollhom valur speċifiku għal dan. Fil CORBA, avvenimenti huma attwalment bidirezzjonali u dejjem ikollhom 12 byte jirrikonoxxu (L_app2). Jekk huwa konnessjoni unidirezzjonali vera imbagħad ħalli l-proprjetà L_app2.

Data

L_app2

0

Integer

Falza

Rispons / jirrikonoxxu daqs bytes.

Kull konnessjoni se tipikament ikollhom valur speċifiku għal dan. Konnessjoni unidirezzjonali mhux se jkollhom L_app2.

Imġiba

Frekwenza

1

Deċimali

Veru

Il-frekwenza li biha l-konnessjoni iseħħ.

Kull konnessjoni se tipikament ikollhom valur speċifiku għal dan. Jekk il-Frekwenza proprjetà ma jitħalla barra allura l-default huwa użat.

Imġiba

Relazzjoni

proċessi

proċessi [| jappoġġja]

Lookup / Lista

Falza

Konnessjonijiet li għandhom l-"proċessi" proprjetà jindikaw li l-komponent fil-bidu tal-konnessjoni ser jiġu ittrasformati li għandha tiġi pproċessata fil-komponent fl-aħħar tal-konnessjoni. Fil-fatt l- "sors" komponent jiġi mċaqlaq li ssir tfal tal- "sink" komponent (il-konnessjonijiet mehmuża huma wkoll "mkaxkra" ma din il-mossa).

Jekk "proċessi" proprjetà teżisti allura l-proprjetajiet l-oħra ta 'konnessjoni ser ikunu injorati, għajr il fakultattiv "%" proprjetà deskritta hawn taħt.

Imġiba

%

100.0

Deċimali

Falza

Konnessjonijiet li għandhom l-"proċessi" proprjetà (deskritta hawn fuq) tista 'voluntarjament jkollhom "%" proprjetà biex tindika l-proporzjon tal-ipproċessar li għandhom ikunu attribwiti għall-komponent destinazzjoni. B'dan il-mod komponent sors wieħed tista 'tiġi pproċessata mill-komponenti tad-destinazzjoni multipli f'diversi% "s. Il-valuri% ma jeħtiġux li jammontaw għal 100% u huwa sempliċiment użati għall-iskala l-"ipproċessar" proprjetà (ara hawn fuq) għall-komponent sors kif huwa jinbidlu biex isiru tifel tal-komponent destinazzjoni.

It-tabella li ġejja telenka l-proprjetajiet ġġenerati mill-evalwatur prestazzjoni. Sett ta 'dawn il-proprjetajiet konnessjoni huma ġġenerati għal kull konnessjoni fuq kull ġirja prestazzjoni.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Performance ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Prestazzjoni teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Imġiba | Bandwidth |  | Deċimali | Falza | Il-bandwidth ġenerali għall-konnessjoni. Dan huwa kkalkulat biss għall-konnessjonijiet indiretti u hija essenzjalment (L_app1 + L_app2) * Throughput.
Imġiba | Bandwidth 02/01 |  | Deċimali | Falza | Il-bandwidth speċifikament għall ħerġin (1) u deħlin (2) messaġġi tal-konnessjoni. Dan huwa kkalkulat biss għall-konnessjonijiet indiretti u hija essenzjalment L_app1 * Throughput u L_app2 * Throughput.
Imġiba | Throughput |  | Deċimali | Falza | In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal-konnessjoni. Dan il-valur attwali tista 'tiġi mqabbla mal-valuri teoretiċi / mistennija (ie Frekwenza) li jiġi dedott saturazzjoni tas-sistema.
Imġiba | Completed | % | Deċimali | Falza | Il-persentaġġ ta 'messaġġi ipproċessar li jtemmu b'suċċess għall-konnessjoni. Dan huwa kkalkulat biss għall-konnessjonijiet indiretti u huwa l-Throughput / Frekwenza. Kultant il-valur Completed taqbeż il-100% minħabba l-randomness ta 'riżultati ġenerazzjoni messaġġ fi frekwenza kemm xejn akbar ġenerazzjoni messaġġ minn speċifikat.
Imġiba | Rispons (Min / Ave / Max) |  | Deċimali | Falza | Il-minimu / medju / latency massimu. Dan huwa kkalkulat biss għall-konnessjonijiet indiretti u huwa l-latency osservat għall-konnessjoni minn sors biex jinżel u kull queuing u l-ipproċessar (u latency lura lill-sors jekk bidirezzjonali).

Properties Arkitettura

It-tabella li ġejja telenka l-proprjetajiet arkitettoniċi tas-sistema kollha ġġenerati mill-evalwatur prestazzjoni. Sett wieħed ta 'proprjetajiet għall-arkitettura huma "aggregati" għal kull ġirja prestazzjoni.Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Performance ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Prestazzjoni teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Imġiba | Messaġġ Rata |  | Deċimali | Falza | In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal-komponenti fl-arkitettura. Dan huwa t-total ta 'messaġġi deħlin u ħerġin l-komponenti kollha ".
Imġiba | Throughput |  | Deċimali | Falza | In-numru ta 'messaġġi għal kull unità ta' ħin permezz tal-konnessjonijiet fl-arkitettura. Dan huwa s-somma tal throughputs l-konnessjonijiet indiretti "u dan il-valur attwali tista 'tiġi mqabbla mal-valuri teoretiċi / mistennija (ie Frekwenza) li jiġi dedott saturazzjoni tas-sistema.
Imġiba | Bandwidth |  | Deċimali | Falza | Il-bandwidth globali. Somma ta 'bandwidths konnessjoni tal-arkitettura tal.
Imġiba | Utilizzazzjoni | % | Deċimali | Falza | L-utilizzazzjoni tal-komponenti kollha. Jista 'jkun ogħla minn 100% minħabba li huwa biss it-total ta' l utilisations komponenti tal-arkitettura tal.
Imġiba | Rispons (Min / Ave / Max) |  | Deċimali | Falza | Il-minimu / medju / latency massimu. Total tal-latencies kollha osservati għal konnessjonijiet tal-arkitettura tal minn sors biex jinżel (u lura għall-sors jekk bidirezzjonali).


Jissimulaw Affidabilità u Disponibbiltà

Navigation: Jissimulaw l-arkitettura tiegħek> Simulaturi>

Jissimulaw Affidabilità u Disponibbiltà

Jibagħtu l-kummenti fuq dan is-suġġett.

Sfond

Il-Valutatur Affidabilità tikkalkula l-affidabbiltà tal-arkitettura billi tuża l-komponenti input u konnessjonijiet.

Għall-komponenti u konnessjonijiet diretti, l-affidabbiltà hija bbażata fuq Mean Time Bejn Nuqqas (MTBF). L-uniċi fatturi varjabbli meħtieġa biex tikkalkula l-affidabbiltà ta 'elementi arkitettoniċi huma:

· Il MTBFvalur (fi snin);

· Il Medja Time To Tiswija (MTTR)nuqqas (fi snin); u

· Il-perjodu ta 'żmien definit biex tittestja Affidabilità fuq.

Il-formula użata fil-kalkolu tal Affidabilità jingħata bħala:

Affidabilità = -e (-y × età)
Fejn y = 1 ÷ MTBF

Id-disponibbiltà ta 'komponenti u konnessjonijiet hija bbażata fuq l-MTBF u l MTTR. Innota li d-disponibbiltà, b'differenza affidabbiltà, mhijiex affettwata mill-perjodu ta 'żmien li għalih qiegħed jiġi ttestjat.

Disponibbiltà = MTBF / (MTBF + MTTR)

Filwaqt metodi li jittrasformaw Affidabilità Blokk Dijagrammi(bl-użu serje sempliċi u constructs paralleli) jagħtu l-aktar riżultati eżatti, dawn il-metodi isiru ħafna imprattiku meta nippruvaw biex jiġi kkalkulat l-affidabilità tal-missjonijiet fin-netwerks kbar ta 'eluf ta' elementi. Barra minn hekk, dawn l-approċċi trasformattivi jkissru għal strutturi komuni ħafna, bħal netwerk "malja".

Il Monte Carlometodu jippermetti l-affidabilità u d-disponibilità ta 'sistema ta' daqs arbitrarja u l-kumplessità li jiġu kkalkulati. Il-metodu Monte Carlo tissimula xenarji ħafna u fjew kull xenarju stat każwali, disponibbli jew mhux disponibbli, Huwa assenjat għal kull element fiżiku. Il-probabbiltà ta 'element partikolari jkun fi stat disponibbli hija bbażata fuq il affidabbiltà / disponibbiltà tas-komponent.

Per eżempju, komponent id-disponibbiltà 90% jistgħu jkunu mistennija li jkunu disponibbli f'madwar 90% tal-xenarji. Affidabilità Il-konnessjoni indiretta u disponibbiltà biss jistgħu għalhekk jiġi stmat bħala l-proporzjon ta 'scenarios- każwali li għalihom teżisti triq ta' elementi fi dikjarazzjoni disponibbli minn sors sad-destinazzjoni.

Nota

Peress li l-kalkolu ta 'affidabbiltà lokali u d-disponibbiltà hija bbażata fuq parametri differenti u formuli differenti (u għalhekk jirriżulta fi valuri differenti), huwa meħtieġ li tassenja kull element tnejnstati, waħda għall-disponibbiltà, u wieħed għall-affidabilità. Il-kalkolu tad-disponibbiltà juża l-istat disponibbiltà f'kull xenarju, filwaqt li l-kalkolu ta 'affidabbiltà juża l-istat affidabbiltà f'kull xenarju.

L-evalwatur affidabilità juża l Monte Carlo teknika simulazzjoni li jaħdmu barra l-affidabilità ta 'arkitettura partikolari. L-arkitettura jitqiegħed permezz ta 'eluf ta' simulazzjonijiet individwali u r-riżultati tabulati biex tkun derivata miżura affidabilità. Kif imsemmi hawn fuq, Monte Carlo huwa t-teknika l-aktar mgħaġġla għas-simulazzjoni netwerks akbar u se taħdem ma 'kwalunkwe struttura komplessa (ie b'malja).

L-evalwatur outputs erba 'valuri:

1. Missjoni Affidabilitàfuq numru ta 'snin;

2. Disponibbiltàtal- arkitettura;

3. Affidabilitàtal- komponent lokalifuq numru ta 'snin; u

4. Disponibbiltàtal- komponent lokali.

L-evalwatur xogħlijiet il-probabbiltà ta ' l komponent jew xogħol konnessjoni (jiġifieri mhux fin-nuqqas) u l-ħin meħud għat-tiswija.

Kif standards ma MTBFs u / jew MTTRs huma ttrattati

Jekk element (komponent jew konnessjoni) ma 'standards bi MTBF assenjat u / jew MTTR Valuri, dawn il-valuri huma użati wkoll fil-kalkolu tal-affidabbiltà lokali u d-disponibbiltà ta 'element bħala konnessjoni serje.

Per eżempju, jekk komponent A, Bi standards assenjati B, C, U Dkull jkollhom MTBF u MTTR valur, Lokali Affidabilità = R(A)× R(B) × R(C) × R(D), Fejn R = Affidabilità kkalkulat (permezz tal-formula) tar-komponent / istandardsu Lokali Japprofittawkapaċità = A (A)× A (B) × A (C) × A (D), Fejn A = Kkalkulat japprofittawkapaċità (billi tuża l-formula) tal-komponent / istandards. Dan huwa, jekk element għandu tliet standards kull ma MTBF u MTTR valurs, U wkoll MTBF u MTTR valursgħall-proprjetajiet l-element, il-affidabilità lokali u avilability jingħata bħala valur serje ta 'kull wieħed mill-istandards u l-element innifsu.

Bħala eżempju ieħor, jekk komponent Ama 'standards assenjati B, C, U Diżda biss standard Bgħandu kemm MTBF u valur MTTR, filwaqt standard Cgħandu biss valur MTBF u standard Dgħandu biss valur MTTR, Lokali Affidabilità = R (A)× R (B)× R (C), Fejn R= Affidabilità kkalkulat (permezz tal-formula) tal-komponent / istandards u Lokali Disponibbiltà = A (A)× A (B)× A (C), Fejn A= Disponibbiltà kkalkulat (permezz tal-formula) tal-komponent / istandards imma fil-kalkolu A (C) minħabba li l-istandard biss għandha valur MTBF it 'tfittxijiet'għall-valur (i) MTTR tqabbil u se jżid l-MTTR valuri issib li don't nnifishom għandhom valur MTBF tqabbil, hekk f'dan il-każ għandha tuża l-valur MTTR ta 'standard D. Jekk kien hemm xi Standard ieħor, jiġifieri E, Biss valur MTTR kif ukoll allura A (C)tuża l-MTBF ta Cbl-MTTR ta Du Emiżjuda flimkien. Jekk standard ieħor, jgħidu F, Kellhom biss valur MTBF allura A (F)tuża wkoll l MTTR ta Du Emiżjuda flimkien.

Kalkolu Missjoni Affidabilità

Filwaqt kalkolu affidabilità lokali hija kwistjoni ta 'użu ta' formula sempliċi, il-kalkolu ta 'konnessjonijiet indiretti (missjoni) mhux daqshekk faċli, speċjalment ladarba għandna f'netwerks komplessi u kbar ta' passaġġi minsuġa (konnessjonijiet) u komponenti.

Filwaqt li l-netwerk kollu in kunsiderazzjoni

Peress li l-konnessjonijiet indiretti ma jirrappreżentawx konnessjoni fiżika, irridu issir taf kif il-komponent sors jistgħu jsiru komponent destinazzjoni tiegħu. U dan jimplika tħares lejn in-netwerk kollu u l-modi differenti (u mogħdijiet) komponent sors tagħna tista 'tieħu biex tilħaq l-komponent destinazzjoni (sink).

Nota

Sakemm ikun hemm Għall-inqas wieħed komplutatriq mis-sors sad-destinazzjoni, il-missjoni ser tkun ta 'suċċessu l-konnessjoni indiretta hija msemmija bħala konnessjoni Magħluq.

Nifhmu l-Link Matriċi

Biex tkun taf liema komponenti / konnessjonijiet diretti huma konnessi ma 'dak, għandna bżonn artefatt li jivverifikaw malajr jekk żewġ blokok huma konnessi f'direzzjoni partikolari. Dan huwa l-funzjoni tal-matriċi link. Fil-qosor, il-matriċi link huwa żewġ firxa dimensjonijiet ta 'varjabbli Boolean li tistqarr jekk komponent partikolari tista' tilħaq komponent ieħor direttament. Id-daqs tiegħu huwa ugwali għall-kwadru tan-numru totali ta 'komponenti fin-netwerk.

A Affidabilità sempliċi Blokk Dijagramma (RBD)

Link Related Matriċi għall Affidabilità Block Dijagramma (RBD)

Billi mhux konnessjonijiet kollha huma bi-direzzjonali (f'żewġ direzzjonijiet), huwa importanti jafu kif jaqraw il-matriċi link korrett. Fil-evalwatur affidabilità, l-ewwel argument huwa s-sors u t-tieni argument hija d-destinazzjoni (sink).

Għalhekk jekk link matriċi (A, B) = True allura dan ifisser li A jistgħu jiksbu sa B direttament (-uni direzzjonali). B jistgħu jsiru A jekk biss jekk link matriċi (B, A) = True. Jekk dan huwa minnu, dan jimplika konnessjoni bi-direzzjonali.

Fl-eżempju mogħti hawn fuq:

· Sors 1 jistgħu jilħqu d-destinazzjoni 0 (sors 1 u Destinazzjoni 0 tagħti riżultat ta 'Veru); u

· Sors 0 jistgħu jilħqu d-destinazzjoni 1 (Sors 0 u Destinazzjoni 1 jagħti riżultat ta 'Veru), bħala r-rabta bejn 0 u 1 hija bidirezzjonali.

· Sors 2 ma jistgħux jaslu fid-destinazzjoni 1 (Sors 2 u Destinazzjoni 1 tagħti riżultat ta False) anke meta sors 1 jistgħu jilħqu d-destinazzjoni 2 (Sors 1 u Destinazzjoni 2 jagħti riżultat ta 'Veru). Dan huwa jimplika li r-rabta bejn l-1 u 2 hija uni-direzzjonali.

Nifhmu l-Affidabilità Blokk Dijagramma

Id-dijagramma blokka affidabilità (RBD) tiġbor l-istruttura tal-mudell oġġett kollu f'termini ta 'blokok u links. Kull blokk jirrappreżenta element li għandu possibbiltà ta 'falliment jew is-suċċess skond ir-rabtiet / mogħdijiet li jillinkjawhom. Iż-żewġ komponenti u konnessjonijiet jista 'jsir "blokk" fil-RBD.

Eżempju Blokki RBD u Links

Il-figura hawn fuq jirrappreżenta eżempju RBD. Il-linja ħamra dashed jirrappreżenta missjoni waħda 4 għal 1. Nota kif hemm biss żewġ mogħdijiet possibbli għall-missjoni 4-1.

Ikkunsidra l-rotta 4 sa 3 0-1, u r-rotta 4 sa 7 għal 1. Il-blokok bit-tikek 2, 5u 6 jirrappreżentaw blokki li ma jaffettwawx il-falliment / nuqqas ta 'falliment tal-missjoni 4 għal 1. Huma mhumiex ikkunsidrati u huma injorati. Din hija importanti għaliex għal ħafna missjonijiet se jkun hemm numru kbir ta 'blokki żejda li mhux se jaffettwa s-suċċess missjoni partikolari s. Dan huwa aktar evidenti fin-netwerks akbar fejn in-numru ta 'blokki żejda se tagħmel ir-riżultati ta' simulazzjoni mhux eżatta.

Biex tħaffef ħin simulazzjoni, u jiżguraw riżultati aktar preċiżi, huwa meħtieġ li astratt mill-RBD kollu u jużaw biss l-elementi li jaffettwaw is-suċċess ta 'missjoni.

Nota

A rotta / triq waħda ma tistax tmur permezz ta 'kwalunkwe komponent darbtejn.

F'dan l-istadju nistgħu noħolqu matriċi link u agħmel simulazzjoni Monte Carlo.

Kalkolu Arkitettura Disponibbiltà

Id-disponibbiltà arkitettura hija l-probabilità li l-konnessjonijiet indiretti se jkunu disponibbli fi kwalunkwe ħin. Id-disponibbiltà ta 'kull konnessjoni indiretta hija ddeterminata matul kull iterazzjoni tas-simulazzjoni Monte Carlo, madankollu dawn il-konnessjonijiet indiretti (tipikament) jiddependu fuq l-istess sett ta' elementi fiżiċi. Għalhekk, sempliċiment aggregazzjoni dawk id-disponibbilitajiet individwali "double-għadd" dawn un-disponibbiltà, tagħti disponibbiltà globali arkitettura pessimisti. Alternattivament, id-disponibbiltà globali arkitettura huwa kkalkulat billi tħares lejn kull iterazzjoni u tara jekk l-elementi involuti fil-konnessjonijiet indiretti ta 'interess huma disponibbli. U mbagħad jiġu miġbura dawn ir-riżultati fl-aħħar tas-simulazzjoni.

Running-simulatur Affidabilità

Biex jissimulaw arkitettura tiegħek f'termini ta 'affidabilità

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Analiżi| Affidabilità.

3. Agħżel il- Arkitetturainti tixtieq li tevalwa mill-pull-down menu.

Nota

Konvenzjonalment, Abacus awtomatikament se jagħżlu l-ewwel arkitettura li għaliha s-simulazzjoni ġdid hija meħtieġa minħabba xi proprjetà sottostanti jew bidliet strutturali.Dan tenfasizza tidher fit Red fuq il Toolbar Simulazzjoni .

4. Agħżel il- Komponentiu Konnessjonijietinti tixtieq li tevalwa mill- tieqa għażla element standard użu tal-"Show konnessjonijiet diretti" u "Proċessi Uri Konnessjonijiet" filtri radju-buttuna fil-qiegħ tax-xellug tal-dialog għall-għajnuna miegħek għażla.

Addizzjonali Checkboxgħall- tieqa għażla element standard

· Save Mudell Trasformatise ħlief kopja tal-verżjoni RBD trasformati tal-proġett fl-istess folder bħall-proġett attwali u tehmeż "_transformed" għall-isem tal-proġett.Dan il-proġett trasformati jistgħu jintużaw biex jiġu djanjostikati fid-dettall l-simulazzjoni affidabilità mwettqa mill Abacus.

Radju addizzjonaliButtunigħall- tieqa għażla element standard

· Uri diretti Konnessjonijiet awtomatikament se tistabbilixxi konnessjoni Has filtru Proprjetà għall-proprjetà Tip = Imġiba, Isem = Astrazzjoni u Valur = dirett.Din l-għażla hija magħżula mill-kontumaċja u għajnuniet l-għażla tal-konnessjonijiet "diretti" kif deskritt hawn fuq u hawn taħt.

· Proċessi Uri Konnessjonijiet awtomatikament se tistabbilixxi konnessjoni Has filtru Proprjetà għall-proprjetà Tip = Imġiba, Isem = Relazzjoni u l-Valur = proċessi.Din l-għażla għajnuniet l-għażla tal-konnessjonijiet "diretti" kif deskritt hawn fuq u hawn taħt.

5. Ikklikkja Li jmiss.

6. Agħżel il- Missjonijietjiġifieri Konnessjonijiet inti tixtieq li jinkludu fil-simulazzjoni.

7. Issettja l- Mexxi Time Skala Fatturslider.

Nota

Valuri ogħla għandha tagħri riżultati aktar statistikament konsistenti imma jieħdu żmien itwal biex jikkalkulaw.

Checkboxes

· Uri Magħluq Konnessjonijietse awtomatikament iffiltra l-konnessjonijiet disponibbli biss jinkludu dawk li jkollhom mill-inqas wieħed passaġġ fiżika sħiħa mill-komponent sors għall-komponent destinazzjoni skond l-għażla RBD deskritt hawn fuq.

· Uri indiretti Konnessjonijiet awtomatikament se tistabbilixxi konnessjoni Has filtru Proprjetà għall-proprjetà Tip = Imġiba, Isem = Astrazzjoni u Valur = indirett.Din l-għażla hija magħżula mill-kontumaċja u għajnuniet l-għażla tal-konnessjonijiet "indiretti" jew missjoni kif deskritt hawn fuq u hawn taħt.

Buttuni

· Kollhajagħżel l- Konnessjonijiet.

· Aqlebdeselects l-kurrentement magħżula Konnessjonijiet u tagħżel dawk kollha li ma kinux magħżula.

· Xejndeselects l- Konnessjonijiet.

Għażliet oħra

· Mexxi Time Skala Fattur jikkontrolla l-ħin simulazzjoni u l-eżattezza ogħla Valuri rendimentIngaktar statistikament riżultati konsistenti, iżda teħid żmien itwal biex run.

Nota

Meta Abacus tikkalkula n-numru ta 'iterazzjonijiet li jissimulaw se jiddetermina l-aktar element affidabbli li ma jkunx perfettament affidabbli u mbagħad jissimulaw għal żminijiet Mexxi Time Skala fattur 1 fuq l-indisponibbiltà ta' dak l-element flimkien ma '1 iterazzjoni. Jew (MTBF + MTTR) / MTTR * Mexxi Time Skala Fattur + 1. Dan huwa li jiġi żgurat li din element jibqa 'jonqos mill-inqas darba fil-simulazzjoni. Eż Jekk l-element aktar affidabbli li ma jkunx perfettament affidabbli għandha MTBF ta '10,000 siegħa u MTTR ta' 8 sigħat allura l-simulazzjoni se tieħu (10,000 + 8) / 8 = 1251 darbiet il-Fattur Run ħin Skala + 1 iterazzjonijiet.

· Snin li Jissimulaw Ahead jiddetermina n-numru ta 'snin għall-Affidabilità Missjoni jiġu kkalkulati għal.

· Numru ta Threadsdetermines-numru ta 'ħjut ipproċessar għall-użu għall-simulazzjoni Monte Carlo.Din l-għażla se default għall jitqabbel in-numru ta 'disponibbli mikroproċessuri / cores (inkluż cores iper-kamini) li jnaqqsu l-ħin simulazzjoni globali.

8. Ikklikkja Finishu inti se tikseb Twissijadialog.

9. B'għażla tesplora t-twissijiet billi tikklikkja Dettalji >>.

10. Ikklikkja Kompli.

Nota

Wara dan, Abacus se jwettaq Monte Carlosimulazzjoni ta 'l-arkitettura u wara żmien qasir (bil-bars progress għal feedback) kalkolu dialog komplet se jidhru.

11. Ikklikkja kollox sewbiex jagħrfu l-simulazzjoni.

Tip

Għall-korsijiet ta 'taħriġ u aktar għajnuna fuq Affidabilità Simulazzjoni jekk jogħġbok irreferi għall- Avolution Komunità .

Komponent u Konnessjoni Properties

It-tabella li ġejja telenka l-komponent u"dirett"proprjetajiet konnessjoni meħtieġa biex din tivvaluta l-affidabilità. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) Bil-tooltip 'Input Affidabilità ". Bidla għal kwalunkwe minn dawn il-proprjetajiet "input" u l-bidliet strutturali varji għall-repożitorju ser tirriżulta fil-simulatur Affidabilità jeħtieġu s-simulazzjoni ġdid kif indikat fil Red fuq il Toolbar Simulazzjoni .

Tip | Isem | Default Valur | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Affidabilità | MTBF | ∞ | snin, ġimgħat, ġranet jew siegħat | Deċimali | Veru | Il-ħin medju Qabel Nuqqas ta 'l-element. Nota: Valuri jistgħu jiġu espressi f'unitajiet ta 'snin, ġimgħat, ġranet jew sigħat u huma konvertiti wara kunċett disponibbiltà '24 / 7 "kif ġej; - 1 sena = 52 ġimgħa jew 365 jum jew 8,760 siegħa - 1 ġimgħa = 7 ijiem jew 168 siegħa - 1 jum = 24 siegħa
Affidabilità | MTTR | 0 | snin, ġimgħat, ġranet jew siegħat | Deċimali | Veru | Il Mean Time Biex Tiswija tal-element. Nota: Valuri jistgħu jiġu espressi f'unitajiet ta 'snin, ġimgħat, ġranet jew sigħat u huma konvertiti wara kunċett disponibbiltà '24 / 7 "kif ġej; - 1 sena = 52 ġimgħa jew 365 jum jew 8,760 siegħa - 1 ġimgħa = 7 ijiem jew 168 siegħa - 1 jum = 24 siegħa

It-tabella li ġejja telenka l-komponent u"dirett" proprjetajiet konnessjoni output mill-evalwatur affidabilità. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Affidabilità ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Affidabilità teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Affidabilità | Affidabilità - x snin |  | Deċimali | Falza | Il-probabilità li l-element mhux se jonqsu fis-snin x ġejjin. Dan huwa valur bejn 0 u 1.
Affidabilità | Nuqqas ta 'affidabilità - x snin |  | Deċimali | Falza | Il-probabilità li l-element se jonqsu fis-snin x ġejjin. Dan huwa valur bejn 0 u 1.
Affidabilità | Disponibbiltà | % | Deċimali | Falza | Id-disponibbiltà kkalkulat tal-komponent jew il-konnessjoni. Dan huwa valur bejn 0% u 100%.
Affidabilità | Nuqqas ta 'disponibbiltà | % | Deċimali | Falza | L-indisponibbiltà kkalkulat tal-komponent jew il-konnessjoni. Dan huwa valur bejn 0% u 100%.

It-tabella li ġejja telenka l- 'indirett'proprjetajiet konnessjoni output mill-evalwatur affidabilità. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Affidabilità ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Affidabilità teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Affidabilità | Missjoni Affidabilità - x snin |  | Deċimali | Falza | Il-probabilità li l-konnessjoni indiretta mhux se jonqsu fis-snin x ġejjin. Dan huwa valur bejn 0 u 1.
Affidabilità | Missjoni Attendibbli - x snin |  | Deċimali | Falza | Il-probabilità li l-konnessjoni indiretta se jonqsu fis-snin x ġejjin. Dan huwa valur bejn 0 u 1.
Affidabilità | Disponibbiltà | % | Deċimali | Falza | Id-disponibbiltà kkalkulat tal-konnessjoni indiretta. Dan huwa valur bejn 0% u 100%.
Affidabilità | Nuqqas ta 'disponibbiltà | % | Deċimali | Falza | L-indisponibbiltà kkalkulat tal-konnessjoni indiretta. Dan huwa valur bejn 0% u 100%.

Properties Arkitettura

It-tabella li ġejja telenka l-output proprjetajiet arkitettura mill-evalwatur affidabilità. Dawn il-proprjetajiet se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela output proprjetà ( [image] ) Bil-tooltip 'Output Affidabilità ". Il-vleġġa fuq l-ikona se tenfasizza Red ( [image] ) Meta dawn il-proprjetajiet huma skaduti minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju u l-simulatur Affidabilità teħtieġ-simulazzjoni ġdid skond il- Red tenfasizza fuq il- Toolbar Simulazzjoni .

Tip | Isem | Unità | Tip Data | Meħtieġa | Deskrizzjoni
Affidabilità | Disponibbiltà | % | Deċimali | Falza | Id-disponibbiltà ta 'konnessjonijiet indiretti kollha li ġew inklużi fl-evalwazzjoni. Jiġifieri, il-probabbiltà li kollhakonnessjonijiet indiretti se jkun disponibbli f'punt partikolari fil-ħin. Dan huwa valur bejn 0% u 100%. Nota: Dan mhuwiex il-multiplikazzjoni tal-disponibbiltajiet individwali konnessjoni kif dan ikun "għadd doppju" l-un-disponibbiltà tal-komponenti rilevanti.
Affidabilità | Nuqqas ta 'disponibbiltà | % | Deċimali | Falza | L-indisponibbiltà tal-konnessjonijiet indiretti li ġew inklużi fl-evalwazzjoni. Jiġifieri, il-probabbiltà li mill-inqas wieħedkonnessjoni indiretta se tkun disponibbli f'punt partikolari fil-ħin. Dan huwa valur bejn 0% u 100%. Nota: Dan mhuwiex il-multiplikazzjoni tal-unavailabilities individwali konnessjoni kif dan ikun "għadd doppju" l-un-disponibbiltà tal-komponenti rilevanti.
Affidabilità | Missjoni Affidabilità - x snin |  | Deċimali | Falza | Il-probabilità li kollha tal-konnessjonijiet indiretti li ġew inklużi fil-valutazzjoni għandha tkun mhux jonqsu fil-li jmiss xsnin. Dan huwa valur bejn 0 u 1. Nota: Dan MHIJIEX-multiplikazzjoni tal-reliabilities individwali konnessjoni kif dan ikun "għadd doppju" l-un-disponibbiltà tal-komponenti rilevanti.
Affidabilità | Missjoni Attendibbli - x snin |  | Deċimali | Falza | Il-probabilità li mill-inqas wieħed mill-konnessjonijiet indiretti li ġew inklużi fl-evalwazzjoni se jonqsu fil-li jmiss xsnin. Dan huwa valur bejn 0 u 1. Nota: Dan MHIJIEX-multiplikazzjoni tal-unreliabilities individwali konnessjoni kif dan ikun "għadd doppju" l-un-disponibbiltà tal-komponenti rilevanti.


Tissimula arkitettura tiegħek

Navigation: Jissimulaw l-arkitettura tiegħek>

Tissimula arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Ladarba inti tkun popolati u analizzati arkitettura tiegħek, inti huma lesti biex jintużaw Abacus biex jiddeterminaw jekk l-arkitettura tiegħek se jilħqu l-bżonnijiet kwantitattivi tiegħek. Dan jeħtieġ simulazzjoni. Biex jissimulaw arkitettura tiegħek ewwel trid tiddeċiedi dwar it-tip ta 'informazzjoni li tixtieq li jiskopru. Dawn it-tipi ta 'informazzjoni huma spiss imsejħa bħala KPI; jew Indikaturi Prinċipali ta' Prestazzjoni. Per eżempju, do inti tixtieq li janalizzaw il-prestazzjoni, evolvability, u ftuħ, jew ma inti tixtieq li tiġbor metriċi bħall-ispiża totali tas-sjieda. Kollha ta 'din l-informazzjoni tista' tiġi żvelata b'xi mod. Ladarba inti tkun din id-data, inti ser tkun tista 'tanalizza l-arkitettura tiegħek fil-varjetà ta' formati grafiċi (jew tanalizza l-valuri ġodda direttament).

Hemm tliet għażliet għas-simulazzjoni arkitettura tiegħek:

· Metriċi sempliċi ;

· Simulaturi mibnija qabel ; jew

· Scripting .

Metrics sempliċi

Kull komponent fl-arkitettura tiegħek għandu propjetajiet - li ħafna minnhom jistgħu jkunu custom għall-applikazzjoni tiegħek ta 'Abacus. Dawn il-proprjetajiet jirrappreżentaw diversi karatteristiċi tal-komponenti. F'xi każijiet, sempliċiment tiġbor dawn metriċi (biex jibnu KPI tal) jista 'jkun biżżejjed biex jgħidlek informazzjoni importanti dwar l-arkitettura tiegħek. Per eżempju, KLOCS, jew Eluf ta 'linji ta' kodiċi, ġew użati bħala miżura ta 'kumplessità. F'każijiet oħra, inti tista 'tixtieq li esportazzjoni l-informazzjoni u janalizzah jużaw għodda oħra. Barra minn hekk, inti tista 'tixtieq li jiġbru proprjetajiet wara li tkun wettqet tip ieħor ta' simulazzjoni.

Properties jistgħu jinġabru permezz tal-proċess ta ' aggregazzjoni . Aggregazzjoni żżid sub-proprjetajiet speċifiċi għal total li huwa rifless fil-komponent ġenitur. Aggregazzjoni biss xogħlijiet fuq komponenti li fihom sotto-komponenti.

Pre-mibnija Simulaturi

Hemm ħames simulaturi pre-mibnija li jistgħu jintużaw ma 'Abacus. Dawn huma:

· Prestazzjoni;

· Modularità;

· Spiża totali ta 'Proprjetà (TCO);

· Ftuħ; u

· Affidabilità.

Nota

Abacus awtomatikament se tenfasizza liema minn dawn simulaturi jeħtieġ li jerġgħu jiġu mmexxija permezz Red tenfasizza fuq il- Toolbar Simulazzjoni .

Scripting

Scripting jipprovdi l-flessibilità biex jissimulaw l-arkitettura tiegħek b'modi dwana. Billi kitba skripts inti tista 'twettaq simulazzjonijiet lil hinn mill-kurrenti fil-kapaċità mibnija minn Abacus. Il-mudell kollu oġġett Abacus huwa disponibbli għall-magna scripting, sabiex inti biss limitati mill-ħila tiegħek biex jiktbu skripts!

Iskrittura Visual Basic huwa l-lingwa scripting appoġġjati mill Abacus, peress li tipprovdi fatturi essenzjali ta 'programmazzjoni fil-format raġonevolment sempliċi.

Ara wkoll

Jesportaw arkitettura tiegħek | Proprjetajiet aggregati | Skripts Kitba


Jevolvu arkitettura tiegħek

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Jevolvu arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Arkitetturi jistgħu jiġu evolviet b'mod espliċitu u ġerarkija ta 'arkitetturi maħluqa. Għalhekk billi jevolvu arkitettura tiegħek fi Abacus, numru ta 'soluzzjonijiet arkitettoniċi avvanzati jistgħu jinħolqu, imqabbla u baselined. Għanijiet (jew metriċi) jistgħu jiġu definiti għal kull numru ta 'proprjetajiet arkitettoniku għall arkitetturi eżistenti.

A mod sempliċi biex jikkunsidraw l-evoluzzjoni ta 'l-arkitettura huwa li jirrigwardaw lill-kunċett ta' arkitettura dixxendent. Meta arkitettura hija evolviet, a kopjatal-arkitettura ġenitur hija maħluqa. Din il-kopja jista 'jingħad li jkun dirett dixxendenttal-oriġinal ġeniturarkitettura.

Nota

F'dan il-dokumentazzjoni jgħinu online u l-toolset Abacus innifsu, it-terminu jevolvuhuwa aktar komunement użati mit-terminu dixxendent, Jekk jogħġbok innota li tnejn jirreferu għall-istess funzjonalità.

Tevolvi arkitettura eżistenti

1. Jiżgura li inti għandek xi Fajl Abacus-miftuħ u Tieqa Explorermurija.

2. Agħżel l-arkitettura rilevanti inti tixtieq li jevolvu mill-siġra Explorer.

3. Ikklikkja drittdwar l-arkitettura u tagħżel Jevolvumill-menu.

Evoluzzjoni tal-Arkitettura magħżula

4. L-arkitettura evolviet se jidhru taħt l-arkitettura magħżula.

Evolvew Arkitettura

Nota

L-arkitettura evolviet jista jingħata l-isem billi tagħfas fuq l-arkitettura u l-għażla Semmi.Barra minn hekk, l-dijagrammi u l-katalogi fl-arkitettura evolvew se jiġu stabbiliti awtomatikament għal "diff" kontra l-arkitettura linja bażi li kien evolvew minn.

Miri għall-arkitettura evolvew tiegħek iffissar

Miri għall-arkitettura evolvew tiegħek Twaqqif jippermettilek li toħloq kriterji biex tevalwa l-evoluzzjoni ta 'arkitetturi tiegħek. Għanijiet huma determinati mill-tipi ta 'proprjetà u l-ismijiet ta' dawk il-proprjetajiet eżistenti fl-arkitettura evolviet tiegħek. Għanijiet jistgħu wkoll jiġu definiti manwalment u miżjuda lilek arkitettura. Segwi l-passi hawn taħt biex jistabbilixxu miri.

Stabbiliet miri minn proprjetajiet eżistenti għall-arkitettura evolvew tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus-miftuħ u Tieqa Explorermurija.

2. Agħżel Għodod | Għanijiet SetMill-bar menu prinċipali.

3. Il Goal Inputtieqa se display.

Goal Window Input

4. Ikklikkja fuq il- Eżistentibuttuna.

5. Il Agħżel A Proprjetàtieqa se display.

6. Agħżel proprjetà inti tixtieq li twaqqaf bħala għan għall-arkitettura evolviet tiegħek u ikklikkja fuq il- kollox sewbuttuna.

7. L-għan magħżula għandhom issa jidhru fil- Goal Inputtieqa.

8. Agħżel il-għan u kklikkja fuq il- Editbuttuna.

9. Il Goal jeditjawtieqa se display.

Nota

Dan tieqa jippermettilek li jibdlu l-isem proprjetà u t-tip li l-għan se jirriflettu, kif ukoll l-agħar u l-aħjar valur (jew minimu / valuri massimi) għal dik il-proprjetà. Dawn il-valuri huma misjuba billi jitqabblu arkitetturi kollha u jsibu l-iżgħar u l-ikbar valur f'kull għal dik il-proprjetà speċifika. Dawn il-valuri jistgħu jiġu definiti manwalment wkoll. Per eżempju, jekk ġejt biex jistabbilixxu mira għall-proprjetà msemmija Rispons (Ave)u tat-tip Imġiba, Agħar u l-aħjar valur tiegħek jista 'jirrifletti l-veloċità transazzjoni meħtieġa għall-prestazzjoni ottimali (aħjar valur) u l-veloċità transazzjoni meħtieġa għall-applikazzjonijiet ewlenin biss li jiġu pproċessati (agħar valur).

10. Ladarba l-valuri rilevanti ġew definiti, tagħżel kollox sew.

Stabbiliet miri minn proprjetajiet ġodda għall-arkitettura evolviet tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus-miftuħ u Tieqa Explorermurija.

2. Agħżel Għodod | Għanijiet SetMill-bar menu prinċipali.

3. Il Goal Inputtieqa se display.

4. Ikklikkja fuq il- Newbuttuna.

5. Il Goal Newtieqa se display.

Nota

Dan tieqa jippermettilek li jiddefinixxu l-isem proprjetà u t-tip li l-għan se jirriflettu, kif ukoll l-agħar u l-aħjar valur (jew / valuri massimi minimi) għal dik il-proprjetà. Per eżempju, jekk ġejt biex jistabbilixxu mira għall-proprjetà msemmija Rispons (Ave)u tat-tip Imġiba, Agħar u l-aħjar valur tiegħek jista 'jirrifletti l-veloċità transazzjoni meħtieġa għall-prestazzjoni ottimali (aħjar valur) u l-veloċità transazzjoni meħtieġa għall-applikazzjonijiet ewlenin biss li jiġu pproċessati (agħar valur).

6. Ladarba l-valuri rilevanti ġew definiti, tagħżel kollox sew.

7. A dialog li Żid mal arkitetturi kollhase display kif imniżżel hawn taħt:

8. Ikklikkja fuq Ivali jżidu l-għan bħala proprjetà għall-arkitetturi rilevanti kollha. Dan jiżgura li l-għan għadu kif definiti u proprjetajiet tiegħu se jkunu miżjuda għal kull arkitetturi fil-fajl. Jekk ma tixtieqx jinkludu l-proprjetà fil-arkitetturi, tista 'tagħfas fuq Nru.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Viewing plot istilla ta 'arkitetturi evolvew tiegħek | Viewing plot scatter ta 'arkitetturi evolvew tiegħek


Espansjoni u taħfir-siġra

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Espansjoni u taħfir-siġra

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta node fil-siġra fih subkomponenti u kollezzjonijiet, din se jkollha żgħir [image] jew [image] sinjal fil xellug tagħha. Tista 'tikklikkja l- [image] biex jespandu l-node u ara sotto-komponenti u konnessjonijiet tiegħu. Bl-istess mod, inti tista 'ikklikkja l- [image] għall-kollass tal-node biex jaħbu l-sub-komponenti u konnessjonijiet (sabiex jagħmlu aktar spazju jew jagħmlu l-siġra aktar faċli biex jinftiehem).

Alternattivament, inti tista 'tespandi l node kollu, f'liema każ kollha ta' sub-lymph tagħha ser jiġi estiż ukoll, u s-lymph tagħhom, u tagħhom ... eċċ Bl-istess mod, inti tista 'kollass ta' node kollu - għeluq livelli multipli fuq darba .

Barra minn hekk, hemm l-għażliet biex jespandu biss l-arkitetturi, elementi (jiġifieri komponenti u konnessjonijiet), komponenti jew konnessjonijiet.

Biex jitwessa jew kollass ta node kollu (u sub-lymph tagħha, eċċ)

1. Right-clickfuq il-node.

2. Agħżel Expand | Kollha jewKollass.

Biex jitwessa kollha ta 'l-arkitettura (i)

1. Right-clickfuq arkitetturi jew arkitettura.

2. Agħżel Expand | Kollha.

Biex jitwessa 'elementi

1. Right-clickfuq arkitetturi jew arkitettura.

2. Agħżel Expand | Elementi.

Biex jitwessa 'komponenti

1. Right-clickfuq Komponenti, komponent jew sub-komponent.

2. Agħżel Expand | Komponenti | Kollha.

Biex jitwessa 'konnessjonijiet

1. Right-clickfuq Konnessjonijiet, konnessjoni jew sub-konnessjoni.

2. Agħżel Expand | Konnessjonijiet | Kollha.


Jesportaw Arkitettura tiegħek

Navigation: Rappurtar dwar l-arkitettura tiegħek>

Jesportaw Arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus jippermettilek liesportazzjoni arkitettura tiegħek biex MDB (Microsoft Access), MS SQL Server, .abacus (fajl Abacus), u xls (Microsoft Excel) format. Tista 'wkoll l-esportazzjoni tiegħek dijagrammas għal PNG, JPG, SVG (Skalabbli Vector Grafika), TIFF, GIF u l-format BMP u rapporti tiegħek biex html (HTML), pdf (Adobe Acrobat), xls (Microsoft Excel), dok (Microsoft Word) u .rtf (Rich Text Format) formati. Dan jippermettilek li tanalizza u tara l-arkitettura u d-data tiegħu bi kwalunkwe mod trid.

Għall-esportazzjoni arkitettura tiegħek biex MDB (Microsoft Access)

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Ikklikkja fuq il- Filemenu.

3. Agħżel Esportazzjoni, U mbagħad Biex MDB.

4. Ħu nota tat-twissija u kklikkja kollox sew.

5. Tip isem għall-fajl.

6. Ikklikkja l- SaveButton.

Nota

Il-format esportazzjoni tad-database MDB huwa speċifiċi għal Abacus u kull bidla schema se jirriżulta fi inabbiltà biex importazzjoni mill-ġdid. Jekk jogħġbok ara Populating ma 'SM Aċċess għal deskrizzjoni tal-schema MS Access.

Għall-esportazzjoni arkitettura tiegħek biex MS SQL Server

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Ikklikkja fuq il- Filemenu.

3. Agħżel Esportazzjoni, U mbagħad Biex MS SQL Server.

4. Fil-dialog li jidher ikklikkja l- Esportazzjoni MDB Blank ...buttuna u l-importazzjoni dan in server tiegħek database MS SQL Server.

5. Imla l-informazzjoni tad-database u l-sekwenza konnessjoni.

6. Ikklikkja l- EsportazzjoniButton.

Nota

Il-format esportazzjoni tal- MS SQL Serverdatabase hija speċifiċi għal Abacus u kull bidla schema se jirriżulta fi inabbiltà biex importazzjoni mill-ġdid. Jekk jogħġbok ara Populating ma 'SM Aċċess għal deskrizzjoni tal-iskema tad-database.

Għall-esportazzjoni arkitettura tiegħek biex xls (fajl Excel)

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ , L- Explorer murija , U arkitettura miżjud .

2. Jiżgura li inti għandek xi Excel Import / Export Konfigurazzjoni File definiti.

3. Right-clickfuq arkitettura fil-mudell tiegħek jew xi parti mill- Komponentinode (fi istruttura partikolari) tixtieq tesporta lejn l-fajl Excel Konfigurazzjoni.

4. Agħżel Esportazzjoni | Biex Jisbqu ... mill-menu.

5. Il Agħżel Excel Import / Export Konfigurazzjoni File għandek tużatieqa se jintwerew.

6. Agħżel il-fajl konfigurazzjoni rilevanti għall-mudell arkitettoniku tiegħek u ikklikkja fuq il- Openbuttuna.

7. Jekk ma awtomatikament isir hekk, mappa il-komponenti ogħla livell fl-arkitettura attwali tiegħek għall- Set Id(kif definit preċedentement) u kklikkja fuq Esportazzjoni ....

Immappjar Komponent Top-Livell eżempju

8. Agħżel post u isem tal-file għall-fajl Excel tiegħek u ikklikkja l- Savebuttuna.

Għall-esportazzjoni arkitettura tiegħek biex .abacus (fajl Abacus)

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Right-clickfuq il-node Arkitettura, kwalunkwe arkitettura fil-mudell tiegħek jew xi parti mill-komponenti siġra.

3. Agħżel Esportazzjoni | Biex File ...mill-menu.

4. Agħżel post u isem tal-file u kklikkja l- Savebuttuna.

Nota

Inti tista 'importazzjoni fajl Abacus lura fis Abacus mill-passi li ġejjin 1-2hawn fuq u mbagħad tagħżel Importazzjoni | Mill File .... Wara li inti għazilt il-fajl inti tixtieq li l-importazzjoni, inti tiġi mistoqsi kif tkun tixtieq li l-importazzjoni l-istandards u t-tipi. Inti tista 'importazzjoni standards u tipi bħal jew standards u tipi ġodda jew magħquda. Ssettjar ta 'default huwa għall-istandards u tipi li jingħaqdu ma' standards u tipi eżistenti jekk dawn diġà jeżistu fil tiegħek proġett.

Għall-esportazzjoni arkitettura tiegħek biex XML

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Right-clickfuq node Arkitettura, kwalunkwe arkitettura fil-mudell tiegħek jew xi parti tas-siġra Komponent.

3. Agħżel Esportazzjoni | Biex XML ...mill-menu. Alternattivament inti tista 'tikklikkja fuq il-menu File| Esportazzjoni| Biex XML ...

4. Agħżel post u isem tal-file u kklikkja l- Savebuttuna.

Nota

Inti tista 'importazzjoni fajl XML lura fis Abacus mill-passi li ġejjin 1-2hawn fuq u mbagħad tagħżel Importazzjoni | Mill XML .... Wara li inti għazilt-fajl XML inti tixtieq li l-importazzjoni, inti tiġi mistoqsi kif tkun tixtieq li l-importazzjoni l-istandards u t-tipi. Inti tista 'importazzjoni standards u tipi bħal jew standards u tipi ġodda jew magħquda. Ssettjar ta 'default huwa għall-istandards u tipi li jingħaqdu ma' standards u tipi eżistenti jekk dawn diġà jeżistu fil tiegħek proġett.

Għall-esportazzjoni dijagramma tiegħek biex PNG, JPG, SVG, TIFF, GIF jew BMP

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Iftaħ il- dijagrammainti tixtieq li tesporta.

3. Ikklikkja fuq il- Esportazzjoni Diagrambuttuna fuq il- Dijagramma toolbar.

4. Il Esportazzjoni Dijagrammatieqa se jidhru.

5. Agħżel il- Browsebuttuna biex isalva l-viżwalizzazzjoni fil-post mixtieq.

6. Agħżel il- Għajr kif tippull-down menu li jagħżlu t-tip fajl.

7. Ikklikkja l- Savebuttuna.

Għall-esportazzjoni rapport tiegħek biex pdf (Adobe Acrobat), xls (Microsoft Excel)jewdoc (Microsoft Word)

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Oħloq rapport inti tixtieq li tesporta.

3. Ikklikkja fuq il- Esportazzjonibuttuna fuq il-toolbar rapporti.

4. Agħżel Excel, PDF jew Wordmill-kaxxa drop-down.

5. Stenna ftit mumenti waqt l-esportazzjonijiet rapport.

6. Agħżel post u isem tal-file u kklikkja l- Savebuttuna.


Tfittxija u s-sostituzzjoni oġġetti fl-arkitettura tiegħek

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Tfittxija u s-sostituzzjoni oġġetti fl-arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Tista 'ssib u Ibdel komponent speċifiku, konnessjoni, tip, standard jew proprjetà bl-użu Abacus "Sib u Ibdel faċilità.

Biex issib oġġett

1. Ikklikkja l-node tas-siġra inti tixtieq li tfittex ġewwa.

2. Agħżel Edit| Sibjew istampa Ctrl + F.

3. Ikteb il- test għall l-oġġettbiex isibu fil- "Sib x'inhu qasam.

4. Ikklikkja Sib jmiss.

Biex jissostitwixxu oġġett

1. Ikklikkja l-node tas-siġra inti tixtieq li tfittex ġewwa.

2. Agħżel Edit| Ibdeljew istampa Ctrl + H.

3. Ikteb il- test għalll-oġġettbiex isibu fil- "Sib x'inhu qasam u t-test li tibdilha ma fil-" Issostitwixxi bi "qasam (jew xejn jekk il-qasam titħalla vojta).

4. Ikklikkja Sib jmissbiex isibu l-ewwel istanza tal- "Sib x'inhu test u kklikkja Ibdel li tieħu post dan il-każ ma 'l-"Issostitwixxi bi" test jew ikklikkja Ibdel Kollhali jissostitwixxu l-istanzi kollha.

Inti għandek l-għażliet biex:

o Match każ tagħha,

o Jaqblu mal-kelma sħiħa,

o Fittex mill-bidu tal-proġett,

o Injora arkitetturi - jiġifieri l-arkitettura lymph infushom. Kwalunkwe lymph jkunu inferjuri għall-lymph arkitettura bħall-komponenti u konnessjonijiet xorta se jiġu mfittxija,

o Injora komponenti - li huwa l-komponent lymph infushom,

o Injora konnessjonijiet - jiġifieri l-konnessjoni lymph infushom,

o Injora standards - jiġifieri nodes kollha standard arkitettura, komponenti u konnessjoni ser jiġu injorati,

o Injora tipi - jiġifieri t-tip lymph infushom. Kwalunkwe lymph 'restrizzjonijiet jkunu inferjuri tal-lymph tip xorta se jiġu mfittxija,

o Injora templates u l-kontenut - jiġifieri l-mudell lymph infushom kif ukoll kwalunkwe komponent mudell u l-lymph konnessjoni taħt lilhom,

o Injora proprjetajiet - jiġifieri t-tipi kollha ta 'proprjetà, l-ismijiet, il-valuri u l-unitajiet tal-elementi kollha tal-mudell se jiġu injorati,

o Injora deskrizzjonijiet - jiġifieri d-deskrizzjonijiet tal-elementi kollha tal-mudell se jiġu injorati.

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus


Għajnuna f'lingwi oħra

Navigation: Introduzzjoni għall Abacus>

Għajnuna f'lingwi oħra

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus għajnuna hija disponibbli f'lingwi oħra varji / traduzzjonijiet u tista 'titniżżel mill-links hawn taħt.

Biex jissostitwixxu l-fajl għajnuna Abacus attwalibil-fajl għajnuna tradotta jekk jogħġbok segwi dawn il-passi:

1. Salv l-fajl għajnuna mill-link hawn taħt relevanti.

2. Semmi l-fajl għajnuna għall ABACUS.chm.

3. Iftaħ il-fajl billi double-tikklikkja fuqha u jekk "File Open - Sigurtà Twissija" dialog jidher allura uncheck "Dejjem staqsi qabel jinfetaħ il-fajl" għażla u kklikkja Open.

4. Agħlaq il-fajl.

5. Ibdel il-fajl ABACUS.chm fil-Abacus fajls program folder, tipikament "C: \ Program Files \ Avolution \ Abacus"Jew"C: \ Program Files(x86)\ Avolution \ Abacus".

Nota

Kuntest għajnuna sensittivi se tkompli taħdem mal-fajls ta 'għajnuna tradotti.

Abacus fajls ta 'għajnuna f'lingwi oħra:

· Għarbi / العربية .

· Bulgaru / български .

· Ċiniż (Simplified) / 中文 (简体) .

· Ċeka / Česká .

· Danish / Dansk .

· Estonjan / Eesti .

· Finlandiż / Suomen .

· Franċiż / Français .

· Ġermaniż / Deutsch .

· Hungarian / Magyar .

· Iżlandiż / Iżlandiż .

· Indoneżjan / Indoneżja .

· Taljan / Italiano .

· Ġappuniż / 日本 の .

· Latvjan / Latvijas .

· Malasja / Malasja .

· Malti / Malt i .

· Norweigen / Norweigen .

· Lustrar / Po lska .

· Portugiż / Português .

· Russu / русский .

· Slovakka / Slovenskí .

· Sloven / Slovenski .

· Spanjol / Españoles .

· Svediż / Svenska .

· Tork / Türk .

· Welsh / Cymraeg .

Ara wkoll

X'jagħmel Abacus do?


Kif huwa arkitettura rappreżentat fil Abacus?

Navigation: Introduzzjoni għall Abacus>

Kif huwa arkitettura rappreżentat fil Abacus?

Jibagħtu l-kummenti fuq dan is-suġġett.

Fil Abacus, inti mudell arkitettura tiegħek. Għas-sempliċità, nagħmlu sejħa dan il-mudell arkitettoniku arkitettura.

Id-dijagramma t'hawn taħt turi kif arkitettura tipika ta 5komponenti (f'ġerarkija) konnessi bi 2 konnessjonijiet ikun rappreżentat fil Abacus.

Kif arkitettura sempliċi huwa rappreżentat fil Abacus

Inti jista 'jkollhom kwalunkwe numru ta arkitetturi fil-fajl Abacus wieħed.

L-ewwel arkitettura fil-siġra

Tipikament, inti toħloq arkitettura ġdida kull meta inti tixtieq li tevalwa bidla. Per eżempju, youd mudell arkitettura eżistenti tiegħek ewwel - dan ikun l-ewwel arkitettura fil-siġra. Inti tista 'sejħa hija "Current".

It-tieni

Meta inti tixtieq li mudell u jevalwa bidla arkitettura eżistenti tiegħek (eż rekwiżiti miżjuda) youd toħloq arkitettura ġdida. L-eħfef mod biex isir dan ikun li jinħoloq kopja ta 'Kurrenti "u semmi mill-ġdid" Evoluzzjoni 1 Tentattiv 1 ". Dan ikun it-tieni arkitettura fil-siġra. Jekk evalwazzjonijiet tiegħek ta 'Evoluzzjoni 1 Tentattiv 1 "huma ta' suċċess, inti tista semmi mill-ġdid li sempliċiment" Evoluzzjoni 1 ".

It-tielet

Jekk "Evoluzzjoni 1 Tentattiv 1" ma tissodisfax il-ħtiġijiet tiegħek, inti tista 'toħloq kopja ta' dan, semmi mill-ġdid li "Evoluzzjoni 1 Tentattiv 2", u erġa 'pprova. Dan ikun il-tielet arkitettura fil-siġra.

Ara wkoll

X'jagħmel Abacus do? | Kif inti tagħmel dan (Ħarsa ġenerali) | X'inhu l-arkitettura? | Ħidma ma 'fajls Abacus | Ħolqien jew jiddupplika arkitettura


Kif għandek tuża Abacus (Ħarsa ġenerali)

Navigation: Introduzzjoni għall Abacus>

Kif għandek tuża Abacus (Ħarsa ġenerali)

Jibagħtu l-kummenti fuq dan is-suġġett.

Dan is-suġġett jipprovdi ħarsa ġenerali bażiku tal-kompiti involuti bl-użu Abacus.

Id-dijagramma li ġej juri l-proċess ta 'analiżi bbażata fuq arkitettura li Abacus jipprovdi għal jevolvu arkitettura kurrenti għal arkitettura ġdida jew mira.

Il-Proċess Abacus

Biex tuża Abacus:

1. Verifika - Qabel ma tuża Abacus, inti trid tiġbor l-informazzjoni kollha li għandek dwar l-arkitettura, u r-rekwiżiti tagħha.

· Arkitettura - Jidentifikaw il-komponenti potenzjali tal-arkitettura u kif dawn jinteraġixxu. Għandu jkun hemm biss ftit komponenti fl-ogħla livell. Dawn huma msejħa "komponenti essenzjali". Anki l-arkitetturi aktar kumplessi għandu jkollhom inqas minn 10-komponenti essenzjali. eż Il-komponenti essenzjali tal-arkitettura kumpannija ta 'assigurazzjoni tista' tkun l-politiki, irċevuti, pretensjonijiet, u l-ħlasijiet.

· Rekwiżiti- Inti għandek tkun taf dak li hu mistenni mill-arkitettura sabiex tiddetermina jekk huwa sodisfaċenti. eż Numru ta 'tranżazzjonijiet fis-siegħa.

· Fejn issibha? - Din l-informazzjoni tista 'tiġi minn speċifikazzjonijiet rekwiżiti, dokumenti tad-disinn, intervisti mal-partijiet interessati, il-kodiċi skjerati, eċċ Bażikament kwalunkwe materjal li huwa disponibbli toffri informazzjoni Abacus dwar l-arkitettura.

2. Timla -Uża Abacus għall-mudell arkitettura tiegħek u biex tispeċifika r-rekwiżiti l-arkitettura se jitkejjel kontra.

· Arkitettura - Fil Abacus tibda bl arkitettura vojta - għandek timlait. Dan ifisser li jidħlu l-informazzjoni kollha arkitettura inti miġbura hawn fuq. Tista 'timla l-arkitettura tiegħek manwalment (bl-użu menu dritt ikklikkja), jew inti tista' timla awtomatikament (minn Microsoft Visio, Excel, Access eċċ). Tipikament il fuq l-aktar il-livelli (aktar astratti) tal-arkitettura se tiġi popolati manwalment, u l-livelli aktar baxxi (aktar konkreti) se jkunu popolati awtomatikament.

· Rekwiżiti - Kif inti żid komponenti tiegħek u konnessjonijiet, inti tispeċifika proprjetajiet tagħhom. F'ħafna każijiet, dawn il-proprjetajiet se jkunu l-ħtiġiet tal-arkitettura. Per eżempju, jekk inti se jkollhom 1,250 MIPs node / cluster, inti żid l-node bħala komponent, imbagħad żid l-proprjetà prestazzjoni, u tassenja valur ta '1250 MIPs.

3. Analizza - Uża Abacus biex elegantly tanalizza u Ħares l-istruttura kumplessa ta 'arkitettura tiegħek.You tista 'tanalizza l-arkitettura tiegħek f'numru ta' modi jew minn numru ta 'opinjonijiet, inklużi d-dijagrammi, 3D u Explorer. Alternattivament inti tista 'tixtieq li tuża xi fehmiet aktar speċifiċi kif ġej:

· Ċart arkitettura tiegħek - biex tikseb prestazzjoni (ħin tar-rispons, bandwidth, eċċ), l-ispiża (bar, pie, eċċ) jew evolvability (spazju kapaċità, kompromess, eċċ) opinjonijiet.

· Oħloq rapport dwar arkitettura tiegħek.

4. Jissimulaw - Uża Abacus biex jissimulaw l-arkitettura tiegħek prestazzjoni, id-disponibbiltà, l-ispiża, il-ftuħ, eċċ

· Biex tagħmel dan, run wieħed mill-simulaturi. Abacus jevalwa tiegħek arkitettura kontra ħtiġijiet tiegħekbilli jwettqu s-simulazzjoni. Hija jaqra u janalizza l-arkitettura attwali, runs simulazzjonijiet, u jikkalkola xi proprjetajiet ġodda. Dawn il-proprjetajiet huma mbagħad salvati lura lill-arkitettura. Il-proprjetajiet ġodda huma l-informazzjoni li inti qed jippruvaw biex tanalizza, bħal utilizzazzjoni, ħin ta 'reazzjoni, bandwidth, id-disponibbiltà%, TCO eċċ

5. Inġinier- Użu Abacus biex twieġeb diversi "X'jiġri jekk" xenarji u jikkontrolla l-evoluzzjoni ta 'arkitettura tiegħek. Inġinerija huwa l-proċess ta 'tirrepeti l- Timla - Tanalizza - Jissimulawċiklu.

· Wara dan, intistajtprobabbilment żviluppat fehim ta 'l-arkitettura attwali u jindika l-oqsma li għandek bżonn biex jevolvu. Spiss, madankollu, ikollok bzonn li jirrepetu l-timla - Tanalizza - Jissimulaw proċess numru ta 'drabi. Dan probabbilment se jkun minħabba li jista 'jieħu ftit iterazzjonijiet qabel issib l-Arkitettura Target. Ukoll, jekk arkitettura tiegħek hija kumplessa ħafna, inti tista 'tixtieq li jirrepetu l-proċess għal kull "livell" arkitettoniku.

6. Pjanil-futur tal-arkitettura tiegħek billi tuża l-informazzjoni pprovduta mill Abacus.

Nota

Jekk int ma tipprova jevolvu arkitettura eżistenti, jista 'jkollok bżonn jirrepetu xi passi numru ta' drabi, u f'ordni differenti. Hija tiddependi fuq dak li qed tipprova tagħmel. Per eżempju, jekk int tfassil arkitettura ġdida, inti probabilment timla biss arkitettura tiegħek darba, u mbagħad jużaw Abacus fuq perjodu twil ta 'żmien biex jiggwidaw l-evoluzzjoni (i) futur tal-arkitettura. Min-naħa l-oħra, jekk inti qed jixtru arkitettura ġdida u jkollhom diversi alternattivi biex jagħżlu minnhom, ikollok bzonn li Skopri u Timla għal kull waħda mill-alternattivi, u mbagħad Analizza u Jissimulaw kull wieħed indipendentement qabel ma jwettqu paragun finali fil- aħħar.

Ara wkoll

X'jagħmel Abacus do? | X'inhu l-arkitettura? | Kif huwa arkitettura rappreżentat fil Abacus? | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek | Tissimula arkitettura tiegħek


Timporta ġewwa Arkitettura tiegħek

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Timporta ġewwa Arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus jippermettilek l-importazzjoni fil arkitettura tiegħek minn .abacus (fajl Abacus), XML (framment XML Abacus jew fajl XML ArchiMate Interchange Language), .vsd (Microsoft Visio) format, u xls (Microsoft Excel) format. Dan jippermettilek li jibnu arkitettura tiegħek minn sorsi esterni malajr.

Biex importazzjoni arkitettura tiegħek minn.abacus (fajl Abacus)

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Right-clickfuq il-node Arkitettura, kwalunkwe arkitettura fil-mudell tiegħek jew xi parti mill-komponenti siġra.

3. Agħżel Importazzjoni| Mill File ...mill-menu.

4. Agħżel post u l .abacus fajl u kklikkja l- Openbuttuna.

Nota

Wara li inti għazilt il-fajl inti tixtieq li l-importazzjoni, inti tiġi mistoqsi kif tkun tixtieq li l-importazzjoni l-istandards, tipiu opinjonijiet. Inti tista 'importazzjoni standards, tipi u opinjonijiet jew bħala standards ġodda jew magħquda, tipiu opinjonijiet. Ssettjar ta 'default huwa għall-istandards, tipi u opinjonijiet li jingħaqdu ma 'standards eżistenti, tipi u opinjonijiet jekk dawn diġà jeżistu (bl-istess isem eżatt) fil tiegħek proġett.

Biex importazzjoniarkitettura tiegħek minnXML (framment Abacus XML jew fajl XML ArchiMate Interchange Language)

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa.

2. Right-clickfuq node Arkitettura, kwalunkwe arkitettura fil-mudell tiegħek jew xi parti tas-siġra Komponent.

3. Agħżel Importazzjoni| Mill XML ...mill-menu.

4. Agħżel post u l XML fajl u kklikkja l- Openbuttuna.

Nota

Abacus se importazzjoni biss Abacus framment XML iffurmat tajjeb jew fajl XML ArchiMate Interchange Lingwa. Wara li inti għazilt-fajl XML inti tixtieq li l-importazzjoni, inti tiġi mistoqsi kif tkun tixtieq li l-importazzjoni l-istandards, tipiu opinjonijiet. Inti tista 'importazzjoni standards, tipi u opinjonijiet jew bħala standards ġodda jew magħquda, tipiu opinjonijiet. Ssettjar ta 'default huwa għall-istandards, tipi u opinjonijiet li jingħaqdu ma 'standards eżistenti, tipi u opinjonijiet jekk dawn diġà jeżistu (bl-istess isem eżatt) fil tiegħek proġett.

Biex importazzjoniarkitettura tiegħek minn.DSV(Visiofajl)tara hawn .

Biex importazzjoniarkitettura tiegħek minnxls (fajl Excel)tara hawn .


Jimportaw tipi u standards minn librerija

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Jimportaw tipi u standards minn librerija

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'importazzjoni tipi u l-istandards minn fajl librerija Abacus. Tista 'wkoll esportazzjoni tipi u l-istandards mill-fajl Abacus tiegħek għal fajl librerija Abacus.

Għall-importazzjoni tipi u standards minn librerija fil arkitettura tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus-miftuħ u Tieqa Explorermurija.

2. Agħżel File | Openli tiftaħ Abacus fajl librerija.

3. Il-Librerija Abacus se tiftaħ fit-tieni folja tabbed fit-tieqa Explorer u ser ikollok biex undock din il-folja tabbed biex ikunu jistgħu drag-u-qatra minnha għall-fajl Abacus oriġinali.

4. Drag u droptipi u l-istandards mill-librerija fil arkitettura tiegħek.

- Jew -

1. Agħżel File | New ...

2. Oħloq ġdid Fajl Abacusibbażata fuq Abacus fajl librerija.

Għal tipi u l-istandards esportazzjoni mill-arkitettura tiegħek ġo librerija

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa, il- Tieqa Explorermurija, l Abacus fajl librerija-miftuħ u Tieqa Librerijamurija.

2. Drag u droptipi u l-istandards mill-arkitettura tiegħek fil-librerija.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment


L-interface Abacus

Navigation: Introduzzjoni għall Abacus>

L-interface Abacus

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta tibda Abacus, tkun taf tara l-iskrin prinċipali, li tkun vojta ħlief għall-menus u toolbar fil-quċċata, tieqa Explorer vojta u t-titolu bar. Dan l-iskrin se jkun il-buttun ta 'interazzjoni tiegħek mal Abacus.

L-elementi ewlenin huma:

· l-menus ewlenin

· l toolbars

· l-menu ikklikkja dritt

· l Explorer u l-proprjetà twieqi

· l-istatus bar

Il-menus ewlenin

Il-menus huma rranġati f'ordni loġika.

Il-menus huma deskritti kif ġej;

· File menu- Il menu File tippermetti toħolqu, miftuħa, qrib, ħlief, esportazzjoni u jippubblikaw fajls Abacus. Hija tippermetti wkoll li inti toħloq, miftuħa, mill-qrib u jiffrankaw Abacus Librerija fajls.

· Menu Edit- Il menu Edit jippermettilek li tnaqqas, kopja, paste, iħassru, semmi mill-ġdid, isibu u sort elementiu jħoll / jerġa 'jagħmel l-operazzjonijiet.

· Menu View- Il menu View jippermettilek li tiftaħ jew tagħlaq il-interface varji Windows u l-istatus bar, Jinnavigaw quddiem u lura, mur fehmiet speċifiċi u jamministraw dashboards.

· Daħħal menu- Il menu Daħħal jippermettilek li żżid ġdida standards, Templates, it-tipi, l-elementi, il-fehmapunts, Katalgi, dijagrammi, charts, Rapporti u matriċi.

· Menu Analiżi- Il menu Analiżi jippermettilek li tmexxi evalwazzjonijiet kontra arkitettura inklużi; prestazzjoni, l-ispiża, l-affidabbiltà, modularità u ftuħ.

· Għodod menu- Il-Tools menu jippermettilek li tmexxi scripting, stabbiliti miri għall-arkitetturau jwettaq u l-arkitettura "diff". Tista 'wkoll timmodifika l-għażliet tal-programm u jippersonalizzaw l-interface mill-menu għodda.

· Menu Tieqa- Il menu Tieqa jippermettilek li dock, tirranġa, juru u jistaħbew-twieqi ikollok miftuħa.

· Għajnuna menu- Mill-menu Għajnuna inti tista 'aċċess dan Abacus fajl għajnuna. Tista 'aċċess għas-sit web, minħabba tiegħek liċenzja ftehim u tara d-dettalji ġenerali dwar Abacus inkluż il-verżjoni tas-software u Abacus appoġġ u dettalji ta 'kuntatt. Tista 'tipprovdi feedback permezz tal-paġna notifika kwistjoni. Jekk meħtieġ, inti tista 'tidħol ewlieni reġistrazzjoni permezz tal-menu Għajnuna.

Dan huwa l-ordni tkun taf tipikament ssegwi meta int twettiq tal-kompiti tiegħek;Ladarba inti ħadthom maħluqa jew fetħet fajl, Inti ser normalment timla arkitettura tiegħek, allura fehmadan (fil Explorer, dijagrammi, 3D, Mapep nawtiċi, eċċ). Wara dan, inti ser jew tmexxi evalwatur, Jew tkun taf irrepeti l-proċess bl-istess arkitettura jew arkitettura differenti. (Ara Kif għandek tuża Abacus (Ħarsa ġenerali) għal aktar dettalji.)

Agħti ħarsa permezz tal-menus ewlenin u jippruvaw li wieħed jimmaġina kif inti ser japplikawhom għal sistema tiegħek.

Nota

Tista Jippersonalizzaw menus tiegħek fi kwalunkwe ħin.

Il toolbars

Permezz ta 'default hemm il-toolbars li ġejjin;

· l Main toolbar -

· l Simulazzjoni toolbar -

· l toolbar View -

· l Għodda Dijagrammabar (jekk dijagramma huwa miftuħ) -

· l Macro Reġistrazzjoni toolbar -

Agħti ħarsa permezz tal-buttuni fuq kull toolbar billi baqgħet iddur fuqhom biex tara d--ponta għodda (shortcut key).

Nota

Biss ċerti buttuni se tkun attiva jiddependi fuq dak li inti għazilt fit-tieqa Explorer u inti tista Jippersonalizzaw toolbars tiegħek fi kwalunkwe ħin.Barra minn hekk, il- "Ivvalida / Iċċekkja Limitazzjonijiet Proġett" buttuna fuq il-toolbar prinċipali u l-buttuni fuq il-toolbar Simulazzjoni se tenfasizza Red meta bidla fl-arkivju sottostanti teħtieġ a-validazzjoni mill-ġdid tal-proġett jew a-simulazzjoni ġdid ta 'dak simulatur rispettivament. Imbagħad matul il-buttuna biex tara liema arkitetturi huma affettwati.

Il menu dritt ikklikkja

Il-menus prinċipali u toolbars huma mhuxużati għal kollox, għalkemm. Huwa ta 'spiss aktar konvenjenti għall-użu fuq il-lemin ikklikkja kuntest menu għall-operazzjonijiet varji. (Ukoll, mhux is-kmandi disponibbli permezz dritt ikklikkja huma disponibbli permezz tal-menus, toolbars, jew l-ordnijiet ewlenin keyboard.)

Per eżempju, ladarba inti ħadthom ħolqot fajl, u inti għandek dijagramma siġra ta 'arkitettura tiegħek, huwa aħjar li dritt ikklikkja fuq arkitetturi fil-siġra biex iżżid arkitettura ġdida. Bl-istess mod, inti għandek dritt ikklikkja fuq Komponenti li żżid komponent ġdid. Right-click fuq ftit affarijiet fil-siġra biex tara x'tista 'tagħmel.

Tip

Ġeneralment, inti ser tuża l-menus ewlenin biex iwettaq il-kompiti aktar ta 'livell għoli, bħall-evalwazzjoni arkitettura tiegħek. Il-kompiti ta 'livell baxx - bħal żżid komponenti individwali u konnessjonijiet - qed isir bl-użu toolbars u / jew dritt ikklikkja menu.

Il Explorer u proprjetajiet twieqi

Meta inti tiftaħ jew toħloq fajl, dijagramma siġra se juri fit-tieqa Explorer. Huwa tieqa fil arkitettura tiegħek. U kif inti tagħżel elementi fi ħdan il-tieqa Explorer tliet twieqi l-oħra; l Properties Ġenerali, Referenziu twieqi Properties se taġġorna biex jirriflettu informazzjoni dettaljata dwar l-għażla tiegħek.

Nota

Il Properties Ġenerali, Referenziu twieqi Properties huma moħbija fil-kontumaċja. Ara Customising l-interface għal kif unhide lilhom u potenzjalment jħallu lilhom murija b'mod permanenti.

Filwaqt int bini arkitettura tiegħek, l Explorer u Properties twieqi huma r-rappreżentazzjoni l-aktar utli. Minħabba li jistgħu jiġu waqa u mwessa 'kif meħtieġ, u dawn ma jsirux ineffiċjenti.

It-tieqa Explorer għandha Tree (u Status bar) u t-twieqi Properties jkollhom 5taqsimiet:

· Tip

· Standards

· Deskrizzjoni

· Referenzi

· Properties

Abacus iqis kollha ta 'dawn l-affarijiet li jkunu parti mill-arkitettura.

Tree

Din it-taqsima għandha siġra miġbura fi 3 oqsma kif ġej:

1. Meta-mudell

· Standards- Jekk bosta komponenti għandhom l-istess sett ta 'proprjetajiet, tista' tiddefinixxi s-sett bil-quddiem, u mbagħad biss tassenja lill-komponenti. L-istess jgħodd għall-konnessjonijiet u kwalunkwe elementi oħra. Dawn is-settijiet ta 'proprjetajiet standard huma maħżuna fil- Standardsfergħa tas-siġra. Minflok ma jiddefinixxu kull proprjetà għal kull komponent, u kull proprjetà għal kull konnessjoni eċċ, biss tassenja standard. Per eżempju l-karatteristiċi standard ta ' Unix-HP / UXjistgħu jiġu ffrankati bħala Standard u assenjati għal kwalunkwe komponenti li jużaw l- Unix-HP / UXsistema operattiva kif muri għall- OS01 server fil-screenshot hawn fuq.

· Tipi - Din il-fergħa tas-siġra hija librerija tat-tipi ta 'komponenti u konnessjonijiet tista' tuża. Tipi huma użati biex jiddefinixxu l--mudell meta għall-arkitettura tiegħek u għall-klassifikazzjoni u l-iffiltrar meta viewing arkitettura tiegħek. Huma jiddeterminaw ukoll mudell għal dak li standards, Il-proprjetajiet u l-limitazzjonijiet komponenti tiegħek / konnessjonijiet jista 'jkollu.

· Fehmiet- Viewpunts jistgħu jinħolqu minn dijagrammi eżistenti u jistgħu jintużaw biex joħolqu dijagrammi ġodda.Huma stensils dijagramma.

· Templates - Templates store ri-użabbli mudelli ta 'komponenti u konnessjonijiet flimkien mal-mod li bih huma rappreżentati jew meqjusa. Huma jistgħu jiġu meqjusa bħala "mini" arkitetturi jew soluzzjonijiet li jistgħu jitqiegħdu fis arkitetturi eżistenti.

2. Arkitetturi -Il-arkitetturi fergħa tas-siġra huwa fejn inti tibni l- arkitettura (i) tas-sistema tiegħek. (Din tissejjaħ populating l-arkitettura.) Inti jista 'jkollhom kwalunkwe numru ta arkitetturi fil-fajl Abacus wieħed.

3. Dashboards - Il-fergħa Dashboards tas-siġra huwa fejn inti tista 'aċċess xi salvati dashboards għall-proġett.

Nota

Oġġetti fil-siġra Explorer li kellhom tagħhom Permess Aġġornament jitneħħew (ie huma read-only) huma murija bil-griż.

Tip

Din it-taqsima tindika l-komponent jew il-konnessjoni speċifika tip tal-element bħalissa magħżula fil-siġra.

Standards

Din it-taqsima tipprovdi lista ta 'l- standards għall-element li bħalissa magħżula fil-siġra.

Deskrizzjoni

Din it-taqsima tipprovdi deskrizzjoni qasira tal-element magħżula fil-siġra. Kwalunkwe hyperlinks relatati tista 'wkoll jiżdiedu ma' din it-taqsima. Dawn jinkludu websajts jew mogħdijiet assoluti lokali tipponta lejn aktar informazzjoni dwar l-element partikolari. Linji multipli huma permessi wkoll. Hyperlinks validi bżonn biex tibda ma 'wieħed ta' 5 kordi; http: //, https: //, FTP: //, fajl: /// jew mailto :.

Tip

Għal hyperlinks bi spazji, l-utenti tista 'tip fil-URL jew il-passaġġ, tagħżel it-test meħtieġa u Ikklikkja dritt| Hyperlink. Dan se jinbidel xi spazji għall % 20sabiex il-URL sħiħ jew il-passaġġ se taħdem b'mod korrett.

Maħluqa u Modifikat

Dawn taqsimasjipprovdul-utent u data / ħin għall-ħolqien ta ', u l-aħħar modifika għall- l-element bħalissa magħżula fil-siġra.

Referenzi

Din it-taqsima tipprovdi lista ta 'l- komponenti deħlin u ħerġin għall-element li bħalissa magħżula fil-siġra.Hija turi wkoll il-dijagrammi, 3D u l-fehmiet Ċart li l-element bħalissa magħżula tidher fl. Jekk dijagramma hija magħżula li juri l-Opinjoni jekk applikabbli għall-dijagramma u għal opinjonijiet b'mod ġenerali dan juri xi Dashboards-fehma tidher fil. U meta Standard hija magħżula fil-siġra turi l-użu tal-istandard tipi, komponenti u konnessjonijiet.

Properties

Din it-taqsima huwa fejn inti tiddefinixxi l-karatteristiċi ta l-elementi fi ħdan arkitettura tiegħek, bħall-mod inti teħtieġha li tagħmel, in-numru ta 'linji ta' kodiċi li għandha, il-persentaġġ ta 'dawn il-linji li huma kummenti, eċċ

Il "input" u proprjetajiet "output" tal-built pre- simulaturi se jintwerew fit-tieqa Properties ma 'ikona selettur ringiela input proprjetà ( [image] ) U icon output ( [image] ) Rispettivament bi tooltip li tindika liema pre-mibnija simulatur l-proprjetà hija relatata ma ', eż "Output Modularità" jew "input Performance". Il-vleġġa fuq l-icons produzzjoni se tenfasizza Red ( [image] ) Meta l-proprjetà hija skaduta minħabba proprjetà sottostanti jew bidla strutturali fl-arkivju mal-simulatur jeħtieġu s-simulazzjoni ġdid skond il- Red tenfasizza fuq Toolbar Simulazzjoni .

Il-bar-istatus

Il-porzjon tax-xellug tal-istatus bar turi l-traġitt sħiħ għall-element repożitorju preżentament in focus, jew magħżula fil-tieqa Explorer jew fuq il- dijagrammakanvas. Dan huwa hekk li l-post eżatt fil-ġerarkija repożitorju għall-element partikolari tista 'dejjem tiġi determinata faċilment. Il-porzjon tal-lemin tal-istatus bar turi messaġġi operattivi varji bħal "File Open Abacus Successful" u "Kalkolu Cost Completed".

Ara wkoll

Kif inti tagħmel dan (Ħarsa ġenerali) | Customising l-interface | X'inhu l-arkitettura? | Kif huwa arkitettura rappreżentat fil Abacus? | Ħidma ma 'fajls Abacus


X'jagħmel Abacus do?

Navigation: Introduzzjoni għall Abacus>

X'jagħmel Abacus do?

Jibagħtu l-kummenti fuq dan is-suġġett.

Għall-għajnuna f'lingwi oħra / traduzzjonijiet jekk jogħġbok ikklikkja hawn .

Abacus jieħu l-raden xogħol barra mill tittratta soluzzjonijiet, sistemi, software, informazzjoni, it-teknoloġija, proċessi tan-negozju u / jew l-intrapriżi kollha (kollettivament imsemmija bħala arkitetturi). Dan jista 'jgħinek biex pragmatiku disinn, jimmonitorjaw, jissimulaw, tanalizza, u Ħares tiegħek arkitettura billi immudellar dan, hija analizzata fil-modi intuwittivi (eż mapep, dijagrammi u 3D) u mbagħad tiġi evalwata b'mod kontra r-rekwiżiti mhux funzjonali tiegħek.

Nota

Rekwiżiti mhux funzjonalihuma dawk ir-rekwiżiti li ma jirrelatawx direttament lill KIF topera prodott. Minflok, dawn huma kkonċernati mal-mod kif UKOLL topera. Rekwiżiti mhux funzjonali jinkludu affarijiet bħal prestazzjoni, il-ftuħ, evolvability, kwalità, modularità, modularità, eċċ (għall-kuntrarju rekwiżiti funzjonali simili, imbagħad fuq id-dawl meta din il-buttuna hija għafast). Tradizzjonalment, ir-rekwiżiti mhux funzjonali ikun diffiċli - jekk mhux impossibbli - li jitkejjel. Fil-fatt, Abacus huwa l-uniku prodott li jista oġġettivament u kwantifikabbli kejjel l-ewwel tliet - prestazzjoni, ftuħ, U evolvability.

Fi kliem sempliċi, inti tidħol l-arkitettura u dak li għandek bżonn li tagħmel. Abacus allura jgħidlek jekk se tagħmel kif meħtieġ u jirrimarka kwalunkwe dgħjufija jew nuqqasijiet.

Abacus jiġbed fuq aktar minn 20 snin ta 'sistemi ta' riċerka u ħafna aktar snin ta 'stabbilita teorija sistemi. Dan jagħtik kwantifikabbli, affidabbli, tweġibiet oġġettivi, sabiex inti ma tkunx qed jiddependu fuq evalwazzjoni suġġettiva.

Abacus stands għall Architecture-Based Analysis, Communication u Understandingta Systems. Dan jista 'jgħinek ma' kwalunkwe arkitettura skala kbira, imma hija ġeneralment użat għal erba (4) affarijiet:

· Li qed jevolviarkitettura kurrenti. Per eżempju, jekk arkitettura eżistenti tiegħek nieqsa prestazzjoni, Abacus se Ħares l-arkitettura għalik, identifikazzjoni tal-problemi (ostakli, eċċ), allura jgħidlek eżattamentkif tista 'tittejjeb l-arkitettura.

· Disinjararkitettura ġdida. Per eżempju, jekk għandek bżonn ta 'arkitettura kompletament ġdid, u int tfassil it yourself, Abacus se jgħidlek eżattamentdak komponenti għandek bżonn u kif dawn għandhom jiġu konnessi.

· Purchasingarkitettura ġdida. Per eżempju, jekk inti sejħu għall-offerti dwar it-tfassil ta 'struttura ġdida, u int jagħżlu bejn tliet disinji, Abacus se jgħidlek eżattamentliema waħda suits ħtiġijiet tiegħek aħjar.

· Jikkombinawarkitetturi attwali eżistenti. Per eżempju, jekk għandek bżonn biex jgħaqqdu tnejn jew aktar arkitetturi separati, Abacus tiggwidak.

Ara wkoll

Kif inti tagħmel dan (Ħarsa ġenerali) | X'inhu l-arkitettura? | Kif huwa arkitettura rappreżentat fil Abacus?


Links li jużaw fil Dijagrammi

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Links li jużaw fil Dijagrammi

Jibagħtu l-kummenti fuq dan is-suġġett.

Forom (forma libera u komponenti) u Konnetturi (f'forma ħielsa jew konnessjonijiet) fi ħdan dijagrammi jistgħu jkunu marbuta mal rappreżentazzjonijiet tiegħek eżistenti arkitettoniku fil Abacus, kif ukoll il-fajls esterni / folders u URLs. Dawn ir-rabtiet jistgħu mbagħad jiġu ġestiti (tinħoloq, tiġi modifikata u mħassra) permezz tal-toolset Abacus. Din il-karatteristika tista 'tintuża biex itejbu l-navigazzjoni u l-fehim ġenerali tal-arkitettura tiegħek dijagrammatikament.

Biex iżid il-kollegamenti għal dijagramma tiegħek

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Agħżel il-għamla in kwistjoni jew konnettur minn dijagramma tiegħek.

3. Right-clickfuq il-formajew konnettur.

4. Agħżel Links miftuħau Linkstieqa jidher.

5. Ikklikkja fuq il- Żidicon u Link Newtieqa jidher.

6. Agħżel il-rilevanti Katalgu | Matrix | Dijagramma| 3D View| Chartbuttuni tar-radju, imbagħad agħżel l rilevanti katalogu, matriċi, dijagramma, 3Djew grafika fehma fl-arkitettura attwali mill- Link Todrop-down menu.

- Jew -

6. Agħżel il- Websitebuttuna tar-radju allura, jidħlu fis-URL relevanti (eż http: //www.avolutionsoftwercom /)fil-qasam biex link għal paġna web. URLs validi bżonn biex tibda ma 'wieħed mill 5kordi; http: //, https: //, FTP: //,fajl:jew \\. Kull spazju għandha tiddaħħal bi "% 20".

- Jew -

6. Agħżel il- File assoluta | File relattivabuttuna tar-radjus,imbagħad ikklikkja fuq il- "..."Buttuna jibbrawżjaw għal fajl estern biex tagħmel link mas dijagramma tiegħek.

7. Ikklikkja kollox sewu r-rabta l-ġdida se jintwerew fit-tieqa Links. Nota: It-tieqa Links jista 'tingħata daqs ieħor biex tara l-isem sħiħ jekk ikun meħtieġ.

8. Irrepeti passi 5-7biex joħolqu rabtiet aktar.

9. Biex issegwi l-link maħluqa, tagħżel il-link rilevanti murija fil- Linkstieqa u ikklikkja Link Open.

Nota

Meta annotazzjonijiet multipli qed jintwerew għal għamla jew konnettur l-link huwa muri fuq l-ewwel annotazzjoni fil-lista ta 'annotazzjonijiet fil-dialog Edit Annotazzjonijiet.

Biex issegwi rabtiet mill-dijagramma tiegħek

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Agħżel il-għamla in kwistjoni jew konnettur minn dijagramma tiegħek.

3. Ikklikkjafuq il-hyperlink rilevanti (blu enfasizzat isem komponent) fuq forma jew konnettur fid-dijagramma li tiftaħ u tara l-ewwel ħolqa mill-formajew konnettur.Nota: Il-cursor għandu jinbidel għal "idejn" meta l-link hija lesta li tiġi għafast.

- Jew -

3. Agħżel il-għamla in kwistjoni jew konnettur minn dijagramma tiegħek.

4. Right-clickfuq il-formajew konnettur.

5. Agħżel Links miftuħau l- Linkstieqa jidher.

6. Agħżel il-link rilevanti li inti tixtieq tara.

7. Ikklikkja fuq il- Link Openbuttuna li tiftaħ u tara l-link rilevanti.

Biex tħassar rabtiet fil dijagramma tiegħek

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Agħżel il-għamla in kwistjonijew konnetturminn dijagramma tiegħek.

3. Right-clickfuq il-formajew konnettur.

4. Agħżel Links miftuħau l- Linkstieqa jidher.

5. Agħżel il-link rilevanti li jeħtieġ li jiġu mħassra.

6. Ikklikkja fuq il- Ħassarbuttuna. u r-rabta jitneħħa mill- Links tieqa.

Rabtiet organizzazzjoni, fl dijagramma tiegħek

Tista 'tagħżel li marbuta dijagramma, fajl estern, jew web URL hija murija meta tikketta forma hija Ctrl + għafast fid-dijagramma.

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Agħżel il-għamla in kwistjoni jew konnettur minn dijagramma tiegħek.

3. Right-clickfuq il-formajew konnettur.

4. Agħżel Links miftuħau l- Linkstieqa jidher.

5. Li jimmodifika l-ordni tar-rabtiet ikklikkja fuq il- Nimxu Up | Nimxu Downbuttuni fuq il-lemin tal- Linkstieqa.

6. L-ewwel link li tidher fuq in-naħa tax-xellug tal- Linkstieqa hija r-rabta li juri meta inti Ctrl + Ikklikkjaforma hyperlinked jew konnettur isem.

Ara wkoll

Populating arkitettura tiegħek | Populating arkitettura tiegħek manwalment | Analiżi arkitettura tiegħek


Dijagrammi timmanipula

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Dijagrammi timmanipula

Jibagħtu l-kummenti fuq dan is-suġġett.

Ladarba dijagramma ġiet maħluqa, l-elementi li jidhru fiha jista 'jiġi rranġat mill-ġdid u ta' daqs mill-ġdid kif mixtieq.

Biex timxi komponent dijagramma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Ikklikkja u żżommkwalunkwe komponent li jġorrhom. Jekk il-komponent magħżula għandha ġenitur, il-komponent ġenitur se tkun enfasizzata.

3. Peress li l-element huwamkaxkra minn komponent prinċipali tagħha, u fuq komponenti oħra, il-ġenituri "potenzjali" se jsiru enfasizzati. L-iskema kulur użat jindika l-effett l-operazzjoni se jkollu fuq it-twissijiet u l-iżbalji mal-proġett attwali u huwa deskritt fil Id-definizzjoni u l-validazzjoni Limitazzjonijiet . B'dan il-mod, inti tista 'grafikament jinnavigaw-ġerarkija minn "ħsieb pjan".

4. Rilaxxil-buttuna maws biex tinżel l-element fil-lokalità l-ġdida tagħha.

Nota

Inti tista 'wkoll tuża l-keyboard biex terġa' pożizzjoni elementi fuq il-kanvas tpinġija. Sempliċement agħżel il-komponent jew f'forma ħielsa forma li trid biex jiċċaqilqu u tuża l-buttuni vleġġa li jinsabu fuq it-tastiera li jċaqalqu l-forma għall-post mixtieq.

Wkoll in-nota li meta jittrattienu komponent bil-maws fuq komponent ieħor, komponent "potenzjali" ġenitur hija enfasizzata meta l-rokna ta 'fuq-xellug tal-komponent li qed jittrattienu duplikazzjonijiet komponent ieħor.

Tip

Freeform u Forom f'wiċċ l-ilma jistgħu jiġu ordnati mill tikklikkjau l-għażla Wassal għall Frontjew Ibgħat lil Backmill-menu. Huwa importanti li wieħed jinnota li forom komponenti jistgħu jkunu konvertiti forom Freeform mill tikklikkjafuq forma speċifika komponent u l-għażla Ikkonverti l Freeform.

Resize komponent dijagramma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Ikklikkja-hold-dragwieħed mill manki tal-komponent u resize l-forma li l-daqs mixtieq.

3. Alternattivament li jżommu aspect ratio il-forma, il iwaqqa Shift + Ikklikkja-hold-drag.

Biex timxi konnessjoni fil dijagramma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Ikklikkja u żżommkwalunkwe konnessjoni li jġorrhom.

3. Rilaxxil-buttuna maws biex tinżel l-element fil-lokalità l-ġdida tagħha.

Nota

Tista 'biss timxi konnessjonijiet li mhumiex marbuta ma' xi komponenti. Jekk huma mehmuża, inti tista 'biss timxi l-tarf ħieless, Jew ri-rotta l-konnessjoni .

Tħassar komponenti u konnessjonijiet

Meta tħassir ta 'komponent jew konnessjoni minn dijagramma, inti għandek l-għażla biex tħassar mis-arkitettura kollu. Kull komponent li huwa mħassar mill-arkitettura se jitneħħew awtomatikament minn kull dijagrammi oħra fejn tidher. Peress li eżempji Freeform jidhru biss fid-dijagramma waħda, tħassir minnhom ma jaffettwax il-mudell arkitettoniku jew kwalunkwe dijagramma oħra.

Biex tħassar komponent jew konnessjoni minn dijagramma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Ikklikkjafuq kull konnessjoni jew komponent assoċjat li tagħżel hi.

3. Agħfas il- Ħassarmuftieħ għall titħassar mid-dijagramma, jew Shift + Ħassariħassarha mill-mudell kollu.

- Jew -

2. Right-click fuq xi element assoċjat jew komponent. Kuntest A menu se jidhru.

3. Agħżel Ħassar mill Viewjew Ħassar mill Arkitetturamill-menu kuntest.

Nota

Jekk l-element li inti tixtieq li jitħassar mill-opinjoni għandha l-ebda tfal u sseħħ biss fuq dik il-fehma, Abacus se jistaqsi jekk inti tixtieq li tħassar l-element mill-repożitorju kif ukoll.

Attenzjoni

Meta tħassir ta 'komponent mill-mudell li għandu komponenti tfal, it-tfal se tkun ukoll potenzjalment mħassra skond il-dialog twissija.

Komponenti li qed jingħaqdu

Inti tista 'tixtieq li jingħaqdu żewġ komponenti eżistenti fuq l-istess dijagramma (u fi ħdan l-arkitettura). Dan jista 'jsir għal ħafna raġunijiet, pereżempju, Żewġ servers teżisti fi ħdan kumpanija-Infrastruttura H01 u H02. Dawn iż-żewġ servers huma rappreżentati bħala żewġ komponenti separati fi ħdan arkitettura. H01 ġiet meqjusa mhux meħtieġa u għalhekk għandha tiġi dekummissjonata. Applikazzjonijiet kollha eżistenti li jimxi fuq H01 għandhom jiġu mċaqilqa għall H02 (għadu fil-kummissjoni). Din il-bidla jista 'mbagħad jiġi rifless bl-azzjoni ta' "għaqdiet"-żewġ komponenti H01 u H02 fuq il-dijagramma (u fi ħdan l-arkitettura).

Għal diskussjoni dettaljata dwar amalgamazzjoni, jekk jogħġbok irreferi għall-Punti suġġett Twaħħid hawn .

Li jingħaqdu żewġ komponenti eżistenti

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Right-click istivafuq il-komponent trid li jingħaqdu u draghija fuq il-komponent trid li jingħaqdu ma '. Kun żgur li l-kontorn tal-komponent destinazzjoni hija enfasizzata aħmar li jindikaw li qed tieħu magħżula.

3. Agħżel Jingħaqdu | Ippreserva Destinazzjonijew Destinazzjoni jissostitwixxumill-menu.

Nota

Il Ippreserva Destinazzjonigħażla jippreserva l-valuri ta 'proprjetajiet tal-komponenti destinazzjoni jekk jeżistu fuq il-komponent li joriġina kif ukoll.

Il Destinazzjoni jissostitwixxugħażla overwrites proprjetajiet tal-komponenti destinazzjoni ma xi proprjetajiet komuni mill-komponent li joriġinaw.

Nibdlu Konnessjonijiet

Il-konnessjonijiet murija fuq dijagramma dejjemtirrifletti l-istruttura kif definit fl-arkitettura innifsu. L-Għodda Tpinġija jippermettilek li jinqata konnessjonijiet minn komponenti, mċaqalqa, Kurva minnhom, jerġgħu rotta minnhom u terġa 'jehmiżhom mal komponenti oħra.

Jinqata / titqabbad konnessjoni minn / għal komponent

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Ikklikkja u żżommfuq kwalunkwe konnessjoni.

3. Agħżelil-konnessjoni aħħar(jiġifieri Sors jew inżel) Li inti tixtieq li jinqata / tehmeż. Nota: it-trufijiet ta 'konnessjoni huma indikati ċrieki żgħar bojod u baqgħet iddur fuq l-ċirku abjad għat-tieni se jikkawża "tooltip" li tidher mal-rispettiva rwolisem(jiġifieri kemm Sors jew inżel).

4. Dragil-konnessjoni tmiem għal post ġdid (jew post vakanti jew komponent) u itlaq il-buttuna maws.

Nota

Meta tmiem konnessjoni jitpoġġa fuq komponent validu, il-kontorn tal-komponent destinazzjoni huwa enfasizzat bil-kontorn dashed. L-iskema kulur użat jindika l-effett l-operazzjoni se jkollu fuq it-twissijiet u l-iżbalji mal-proġett attwali u huwa deskritt fil Id-definizzjoni u l-validazzjoni Limitazzjonijiet . Ladarba jkun rilaxxat dak il-għan mill-the konnessjoni u l-komponent huma awtomatikament konnessi(jew mehmuża), U dan huwa rifless fil-mudell arkitettoniku.

Li terġa 'rotta konnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Pożizzjoni tal mouse pointer fuq konnessjoni.

3. Żomm il- Shiftisfel ewlenin u Ikklikkjail-buttuna maws biex tqiegħed punt ankra konnessjoni. Itlaq il- Shift ċavetta. Inti tista 'tneħħi l-punt ankra billi tagħmel l-istess operazzjoni.

4. Ikklikkja u dragil-punt ankra li terġa rotta l-konnessjoni.

Tip

Uża l-Alt ewlieni minflok il- Shiftewlieni għall-ħolqien konnessjonijiet ortogonali.

Biex Kurva jew straightenkonnessjoni

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Pożizzjoni tal mouse pointer fuq konnessjoni.

3. Right-clickthu konnessjoni u fil-kuntest tal-menu li jidher tagħżel Kurva, Ortogonali jew Straight.

Tip

Konnessjonijiet kollhata 'tip partikolari fuq il-dijagramma jistgħu jiġu stabbiliti biex Mgħawwġa, ortogonali jew Straight billi tikklikkja l-linja assoċjat għat-tip fuq il- Konnessjonijiet tabtal- Tieqa stensilu Curve għażla, ortogonali jew Straight.

Biex ankra fuq punt speċifiku fuq it-tarf ta 'forma

1. Jiżguraw li inti għandek eżistenti dijagramma miftuħa .

2. Agħżel konnessjoni.

3. Pożizzjoni tal-mouse pointer fuq l- "dot abjad" fl-aħħar tal konnessjoni.

4. Right-clickthuwa aħħar konnessjoni u fil-kuntest tal-menu li jidher tagħżel Ankra Endpoint biex Forma.Mexxi l-aħħar konnessjoni mal-post xewqa fuq it-tarf tal-forma.

JEW

Żomm il- Ctrlisfel ewlenin u clagħaq-and-dragl aħħar konnessjoni punt li il-post xewqa fuq it-tarf tal-forma.

Nota

Konnessjonijiet se snap biex l-interċett attwali ta 'forma konnessi tagħhom minflok il-kwadru ta' delimitazzjoni ta 'dik forma.

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Twaħħid oġġetti

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Twaħħid oġġetti

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta kieku inti jingħaqdu oġġetti?

Inti tista 'tgħaqqad oġġetti meta għandek żewġ (jew aktar) oġġetti fil-mudell tiegħek li aħjar rappreżentati minn istanza waħda. Hemm ħafna sitwazzjonijiet meta inti tista 'tixtieq li tagħmel dan, inkluż:

· Bħala riżultat ta 'importazzjoni sett ġdid ta' informazzjoni fil-mudell tiegħek li jistgħu jirduppjaw jew tissupera informazzjoni eżistenti. Per eżempju, jekk inti timporta verżjoni aġġornata ta 'spreadsheet fil-mudell tiegħek.

· Maż-żmien duplikati tal- "istess" komponent ġew maħluqa u inti tixtieq li tnaddaf dawn duplikati.

· Jekk inti qed iwettqu dak-jekk ix-xenarju u l-oġġetti li qed immudellar attwalment jingħaqdu fir-realtà. Per eżempju, jekk inti qed jingħaqdu żewġ dipartimenti fl-organizzazzjoni tiegħek, jew jekk inti qed jingħaqdu żewġ servers.

Liema jistgħu jingħaqdu?

It-tipi ta 'oġġetti li ġejjin appoġġ ngħaqdu:

· Standards

· Komponent u Konnessjoni Tipi

· Komponenti u konnessjonijiet

Kif jingħaqdu oġġetti

Li tibda jingħaqdu, tuża l-buttuna dritt maws, drag entrata waħda fil Explorer fuq ieħor. L-oġġett inti qed jittrattienu huwa s-sors, u l-oġġett li inti drag fuq hija d-destinazzjoni. Fuq tirrilaxxa l-mouse button dritt inti se tkun ippreżentata b 'menu minn fejn inti tista' tagħżel li Jingħaqdu-żewġ partiti. Int ser ikollok li jagħżlu jekk inti tixtieq li jippreservaw jew jissostitwixxu l-destinazzjoni. Dan huwa spjegat aktar hawn taħt.

Il jingħaqdu menu dritt drag

X'inhi d-differenza bejn preservazzjoni u kitba d-destinazzjoni?

Il jippreservaw jew jissostitwixxu l-għażla tiddetta x'jiġri jekk l-Isem, deskrizzjoni jew Properties bejn is-sors u oġġetti destinazzjoni logħba.

Jekk Ippreserva Destinazzjoni huwa magħżul

· Isem Id-destinazzjoni u Deskrizzjoni se jinżammu.

· Kwalunkwe Properties li jeżistu biss fil-għajn huma miżjuda lejn id-destinazzjoni.

Jekk Destinazzjoni jissostitwixxu hija magħżula:

· Isem Id-destinazzjoni ser jinkitbu fuqhom mis-sors.

· Id-destinazzjoni tal-Description se jinkitbu fuqhom mis-sors, għajr jekk is-sors tal Description huwa vojt.

· Kwalunkwe Properties li jeżistu biss fil-għajn huma miżjuda lejn id-destinazzjoni.

· Il-Valur u l-Unità ta 'kwalunkwe Properties li jeżistu kemm is-sors u d-destinazzjoni ser jinkitbu fuqhom mis-sors, għajr jekk is-sors tal Valur jew Unità huwa vojt.

Każijiet speċjali

· Tipi: Meta jingħaqdu tipi, il-permessi huma magħqudin, b'mod "pessimisti", b'tali mod li jekk il-permess fuq sors ma kinux jeżistu fuq id-destinazzjoni, ikun miżjud, u jekk hija ma jeżistu fl-destinazzjoni, allura jekk l-individwu permess għal grupp ta 'utenti (Oħloq, Aqra, jaġġorna jew iħassar) ma jaqblux ma' (waħda mogħtija, wieħed miċħuda), allura dak il-permess jiġi mċaħħad.

· Komponenti: Meta jingħaqdu komponenti, is-sotto-komponenti tas-sors huma emigraw lejn id-destinazzjoni, u huma magħqudin mas-sub-komponenti fil-destinazzjoni jekk l-ismijiet tagħhom huma identiċi, Irrispettivament mit-tip tagħhom.Barra minn hekk, multipli sotto-komponenti tas-sors bl-istess isem se jkun ikkombinat fi sub-komponent singolu fil-destinazzjoni.

· Konnessjonijiet: Il-konnessjonijiet ogħla livell nfushom għandhom it-tnejn għandhom l-istess attachments (jew nuqqas tagħhom) li jitħallew jingħaqdu. Meta jingħaqdu konnessjonijiet, is-sotto-konnessjonijiet tas-sors huma emigraw lejn id-destinazzjoni, u huma magħqudin mas-sub-konnessjonijiet fil-destinazzjoni jekk l-ismijiet tagħhom huma identiċi Utwaħħil tagħhom huma identiċi. Jekk attachments mhumiex identiċi, is-sotto-konnessjonijiet sors se jkunu miżjuda lejn id-destinazzjoni mingħajr ma jingħaqdu ma 'konnessjonijiet diġà preżenti jaqblu. Dan huwa sabiex l-ebda annessi huma mitlufa.


Navigazzjoni dijagramma 3D

Navigation: Analiżi arkitettura tiegħek> 3D dijagrammi>

Navigazzjoni dijagramma 3D

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus jippermettilek li faċilment tinnaviga permezz arkitettura tiegħek fil 3D. L-esperjenza huwa simili għal jtajru. Hemm żewġ modi ta 'navigazzjoni:

· Kontroll bażiku Mode (default); u

· Modalità Avvanzata Kontroll - bidla għal dan il-mod billi tagħżel Kontroll| Kontroll Modalità Avvanzata.

Nota

Biex jaqilbu bejn Kontroll Bażiku u l-Kontroll Modes Avvanzata, inti tista 'tuża l- F4keyboard shortcut funzjonalità.

Kontroll bażiku Mode

· Holding-buttuna tax-xellug u tmexxi l-mouse quddiem jew lura bidliet l-pitch;

· Holding-buttuna tax-xellug u tmexxi l-mouse xellug jew dritt bidliet l-yaw;

· Holding-buttuna dritt u jimxu l-maws borom-fehma;

· Holding kemm buttuni isfel u tmexxi l-mouse quddiem jew lura, zooms fi u barra mill-arkitettura; u

· Holding kemm buttuni isfel u tmexxi l-mouse lemin jew xellug, f'rombli xellug u lemin.

- Jew -

· Tagħfas il- Xellug Arrowfuq it-tastiera jew tastiera numerika ser idur tax-xellug;

· Tagħfas il- Dritt Arrowfuq it-tastiera jew tastiera numerika se dawwar id-dritt;

· Tagħfas il- Up Arrowfuq it-tastiera jew tastiera numerika se zoom in;

· Tagħfas il- Down Arrowfuq it-tastiera jew tastiera numerika se zoom out;

· Għafis Page Upfuq it-tastiera jew tastiera numerika se żift up; u

· Għafis Page Downfuq it-tastiera jew tastiera numerika se żift isfel.

Kontroll Modalità Avvanzata

· Nimxul-maws quddiem u lura, u sa u 'l isfel, bidliet l-pitch u yaw (rispettivament);

· Għafis Wjew Up Arrowzooms fi ('il quddiem) l-arkitettura;

· Għafis Sjew Down Arrowzooms out (b'lura) mill-arkitettura;

· Għafis Ajew Xellug Arrowf'rombli lejn ix-xellug;

· Għafis Djew Dritt Arrowf'rombli lejn il-lemin;

· Għafis Qjew Page Downjgħolli l-opinjoni (billi jnaqqsu l-perspettiva); u

· Għafis Ejew Page Upjbaxxi l-opinjoni (mill aminotransferase-perspettiva).

Interactive Kontroll Mode

Tagħfas u żżomm l- bidla ewlenijafuq it-tastiera tipprevali-mod kurrenti (Bażiku jew Advanced) li jidħlu fil-mod tal-kontroll interattiv. F'din il-modalità li ġej huwa possibbli:

· Rolll-maws cursor fuq komponent jew konnessjoni biex tara d-komponent jew l-isem konnessjoni tal;

· Ikklikkjafuq komponent li zoom fl fuq dak il-komponent;

· Ikklikkja u dragfuq komponent biex idawwar il-fehma madwar dak il-komponent; u

· Right-clickkomponent jew konnessjoni u tagħżel Uri Fil Explorerbiex tara dak il-komponent jew il-lokazzjoni konnessjoni fil-siġra.

Kontrolli komuni

· Użu ALT-ENTER / ESCli toggle full screen mode;

· Użu F2li jibdlu l-mod display. Dan jista 'wkoll tkun aċċessibbli fil- ViewMenu.

· Uża l- rota ġurdienjew +/-li jibdlu l-veloċità. Il-veloċità huwa indikat minn numru fir-rokna t'isfel tax-xellug - li tidher biss meta qed tinbidel. 1 huwa iżgħar rata u 100 hija iktar mgħaġġla.


Dijagrammi ftuħ

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Dijagrammi ftuħ

Jibagħtu l-kummenti fuq dan is-suġġett.

Il stensil u kanvas twieqi tpinġija jidher awtomatikament meta dijagramma jinfetaħ jew maħluqa. Bl-istess mod, meta dijagramma huwa magħluq, il-folja tabbed korrispondenti fit-tieqa kanvas tisparixxi u jekk l-ebda tpinġijiet aktar huma miftuħa allura l-tieqa stensil huwa magħluq.

Biex joħolqudijagramma ġdida

1. Jiżgura li inti għandek xiFajl Abacus miftuħfihom tiegħek arkitettura popolati.

2. Ikklikkja fuq il- Diagramicon fil-toolbar View.

- Jew -

2. Agħżel Daħħal| Diagram.

- Jew -

2. Right-clickl Dijagrammifergħa ta 'partikolari Arkitetturataqsima tas-siġra u tagħżel Oħloq Dijagramma.

3. Agħżel il- Arkitetturainti tixtieq li tiffoka fuq mill-pull-down menu. Nota: l-arkitettura diġà se jintgħażlu għalik jekk inti użati Pass 3 hawn fuq li tiftaħ il-dijagramma ġdida.

4. Agħżel il- Perspettiva inti tixtieq li tuża mill-pull-down menu. Nota: il-perspettiva magħżula se jiffiltraw l-komponenti u l-listi konnessjonijiet li jkunu dawk disponibbli fis-perspettiva biss.

5. B'għażla tagħżel Veduta minn Iffiltra Billi Viewpull-down menu għall jagħżlu minn qabel il-komponenti u konnessjonijiet mit-fehma magħżula. Nota: din hija effettivament tuża l-fehma magħżula bħala mistoqsija ffrankati.

6. Agħżel il- Layout li jkun jew Radjali jew Grid.

7. Agħżel il- Komponentiu Konnessjonijietli trid fil-dijagramma mill- tieqa għażla element standard .

8. Ikklikkja kollox sew.

Nota

A dijagramma ġdida se tkun miżjuda mal- Dijagrammifergħa ta 'l-arkitettura. Din se jkollha isem default, li tista 'tbiddel aktar tard mill tikklikkja fuqha.Barra minn hekk, l-aħħar istat tal-filtri komponenti u l-għażla konnessjoni se jiġu ffrankati bl-dijagramma effettivament iffrankar l-"query" użat biex jinħolqu l-dijagramma.

Biex tiftaħ Dijagramma eżistenti

1. Fl-arkitettura popolati speċifiku, jespandu l- Dijagrammifergħa tas-siġra.

2. Double click l dijagramma inti tixtieq li tiftaħ.

Biex jiffrankaw dijagramma

1. Jiżguraw li inti għandek dijagramma ġdida jew eżistenti miftuħau tkun għamilt il-bidliet meħtieġa. Nota: b'asterisk "*" se jintwerew wara l-isem fehma fil-header folja tabbed jekk ikun hemm tibdiliet li jiġu ffrankati.

2. Fil-fehma Explorer ikklikkja fuq il- Savebuttuna jew ltqajna biex File| Savejew iwaqqa Ctrl + Sbiex jiffrankaw bidliet kollha fl-arkitettura tiegħek u tiktibha għall-fajl.

Biex jiffrankaw dijagramma bħala perspettiva

1. Jiżguraw li inti għandek dijagramma eżistenti fajl Abacus tiegħek.

2. Right-clickl-dijagramma fil- Dijagrammiparti tas-siġra.

3. Agħżel Save As Opinjoni Dijagramma.

4. Daħħal l-isem għall ġdida tiegħek perspettiva dijagrammau kklikkja kollox sew.

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Populating jużaw Katalogi

Navigation: populating arkitettura tiegħek>

Populating jużaw Katalogi

Jibagħtu l-kummenti fuq dan is-suġġett.

A katalogu li tara u jeditjaw komponenti jew il-konnessjonijiet u l-proprjetajiet tagħhom b'mod tabulari sempliċi.

Biex joħolqu Katalogu ġdida ħsieb fil Abacus

Nota

Filwaqt li l-utenti kollha perit jista 'joħloq Katalogi ġodda, li jiffranka bidliet għas-settings ta Katalogu eżistenti tal- liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Dan huwa li "jipproteġi" l-konfigurazzjoni ta 'Katalogi eżistenti li jistgħu jiġu maqsuma minn ħafna utenti. Madankollu, Perit juża mingħajr l Disinjatur add-on xorta tista 'tagħżel li "Save As" xi settings ġodda lil Katalogu ġdid. U ovvjament liċenzji kollha utent jista 'jagħżel li "jarmi" xi tibdil fi Katalogu eżistenti. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ l Disinjatur add-on kapaċità. U ftakar, dan huwa biss il-settings tal-Katalogu, modifiki kollha magħmula għad-data fil-Katalogu jiġu applikati istantanjament fl-arkivju, indipendentement.

1. Agħżel Daħħal | Katalgu.

2. Fil- pull-down jagħżlu l-Arkitettura li fiha l-komponenti jewKonnessjonijiet inti tixtieq tara.

3. Fil- pull-down jagħżlu l-komponent jew tip ta 'konnessjoni li tixtieq li l-istanzi elenkati bħala "ringieli' fil-katalgu.

4. Il katalogu se jkun popolati ma 'ringiela għal kull każ tal-komponent jew il-konnessjoni tip magħżula.

Nota

Permezz ta 'default l-xellug aktar Path ġerarkijakolonna (jiġifieri l-ġerarkija ta 'komponenti prinċipali jew konnessjonijiet ta' hawn fuq l-istanzi magħżula) u l-2 Isem kolonna (ie il-lista tal-każijiet komponent jew konnessjoni magħżula) huma ffriżati għall-xellug tal-katalogu. Biex jinbidlu l-kolonna iffriżar jkaxkru l-separatur ta 'kolonni għad-dritt tal-kolonna Isem. Tista -ordni mill-ġdidkolonni sempliċiment billi jittrattienu u twaqqa intestaturi tal-kolonni tagħhom. Ċelloli ta 'kolonni ma' jenfasizzaw blu huma hyperlinks ma 'elementi oħra fil-proġett u l-hyperlinks tista' tiġi segwita billi żżomm Ctrl u tikklikkja l-links. Kolonni jista 'jkun moħbija billi tikklikkja l-intestatura kolonna u l-għażla Kolonna | Hide Kolonna. Kolonni moħbija tista 'tiġi unhidden billi tikklikkja l-Kkonfigurat buttuna Kolonni toolbar u bl-użu Kolonni Kkonfigurat dialog kif muri hawn taħt, jew billi tagħżel il-parti vleġġa stabbiliti mill-Kkonfigurat buttuna Kolonni toolbar u individwalment jintgħażlu l-kolonna (i) moħbija jew mill-General, Properties jew twaħħil kollezzjonijiet. Ringieli jista 'jkun miġbura billi valuri kolonna tagħhom billi jittrattienu l-intestatura kolonna fil-bar grupp blu fil-quċċata tal-katalogu. Fi kwalunkwe ħin inti tista 'ikklikkja darbtejn fuq il- selettur ringiela kataloguu jaqbżuil-komponent korrispondentijew konnessjonifit-tieqa Explorer.Valuri taċ-ċelluli proprjetà huma bolded fejn dawn huma differenti għall-nuqqasijiet, u italicized fejn huma jinqraw-biss. Timestamp, Proprjetà u Mehmuża kolonni Komponent jista 'jkun kkulurita skond il-valuri taċ-ċelluli jew il-valur tal-proprjetà komponent mehmuża billi tikklikkja l-intestatura kolonna u l-għażla Kolonna | Kulur bidla ... u allura l-Kulur minn Timestamp jew għażla Kulur ma 'proprjetà, madankollu, biss Lista, Integer, Deċimali, Boolean jew Data / Ħin proprjetajiet tip data ser kulur. Valuri ta 'Proprjetà għall-kolonni Komponent mehmuża jistgħu murija billi tikklikkja l-intestatura kolonna u l-għażla Kolonna | Uri Proprjetà ... u allura l-għażla Show Proprjetà. U fl-aħħarnett, fejn hemm Restrizzjonijiet Meħtieġa stabbiliti għal kolonna proprjetà dawn jistgħu jintwerew bil- string (flimkien ma 'kolorant skont il-livelli ta' infurzar tagħhom) bi dritt tikklikkja l-intestatura kolonna u l-għażla Kolonna | Uri .

Katalgu

Biex żid kolonni / juru li a Katalgu ħsieb b'mod Abacus

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa.

2. Kolonni moħbija tista 'tiġi unhidden individwalment billi tikklikkja l- vleġġa fuq il-lemin tal-Kolonni Kkonfigurat buttuna toolbaru l-għażla l-kolonna moħbija jew mill- Ġenerali, Properties jew Attachments kollezzjonijiet.

Nota

A marka immarka se jintwerew ħdejn il-kolonni murija bħalissa għall-katalogu.Barra minn hekk, huma biss ċerti annessi se jkunu disponibbli taħt il-Attachments taqsima skond il- restrizzjonijiet li huma definiti fil-proġett tiegħek. B'mod partikolari, għal sekwestru tkun disponibbli biex jintwerew fis katalogu komponent tat-tip ta 'komponent għall-katalgu għandu jkun speċifikat jew bħala s-sors jew jegħrqu (MHUX il- "Kull") ta' "konnessjoni jridu jkunu mqabbda" restrizzjoni għal konnessjoni tip, u għandu jkun hemm ukoll tip ta 'komponent tal-anqas wieħed speċifikat jew bħala s-sors jew jegħrqu (MHUX il- "Kull") mill-oħra "finali" tal-istess tip ta' konnessjoni.

- JEW -

2. Kolonni multipli jistgħu jiġu unhidden (jew ordnati jew fiss) billi tikklikkja l- Kkonfigurat Kolonni buttuna toolbaru bl-użu Kolonni Kkonfigurat dialog li jidher hawn taħt.

Nota

Il-kolonni murija bħalissa huma murija fil-panel fuq il-lemin bl-kolonni disponibbli murija fil-panel fuq ix-xellug. Il-kolonni disponibbli jistgħu jiġu iffiltrata skond l- Agħżel Kolonni Disponibbli Millpull-down u magħhom jistgħu jiġu miżjuda billi tagħżel minnhom fil-panel fuq ix-xellug u tikklikkja l- Żid buttuna inbetween-żewġ pannelli.

Kkonfigurat Kolonni dialog

Biex neħħi / jaħbu kolonni minn Katalgu ħsieb b'mod Abacus

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa.

2. Right-click l-header kolonna għall-kolonna tixtieq tneħħi / jinħbew u tagħżel Kolonna | Hide Kolonna.

- JEW -

2. Kolonni multipli jistgħu jiġu moħbija (jew ordnati jew fiss) billi tikklikkja l- Kkonfigurat Kolonni buttuna toolbaru bl-użu Kolonni Kkonfigurat dialog tidher hawn fuq.

Nota

Il-kolonni murija bħalissa huma murija fil-panel fuq il-lemin bl-kolonni disponibbli murija fil-panel fuq ix-xellug. Il-kolonni murija bħalissa jistgħu jiġu moħbija billi tagħżel il-kolonna fil-panel fuq il-lemin u tikklikkja l- Neħħi buttuna inbetween-żewġ pannelli.

Biex timla użu ta ' Katalgu ħsieb b'mod Abacus

1. Biex żid komponent jew konnessjonitat-tip magħżula lil katalogu (u l-proġett) kklikkja l Żid New Komponent / Add New buttuna toolbar Konnessjoni. Il-filliera għandha jidhru u komponent jew konnessjoni se jinħolqu fl-ogħla livell tal- Komponenti jew Konnessjonijiet 'ġbir għall-Arkitettura magħżula.

Nota

Spare parts ġodda u konnessjonijiet huma miżjuda awtomatikament fl-ogħla livell tal-Komponenti jew Konnessjonijiet ġbir tal-Arkitettura magħżul. Biex jinbidlu l-ġenitur tal-komponenti ġodda jew konnessjonijiet dritt ikklikkja l-cell Path Ġerarkija għall-komponent jew konnessjonijiet ringiela ġdida u tagħżel Bidla Parent ...u jagħżlu l-ġenitur mixtieqa (filwaqt nota tal- tenfasizza restrizzjoni ).

Nota

Ringieli ġodda / elementi miżjuda direttament ma 'katalogu permezz tal- "Żid New" buttuna, pasted fil-katalgu, jew maħluqa permezz jimpurtaw fil-katalgu minn MS Excel huma eżenti mill-filtrazzjoni sakemm il-katalgu huwa magħluq. Dan huwa li jippermetti kwalunkwe editjar meħtieġa ta 'valuri kolonna li jistgħu ma jissodisfawx il-kriterji ta' filtrazzjoni attwali tal-katalogu. Dawn ringieli element ġdid huma indikati permezz ta '"+" simbolu fiċ-ċellula selettur ringiela fil-bidu tal-filliera, li hija kkulurita aħdar jekk l-element bħalissa jissodisfa l-kriterji ta 'filtrazzjoni salvati tal-katalogu (jiġifieri se jibqgħu fuq katalogu jekk mill-ġdid miftuħa), u aħmar jekk ma.

2. Biex tneħħi komponent jew konnessjonitat-tip magħżula minnl katalogu (u l-proġett) tagħżel l-ringiela u jew istampa Del ewlenin jew dritt ikklikkja l-selettur ringiela u tagħżel Ħassar mill Arkitettura. Il ringiela għandhom jitneħħew mill-katalgu u għandha tiġi mħassra mid-proġett.

Biex filtru użu ta ' Katalgu ħsieb b'mod Abacus

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa.

2. Jekk il-filliera filtru mhux qed juri fil-quċċata tal-katalogu mbagħad ikklikkja fuq il- Uri Iffiltra Header Rowbuttuna toolbar.

3. Fil-kolonna inti tixtieq iżżid filtru, double-click-ċellula ringiela filtru fejn dan juri "(Kollha)".

4. Għal Timestamp, Path Ġerarkija, Isemjew Deskrizzjonikolonni ġenerali jew Test, Integer, Deċimali, Booleanjew Data / Ħinkolonni proprjetà ikklikkja l-buttuna ... li jidher fid-dritt taċ-ċellula ringiela filtru u jidħlu l-valuri taċ-ċelluli li għandhom jiġu inklużi fil-katalgu.

Nota

Tqabbil hija mwettqa bħallikieku "*" wildcards huma applikati awtomatikament qabel u wara kull valur sekwenza b'tali mod li d-dħul ta 'qattus' (mingħajr il-kwotazzjonijiet) tkun tinkludi ringieli ma 'bobqattus","qattusmara "jew" applikazzjoniqattusion "eċċ Multiple /" jew "valuri jistgħu jiddaħħlu fuq linji ġodda li jużaw Ctrl + Daħħal. Għal Integer u kolonni proprjetà Deċimali "u" loġika tista 'tiġi inkluża użu "&"(Mingħajr il-kwotazzjonijiet) u akbar minn / inqas minn eċċ loġika tista 'tiġi inkluża użu"> =",">","<"U"<="(Mingħajr il-kwotazzjonijiet) eż "> = 50000 & <90000". Non-vojt ringieli vvalutati jista 'jiġi inkluż billi jidħlu "(Mhux Blanks)"(Mingħajr il-kwotazzjonijiet) u ringieli vojta vvalutati jista 'jiġi inkluż billi jidħlu"(Blanks)"(Mingħajr il-kwotazzjonijiet).U fl-aħħarnett, filtri kollha huma b'każ default insensittiva hekk "qattus" (mingħajr il-kwotazzjonijiet) tkun tinkludi ringieli ma 'qattus "," Cat "jew eċċ" CAT "Għall tqabbil sensittivi każ, niżżel"(Każ)"(Mingħajr il-kwotazzjonijiet) qabel l-sekwenza eż "(Kawża) Kat" (mingħajr il-kwotazzjonijiet) tkun tinkludi biss ringieli ma 'Cat "fihom.

5. Għal Attachmentskolonni, Standards kolonni jew Lista kolonni proprjetà ikklikkja l-buttuna vleġġa stabbiliti li jidher fid-dritt taċ-ċellula ringiela filtru u tagħżel l-valuri taċ-ċelluli mill-checkboxes li għandhom jiġu inklużi fil-katalgu.

Nota

Il- "(Select All)" Checkbox se jippermetti l-checkboxes oħra, b'mod effett inklużi l-ringieli disponibbli. Il- "(Mhux Blanks)" Checkbox se jinkludi kwalunkwe nuqqas ta 'vojt ringieli vvalutati. Il- "(Blanks)" Checkbox se jinkludi kwalunkwe vojta vvalutati ringieli. Checkboxes u finalment, unchecking xi checkboxes speċifiċi vvalutati se awtomatikament unselect l- "(tagħżel kollha)" u "(Mhux Blanks)" biex ikun hemm konsistenza.

6. Ikklikkja kollox sew li japplikaw il-filtru.

Biex jiskonnettja / jippermettu filtrazzjoni fuq a Katalgu ħsieb b'mod Abacus

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa bil- filtru applikata.

2. Ikklikkja l-kaxxa kontroll għall-xellug tal-filliera filtru.

Biex tneħħi filtru mill a Katalgu ħsieb b'mod Abacus

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa bil- filtru applikata.

2. Biex tneħħi filtru kolonna individwali dritt ikklikkja l-header kolonna u tagħżel Kolonna | Clear iffiltrar.

3. Biex tneħħi filtri kollha ikklikkja l- Għażliet buttuna toolbar u tagħżel Ċari Iffiltra Settings.

Biex jiffrankaw / Ħlief kif aFehma Katalogu

Nota

Filwaqt li l-utenti kollha perit jista 'joħloq Katalogi ġodda, li jiffranka bidliet għas-settings ta Katalogu eżistenti tal- liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Dan huwa li "jipproteġi" l-konfigurazzjoni ta 'Katalogi eżistenti li jistgħu jiġu maqsuma minn ħafna utenti. Madankollu, Perit juża mingħajr l Disinjatur add-on xorta tista 'tagħżel li "Save As" xi settings ġodda lil Katalogu ġdid. U ovvjament liċenzji kollha utent jista 'jagħżel li "jarmi" xi tibdil fi Katalogu eżistenti. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ l Disinjatur add-on kapaċità.U ftakar, dan huwa biss il-settings tal-Katalogu, modifiki kollha magħmula għad-data fil-Katalogu jiġu applikati istantanjament fl-arkivju, indipendentement.

1. Jiżguraw li inti għandek ġdida jew fehma Katalogu eżistenti miftuħau tkun għamilt il-bidliet meħtieġa.

2. Fil- Fehma Kataloguikklikkja fuq il-toolbar Savebuttuna biex isalva l- Fehma Katalogu u kwalunkwe ifformattjar bidliet.

Nota

Jekk inti ma għandekx buttuna Ħlief fil-toolbar fehma Katalogu allura inti ma għandekx il-Disinjatur add-on u inti biss tista ' Save Asxi settings bidliet għal b'katalogu ġdid meta inti tmur biex tagħlaq il-katalgu eżistenti.

3. Jekk l KatalguIsemdialog tidher (minħabba li jkunu katalogu ġdid) jidħol isem għall- katalogu u l-istampa kollox sew.

Biex esportazzjoni lejn katalogu MS Excel

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa.

2. Ikklikkja l- Esportazzjoni lejn spreadsheet Excel Katalogubuttuna toolbar.

3. Agħżel isem ta 'fajl biex isalva l-katalogu MS Excel bħala. Ikklikkja Save.

Nota

Permezz ta 'default filename-katalogu tal MS Excel esportat għandu jkun l-isem Katalogu suffixed bl-isem Arkitettura fil-parentesi, pereżempju "Proġetti (2014 attwali) .xlsx". Tista 'tbiddel xi parti minn dan, inkluż jekk il-format tal-fajl għandu jkun .xlsx jew xls. L-isem Arkitettura hija inkluża li tfakkar lill-utent li kull katalogu għandu kontenut speċifiku (jiġifieri IDs fil-kolonna A u ringiela 1) biex jippermettilu li jkun tripped-tond lura fl-użu Importazzjoni minn katalogu MS Excel bħala kull taħt.

Nota

Permezz ta 'default il Kolonna A moħbija fil-katalogu MS Excel esportati fiha l-ID uniku għal kull wieħed mill-elementi fil-repożitorju Abacus. Dan jippermetti kull tibdil li jsiru fit MS Excel li jkun "mqabbla" għall-elementi eżistenti fi ħdan Abacus fuq l-importazzjoni (ara hawn taħt). Madankollu, l-użu ta 'din ID unika li "jaqblu" ringieli jistgħu jiġu megħluba bi Esterni | IDproprjetà fuq l-element. Dan huwa, jekk l-element ikollu Estern | Proprjetà ID u hija inkluża fil-katalgu fuq l-esportazzjoni allura l-valuri tal-Estern | Kolonna ID se jintużaw biex jaqblu-ringieli fuq l-importazzjoni (ara hawn taħt) u l-valuri ID unika fil-kolonna moħbija A se jiġu injorati (u jista 'anke jkun vojt). Il-Kolonna moħbija A innifsu għandha tibqa ', madankollu, b'mod partikolari l-valur fil-ċelloli A1. Barra minn hekk, meta jingħadd ID esterni għal ġbir eżistenti element Abacus nirrakkomandaw żieda tagħhom bħala proprjetà differenti ewwel, eż Esterni | Temp u mbagħad renaming-proprjetà li Estern | ID. Inkella se jkunu miżjuda elementi doppji.

Ifformattjar Kataloguhuwa esportat fil-kontumaċja, madankollu, għal katalgi kbar dan jista 'jirriżulta fl-esportazzjoni tkun pjuttost bil-mod. Għaldaqstant, fil Għodod | Għażliet ...imbagħad fuq l Katalgutab,inti tista 'tnaqqas l-ammont ta' ifformattjar li huwa esportat kif muri fuq il-tab Katalogu hawn taħt, u b'hekk jitħaffef il-esportazzjoni.

Esportazzjoni Katalogu għażliet

4. An dialog Esportazzjoni Completed hija murija. Ikklikkja kollox sew.

Esportati lejn katalogu MS Excel

Biex importazzjoni minn katalogu MS Excel

Nota

Permezz ta 'default il Kolonna A moħbija fil-katalogu MS Excel esportati (ara hawn fuq) fiha l-ID uniku għal kull wieħed mill-elementi fil-repożitorju Abacus. Dan jippermetti kull tibdil li jsiru fit MS Excel li jkun "mqabbla" għall-elementi eżistenti fi ħdan Abacus fuq l-importazzjoni. Madankollu, l-użu ta 'din ID unika li "jaqblu" ringieli jistgħu jiġu megħluba bi Esterni | IDproprjetà fuq l-element. Dan huwa, jekk l-element ikollu Estern | Proprjetà ID u hija inkluża fil-katalgu fuq l-esportazzjoni (ara hawn fuq) il-valuri ta 'l-Estern | Kolonna ID se jintużaw biex jaqblu-ringieli fuq l-importazzjoni u l-valuri ID unika fil-kolonna A moħbija se jiġu injorati (u jista 'anke jkun vojt). Il-Kolonna moħbija A innifsu għandha tibqa ', madankollu, b'mod partikolari l-valur fil-ċelloli A1. Barra minn hekk, meta jingħadd ID esterni għal ġbir eżistenti element Abacus nirrakkomandaw żieda tagħhom bħala proprjetà differenti ewwel, eż Esterni | Temp u mbagħad renaming-proprjetà li Estern | ID. Inkella se jkunu miżjuda elementi doppji.

1. Jiżguraw li inti għandek Fehma Katalogu miftuħa.

2. Ikklikkja l- Importazzjoni minn spreadsheet Excel Katalogubuttuna toolbar.

3. Agħżel isem ta 'fajl li jimportaw il-katalogu MS Excel minn. Ikklikkja Open.

4. Żbalji ġodda skoperti u / jew żbalji ġodda / Twissijiet Osservata dialogs jistgħu jidhru għal kwalunkwe kontenut ġdid (jiġifieri ringieli fil-MS Excel) li kien miżjud. Ħu nota ta 'l-iżbalji / twissijiet u kklikkja kollox sew.

5. Importazzjoni Completed dialog hija murija u jistgħu juru twissijiet dovuti lill-importazzjoni (ara n-noti ta 'hawn taħt). Ikklikkja kollox sew.

Nota

Għall-kolonni Komponent assenjati Standards jew mehmuża, entrati ġodda permezz tal-katalogu MS Excel għandha taqbel mal eżattament l- isem ta 'Standard eżistenti jew Komponent tat-tip korrett għall-assenjazzjoni jew konnessjoni li għandha tiġi miżjuda. L-ewwel logħba imsejjaħ ser jintużaw u kwalunkwe daħliet mhux imqabbla se jiġġeneraw twissija bħala kull taħt. Barra minn hekk, filwaqt li twissijiet huma mogħtija fuq ta 'importazzjoni mill-ġdid, l-elementi huma ma jitħassruxminn Abacus jekk ma jkunux preżenti fil-katalgu MS Excel. Dan huwa minħabba li m'hemm l-ebda mod li Abacus jista 'jkun jaf jekk il-Komponent assenjat Standard jew mehmuża teżisti fil-proġett Abacus iżda ma jeżistix fil-katalgu MS Excel għaliex ġie mħassra mill-katalgu MS Excel jew ġie miżjud mal-Abacus proġett peress li l-katalgu kien esportat. Għaldaqstant, jekk l-utenti jixtiequ faċilment "tiskopri" li konnessjonijiet ġew miżjuda matul il-proċess ta 'importazzjoni jistgħu sempliċiment toħloq proprjetà meħtieġa fuq il-tip ta' konnessjoni u sett huwa default għall blank sabiex dawn se jkunu mwissija bi kwalunkwe konnessjonijiet ġodda kull darba li l-importazzjoni tkun tlestiet.

Nota

Meta jimporta katalogu MS Excel Twissijiet varji jistgħu jiġu murija. L-ewwelnett, jekk kolonna ġdid ġie miżjud mal-Excel li ma taqbilx ma 'l-"sintassi" għal proprjetà jew komponent mehmuża l-kolonna se jiġu injorati. Sussegwentement, linja b'linja billi twissijiet se jintwerew għal xi kwistjonijiet mal-data dwar kull ringiela ta 'l-katalogu Excel. Dawn it-twissijiet jibdew bin-numru ringiela f'parentesi kwadri u jekk rilevanti l-tikketta kolonna (ie "[23, J] ..." għall ringiela 23, kolonna J) u jistgħu jirreferu għal oġġetti mħassra, Standards mhux imqabbla jew ismijiet Komponent mehmuża (li huma injorati bħala kull nota hawn fuq) jew ID invalida jew vojta relatata ma 'filliera / element ġdid (li se jkunu miżjuda). Għal oġġett dettaljata dwar populating Abacus użu katalgi Excel jekk jogħġbok irreferi għall- Avolution Komunità jew il-kors ta 'taħriġ Portfolio Manager.

Nota

Spare parts ġodda u konnessjonijiet huma miżjuda awtomatikament fl-ogħla livell tal-Komponenti jew Konnessjonijiet ġbir tal-Arkitettura magħżul. Biex jinbidlu l-ġenitur tal-komponenti ġodda jew konnessjonijiet dritt ikklikkja l-cell Path Ġerarkija għall-komponent jew konnessjonijiet ringiela ġdida u tagħżel Bidla Parent ...u jagħżlu l-ġenitur mixtieqa (filwaqt nota tal- tenfasizza restrizzjoni ).

Nota

Elementi miżjud direttament ma 'katalogu permezz tal- "Żid New" buttuna, pasted fil-katalgu, jew maħluqa permezz jimpurtaw fil-katalgu minn MS Excel huma eżenti mill-filtrazzjoni sakemm il-katalgu huwa magħluq. Dan huwa li jippermetti kwalunkwe editjar meħtieġa ta 'valuri kolonna li jistgħu ma jissodisfawx il-kriterji ta' filtrazzjoni attwali tal-katalogu. Dawn ringieli element ġdid huma indikati permezz ta '"+" simbolu fiċ-ċellula selettur ringiela fil-bidu tal-filliera, li hija kkulurita aħdar jekk l-element bħalissa jissodisfa l-kriterji ta 'filtrazzjoni salvati tal-katalogu (jiġifieri se jibqgħu fuq katalogu jekk mill-ġdid miftuħa), u aħmar jekk ma.

Biex jqabblu l-kontenut ta 'katalgu l-arkitettura ieħor

1. Jekk jogħġbok irreferi għas-suġġett hawn .

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Visio | Populating arkitettura tiegħek mill Excel


Populating li jużaw matriċi

Navigation: populating arkitettura tiegħek>

Populating li jużaw matriċi

Jibagħtu l-kummenti fuq dan is-suġġett.

A matriċi li tara u jeditjaw il- "dirett" Konnessjonijiet bejn il-komponenti b'mod tabulari sempliċiu biex tara wkoll l-"passaġġ indiretta" bejn il-komponenti skond xi komponenti intermedji (u konnessjonijiet).

Biex joħolqu ħsieb Matrix fl Abacus

Nota

Filwaqt li l-utenti kollha perit jista 'joħloq matriċi biex isalvaw lilhom u / jew settings tagħhom l- liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Dan huwa li "jipproteġi" l-konfigurazzjoni ta 'matriċi eżistenti li jistgħu jiġu maqsuma minn ħafna utenti. Madankollu, Perit juża mingħajr l Disinjatur add-on xorta tista 'tagħżel li "Save As" xi settings ġodda lil Matriċi ġdida. U ovvjament liċenzji kollha utent jista 'jagħżel li "jarmi" xi tibdil fi Matrix eżistenti. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

1. Agħżel Daħħal | Matriċi.

2. Fil- rchitecture>pull-down jagħżlu l-Arkitettura li fiha l-komponenti u konnessjonijiet li tixtieq tara.

3. Fil- <SorsTip>pull-down jagħżlu l-approvazzjoni tat li inti tixtieq li jkollha l-istanzi elenkati bħala "ringieli' il-lemintal-matriċi.

4. Fil- <InżelTip>pull-down jagħżlu l-approvazzjoni tat li inti tixtieq li jkollha l-istanzi elenkati bħala "kolonni' madwar l-quċċatatal-matriċi.

5. Fil- pull-down hemm essenzalment żewġ "modi" ta matriċi tista 'tiddefinixxi ...

Matriċi konnessjonijiet "diretti"

6. Simply selett wieħed (1) jew aktar konnessjoni tipi fuq il-lemin tal-menu li jidher jekk tixtieq tara fil-"ċelloli" tal-matriċi jekkn espliċitakonnessjoni jeżisti mill- Vertikali/ "ringiela"Komponent tal-matriċi għall- Orizzontali/ "kolonna"Komponent tal-matriċi.

Nota

Konnessjonijiet biss ma 'l-għajn END mehmuża mal- Vertikali/ "ringiela"Tarf komponent u sink mehmuża mal- Orizzontali/ "kolonna"Komponent se jintwerew. Jaqilbu l- Sorsu Inżelselezzjonijiet tip komponenti ma tara l-konnessjonijiet fid-direzzjoni opposta.

7. Il-matriċi se jkun popolati ma '"X" fiċ-ċelloli (jew valur tal-proprjetà - ara n-nota hawn taħt) jekk ikun hemm konnessjoni mill- Vertikali/ "ringiela "komponent tal-matriċi għall- Orizzontali/ "kolonna"Komponent tal-matriċi.

Nota

Għall-matriċi kbar biss massimu ta '100 fillieri jew kolonni (inklużi ringieli waqa / kolonni) se jintwerew fi żmien kif muri mill-indikaturi "Ċ" "R" u fiċ-ċellola header top-xellug rispettivament. Biex tara ringieli addizzjonali jużaw il-bars scroll. Fi kwalunkwe ħin inti tista 'ikklikkja darbtejn fuq il- Vertikali/ "ringiela"Jew HORIZONTal / "kolonna"Komponent intestaturi u jaqbżuil-komponenti korrispondenti fit-tieqa Explorer.Il-ġenituri ta 'l-Vertikali/ "ringiela' u Orizzontali/ "kolonna"Komponents huma wkoll b'għażla murija bħala intestatura ringieli kolonni / b'titolu intestatura griż. Meta waqa (billi tagħfas waħda l-intestatura ċellola) jekk teżisti attachments tfal allura "X" b'mod mhux obbligatorju se jintwerew jekk it-tfal kollha kienu mehmuża jew "O" b'mod mhux obbligatorju se jintwerew jekk biss ftit mill-tfal kienu mehmuża. Iċ-ċelloli jista 'jkun kkulurita skond valur tal-proprjetà tal-konnessjonijiet billi tikklikkja l-Għażliet "rota gear" fil-quċċata tal-lemin tal-toolbar matriċi u l-għażla Kulur Settings ... u allura l-buttuna Edit u l-għażla l-Kulur minn Timestamp jew Kulur ma 'proprjetà għażla u jagħżlu a proprjetà, il-firxa valur Min u Max u jagħżlu kuluri, madankollu, biss Lista, Integer, Deċimali, Boolean jew Data / Ħin proprjetajiet tip data ser kulur. Jekk waqa iċ-ċellola ser tkun ta 'kulur skond il-valur medju tal-konnessjonijiet proprjetà. Minflok ta '"X", valuri tal-proprjetà għaċ-ċelloli jista' jkun murija billi tikklikkja l-Għażliet "rota gear" fil-quċċata tal-lemin tal-toolbar matriċi u l-għażla Show Valur Settings ... u allura l-buttuna Edit u l-għażla l-għażla proprjetà Show u jagħżlu proprjetà.

Konnessjonijiet diretti matriċi li turi l-Servers fejn applikazzjonijiet ospitati bil-kulur u proprjetà qed jintwera minflok il- ġeneriku "X"

- JEW -

Matriċi konnessjonijiet "indiretti"

6. Selettsekwenza ta ' konnessjoni tipi u tipi komponentifuq il-lemin u tax-xellug tal-menu li jidher jekk tixtieq tara fil-"ċelloli" tal-matriċi jekkn passaġġ indiretta ta 'komponenti konnessijeżistu mill- Vertikali/ "ringiela"Komponent tal-matriċi għall- Orizzontali/ "kolonna"Komponent tal-matriċi.

Nota

Kwalunkwe triq valida li tinkludi l-elementi magħżula fil-menu passaġġ wmorda jintwerewirrispettivament mill-direzzjoni tal-konnessjonijiet sottostanti, madankollu, meta jintgħażlu t-triq l- ewwelu Elementi aħħar magħżul għandu jkun tipi konnessjoni. Barra minn hekk, il- ordni mill-elementi li ġew magħżula hija murija bil- prefiss numerikafi Pjazza ("[]") parentesi u tip partikolari jista 'jiġi inkluż ħinijiet mutliplefil-passaġġ (kif indikat bil-prefiss numerika). Għażla konsekuttivi ta 'tipi komponenti jew tipi ta' konnessjoni huwa interpretat bħala "JEW"triq u l-ġerarkija ta 'komponenti mehmuża jistgħu b'għażla inklużi mill-verifika tal-Wkoll tfittxija ġenituri ta 'konnessjoni / tfal"Kaxxa kontroll. Jaqilbu l- Sorsu Inżelselezzjonijiet tip komponenti ma tara l- mogħdijiet fid-direzzjoni opposta.

7. Il-matriċi se jkun popolati ma 'triq / ġbir ta 'komponentifiċ-ċelloli jekk ikun hemm triq mill- Vertikali/ "ringiela "komponent tal-matriċi għall- Orizzontali/ "kolonna"Komponent tal-matriċi.

Nota

Għall-matriċi kbar biss massimu ta '100 fillieri jew kolonni (inklużi ringieli waqa / kolonni) se jintwerew fi żmien kif muri mill-indikaturi "Ċ" "R" u fiċ-ċellola header top-xellug rispettivament. Biex tara ringieli addizzjonali jużaw il-bars scroll. Fi kwalunkwe ħin inti tista 'ikklikkja darbtejn fuq il- Vertikali/ "ringiela"Jew HORIZONTal / "kolonna"Komponent intestaturi u jaqbżuil-komponenti korrispondenti fit-tieqa Explorer.Il-ġenituri ta 'l-Vertikali/ "ringiela' u Orizzontali/ "kolonna"Komponents huma wkoll b'għażla murija bħala intestatura ringieli kolonni / b'titolu intestatura griż. Meta waqa (billi tagħfas waħda l-intestatura ċellola) jekk teżisti xi mogħdijiet tat-tfal allura "X" b'mod mhux obbligatorju se jintwerew jekk it-tfal kollha kienu mehmuża jew "O" b'mod mhux obbligatorju se jintwerew jekk biss ftit mill-tfal kellhom mogħdijiet. Il-komponenti passaġġ indiretti jistgħu jkunu kkulurita skond valur tal-proprjetà tal-komponenti billi tikklikkja l-Għażliet "rota gear" fil-quċċata tal-lemin tal-toolbar matriċi u l-għażla Kulur Settings ... u allura l-buttuna Edit u l-għażla l-Kulur minn Timestamp jew Kulur ma 'proprjetà għażla u jagħżlu a proprjetà, il-firxa valur Min u Max u jagħżlu kuluri, madankollu, biss Lista, Integer, Deċimali, Boolean jew Data / Ħin proprjetajiet tip data ser kulur. Valuri ta 'Proprjetà għall-komponenti passaġġ indiretti jistgħu jkunu murija billi tikklikkja l-Għażliet "rota gear" fil-quċċata tal-lemin tal-toolbar matriċi u l-għażla Show Valur Settings ... u allura l-buttuna Edit u l-għażla l-għażla proprjetà Show u jagħżlu proprjetà.

Konnessjonijiet indirett matriċi li turi l-applikazzjonijiet li jimplimentaw servizz partikolari mid-Dipartiment

Biex filtruħsieb Matrix fl Abacus

1. Jiżguraw li inti għandek ġdida Fehma matriċi miftuħa.

2. Ikklikkja l-Assi Iffiltra "lembut" fil-quċċata tal-lemin tal-toolbar matriċi.

3. Min-Sors u / jew l-tabs inżel żid Isem, Proprjetà, Deskrizzjoni, Ġerarkija jew filtri Standard billi tikklikkja l-buttuna Żid, tagħżel Proprjetà jekk meħtieġ u tikklikkja kollox sew. Agħżel l-għażliet rilevanti fil-panel Keywords / Punti bl-użu loġika / sintassi kif deskritt fin-nota hawn taħt. Il-bord preview awtomatikament se taġġorna juru r-riżultati ta 'sett attwali ta' filtri.

Nota

Għal Timestamp, Path Ġerarkija, Isemjew Deskrizzjonifiltri jew Test, Integer, Deċimali, Booleanjew Data / Ħinfiltri tal-proprjetà tqabbil hija mwettqa bħallikieku "*" wildcards huma applikati awtomatikament qabel u wara kull valur sekwenza b'tali mod li d-dħul ta 'qattus' (mingħajr il-kwotazzjonijiet) tkun tinkludi ringieli ma 'bobqattus","qattusmara "jew" applikazzjoniqattusion "eċċ Multiple /" jew "valuri jistgħu jiddaħħlu fuq linji ġodda li jużaw Ctrl + Daħħal. Għal Integer u Deċimali filtri tal-proprjetà "u" loġika jistgħu jiġu inklużi bl-użu "&"(Mingħajr il-kwotazzjonijiet) u akbar minn / inqas minn eċċ loġika tista 'tiġi inkluża użu"> =",">","<"U"<="(Mingħajr il-kwotazzjonijiet) eż "> = 50000 & <90000". Non-vojt ringieli vvalutati jista 'jiġi inkluż billi jidħlu "(Mhux Blanks)"(Mingħajr il-kwotazzjonijiet) u ringieli vojta vvalutati jista 'jiġi inkluż billi jidħlu"(Blanks)"(Mingħajr il-kwotazzjonijiet).Għal Standards jew Lista proprjetà filtri Il- "(Select All)" Checkbox se jippermetti l-checkboxes oħra, b'mod effett inklużi l-elementi kollha disponibbli. Il- "(Mhux Blanks)" Checkbox se jinkludu kull element ta 'proprjetà mhux vojta vvalutati. Il- "(Blanks)" Checkbox se jinkludi xi proprjetà vojt elementi vvalutati. U unchecking xi checkboxes speċifiċi vvalutati se awtomatikament unselect l- "(Select All)" u "(mhux Blanks)" checkboxes għall-konsistenza. U fl-aħħarnett, filtri kollha huma b'każ default insensittiva hekk "qattus" (mingħajr il-kwotazzjonijiet) tkun tinkludi elementi li "qattus", "Cat" jew eċċ "CAT" Għall tqabbil sensittivi każ, niżżel "(Każ)"(Mingħajr il-kwotazzjonijiet) qabel l-sekwenza eż "(Kawża) Kat" (mingħajr il-kwotazzjonijiet) tkun tinkludi biss elementi li "Cat" fihom.

Biex timla użu ta 'ħsieb Matrix fl Abacus

Nota

Inti jista 'biss iżid / tneħħi konnessjonijiet fejn tip ta' konnessjoni darba ntuża għall-Path deskritt hawn fuq.

1. Biex żid konnessjonitat-tip magħżula bejn Vertikali/ "ringiela"Komponent u Orizzontali/ "kolonna"Komponent tal-matriċi, fejn" X "ma teżistix(jew valur tal-proprjetà muri - ara n-nota hawn fuq), Ikklikkja darbtejn iċ-ċellula. An "X" għandhom jidhru (jew valur tal-proprjetà - ara n-nota hawn fuq) u konnessjoni se jinħolqu fl-ogħla livell tal-ġbir Konnessjonijiet għall-Arkitettura magħżula.

Nota

L-isem konnessjoni se tkun l- Isem tip ta 'konnessjoni kif fis-setting tip ta 'konnessjoni tal-matriċi u jekk valur tal-proprjetà ikun qed jintwera minflok "X" il-valur default għall-proprjetà se jintwerew.

2. Biex jeditjaw valur tal-proprjetà murifuq il-konnessjoni bejn a Vertikali/ "ringiela"Komponent u Orizzontali/ "kolonna"Komponent tal-matriċi, Ikklikkja darbtejn iċ-ċellula, jew dritt ikklikkja-ċellula u tagħżel Edit Valur ..., u jeditjaw il-valur fil-dialog Bidla Valur.

3. Biex tneħħi konnessjonitat-tip magħżula bejn Vertikali/ "ringiela"Komponent u Orizzontali/ "kolonna"Komponent tal-matriċi, fejn" diġà teżisti X "(jew valur tal-proprjetà muri - ara n-nota hawn fuq), tal-leminikklikkja l-ċellulau Skonnettja tagħżel. Il X għandhom jitneħħew u l-konnessjoni għandha tiġi mħassra mid-proġett.

Biex jiffrankaw / Ħlief kif aFehma matriċi

Nota

Filwaqt li l-utenti kollha perit jista 'joħloq matriċi biex isalvaw lilhom u / jew settings tagħhom l- liċenzja utent jeħtieġ l Disinjatur add-on kapaċità. Dan huwa li "jipproteġi" l-konfigurazzjoni ta 'matriċi eżistenti li jistgħu jiġu maqsuma minn ħafna utenti. Madankollu, Perit juża mingħajr l Disinjatur add-on xorta tista 'tagħżel li "Save As" xi settings ġodda lil Matriċi ġdida. U ovvjament liċenzji kollha utent jista 'jagħżel li "jarmi" xi tibdil fi Matrix eżistenti. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ l Disinjatur add-on kapaċità.U ftakar, dan huwa biss il-settings tal-Matrix, modifiki kollha magħmula għad-data fil-Matriċi huma applikati istantanjament fl-arkivju, indipendentement.

1. Jiżguraw li inti għandek ġdida Fehma matriċi miftuħau tkun għamilt il-bidliet meħtieġa.

2. Fil- Fehma matriċiikklikkja toolbar fuq il leftmost Save Matrixbuttuna biex isalva l- Fehma matriċi u kwalunkwe ifformattjar bidliet.

Nota

Jekk inti ma għandekx buttuna Ħlief fil-toolbar fehma Matriċi allura inti ma għandekx il-Disinjatur add-on u inti biss tista ' Save Asxi settings bidliet għall matriċi ġdida meta inti tmur biex tagħlaq il-matriċi eżistenti.

3. Jekk l MatrixIsemdialog li jidher (minħabba li jkunu matriċi ġdida) jidħol isem għall- matriċiu l-istampa kollox sew.

Biex esportazzjoni lejn matriċi MS Excel

1. Jiżguraw li inti għandek Fehma matriċi miftuħa.

2. Ikklikkja l- Esportazzjoni lejn Excelbuttuna toolbar.

3. Agħżel isem ta 'fajl biex isalva l-matriċi MS Excel bħala. Ikklikkja Save.

Nota

Permezz ta 'default filename-matriċi tal MS Excel esportat għandu jkun l-isem Matriċi suffixed bl-isem Arkitettura fil-parentesi, pereżempju "Applikazzjonijiet ospitat fuq Servers (2014 attwali) .xlsx". Tista 'tbiddel xi parti minn dan, inkluż jekk il-format tal-fajl għandu jkun .xlsx jew xls.

Ifformattjar matriċihuwa esportat fil-kontumaċja, madankollu, għall-matriċi kbar dan jista 'jirriżulta fl-esportazzjoni tkun pjuttost bil-mod. Għaldaqstant, fil Għodod | Għażliet ...imbagħad fuq l Matrixtab,inti tista 'tnaqqas l-ammont ta' ifformattjar li huwa esportat kif muri fuq il-tab Matrix hawn taħt, u b'hekk jitħaffef il-esportazzjoni.

Esportazzjoni matriċi għażliet

4. An dialog Esportazzjoni Completed hija murija. Ikklikkja kollox sew.

Esportati lejn matriċi MS Excel

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Visio | Populating arkitettura tiegħek mill Excel


Dijagrammi populating

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

Dijagrammi populating

Jibagħtu l-kummenti fuq dan is-suġġett.

Tpinġijiet Abacus huma aktar minn rappreżentazzjonijiet sempliċiment arbitrarji. Dawn huma magħmula apposta opinjonijiet tal-arkitettura, formattjati u rranġati biex juru partikolari tifsira.

L-Għodda Tpinġija tinforza l-istruttura ġerarkika tal-arkitettura, hekk li l-komponenti huma viżwalment nested fi ħdan komponenti oħra - li jagħtu effettivament "ħsieb pjan" ta 'l-elementi. Ladarba komponent jew konnessjoni ġie definit fl-arkitettura, jista 'jintuża fi kwalunkwe numru ta' dijagrammi differenti. Importanti, il Tool Disinn hija marbuta mill-qrib mal-mudell arkitettoniku, sabiex it-tibdiliet magħmula f'kull waħda huma dejjem riflessi fl-ieħor.

L-għodda jaħdem billi jassoċjaw forom b'partikolaritajiet konnessjoni u komponenti tipi definiti fit-taqsima Tipi ta 'l-arkitettura. Dawn l-assoċjazzjonijiet jvarjaw skond it-tip ta 'dijagramma qed jitfasslu, u huwa possibbli li tip wieħed ta' komponent (jew konnessjoni) jista 'jkollhom rappreżentazzjonijiet differenti fid-dijagrammi differenti, skont il-kuntest.

Li twaqqaf assoċjazzjoni bejn forma u komponent jew konnessjoni tip

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa .

2. Jagħmlu l-aħjar applikazzjoni Abacus, u kkonfigurat l-proporzjonijiet tat-twieqi kif inti xewqa.

3. Agħżel il- Tab foromjew il- Konnetturi tab fit-tieqa stensil.

4. Fil- Tipfergħa tal-Explorer, jillokalizza l-komponent jew il-konnessjoni tip inti tixtieq li jassoċjaw ma 'forma jew konnettur.

5. Agħżel l-element tip magħżul mill-siġra, drag jikkonsenjaha lill-tab Forom jew tab Konnessjonijiet, u qatra fuq il-forma jew konnetturinti tixtieq tuża.

Nota

Inti tista 'tivverifika assoċjazzjoni inti ħolqu billi tagħżel l-Komponenti jew Konnessjonijiet tab fit-tieqa Stensil, li juru l-elementi assoċjati bħalissa.

Biex iżżid forom ġodda għall-dijagrammi tiegħek / librerija

1. Oħloq dijagramma MS Visio mal-forom li inti tixtieq iżżid mal dijagramma tiegħek u importazzjoni l-dijagramma MS Visio .

Tip

Huwa importanti daqs dak li inti tagħmel l-forma kaptan fl-MS Visio minħabba li l-kanvas Abacus huwa mdaqqsa bl pixels u biss unitajiet millimetru fil MS Visio jikkonvertu granularly biex pixels fuq 4 pixels sa 1 ratio millimetru. Barra minn hekk, il-default forom Abacus huma tipikament 60 pixels għoli sabiex jittraduċi għal 15 millimetri fid MS Visio. Li tfisser rakkomandabbli forma kaptan daqs MS Visiohuwa 25mm wiesgħa minn 15mm għolikif dan se jissarraf 100 pixels wiesgħa b'60 pixels għolja fl Abacus.

Tip

Jekk inti tixtieq li jkollok "icon" ftit fil-kantuniera tan-naħa tax-xellug ta 'forma allura inti tista' sempliċement toħloq l-"icon" fil-master forma MS Visio jużaw il-paletta MS Visio Tool Disinn (innota li linji biss sempliċi, ċrieki u rettangoli huma appoġġjati u forom rasterized / Bitmap b'mod partikolari mhumiex appoġġjati). Barra minn hekk, jekk inti tixtieq l-ikona biex tkun fiss fid-daqs / skalafi ħdan il-forma in Abacus allura inti tista grupp il- "ikona" fil-master SM Visio forma billi tagħżel l-elementi kollha tiegħu, dritt tikklikkja element wieħed, l-għażla Forma | Grupp, allura dritt tikklikkja l-forma miġbura u l-għażla Data | Forma Data ..., l-għażla Iva fil-dialog li jidher u mbagħad jiżdied proprjetà mal-Label stabbiliti biex LockScale(ara l-uppercase "L" u "S"), it-tip stabbiliti biex Boolean u l-Valur mistenni li jkun VERU (nota huwa kollha fil uppercase).

Tip

Jekk inti tixtieq li jkollok porzjon tal-forma iffriżat minn skalar orizzontalment jew vertikalment (kif inhu tipiku ta 'għamla "swimlane") imbagħad inti tista' dritt ikklikkja l-porzjon (i) il-kaptan MS Visio forma li tixtieq ffriżata mill skalar u tagħżel Data | Forma Data ..., l-għażla Iva fil-dialog li jidher u mbagħad jiżdied proprjetà mal-Label stabbiliti biex LockXScalejew LockYScale (ara l-uppercase "L" u "S"), it-tip stabbiliti biex Boolean u l-Valur mistenni li jkun VERU (nota huwa kollha fil uppercase), għall msakkra scaling orizzontali jew vertikali rispettivament.

Tip

Li tippermetti l-kulur tal-forma in Abacus wara importazzjoni aktar milli l-forma dejjem qed kulur fiss huwa rakkomandabbli li jagħmlu timla l-kaptan MS Visio forma ta trasparenti u mbagħad jużaw l-abbilta inerenti fl Abacus għall-kulur fl-isfond forma ta. Dan jaħdem biss ma rettangolu jew kważi rettangolu (eż rettangolu tond) forom bħala l-isfond rettangolari kollu se tkun ta 'kulur.

2. Iftaħ il-dijagramma korrispondenti u agħżel il- Komponenti tabfit-tieqa stensil.

3. Għal kull forma ġdida li inti tixtieq li tagħmel disponibbli lill dijagrammi oħrajn Right-clickil-forma u tagħżel Żid mal Forom Librerija. Din tagħmel il-forma disponibbli fuq il-tab Forom fit-tieqa stensil.

4. Jassoċjaw il-tip ta 'komponent rilevanti mal-forma l-ġdida mill-bibljoteka Forom skond il-passi deskritti hawn fuq.

Nota

Biss sempliċi u forom huma appoġġjati fil Abacus fil-mument "bbażata fuq vettur", jiġifieri bitmaps mhumiex appoġġjati. Madankollu, għodod bħal Vector Magic ( www.vectormagic.com ) Huma disponibbli li se faċilment jikkonvertu immaġini Bitmap f'forom bbażati fuq vector (ie format SVG) li jkunu jistgħu jinfetħu fl-SM Visio u għalhekk utilizzati fil Abacus skond l-istruzzjonijiet ta 'hawn fuq.

ŻiedaKomponenti u konnessjonijiet

L-Għodda Tpinġija jippermettilek li żid komponenti eżistenti u konnessjonijiet mit-repożitorju jew joħolqu komponenti ġodda u l-konnessjonijiet kif inti tpinġija dijagramma. Bħala komponenti u konnessjonijiet huma maħluqa fil dijagrammi, huma simultanjament miżjuda fil- repożitorju. Hemm tliet rakkomandat modi ta 'żżid komponenti li dijagrammau tlieta rakkomandat modi ta 'żżid konnessjonijiet ma' dijagramma:

Biex jinħoloq komponent kompletament ġdida jew konnessjoni fuq dijagrammamill-stensil

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Agħżel il- Komponentijew Konnessjonijiettab fit-tieqa stensil biex tara l-forom assoċjati. Biss dawn forom jistgħu jintużaw biex joħolqu elementi mudell ġdid.

3. Ikklikkja u dragwieħed mill-forom assoċjati disponibbli għal fuq il-kanvas tpinġija. L-element ġdid se jidhru fuq il-kanvas u fil-siġra Explorer.

4. Ibda ittajpjarisem għall-element ġdid fil-dialog u kwalunkwe element eżistenti li huma mqabbla huma suġġeriti u jistgħu jintgħażlu minflok iżżid element ġdid li l-arkitettura.

5. Ikklikkja kollox sew.

6. Jekk forma kien niżel fuq komponent eżistenti, allura huwa kemm ser issir wild ta dak il-komponent (jekk il-forma ġew mill- Komponentitab), jew għandha tiġi mehmuża mal dak il-komponent (jekk il-forma ġew mill- Konnessjonijiettab).

Nota

Huwa xi kultant meħtieġ li taġġusta l-komponent jew konnessjoni fil-post differenti fil-ġerarkija arkitettoniku bl-użu Explorer.

Biex issir komponent eżistenti jew konnessjoni mill- repożitorju fuq dijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Kun żgur li għandek kemm l-Għodda Disinn u twieqi Explorer jistgħu jkunu viżibbli.

3. Fil-Explorer, jillokalizza l- komponentjew konnessjoni(element) li inti tixtieq li żżid mal-dijagramma.

4. Ikklikkja u dragl-element magħżula fuq il-dijagramma. A forma li jirrappreżenta l-element se jidhru fuq il-kanvas.

Nota

Jekk it-tip tal-element magħżul huwa diġà assoċjata ma 'forma, il-forma korrispondenti se jidhru fuq il-kanvas. Jekk, madankollu, m'hemm l-ebda assoċjazzjoni definit għal dak l-element partikolari, forma default (rettangolu) se jidhru fuq il-kanvas sakemm il- Jinfurzaw Dijagramma Fehmiet għażla hija fuq f'liema każ l-forma mhux se jkunu miżjuda mal-dijagramma.

Tip

Meta komponent jitqiegħed fuq dijagramma li hija konnessa mal-komponent ieħor diġà fis-dijagramma, il Tool Disinn se mistoqsija jekk inti tixtieq li juru l-konnessjoni (jiet) bejniethom. Ukoll, jekk ikun hemm xi tfal tal-komponent l-Għodda Ġbid se mistoqsija jekk inti tixtieq li jinkludu t-tfal, b'mod rikursivi.

Biex joħolqu konnessjoni bejn 2 komponenti jew komponent konnessi fuq dijagramma użu konnettur dinamiku

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Imbagħad jerġgħu fuq komponent fuq il-dijagramma li inti tixtieq li jgħaqqdu komponent ieħor u tinduna 2 icons jidhru barra l-top-dritt tal-konfini tal-forma kif muri hawn taħt. Nota: L-ikona fuq huwa għall-ħolqien ta 'konnessjoni fejn il-komponent hovered huwa s-sors, l-ikona qiegħ huwa għall-ħolqien ta' konnessjoni fejn il-komponent hovered għandu jkun il-sink.

3. Nimxu il-cursor fuq l-ikona mixtieqa u ikklikkja u dragl-ikona over jew fuq l-ispazju ieħor komponent jew b'xejn fuq il-kanvas kif muri hawn taħt.

4. Li jgħaqqdu ma 'komponent eżistenti jagħżlu l- Jagħtu lill ...oġġett fil-menu pop-up u jekk jibbrawżjaw meħtieġ lill-sub-menu li jagħżlu mid-tipi konnessjoni disponibbli.

- Jew -

4. Biex jinħoloq komponent konnessi għażel mill- New ...oġġetti fil-menu pop-up u jekk jibbrawżjaw meħtieġ lill-sub-menu li jagħżlu mid-tipi ta 'konnessjoni disponibbli kif muri hawn taħt. Ibda ittajpjarisem għall-element ġdid fil-dialog u kwalunkwe element eżistenti li huma mqabbla huma suġġeriti u jistgħu jintgħażlu minflok iżżid element ġdid li l-arkitettura.

Nota

Id-disponibbiltà ta 'oġġetti fil-menu pop-up u sub-menu hija rregolata mill- restrizzjonijiet fil-mudell meta.Dan huwa biss il-sors validu jew jegħrqu tipi komponenti kif determinat minn restrizzjonijiet konnessjoni ser jiġu ppreżentati bħala l-Waħħal biex ... u oġġetti New ... menu.

Biex mill-ġdid tiftaħ il-dialog għażla element u l-post komponenti jew konnessjonijiet mill-repożitorju eżistenti fuq dijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Ikklikkja l Open Għażla Elementbuttuna fil-toolbar Dijagramma. Nota: il- element dialog għażla se tiftaħ bl-aħħar stat ta 'kwalunkwe filtru salvati.

3. Agħżel kwalunkwe kontenut addizzjonali li hija mixtieqa li għandhom jiżdiedu mal-dijagramma u ikklikkja kollox sew. Nota: il-kontenut ġdid se jkunu miżjuda lill ispazju vojt fuq il-kanvas u l dijagramma jista 'jkun sussegwentement stabbiliti mill-ġdid permezz tal- Layout Dijagrammabuttuna fil-toolbar Dijagramma.

Bl-użu FreeformaForom

Huwa ta 'spiss mixtieq li tinħoloq elementi viżwali fi dijagramma għal raġunijiet purament estetiċi. Dawn l-elementi jistgħu jgħinu biex itejbu l-format u d-dehra ta 'dijagramma, iżda dawn ma jkollhomx sinifikat arkitettoniku stretta. L-Għodda Tpinġija jippermetti l-użu ta 'forom freeform jipprovdi flessibbiltà tpinġija.

Biex iżżid forma freeform li dijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Agħżel il- Foromjew Konnetturitab fit-tieqa stensil.

3. Ikklikkja u dragwaħda mill-forom disponibbli jew konnetturi għal fuq il-kanvas tpinġija. L-element ġdid se jidhru fuq il-kanvas - iżda mhuxfil-siġra Explorer.

Nota

Forom Freeform huma forom "mhux assoċjat", kif dawn ma jkollhom ebda assoċjazzjoni ma 'kwalunkwe komponent jew konnessjoni fil-mudell arkitettoniku partikolari.

Biex juri l-informazzjoni repożitorju fil forma freeformi fuqdijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Right-clickil-forma freeform u tagħżel Annotazzjoni | Display.

3. Jagħżlu li juru kemm l- Isem Dijagramma, Dijagramma Deskrizzjoni, Dijagramma Proprjetà, Perspettiva Isemjew Arkitettura Isem.

Nota

It-test fl-freeform se taġġorna awtomatikament hekk kif tinbidel sottostanti tad-data repożitorji.B'dan il-mod dijagramma "blokk titolu" jistgħu jinħolqu għall-, u mbagħad kkupjati faċilment madwar, dijagrammi.

Bl-użu Forom floating

Forom f'wiċċ l-ilma huma essenzjalment mod ieħor biex jirrappreżenta komponenti dijagramma. Ikkunsidra organizzazzjoni ma 'diviżjonijiet prinċipali: CEO, Marketing, Sales u Żvilupp.

Tree View

Dawn id-diviżjonijiet jista 'jkun rappreżentat viżwalment b'mod f'saffi:

Ub'saffi View

Jew jistgħu jkunu rappreżentati viżwalment b'mod mqassma / Floating mod biex juru ġerarkija:

Imqassma / Floating View

Ir-rappreżentazzjoni aħħar tuża l-kunċett ta 'forom varjabbli.

Biex taqleb forma komponent ub'saffi fil-forma f'wiċċ l-ilma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Agħżel il- komponentfil dijagramma tiegħek inti tixtieq li tirrappreżenta bħala forma f'wiċċ l-ilma jew forma assoċjat fil- Komponentitab tat-tieqa stensil li trid istanzi kollha bħala forom f'wiċċ l-ilma.

3. Right-click l-forma u tagħżel Float Komponent mill-menu kuntest li jidher. Innota l- djamant intitolat konnessjonimill-komponent (i) ġenitur għall-komponent (i) varjabbli.

4. Ikklikkja u dragil-komponent għall-post mixtieq. Meta f'wiċċ l-ilmakomponent jintgħażel din se jkollha deskrizzjoni blu.

Biex taqleb forma komponent varjabbli fi forma ub'saffi

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Agħżel il- komponentfil dijagramma tiegħek li bħalissa qed jintwera bħala forma f'wiċċ l-ilma jew forma assoċjat fil- Komponentitab tat-tieqa stensil li trid istanzi kollha bħala forom ub'saffi.

3. Ikklikkja u dragil-komponent (i) varjabbli lura lill-ġenitur (i) (skond l- djamant intitolat konnessjoni). Nota: Jekk inti ma tagħmel dan allura meta inti jikkonvertu l-komponent (i) lura li jkunu ub'saffi-ġerarkija ta 'mudell tiegħek jistgħu jiġu affettwati.

4. Right-click l-forma u unselect Float Komponent mill-menu kuntest li jidher. Innota li l- djamant intitolat konnessjonimill-komponent (i) ġenitur għall-komponent (i) f'wiċċ l-ilma se jisparixxu.

Repliki

L-Għodda Tpinġija jippermettilek li żid l-istess komponent li dijagramma diversi drabi ma 'kull każ viżwali addizzjonali tal-komponent fuq il-dijagramma msemmija bħala replika. Dan huwa partikolarment utli għal dijagrammi fejn komponent għandha numru kbir ta 'konnessjonijiet marbutin magħha u huwa ppreferut illi tintwera l-komponent f'lokazzjonijiet multipli eqreb lejn l-oriġini ta' kull konnessjonijiet, jew għal dijagrammi fejn relazzjoni one-to-ħafna ta 'komponent huwa ppreferut illi tintwera jużaw il-karatteristika f'wiċċ l-ilma (deskritta hawn fuq) mal-komponent f'lokazzjonijiet multipli fuq quċċata tal-komponenti "diversi" li huwa relatat ma.

Nota

Inti tista 'tehmeż / jinqata konnessjonijiet lejn / mill-każ oriġinali tal-komponent fuq dijagramma (kif dejjem) imma wkoll għal xi repliki, madankollu, meta konnessjonijiet huma awtomatikament miżjuda ma' dijagramma li huma mehmuża ma 'l-ewwel istanza tal-komponent fuq il-dijagramma fil-kontumaċja.

Nota

Repliki jistgħu jiġu magħquda ma 'xulxin mill dritt ikklikkja u dragimbagħad tagħżel Jingħaqdu replikiMadankollu, li qed jingħaqdu replika b'komponent differenti se jirriżultaw fi repliki oħra jisparixxu mid-dijagramma.

Nota

M'hemm l-ebda differenza viżiva bejn l-istanza oriġinali ta 'komponent fuq dijagramma u kwalunkwe repliki. Barra minn hekk, il-menu dritt ikklikkja għall-komponent oriġinali fuq dijagramma u kull repliki huwa identiku, ma pereżempju Show fl Explorertieħu inti l-istess komponent fil-View Siġra tal-repożitorju (aka il-mudell). Madankollu, dritt tikklikkja l-komponent fil-View Siġra tal-repożitorju u l-għażla Go Tou browsing biex dijagramma ma repliki dejjem se tieħdok għall-"eqdem" każ tal-komponent fuq il-dijagramma. Tipikament, dan se jkun il-każ oriġinali li kien miżjud mal-dijagramma imma jekk din l-istanza oriġinali kien sussegwentement imħassar jew ingħaqdu ma 'replika imbagħad mur se tiżdied l-eqdem mill-repliki fadal li ġew miżjuda.

Biex żid replika għal dijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Right-click komponent eżistenti dwar il-dijagramma u tagħżel Oħloq Replica.A replika tal-komponent magħżula se tinħoloq biex id-dritt tal-komponent oriġinali.

- JEW -

Agħżel komponent eżistenti fuq dijagramma u l-istampa Ctrl + Cjew dritt ikklikkja komponent eżistenti dwar il-dijagramma u tagħżel Kopja. Issa dritt ikklikkja l-post fuq il-dijagramma li inti tixtieq l-replika u tagħżel Paste kif replica. Nota: Ippressar Ctrl + V (jew tikklikkja u tagħżel Paste) se toħloq kopja taċ-oriġinal MHUX replika.

- JEW -

Ikklikkja u dragkomponent mill-View Siġra tal-repożitorju (aka il-mudell) fuq dijagramma fejn diġà teżisti l-komponent.

Konfigurazzjoni Konnessjoni Tappijiet / Tispiċċa

L-Għodda Tpinġija jippermettilek li jistabbilixxu s-simbolu użat fit-truf tal-linji ta 'konnessjoni jew għal simbolu fiss jew simbolu dipendenti fuq proprjetà fuq il-konnessjoni innifsu.Dan huwa partikolarment utli għall dijagrammi fejn id-direzzjoni ta 'konnessjoni hija meħtieġa li jintwerew, jew għall dijagrammi fejn l-cardinality tal-konnessjoni (jew id-direzzjoni) ikunu jinsabu fil-proprjetà fuq il-konnessjoni innifsu, eg "One-to-Ħafna" vs "-Ħafna to Ħafna" (jew "Sors għall Sink" vs "inżel sors").

Biex kkonfigurat caps konnessjoni / tispiċċa fil dijagramma

1. Jiżguraw li inti għandek ġdid jew eżistenti dijagramma miftuħa.

2. Agħżel il- Qabbadjonjitab fit-tieqa stensil.

3. Right-clagħaqwieħed mill- assoċjat tipi konnessjoni u tagħżel Kkonfigurat Caps ....

4. Għal konnessjoni fissa limitu / tmiem jew fl-għajn jew jegħrqu aħħar tal-konnessjoni tagħmel żgur li l-rilevanti Fiss buttuna tar-radju hija magħżula u mbagħad tagħżel is-simbolu aħħari konnessjoni mill-pull-down, eż "Arrow Kap" jew "Diamond".

- JEW -

Għal bbażata fuq proprjetà konnessjoni cap / tmiem jew fl-għajn jew jegħrqu aħħar tal-konnessjoni tagħmel żgur li l-rilevanti Bl-użu tal-Proprjetàbuttuna tar-radju hija magħżula, imbagħad ikklikkja l- "..." buttuna u tagħżel l-proprjetà meħtieġa u mbagħad jmiss għal kull simbolu tarf konnessjoni tidħol fil-valuri tal-proprjetà li għalihom is-simbolu konnessjoni speċifika għandhom jintwerew.

Nota

Valuri tal-proprjetà multipli għal simbolu mogħti tmiem konnessjoni jista 'jiddaħħal separati b'virgoli.Eż il dialog hawn taħt turi li jekk il-"Data | Cardinality "proprjetà għandha valur ta '' 'One-to Ħafna" allura l-aħħar sors tal-konnessjoni se jkollhom żewġ linja puplesiji permezz tagħha u t-tmiem sink tal-konnessjoni se jkollhom linja puplesija waħda permezz tagħha u mbagħad fan-out ta' żewġ linja puplesiji fl-aħħar.

Kkonfigurat Tappijiet dialog

Ara wkoll

L-Għodda Tpinġija | Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Populating arkitettura tiegħek

Navigation: populating arkitettura tiegħek>

Populating arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Il-proċess ta 'bini ta' mudell ta 'arkitettura tiegħek huwa magħruf bħala populating. Ladarba inti ħadthom skoprew arkitettura tiegħek u identifikaw il-ħtiġijiet tiegħek, inti lest li mudell arkitettura tiegħek fil Abacus.

Matul popolazzjoni, inti ser tidħol kollha tal-dettalji inti taf dwar arkitettura tiegħek u dak li meħtieġ ta 'dan.

Biex timla l-arkitettura tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ , L- Explorer murija , U arkitettura miżjud .

2. Manwalment timla il-komponenti ta 'livell ogħla u l-konnessjonijiet ta' l-arkitettura tiegħek. Tipikament, dan se jkun l-komponenti aktar astratti u konnessjonijiet.

- Jew -

2. Grafikament timla il-komponenti u konnessjonijiet li inti tixtieq tara rappreżentati permezz tad-dijagramma, bl-użu Tool Tpinġija .

Inti tista 'ukoll tixtieq li

3. Timla użu Katalogi - Inti tista 'tara u komponenti u Konnessjonijiet b'mod tabulari sempliċi.

4. Timla użu Matriċijiet - Inti tista 'tara u jeditjaw il-konnessjonijiet bejn il-komponenti b'mod tabulari sempliċi.

5. Timla minn Microsoft Access - Inti tista 'importazzjoni arkitettura minn u l-esportazzjoni lejn Microsoft Access.

6. Timla minn Microsoft Visio - Inti tista 'importazzjoni arkitettura minn u l-esportazzjoni lejn Microsoft Visio.

7. Timla minn Microsoft Excel - Inti tista 'importazzjoni arkitettura minn u l-esportazzjoni lejn Microsoft Excel.

8. Timla mill SharePoint Microsoft - Inti tista 'importazzjoni arkitettura minn u l-esportazzjoni lejn Microsoft SQL Server.

9. Timla minn Microsoft SQL Server - Inti tista 'importazzjoni arkitettura minn Microsoft SQL Server.

10. Importazzjoni minn XML - Inti tista 'importazzjoni arkitettura minn framment XML Abacus jew fajl XML ArchiMate Interchange Lingwa.

Ara wkoll

Populating arkitettura tiegħek manwalment | L-Għodda Tpinġija | Populating arkitettura tiegħek mill Access Microsoft | Populating arkitettura tiegħek mill-Microsoft Visio | Populating arkitettura tiegħek mill-Microsoft Excel


Populating arkitettura tiegħek mill Access Microsoft

Navigation: populating arkitettura tiegħek> populating minn prodotti ta 'Microsoft>

Populating arkitettura tiegħek mill Access Microsoft

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'esportazzjoni arkitettura tiegħek lill-Microsoft Access biex iwettqu kalkoli ġenerali għan, manipulazzjonijiet jew rapporti fuq l-arkitettura tiegħek. Tista 'mbagħad jimportaw l-arkitettura lura fis Abacus.

Nota

Il-karatteristika Miftuħ minn Access / Esportazzjoni lejn Database teħtieġ li Aċċess Microsoft 2000jew aktar ġodda huwa installat fuq il-kompjuter.

Għall-esportazzjoni arkitettura tiegħek biex Access Microsoft

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa, il- Explorermurija, u arkitetturamiżjud.

2. Agħżel File | Esportazzjoni | Biex Database.

3. Ħu nota tal-dialog twissija kif deskritt hawn fuq u kklikkja Iva tkompli.

4. Agħżel post u isem tal-file għall-fajl database.

Li jimportaw il-arkitettura manipulati fis Abacus

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel File | Ġodda u tagħżel Mill Aċċessmill-dialog li jidher u kklikkja OK.

3. Jibbrawżjaw għall-fajl database tixtieq li l-importazzjoni.

Abacus "MS Access Database Schema

Abacus għandha fil-qalba tagħha ta 'ontoloġija n / meta-meta-mudell magħmulin minn komponenti, Konnessjonijiet u Limitazzjonijiet. Dan l-approċċ "KDK" kien derivat minn approċċi standard varji żviluppati mill-1960 'il quddiem li jwasslu IEEE standard internazzjonali 1471, li fundaturi Avolution kkontribwixxa għall. Il primitives li ġejjin japplikaw;

1. Abacus fih Librerijita Standards(jew Standards), Komponentu Tipi Konnessjoni, Limitazzjonijiet, Fehmiet, Templates (jew Disinji) U ħafna Arkitetturi.

2. Standards, Tipiu Fehmiet jistajkun loġikament Miġburagħall-konvenjenza.

3. Arkitetturi jista 'jkun fihdixxendent ħafna Arkitetturi(jew evoluzzjonijiet).

4. Kull Arkitettura fihħafna Komponentiu Konnessjonijietta 'ċerti Tipiu diversi Views.

5. Komponentiu Konnessjonijietjista 'jkun dekompostfis Sub-Komponentiu Sub-Konnessjonijiet.

6. Kull Komponenthuwa mehmuża ma 'kwalunkwe numru ta ' Konnessjonijietiżda kull Konnessjonitista 'tkun biss mehmuża ma 'massimu ta 'tnejn Komponenti.

7. Komponentiu Konnessjonijietjista għandhom Standardsma Propertiesbħal informazzjoni, Performance, Affidabilità, Low eċċ

8. Arkitetturi, Komponentiu Konnessjonijietjista għandhomspeċifiku Propertiesbħal informazzjoni, Performance, Affidabilità, Low eċċ

9. Limitazzjonijietjista jeżistu bejn Komponentijew Konnessjonijietjew kontra Properties.

10. Templateshuma kompożizzjonijiet standard ta ' Komponentu Tipi Konnessjoni.

11. Fehmiethuma assoċjazzjonijiet standard ta ' Komponentu Tipi Konnessjonili notazzjonijiet.

12. Viewshuma rappreżentazzjonijiet viżwali ta ' Komponentiu Konnessjonijiet.

L-Entità MS Access Relazzjoni dijagramma li ġejja (ERD) jiddokumenta l- qalbaArkitetturi, Evoluzzjonijiet, Tipi komponent / Konnessjoni (u Gruppi), Komponenti / Konnessjonijiet u kunċetti komponent / Konnessjoni Sottokumitati.

Il schema database Core

Nota

Integrità referenzjali ma ġietx infurzata fuq ir-relazzjoni bejn il-komponenti tabella u t-tabella Konnessjonijiet (għall- "sekwestru" bejn Sors partikolari jew inżel Komponent u Konnessjoni). Dan huwa minħabba konnessjoni jista 'jeżisti mingħajr attachments komponenti. Nistgħu żiedu tabella "sekwestru" imma fl-interess tas-sempliċità iddeċieda kontra dan. Naturalment dan ifisser li kull editjar tal IDs komponent jew tħassir ta 'ringieli Komponent kollha flimkien se jirriżulta fi data mhux korretta. Abacus se tieħu ħsieb kwalunkwe inkorrettezza fuq l-importazzjoni billi injorat id-data żbaljata.

Il MS Access ERD wara jiddokumenta l- Propertieskunċetti għall arkitetturi, Tipi Komponent / Konnessjoni u Komponenti / Connections.

Iskema tad-database Properties

Il MS Access ERD wara jiddokumenta l- Standardskunċett għal arkitetturi, Tipi Komponent / Konnessjoni u Komponenti / Connections.Nota: It-tabelli għadhom jużaw it-terminu "implimentazzjoni" bħala kull verżjonijiet preċedenti ta 'Abacus.

Iskema tad-database istandards

Il MS Access ERD wara jiddokumenta l- Limitazzjonijietkunċett għall Komponent Tipi / Konnessjoni.

Limitazzjonijietiskema tad-database

Il MS Access ERD wara jiddokumenta l- Fehmiet kunċett għal Arkitetturi.Nota: It-tabelli għadhom jużaw it-terminu "TwoDTempl" bħala kull verżjonijiet preċedenti ta 'Abacus.

Fehmietiskema tad-database

Il MS Access ERD wara jiddokumenta l- Katalogikunċett għal Arkitetturi.

Katalogiiskema tad-database

Il MS Access ERD wara jiddokumenta l- Matriċikunċett għal Arkitetturi.

Matriċiiskema tad-database

Il MS Access ERD wara jiddokumenta l- Dijagrammikunċett għal Arkitetturi.Nota: It-tabelli għadhom jużaw it-terminu "TwoD" bħala kull verżjonijiet preċedenti ta 'Abacus.

Nota

Tip Komponent / Konnessjoni għall stensil forma mapping u porzjonijiet forma freeform tal-MS Access ERD tħallew barra għaċ-ċarezza.

Dijagrammiiskema tad-database

Il MS Access ERD wara jiddokumenta l- 3D Viewskunċett għal Arkitetturi.

3D Viewsiskema tad-database

Il MS Access ERD wara jiddokumenta l- Mapep nawtiċikunċett għal Arkitetturi.

Mapep nawtiċiiskema tad-database

Il MS Access ERD wara jiddokumenta l- Dashboardskunċett.

Dashboardsiskema tad-database

MS Access Abacus "Mistoqsijiet

Inkluż mal-Database MS Access diversi mistoqsijiet utli kif ġej;

· Comps mill Props- Din il-mistoqsija jelenka l-komponenti kollha fil-proġett (minn arkitettura u t-tip) u jinkludi l-proprjetajiet kollha kolonni. Uża din il-mistoqsija bil-filtri / criterias fuq il-komponent tip u / jew l-arkitettura li jipproduċu tabelli "tipiċi" għal kull tip ta 'komponent bi proprjetajiet tagħhom.

· STDs mill Props- Din il-mistoqsija jelenka l-istandards kollha li huma fl-użu, l-għadd ta 'okkorrenzi ta' l-istandard u jinkludi l-proprjetajiet kollha kolonni. Uża din il-mistoqsija kif katalogu standards.

· Props minn tipi- Din il-mistoqsija jelenka l-proprjetajiet tal-komponenti u l% tagħhom kompluti minn kull tip ta 'komponent bħala kolonni. Uża din il-mistoqsija li tiddetermina jekk karatteristiċi speċifiċi qed jinżammu.

· Tipi mill Props- Din il-mistoqsija jelenka t-tipi kollha komponenti u tinkludi l-% kompleta tal-karatteristiċi kollha bħala kolonni. Uża din il-mistoqsija li tiddetermina jekk karatteristiċi speċifiċi qed jinżammu.

· Tip Count- Din il-mistoqsija jelenka t-tipi kollha komponenti u tinkludi n-numru ta 'okkorrenzi ta' kull tip f'ordni dixxendenti. Uża din il-mistoqsija li jiddetermina l-popolarità ta 'kull tip fil-proġett.

Nota dwar il-ħidma ma 'oqsma Memo fil MS Access

Il-komponenti, Connections u l-oqsma Istandards Isem fit-tabelli huma definiti bħala oqsma memo li jippermettu għal numru mhux limitat ta 'karattri, skond Abacus. Għall-komponenti u konnessjonijiet dan jikkawża ftit kwistjonijiet għaliex huma wkoll ikollhom il-qasam ID unika għall referenzar, iżda għall-Istandards dan jikkawża xi ftit problemi meta jippruvaw jissieħbu tabelli għaliex inti ma tista 'tingħaqad oqsma memo fl-MS Access. Alternattivament, inti tista 'tistabbilixxi Fejn il-kriterji klawsola jinkiseb l-istess effett bħal muri fil-Mistoqsija bennej viżwali u siltiet SQL korrispondenti taħt dik il-lista l-opinjonijiet kollha Standards wiret proprjetajiet għall-komponenti kollha fil-proġett Abacus esportat.

Qasam Memo "tissieħeb" fi Visual Mistoqsija bennej

TAGĦŻEL Components.Architecture_Id, Components.Id, Components.Name, ComponentImplementationLinks.Name, ImplementationProperties.Type, ImplementationProperties.Name, ImplementationProperties.Value, ImplementationProperties.Unit

Minn komponenti ġewwa jissieħbu ComponentImplementationLinks FUQ (Components.InternalId = ComponentImplementationLinks.Id) U (Components.Architecture_Id = ComponentImplementationLinks.Architecture_Id), Implimentazzjonijiet ġewwa jissieħbu ImplementationProperties FUQ Implementations.Id = ImplementationProperties.Implementation_Id

FEJN (((ComponentImplementationLinks.Name) = [Implimentazzjonijiet] [Isem]).);

Qasam Memo "tissieħeb" fi SQL

A nota dwar awtomatikament jiġġeneraw IDs Abacus fil MS Access

Diversi tabelli Abacus Aċċess SM teħtieġ unika sħiħ twil ID hekk metodu VB sempliċi hija pprovduta għall-għajnuna fil-ġenerazzjoni ta 'dawn. Żewġ metodi ResetCounter () u GetNextCounter () huma pprovduti fit Abacus "MS Access DB u l-użu tagħhom huwa kif ġej; ResetCounter () se tistabbilixxi l-counter lura għal 0. GetNextCounter () se terġa 'lura l-counter li jmiss fis-sekwenza.

Il-metodi jisfruttaw "quirk" l-Aċċess SM li anki jekk inti sejħa-metodu ResetCounter () għal kull daħħal ringiela (ie meta inti wkoll tmexxi l GetNextCounter () funzjoni) minħabba li l-ResetCounter () funzjoni ma jkollhom l-ebda parametri hija biss runs darba u għalhekk ma reset-counter għal kull daħħal ringiela. U wkoll minħabba l-istess "quirk" trid tgħaddi xi varjabbli kolonna antika għal GetNextCounter () funzjoni biex iqarqu fis running kull darba.

Hemm ukoll trick li jkunu kapaċi tmexxi l-ResetCounter () funzjoni fi daħħal fis dikjarazzjoni SQL għaliex inti ma tistax biss tara li jkun hemm seduta bħala kolonna waħdu, bħal jekk kien query tagħżel. Huwa rakkomandat li jagħmlu l-ResetCounter () sejħa f'parti minn wieħed mill-oqsma l-oħra, billi concatenating lill-tmiem, kif dejjem jirritorna null xorta waħda.

Hawn taħt hija l-użu SQL tipiku tal-metodi li żżid lista ta 'Tipi Komponent minn tabella / query imsejjaħ "Komponent Tip Lista".

DAĦĦAL FISComponentTypes (Id-isem, Deskrizzjoni)

SELECT GetNextCounter ([Komponent Tip Lista] .name)AS Id-[Komponent Tip Lista] .name AS Isem, [Komponent Tip Lista] .description & ResetCounter ()AS Deskrizzjoni

MINN[Komponent Tip Lista];

Abacus ID ġenerazzjoni / Counter fil SQL

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Visio | Populating arkitettura tiegħek mill Excel


Populating arkitettura tiegħek mill-Microsoft Excel

Navigation: populating arkitettura tiegħek> populating minn prodotti ta 'Microsoft>

Populating arkitettura tiegħek mill-Microsoft Excel

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'importazzjoni arkitettura tiegħek minn spreadsheet Excel (xls jew .xlsx fajl). L-importatur Excel jippermettilek li Mappa listi ta 'komponent u l-konnessjonijiet ma' tipi, standards, proprjetajiet u l-proprjetajiet standard billi jagħżlu l-kolonni spreadsheet tiegħek li fihom data rilevanti.Madankollu hija teknika aktar avvanzat minn l approċċ rakkomandatgħall-importazzjoni minn MS Excel li huwa permezz katalgi kif deskritt hawn .

Nota

Il-karatteristika Importazzjoni minn / Esportazzjoni lejn Excel teħtieġ li Microsoft Excel 2003jew aktar ġodda huwa installat fuq il-kompjuter.

Il-funzjoni ewlenija tal-Importatur Excel huwa li jippermetti li inti tiddefinixxi fajl konfigurazzjoni (ie l-istruttura ġerarkika tal-mudell arkitettoniku tiegħek). Il-ħwienet tal-fajl konfigurazzjoni a mapping qabel issejvjajt minn fajl Excel għal fajl Abacus. Ladarba definita, il-fajl konfigurazzjoni ffrankati hija sussegwenti użata għal aktar importazzjoni u esportazzjoni għall-fajls Xls.

Nota

Il-passi li jidhru fit-taqsimiet hawn taħt huma speċifikament għall-utenti li għad iridu jiġu definiti u jiffrankaw fajl konfigurazzjoni u huma jimportaw mill jisbqu għall-ewwel darba. Int trid toħloq u jiffrankaw fajl konfigurazzjoni li juża l-esportazzjoni li jisbqu funzjoni.

L-importazzjoni spreadsheet Excel fis Abacus

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel File | Ġodda u tagħżel minn Excelmill-dialog li jidher u kklikkja OK.

Nota

Jekk inti tixtieq li l-importazzjoni fi proġett Abacus eżistenti mbagħad jew dritt ikklikkja l-Komponenti node fi ħdan Arkitettura, jew dritt ikklikkja komponent individwali fi ħdan Arkitettura u mbagħad tagħżel Importazzjoni | Mill Excel.

3. Il Spreadsheet Excel Importazzjonitieqa se jintwerew

Importazzjoni Excel Spreadsheet Tieqa

4. Ikklikkja l- Open Excel Fileikona u jibbrawżjaw għal fajl tal-Excel inti tixtieq li l-importazzjoni.

5. Agħżel il- Worksheettixtieq li l-importazzjoni mill-kaxxa drop-down.

Nota

Wara l-ftuħ fajl Excel tiegħek, inti tista 'tuża l- Data Previewtab biex tara l-kolonni u l-ewwel 25 ringieli ta 'spreadsheet tiegħek. Minn hawn tista 'tikseb in-numri kolonna meħtieġa li jimlew l- Komponentiu Konnessjonijiettab.

Tista 'wkoll tagħżel jekk jew le inti tixtieq komponenti fi spreadsheet Excel li jiġu mportati b' sensittività każ. Simply immarka l- Importazzjoni b'sensittività każGħażla (fil-kontumaċja dan huwa dejjem mmarkata) u l-spreadsheet se jiġu importati kif xieraq.

Kampjun Excel File

Nota

F'dan l-eżempju aħna se importazzjoni Infrastruttura sempliċi u Nies Arkitettura mid-data Excel murija fil-screenshot hawn fuq. Konnessjonijiet se ssir bejn "Nies responsabbli" u l- "Servers" li dawk in-nies jamministraw.

Biex timla l-Komponenti tab

Din it-taqsima hija għal definizzjoni tat-tipi tal-komponenti u l-istruttura ġerarkika għall-fajl konfigurazzjoni.

1. Agħżel il- Komponentitab. Semmi l- Set IDmill sorpassata l- (null)valur

Nota

Din il-karatteristika jippermettilek li jiddefinixxu kompletament differenti Settijietgħal komponenti funzjonalment separati. Kif muri fit-screenshot hawn taħt, inti tista 'tixtieq li ssir distinzjoni komponenti infrastruttura tiegħek minn komponenti poplu tiegħek. Jekk ikun hemm relazzjonijiet (konnessjonijiet) bejn dawn is-settijiet separati ta 'komponenti, jistgħu jiġu definiti skond il- Konnessjonijiettab. Aktar tard f'dan l-eżempju aħna se jiddefinixxu konnessjonijiet tat-tip 'tamministra "bejn l-Infrastruttura u Nies Settijiet.

Tista 'wkoll tagħżel jekk jew le inti tixtieq iżżid-ogħla livell Raggruppamentkomponent għal l-elementi kollha tas-sett. Simply immarka l- Grupp Taħt Set IDGħażla (b'mankanza dan huwa unticked) u l-spreadsheet se jiġu importati kif xieraq.

Assenjar Set ID

2. Ladarba l- Settijietġew definiti tagħżel l- Setinti tixtieq li timla u jespandu billi tikklikkja fuq il- [+]sinjal.

3. Agħżel Livelli ta 'Komponenti f'dan Setmil-lista estiża.

4. Il Komponent Ġerarkija Settijiet: Set IDtieqa se jidhru għal dak Set.

Komponent Ġerarkija u assenja tal-valuri (ID Set: Infrastruttura)

5. Semmi l- Numru livellkolonna billi tiġi sorpassata l- (null)valur.

Nota

Il Numru livellkolonna jippermettilek li tassenja ġerarkija għall-komponenti tiegħek. Kull livell jikkorrispondi għal saff fi ħdan arkitettura tiegħek biha l-ewwel livell huwa l-fuq l-aktar ġeniturlivell. Per eżempju, Numru Livell "1" tikkorrispondi għall-saff ġerarkika topmost, Livell Numru "2" huwa l-wild ta 'Livell Numru "1" u l-bqija.

6. Agħżel u tassenja l-kolonna rilevanti mill-spreadsheet Excel li kull Numru livellbilli jidħlu taħt il- Kolonna komponentkolonna.

Nota

Tista 'tagħżel li teskludi ċerti ringieli li inti ma tridx li tkun rappreżentata fl-arkitettura tiegħek. Dawn jistgħu jkunu headers kolonna, ringieli vojta, eċċ Biex jeskludu ringieli tuża l- Ringieli Eskludi:kaxxa ta 'test-rokna ta' fuq tal-lemin tat-tieqa. F'dan l-eżempju aħna esklużi ringiela 1, għax fih headers kolonna tagħna.

7. Tista 'tagħżel li jżidu deskrizzjonijiet komponenti tiegħek billi kitba fuq il- (null)valur fil- Deskrizzjoni Kolonna.

Nota

Din id-deskrizzjoni huwa dak li se jidher fil Abacus taħt il Properties ġeneralitaqsima | Deskrizzjoniqasam.

8. Jekk kolonna spreadsheet partikolari għandha aktar minn komponent wieħed għal kull ċellula (jiddaħħlu permezz Alt-Ikteb jew l CHAR (10) kmand) imbagħad immarka l-kaxxa taħt Ittratta Linji ġodda bħala komponenti separati. Kull linja se jiġu importati bħala komponenti separati.

Tip

Għall-importazzjoni ta '' matriċi "minn ġabra ta 'kolonni, fejn" X "f'kaxxa tat-tabella partikolari" matriċi "(ċelluli B2: D2 jgħidu) jimplika li l-komponent speċifikat mill-ringiela (fl-ċelluli A2 jgħidu) huwa konness mal-komponent speċifikat mill-kolonna "intestatura" (fir-ringiela 1 ngħidu aħna), formula sempliċi jistgħu jintużaw. Ikteb il-formula li ġejja għal kull ringiela fil-kolonna lil hinn mill-ċelluli matriċi (kolonna F jgħidu); = IF (B2 = "", "", B $ 1 & CHAR (10)) & IF (C2 = "", "", C $ 1 & CHAR (10)) & IF (D2 = "", "", D $ 1 & CHAR (10)). Imbagħad waqqaf konnessjoni kif deskritt hawn taħt bejn il-komponenti speċifikati mill-ringiela (fil-kolonna A jgħidu) u dawk deskritti b'dan il-formula (fil-kolonna F jgħidu). Kun żgur li tiċċekkja l- Ittratta Linji ġodda bħala komponenti separatigħażla meta l-komponenti mill-formula huma importati. Għall-importazzjoni matriċi aktar avvanzati, inklużi t-titoli ma 'saffi multipli ta' ġerarkija jew ċelluli b'valuri differenti minn sempliċiment plain "X", jekk jogħġbok ikkuntattja Appoġġ Avolution .

9. Imla l-bqija tal-kolonni kif meħtieġ.

Nota

Tista 'tagħżel li tikseb it-tip mill-ringieli kolonni billi timmarka l-kaxxa taħt il- Get Tip Mill Kolonnakolonna u jidħlu fil-kolonna rilevanti mill-spreadsheet Excel taħt il Komponent Tip Valur jew Kolonnakolonna. Dan se importazzjoni komponenti kollha f'dik il-kolonna u stabbiliti minnhom għat-tip definit fil-kolonna. Alternattivament, u kif ma 'l-isparatura iskrin fuq u taħt, inti tista' tagħżel li tuża / isem tip predefinit fiss billi jidħlu l-isem tat-tip taħt il- Komponent Tip Valur jew Kolonnakolonna u l-iżgurar l-kaxxa hija un-iċċekkjata.

Komponent Ġerarkija u assenja tal-valuri (Set ID: Nies)

Nota

F'dan l-eżempju nixtiequ li jkollhom netwerks tagħna u gruppi tan-nies fil-livell 1 ta 'l-Arkitettura. Fil-livell 2 nixtiequ li jkollhom servers tagħna u nies responsabbli għall-amministrazzjoni dawk servers. Il Komponentitab tkun ġiet mimlija mill għaldaqstant, kif muri fiż-żewġ screenshots hawn fuq. Fl-ewwel screenshot hawn għandna spjegaw l-livell 1 (grupp tad network) u l-livell 2 (server) komponenti għall-Infrastruttura Set. U fil-screenshot immedjatament hawn għandna spjegaw l-livell 1 (li jiġbru fihom nies) u livell 2 (nies responsabbli) komponenti għall-Poplu Set.

Alternattivament, għall- NiesSet, milli jużaw kolonna C bħala grupp Nies, nistgħu użaw il- Grupp Taħt Set IDgħażla fuq il-quċċata komponenti livell tab u mbagħad biss daħlu wieħed Nies sub-livell mill-Kolonna D. Dan huwa muri fil-screenshot hawn taħt.

Komponent Ġerarkija u assenja tal-valuri li jużaw għażla Grupp Taħt Set ID (Set ID: Nies)

10. Ladarba l-komponenti ġew identifikati, tagħżel l-livell ta 'komponent trid timla l-proprjetajiet u / jew standards ta' u jespandu billi tikklikkja fuq il- [+]sinjal.

11. Agħżel Proprjetajiet ta 'Komponenti f'dan il-livelljew il- Standards komponenti F'dan il-livellmil-lista estiża u timla l-kolonni rilevanti kif meħtieġ.

Komponenti populating

Nota

Proprjetajiet ta 'Komponenti f'dan il-livelljippermettilek li jiddefinixxu proprjetajiet għall-komponenti fil-livell magħżul. Standards komponenti F'dan il-livelljippermettilek li tiddefinixxi l-istandards u l-proprjetajiet standard tagħhom għall-komponenti fil-livell magħżul.

12. Irrepeti passi 2-11sakemm il-livelli kollha komponenti jkunu ġew popolati għal kulħadd definit Settijiet. Uża l-vleġġa lura ħdejn il-kantuniera tal-lemin ta 'fuq tat-tieqa biex jinnaviga lura lill- Settijietli inti definiti qabel.

Biex timla l-tab Connections

Din it-taqsima hija għal definizzjoni tat-tipi ta 'konnessjoni u l-istruttura ġerarkika għall-fajl konfigurazzjoni.

1. Agħżel il- Konnessjonijiettab. Għal kull sett ta 'konnessjonijiet għandek tidentifika l-komponent Setli inti tixtieq li tkun l-komponenti tas-sors u l-komponent Setinti tixtieq li tkun l-komponenti tad-destinazzjoni.

2. Taht l- Sors Komponent Set IDjidħlu fil- Setisem li jikkorrispondi għall- Setdefinit aktar kmieni fil- Komponentitab. Taht l- Numru Livell Komponent sorsdaħħal in-numru li jikkorrispondi mal-livell ta 'komponent tixtieq li jgħaqqdu fl-aħħar sors tal-konnessjoni.

3. Issa jagħżel liema komponent grupp se jkun fl-aħħar destinazzjoni tal-konnessjoni. Taht l- Destinazzjoni Komponent Set IDjidħlu fil- Setisem li jikkorrispondi għall- Setdefinit fil- Komponentitab. Taht l- Destinazzjoni Numru Livell Komponentdaħħal in-numru li jikkorrispondi mal-livell ta 'komponent tixtieq li jgħaqqdu fl-aħħar destinazzjoni tal-konnessjoni.

Nota

F'dan l-eżempju nixtiequ li jgħaqqdu l-persuni responsabbli għall-amministrazzjoni servers għall-servers li huma jamministraw. Il-poplu responsabbli kienu definiti fil-Poplu Setbħala livell 2 komponenti waqt li s-servers kienu definiti fil-Infrastruttura Setbħala livell 2 komponenti. Il Konnessjonijiettab tkun ġiet mimlija mill għaldaqstant, kif muri fil-screenshot hawn taħt.

Konnessjonijiet Tab Parti 1 ta '2

4. Jekk inti iscroll lejn il-lemin, inti ser issib għażliet addizzjonali għall-importazzjoni konnessjonijiet tiegħek. Get Tip Mill Kolonnau Konnessjoni Tip Valur jew Kolonnaxogħol bl-istess mod bħal tal- Komponentitab.

5. Jekk il- Sors Komponent Set IDu l- Numru Livell Komponent sorshuma l-istess bħall- Destinazzjoni Komponent Set IDu l- Destinazzjoni Numru Livell Komponent(per eżempju jekk inti konnessjoni l-istess tipi komponenti, bħal li tagħmel konnessjonijiet minn servers għal servers oħra) imbagħad inti jeħtieġ li jkollhom kolonna ieħor spreadsheet tiegħek li fiha l-ismijiet ta 'dawn is-servers ripetuti. F'din is-sitwazzjoni inti tpoġġi f'dik il-kolonna spreadsheet fil- Destinazzjoni ripetuti fil-kolonnakolonna. Jekk f'dik il-kolonna spreadsheet inti tajt komponent konnessi aktar minn wieħed għal kull ċellula allura immarka l-kaxxa taħt Ittratta Linji ġodda bħala komponenti separati.

Konnessjonijiet Tab Parti 2 minn 2

6. Ladarba l-konnessjonijiet ġew identifikati jagħżlu l-konnessjoni inti tixtieq li timla l-proprjetajiet u / jew standards ta 'u jespandu billi tikklikkja fuq il- [+]sinjal.

7. Agħżel Karatteristiċi għal dawn il-konnessjonijietjew Istandards għal tali rabtietmil-lista estiża u timla l-kolonni rilevanti kif meħtieġ.

Nota

Karatteristiċi għal dawn il-konnessjonijietjippermettilek li jiddefinixxu proprjetajiet għall-grupp konnessjoni magħżul. Standards għall dawn il-konnessjonijietjippermettilek li tiddefinixxi l-istandards u l-proprjetajiet standard tagħhom għall-grupp konnessjoni magħżul.

8. Irrepeti passi 2-7sakemm l-gruppi konnessjoni ġew definiti.

9. Meta tkun spiċċajt jiddefinixxu l-gruppi konnessjoni, ikklikkja fuq il- Finishbuttuna u l-arkitettura tiegħek ser ikunu maħluqa mill-fajl Excel importati. L-eżempju t'hawn fuq ser tirriżulta fl-arkitettura murija fil-screenshot hawn taħt.

Arkitettura kampjun Importati minn Excel

10. Issa isalva l-konfigurazzjoni fassal f'fajl billi tikklikkja fuq il- Save Konfigurazzjoniicon. Konfigurazzjoni salvati tiegħek jista 'jiġi estratt sussegwentement billi tikklikkja fuq il- Iftaħ Konfigurazzjoniicon-rokna ta 'fuq tax-xellug tat-tieqa.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Access | Populating arkitettura tiegħek mill Visio


Populating arkitettura tiegħek mill SharePoint Microsoft

Navigation: populating arkitettura tiegħek> populating minn prodotti ta 'Microsoft>

Populating arkitettura tiegħek mill SharePoint Microsoft

Jibagħtu l-kummenti fuq dan is-suġġett.

Tista synchronize arkitettura tiegħek maMicrosoft Listi SharePoint. Sinkronizzazzjoni jinvolvi jew joħolqu listi SharePoint ġodda (u kolonni tagħhom) minn tipi Abacus, proprjetajiet tagħhom u aċċessorji, jew mapping listi SharePoint eżistenti (u kolonni tagħhom) għal tipi Abacus, proprjetajiet tagħhom u l-annessi, imbagħad jew jibgħat kontenut minn Abacus għal SharePoint jew SharePoint li Abacus.

Nota

Il SharePoint sync Karatteristika teħtieġ lia Microsoft SharePoint 2010, 2013jew SharePoint Online sit huwa disponibbli li jgħaqqdu u sinkronizzati ma.Filwaqt li l-karatteristika SharePoint sync jistgħu joħolqu listi (bil kolonni) fuq sit SharePoint minn kwalunkwe proġett Abacus, Avolution tista 'wkoll tipprovdi diversi sit SharePoint templates jappoġġjaw oqfsa standard (eż TOGAF, ArchiMate, ITIL eċċ) hekk jekk jogħġbok ikkuntattja Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

Biex joħolqu lista SharePoint ġdid u mappa hija għal komponent jew konnessjoni Abacus tip

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel Għodod | SharePoint sync.

3. Ikklikkja l- Immappjar Newbuttuna u SharePoint Immappjar dialog kif muri hawn taħt se jidhru.

4. Ikteb il-URL tas-sit, Username Password u għas-sit SharePoint u kklikkja Qabbad.

Nota

"Admin" A SharePoint valida jew kont "kontributur" hija meħtieġa biex sync minn u lejn SharePoint u kont li jkollu "qarrej" se jippermettu biss sync minn SharePoint.

5. Agħżel il-Abacus komponent jew konnessjoni tip biex iħażżu mill- Agħżel Tippull-down.

6. Ikklikkja l- Żid Newbuttuna u mbagħad għal kull komponent jew tip ta 'konnessjoni aspett Abacus tixtieq mappa għal taqsima korrispondenti lista SharePoint jagħżlu l-oġġett fil-panel xellug u fil-panel dritt ikteb l-isem il-ġdid lista SharePoint fil-kolonna New Lista (biss l-ewwel darba) , allura l-isem kolonna SharePoint fil-Isem Kolonna (jew uża l-inadempjenza) u kklikkja Jassenjakull darba.

Nota

Bħala minimu li tippermetti s-sinkronizzazzjoni l EEID Abacus, Arkitettura u l-aspetti Isem se tkun awtomatikament fassal għal Numru SharePoint u tnejn (2) linja Uniku tat-test (aka Test) kolonni rispettivament. Dawn ma jistgħux ikunu mhijiex assenjata. Barra minn hekk, biss ċerti aspetti Abacus jista bħalissa jiġu assoċjati għal ċerti kolonni SharePoint u l Kolonna Tip pull-down se jiġu ffissati awtomatikament mat-tip meħtieġa kolonna SharePoint.Jiġifieri;

· Abacus "Path Ġerarkija biex SharePoint linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint linja Uniku tat-test (aka Test) kolonni biss appoġġ 255 Chars għalhekk mhumiex preferut),

· Komponenti Mehmuża Abacus "għall-kolonni SharePoint Lookup (Nota: A mapping għandhom ikunu jeżistu diġà għal lista għall-komponenti marbutin nfushom),

· Test u Deskrizzjoni proprjetajiet Abacus "li SharePoint linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint linja Uniku tat-test (aka Test) kolonni biss appoġġ 255 Chars għalhekk mhumiex preferut),

· Deċimali jew Integer proprjetajiet Abacus "għall-kolonni SharePoint Numru,

· Lista proprjetajiet Abacus "għall-kolonni SharePoint Għażla (Nota: SharePoint ma jinfurzaw il-valuri għażla hekk dejta tat-tip Lista m'għandux għalfejn tiġi eżegwita fi Abacus),

· Abacus "Data / proprjetajiet ħin biex SharePoint linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint Data u kolonni Ħin ma jistgħux jintużaw s'issa minħabba l-appoġġ konsistenti SharePoint għall TIMEZONE / settings reġjonalizzazzjoni),

· Proprjetajiet Boolean Abacus "għall SharePoint Iva / Le (aka Boolean) kolonni.

Standards Assoċjati element Abacus ma jistgħu jiġu assoċjati sabiex kolonni lista SharePoint s'issa.

7. Agħżel Oħloq Immappjar.

Biex toħloq mapping ġdida bejn komponent Abacus jew tip ta 'konnessjoni u lista SharePoint eżistenti

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel Għodod | SharePoint sync.

3. Ikklikkja l- Immappjar Newbuttuna u SharePoint Immappjar dialog kif muri hawn taħt se jidhru.

4. Ikteb il-URL tas-sit, Username Password u għas-sit SharePoint u kklikkja Qabbad.

Nota

"Admin" A SharePoint valida jew kont "kontributur" hija meħtieġa biex sync minn u lejn SharePoint u kont li jkollu "qarrej" se jippermettu biss sync minn SharePoint.

5. Agħżel il-Abacus komponent jew konnessjoni tip biex iħażżu mill- Agħżel Tippull-down.

6. Agħżel il-lista sit SharePoint biex iħażżu mill- Lista Agħżelpull-down.

7. Għal kull komponent jew tip ta 'konnessjoni aspett Abacus tixtieq mappa biex kolonna tagħha lista SharePoint korrispondenti jagħżlu l-oġġett fil-panel xellug u l-panel dritt rispettivament u kklikkja Jassenja.

Nota

Bħala minimu li tippermetti s-sinkronizzazzjoni l EEID Abacus, Arkitettura u l-aspetti Isem jeħtieġ li jiġu identifikati għal Numru SharePoint u mbagħad għal Arkitettura u Isem biex jew linja Uniku tat-test (aka Test) jew linji multipli ta 'test (aka Nota) kolonni rispettivament. Sa dan isir l Oħloq Immappjar buttuna mhux se jkunu funzjonabbli. Barra minn hekk, biss ċerti aspetti Abacus jista bħalissa jiġu assoċjati għal ċerti kolonni SharePoint.Jiġifieri;

· Aspett Abacus "Arkitettura għal SharePoint linja Uniku tat-test (aka Test) jew linji multipli ta 'test (aka nota) kolonni (dan ikun meħtieġ għall-kontenut immappjar speċifiku kif deskritt hawn taħt),

· Path Ġerarkija Abacus "li SharePoint linja Uniku tat-test (aka Test) jew linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint linja Uniku tat-test (aka Test) kolonni biss appoġġ 255 Chars hekk xi karattri addizzjonali se jkunu maqtugħ u għalhekk huwa rakkomandat li jaqilbuhom għal linji multipli ta 'test (aka Nota) kolonni fil SharePoint qabel mapping),

· Komponenti Mehmuża Abacus "għall-kolonni SharePoint Lookup (Nota: A mapping għandhom ikunu jeżistu diġà għal lista għall-komponenti marbutin nfushom),

· Test u Deskrizzjoni proprjetajiet Abacus "li SharePoint linja Uniku tat-test (aka Test) jew linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint linja Uniku tat-test (aka Test) kolonni biss appoġġ 255 Chars hekk xi karattri addizzjonali għandhom jiġu maqtugħ u għalhekk huwa rakkomandat li jaqilbuhom għal linji multipli ta 'test (aka Nota) kolonni fil SharePoint qabel mapping),

· "Deċimali jew Integer proprjetajiet għall-kolonni SharePoint numru (Nota.: SharePoint Ikkalkulat kolonni jistgħu jintużaw madankollu dawn se jkunu jistgħu biss sinkronizzat minn SharePoint biex Abacus Jippruvaw sinkronizzazzjoni" Abacus għal "kolonna kkalkulata se jwassal għal twissija bħala kull taħt) ,

· Lista proprjetajiet Abacus "għall-kolonni SharePoint Għażla,

· Abacus "Data / proprjetajiet ħin biex SharePoint linji multipli ta 'test (aka Nota) kolonni (Nota: SharePoint Data u kolonni Ħin ma tistax tintuża minħabba l-appoġġ konsistenti SharePoint għall TIMEZONE / settings reġjonalizzazzjoni),

· Proprjetajiet Boolean Abacus "għall SharePoint Iva / Le (aka Boolean) kolonni.

Standards Assoċjati element Abacus ma jistgħu jiġu assoċjati sabiex kolonni lista SharePoint s'issa. U Munita SharePoint, il-persuna jew tal-Grupp, Hyperlink jew Immaāina, Eżitu Task, Data Esterni u kolonni Metadata Immexxi ma jistgħu jiġu assoċjati ma 'aspetti Abacus s'issa.

8. Agħżel Oħloq Immappjar.

Biex synchronizeMicrosoft tiegħek Lista (i) SharePointfis Abacus

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel Għodod | SharePoint sync.

Nota

Biex jissinkronizzaw lista SharePoint ma 'Proġett Abacus-liċenzja utent jeħtieġ l SharePoint syncadd-on kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

3. Agħżel immappjar SharePoint eżistenti (jew mappings użu Ctrl clickjew il- Select Allbuttuna) mill- Mappings SharePointpanelkif muri fil-screenshot kampjun hawn fuq. Nota: hawnhekk għandna qed juru biss il-"Goal (jew Rekwiżit)" Abacus tip ta 'komponent mapping għal lista SharePoint imsejjaħ Għanijiet magħżula.

4. Agħżel il-Arkitettura (i) li inti tixtieq li sync kontenut ma mill- Sync Werrej minn arkitetturipanel kif murija fil-screenshot kampjun hawn fuq. Nota: hawnhekk għandna qed juru biss l- "2015 attwali" arkitettura qed synced.

5. Agħżel il- Sync Mill SPbuttuna.

Nota

Jekk il-kredenzjali sit SharePoint mhumiex "All Ssejvjata" għall-immappjar (i) magħżul imbagħad Login dialog SharePoint se jidhru fiha talbet il- URL sit, Username u / jew Password.Jekk jogħġbok niżżel dawn. Barra minn hekk, sinkronizzazzjoni se jinkludi kwalunkwe mappings oħra li huma meħtieġa għall-komponenti / kolonni lookup mehmuża. Kwalunkwe mappings addizzjonali li huma awtomatikament inklużi se jintwerew fil-dialog kif kull taħt.

6. Fuq sinkronizzazzjoni suċċess a SharePoint Sync Riżultati dialog se jidhru kif muri hawn taħt jelenka l-bidliet u xi twissijiet. Ikklikkja kollox sew.

Biex jissinkronizzaw minn Abacus għal Microsoft tiegħek Lista (i) SharePoint

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel Għodod | SharePoint sync.

Nota

Biex jissinkronizzaw lista SharePoint ma 'Proġett Abacus-liċenzja utent jeħtieġ l SharePoint syncadd-on kapaċità. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

3. Agħżel immappjar SharePoint eżistenti (jew mappings użu Ctrl clickjew il- Select Allbuttuna) mill- Mappings SharePointpanelkif muri fil-screenshot kampjun hawn fuq. Nota: hawnhekk għandna qed juru biss il-"Goal (jew Rekwiżit)" Abacus tip ta 'komponent mapping għal lista SharePoint imsejjaħ Għanijiet magħżula.

4. Agħżel il-Arkitettura (i) li inti tixtieq li sync kontenut ma mill- Sync Werrej minn arkitetturipanel kif murija fil-screenshot kampjun hawn fuq. Nota: hawnhekk għandna qed juru biss l- "2015 attwali" arkitettura qed synced.

5. Agħżel il- Sync Biex SPbuttuna.

Nota

Jekk il-kredenzjali sit SharePoint mhumiex "All Ssejvjata" għall-immappjar (i) magħżul imbagħad Login dialog SharePoint se jidhru fiha talbet il- URL sit, Username u / jew Password.Jekk jogħġbok niżżel dawn. Barra minn hekk, sinkronizzazzjoni se jinkludi kwalunkwe mappings oħra li huma meħtieġa għall-komponenti / kolonni lookup mehmuża. Kwalunkwe mappings addizzjonali li huma awtomatikament inklużi se jintwerew fil-dialog kif kull taħt.

6. Fuq sinkronizzazzjoni suċċess a SharePoint Sync Riżultati dialog se jidhru kif muri hawn taħt jelenka l-bidliet u xi twissijiet. Ikklikkja kollox sew.

Nota

Abacus se taġġorna kolonni SharePoint b'valuri vojta anki jekk "Jeħtieġu li din il-kolonna fiha informazzjoni" huwa stabbilit li Yes fil SharePoint. Dan huwa għaliex SharePoint ma jesponix il-iffissar esternament. Jekk dan huwa li jiġu evitati, huwa rakkomandat li Designer Abacus jistabbilixxi r-restrizzjoni Meħtieġa biex True u Sfurzat għall-proprjetà billi tintuża Abacus " restrizzjoni Karatteristika .

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Visio | Populating arkitettura tiegħek mill Excel


Populating arkitettura tiegħek mill-Microsoft SQL Server

Navigation: populating arkitettura tiegħek> populating minn prodotti ta 'Microsoft>

Populating arkitettura tiegħek mill-Microsoft SQL Server

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'importazzjoni arkitettura tiegħek minn database Microsoft SQL Server. Inti għandek l-għażla għal ftit jimporta it-Tabelli u Relazzjonijiet effettivament jimportaw biss l-istruttura ġeneriku tad-database jew il Tabelli, ringieli u Relazzjonijiet li se jimportaw mhux biss l-istruttura iżda d-dejta kif ukoll.

Nota

Il Mill SQL Server karatteristika teħtieġ li Microsoft SQL Server 2005, 2008, 2008 R2, 2012 jew 2014huwa installat fuq il-kompjuter.

Għall-importazzjoni database tiegħek Server Microsoft SQL fis Abacus

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel File | Ġodda u tagħżel Mill SQL Servermill-dialog li jidher u kklikkja OK.

3. Fil-dialog Server Importazzjoni SQL li jidher jistabbilixxu l-"MACHINENAME" u l-valuri "SQLINSTANCE" tal-Konnessjoni String varjabbli u l-valur "DBNAME" tal-Database Isem varjabbli-valuri korretti tagħhom kif muri fil-screenshot kampjun hawn taħt.

4. Issettja l-Database Isem varjabbli li l-istess valur bħall-varjabbli Catalog inizjali stabbiliti fid-pass 'il fuq, kif muri fil-screenshot kampjun hawn taħt.

5. Agħfas il-buttuna Konnessjoni tat-test u l-Tabelli li Importazzjoni taqsima tal-dialog għandu jkun popolati it-tabelli database disponibbli, kif muri fil-screenshot kampjun hawn taħt.

6. Agħżel it-tabelli li inti jixtiequ jimportaw mill individwalment tagħżel minnhom jew li jużaw l-All, Xejn u buttuni Aqleb għad-dritt ta 'l-dialog.

Nota

Huma biss il-Relazzjonijiet Barranin ewlenin li jeżistu bejn it-Tabelli li inti tagħżel se tikseb importati.

7. Uża l-buttuna tar-radju Importazzjoni Style tagħżel jekk inti tixtieq li l-importazzjoni biss il-Tabelli u l Relazzjonijiet bejniethom jew il Tabelli, Ringieli tagħhom u l Relazzjonijiet speċifiċi bejn il-fillieri.

Nota

L-ewwel għażla jimporta l-Tabelli bħala komponenti tat-tip "Tabella" u r-relazzjonijiet bejn kwalunkwe żewġ Tabelli (mill-ċwievet barranin) huma importati bħala konnessjonijiet tat-tip "Tabella Relazzjoni". Din hija "ERD" dawl stil klassiku tat-tabelli tas-sistema. It-tieni għażla jimporta l-Ringieli Tabella bħala diskreti sub-komponenti tat-tip "Tabella Ringiela" bi proprjetajiet li jikkorrespondu għal kull wieħed mill-kolonni / oqsma u mar-relazzjonijiet bejn il-fillieri Tabella tat-tip "Tabella Relazzjoni". Barra minn hekk, jekk ikun hemm kolonna / qasam imsejħa "Isem" allura din tkun użata biex insemmu l-sub-komponenti individwali Tabella Row.

8. Agħżel il-Importazzjoni ... buttuna.

9. Wara ammont ta 'żmien qasir (bi żbarra progress għal feedback) proġett Abacus ġdida se tkun maħluqa bl-Tabelli, Ringieli Tabella (jekk it-tieni għażla kienet magħżula fil-pass' il fuq) u Relazzjonijiet mid-database Microsoft SQL Server.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Visio | Populating arkitettura tiegħek mill Excel


Populating arkitettura tiegħek mill-Microsoft Visio

Navigation: populating arkitettura tiegħek> populating minn prodotti ta 'Microsoft>

Populating arkitettura tiegħek mill-Microsoft Visio

Jibagħtu l-kummenti fuq dan is-suġġett.

Inti tista 'importazzjoni arkitettura tiegħek mill-Microsoft Visio. Forom fil tpinġija Visio tiegħek se jiġu importati bħala komponenti fis Abacus. Konnessjonijiet fil tpinġija Visio tiegħek se jiġu importati bħala konnessjonijiet u t-tfassil innifsu se jiġu impurtati fil Abacus bħala dijagramma. Barra minn hekk, kwalunkwe Properties Custom Fit-tfassil Visio tiegħek se jiġu importati bħala proprjetajiet ma 'l-Key Sort mapping għall-Tip Proprjetà, Label għall-isem Proprjetà u l-Valur għall-Valur Proprjetà.

Nota

L-importazzjoni minn Visio karatteristika teħtieġ li Microsoft Visio 2003jew aktar ġodda huwa installat fuq il-kompjuter.

Għall-importazzjoni tpinġijiet Visio tiegħek fis Abacus

1. Jiżgura li inti għandek Abacus miftuħa.

2. Agħżel File | Ġodda u tagħżel Mill Visiomill-dialog li jidher u kklikkja OK.

Nota

Jekk inti tixtieq li l-importazzjoni fi proġett Abacus eżistenti mbagħad jew dritt ikklikkja l-Komponenti node fi ħdan Arkitettura, jew dritt ikklikkja komponent individwali fi ħdan Arkitettura u mbagħad tagħżel Importazzjoni | Mill Visio.

3. Jibbrawżjaw għall-fajl Visio inti tixtieq li l-importazzjoni.

Nota

Hawn taħt huma xi regoli sempliċi jew prattiċi rakkomandati meta jinbena (jew jimmodifikaw) a Visio MS tpinġija għall-importazzjoni fil Abacus.

1. Il-linji jew konnessjonijiet jeħtieġ li tkun konnetturi attwali, MHUX forom.

· Inkella Abacus se biss l-importazzjoni tagħhom bħala komponenti u għaldaqstant dawn mhux se jkunu "mehmuża" għal xejn.

· Jekk għandek bżonn tagħmel xi "smart" routing (ie minbarra linja dritta) allura l-użu l-konnettur Dynamic fuq il-stensil Bażiku Forom, Abacus se importazzjoni l-punti routing / ankra multa.

· Ipprova sabiex jevitaw li jużaw il- "network Ring" u "Ethernet" forom min-Netwerk u t-Tagħmir Periferali stensil li jippermetti lottijiet ta 'komponenti li għandhom jiġu "konnessi" miegħu. Filwaqt li aħna l-importazzjoni l-annessi multa bħala konnessjonijiet l-forma oriġinali għadu "marġinali" biex tirrifletti l-annessi. Uża separati a "hub / bus" separat forma (mingħajr il-konnettur "saqajn") u mbagħad waħħal espliċitu kull komponent mal-buttun / bus b'konnetturi separati.

· Jekk linja jew konnessjoni iġib ruħu bħala forma, ikklikkja dritt fuqha u mur "Format | Behavior ... "u kun żgur li l-istil Interazzjoni huwa stabbilit li Line (1 dimensjonijiet).

2. Il-komponenti jeħtieġ li tkun forom MHUX konnetturi.

· Inkella Abacus se biss l-importazzjoni tagħhom bħala konnessjonijiet u għaldaqstant l-informazzjoni kollha għamla se tintilef.

· Jekk komponent iġib ruħu bħala konnettur, ikklikkja dritt fuqha u mur "Format | Imġiba ... "u kun żgur li l-istil Interazzjoni huwa stabbilit li Box (2-dimensjonali).

3. Truf konnettur jeħtieġ li jiġu mehmuża ma 'forom, MHUX floating madwar fl-isfond wara l-forma.

· Jekk inti ma qabbad l-konnetturi għall-forom imbagħad Abacus m'għandha l-ebda mod sabiex tkun taf li inti maħsuba sabiex iwaħħlu l-konnettur mogħti lill-forma / komponent u għaldaqstant se jħallu dak il-għan tal-mqabbad man-un konnessjoni.

4. Tikketti għal forom għandha tkun (fejn possibbli) it-tikketta test inerenti għall-forma, MHUX kaxxa ta 'test separat fuq it-tpinġija.

· Kaxxi test separati se tikseb importat mill Abacus bħala komponenti fl-dritt tagħhom stess u filwaqt li inti tista jingħaqdu l- "tikketta" komponent bil-komponent reali fil Abacus, jew sempliċiment jikkonvertu l-"tikketta" komponent għal forma freeform (ie mhuwiex komponent innifsu) huwa aħjar li jiġu evitati dawn il-passi.

5. Uża l-istess forma bażi għal kull każ ta 'l-istess tip, ma jkun għażżien u l-użu rettangolu kultant u oħrajn kaxxa minn stensils forma differenti.

· Abacus juża l-forma bażi u kulur bażi tagħha biex jidentifika unikament it-tipi komponenti u l-konnessjoni fid-disinn hekk "rettangolu aħmar" u "kaxxa aħmar" se tikseb importat bħala żewġ tipi komponenti separati. Dawn it-tipi tal-komponenti jistgħu jiġu magħquda fi Abacus iżda huwa aħjar li tevita dawn il-passi.

6. Kompletament jirrappreżentaw "tfal" forom ġewwa "ġenituri" tagħhom, ma jħallux lilhom mdendla fuq it-tarf.

· Abacus se jiskopru xi forma li hija kompletament inkapsulata forma oħra bħala wild tal-ġenitur sabiex tagħmel żgur li l-forma sħiħa, inkluża l-parti tikketta, jakkumpanja.

7. DO NOT pożizzjoni forma jikkoinċidu żewġ forom oħrajn.

· Jekk forma duplikazzjonijiet żewġ forom oħrajn, kemm jekk tkun "raggruppament" / rettangolu isfond jew inkella, se jiġu importati minn Abacus bħala komponent li huwa tifel ta 'la forom jikkoinċidu iżda hekk kif inti tagħżel l-komponent għodda tpinġija Abacus " , minħabba l-top-xellug huma l-komponenti ta 'referenza punt, ser issir wild ta ix-xellug jikkoinċidu forma / komponent.

8. Jippruvaw jimminimizzaw l-użu ta 'noti test fuq id-disinn minħabba li dawn se tikseb importat bħala komponenti bi dritt tagħhom stess u se jeħtieġu li jiġu konvertiti għal forom freeform fil Abacus. Aħseb dwar jekk humiex verament l-isem ta 'komponent jew konnessjoni eżistenti.

9. Filwaqt Abacus jappoġġja sinjuri / kkulurita / forom bbażati fuq vector, jippruvaw jimminimizzaw l-użu ta 'bitmaps, forom barranin u Metafiles mtejba għall-forom kif Abacus bħalissa mamhuxjappoġġjaw dawn it-tipi. Huma se jiġu importati bħala rettangoli abjad sempliċi.

10. Jippruvaw jevitaw prospetti ġarr (-ritorn shift) fil tikketti kif ikunu mportati u murija bħala karattru speċjali "[]" fil Abacus għall-isem komponent.

11. Jippruvaw jimminimizzaw l-kuluri differenti li huma wżati għall-forom tal-istess tip. Kif imsemmi hawn fuq, kulur bażi u l-bażi forma jidentifika unikament tipi komponenti u l-konnessjoni għalhekk il-varjazzjoni aktar ikun hemm aktar amalgamazzjoni u konsolidazzjoni li ser jeħtieġ li jsir wara l-importazzjoni fil Abacus.

12. Oqgħod attent li ma 'forom mimlija għaliex jekk forma hija mimlija-triq kollha lejn il-kantunieri imbagħad kulur aktar tard fil Abacus se jkollha l-ebda effett.

13. Għal forom bbażati fuq linja kumplessi għandek tuża polygon li hija maħluqa billi linji bidu fejn dak preċedenti finituri u mbagħad finalment jmorru lura għall-punt ta 'tluq. Jekk mixtieq, inti tista 'tuża timla u linja wisa' li jagħmlu l-ħarsa polygon bħal "vleġġa" jew kwalunkwe forma li trid.

14. Kun żgur li l-ID forom fl-Istati Membri Visio huwa sinifikanti mhux biss Shape.xx. Dan huwa editable jużaw dritt ikklikkja "Show ShapeSheet" li huwa disponibbli fl-MS Visio modalità iżviluppatur (iseħħu permezz Għodda | Għażliet fir MS Visio).

15. Elissi u arkifi ħdan foromhuma appoġġjati fil Abacus iżda NURBS u splines bħalissa mhumiex appoġġati.

16. Kun żgur li l-forma kollu huwa raggruppat fi SM Visio jew se tikseb impurtata bħala komponenti diversi / tipi.

17. Jippruvaw jimminimizzaw l-użu ta 'forom imdawwar fi ħdan subshapes peress li mhux se kultant jiġu importati b'mod korrett.

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Populating arkitettura tiegħek manwalment | Populating arkitettura tiegħek mill Access | Populating arkitettura tiegħek mill Excel


Populating arkitettura tiegħek manwalment

Navigation: populating arkitettura tiegħek> populating manwalment>

Populating arkitettura tiegħek manwalment

Jibagħtu l-kummenti fuq dan is-suġġett.

Il-komponenti ta 'livell ogħla u l-konnessjonijiet ta' arkitettura tiegħek probabbilment se jeħtieġu li jiġu popolati manwalment. Tipikament, dan se jkun l-komponenti aktar astratti u konnessjonijiet.

Li manwalment timla arkitettura tiegħek

1. Jiżgura li inti għandek xi Fajl Abacusmiftuħa, l Explorermurija, u arkitettura miżjud .

2. Żid komponent. Biex tagħmel dan, Right-clickfuq iż-żona tas-siġra inti tixtieq li timla, u jagħżel Żid sotto-komponent ..., Jew ikklikkja l- New Komponentbuttuna fuq il- Toolbar View . Komponenti jistgħu jiġu miżjuda biss taħt il-fergħa komponenti tas-siġra. Inti tixtieq dijagramma siġra tiegħek li tkun rappreżentazzjoni preċiża tal-arkitettura tiegħek. Meta inti skoperti arkitettura tiegħek, inti ser jkunu tgħallmu eżattament kif dan kollu toqgħod flimkien. Int ser ikollok bżonn dan l-għarfien meta inti żid komponenti tiegħek u konnessjonijiet. Jekk int żżid ewwel komponent tiegħek, inti ser iżżidhiex direttament lill-fergħa Komponenti. Il-bqija tal-komponenti tiegħek jista 'jkun jew fl-istess livell fil-siġra, jew jistgħu jkunu sotto-komponenti ta' l-ewwel.

3. Taġġorna l-valuri ta 'il-proprjetajietta 'kull komponent kif inti iżżidhiex. Biex tagħmel dan, ikklikkjafuq il-komponent, u jeditjaw il-proprjetajiet murija fil- Tieqa Properties(tipikament) lejn il-lemin. Properties huma ġeneralment affarijiet simili rekwiżiti, kapaċità ta 'proċessar, eċċ Meta Abacus jevalwa arkitettura tiegħek, se jikkalkula xi proprjetajiet ġodda, u ħlief lura għall-arkitettura. Il-proprjetajiet ġodda huma l-informazzjoni li inti qed jippruvaw biex tanalizza, bħal utilizzazzjoni, ħin ta 'reazzjoni, bandwidth, eċċ

4. Żid konnessjonijiet tiegħeku aġġornamentproprjetajiet tagħhomkif tmur - eżatt kif inti tagħmel għall-komponenti (iżda taħt il-fergħa Konnessjonijiet tas-siġra).

5. Waħħalkonnessjonijiet u l-komponenti. Biex tagħmel dan, jillokalizza l-konnessjoni, ikklikkja fuq waħda mill tagħha tarf jew rwoli , U drag hija fuq komponent. Alternattivament, ikklikkja fuq komponent u drag hija fuq wieħed mill-konnessjoni tal rwoli (jiġifieri kemm Sors jew inżel). Jew inti tista 'dritt ikklikkja u drag komponent fuq komponent ieħor u tagħżel Qabbad Biex. Jew sempliċiment dritt ikklikkja komponent u tagħżel Qabbad .... Meta inti drag konnessjoni rwol, Tkun taf Avviż simbolu shortcut meta inti punt fuq komponent tista iwaħħalha man. Dan jindika li int mhux l-ikkupjar, int biss mwaħħla. Kun żgur li iwaħħalha man-komponent korretta destinazzjoni. Per eżempju, jekk huwa Sors konnessjoni tal rwol, Drag jagħmlu l-komponent sors (ie il-komponent li huwa s-sors tal-fluss tad-data).

Tip

Entitajiet fi ħdan arkitettura tiegħek (eż Komponenti, Konnessjonijiet eċċ) fl-ordni mill-ġdid Explorerhuwa pjuttost faċli. Simply Ikklikkja| Żomm| Dragl-entità rilevanti u l-post fejn mixtieq fl-arkitettura tiegħek. Il ri-ordnijiet funzjonalità tippermetti wkoll li inti post entitajiet fi ħdan ġerarkiji differenti ta 'arkitettura tiegħek.

Inti tista 'ukoll tixtieq li

6. Żid Standards (settijiet pre-konfigurati 'proprjetajiet - presets) sa komponenti tiegħek, konnessjonijiet jew tipi

7. Jibdel il-proprjetajiet ta 'komponent, kollegament jew tip

8. Jneħħu u jerġa 'jagħmel Operazzjonijiet

9. Ibdel il-Tip ta 'komponent jew konnessjoni

10. Oħloq Tip ġdid jew tat-Tip Group

11. Ħassar komponent jew konnessjoni

12. Oħloq, duplikat jew jevolvu arkitettura

13. Tipi u standards ta 'importazzjoni minn librerija

14. Importazzjoni minn fajl ieħor Abacus, XML, Excel jew Visio

15. Pejst kopja u partijiet (jew kollha) ta 'l-arkitettura tiegħek

16. Sib u Ibdel oġġetti fl-arkitettura tiegħek

17. Expand / Kollass xi wħud jew kollha tal-lymph fil-siġra

18. Jingħaqdu oġġetti

19. Iddefinixxi u Ivvalida Limitazzjonijiet li jirrestrinġu l-istruttura tal-arkitettura tiegħek

20. Jevolvu arkitettura tiegħek li toħloq diversi soluzzjonijiet arkitettoniċi li jqabblu u linja bażi

Ara wkoll

Populating arkitettura tiegħek - Ħarsa ġenerali | Ħolqien ta 'fajl ġdid


Publish għall-Web

Navigation: Rappurtar dwar l-arkitettura tiegħek>

Publish għall-Web

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus "Publish li karatteristika Web tippermetti mudelli arkitettoniku li jitqiesu permezz ta 'sit web sigur. Arkitetturi huma esportati lejn format HTML u huma mfassla biex jirriflettu l-dehra u sensazzjoni tal-Explorer fil Abacus. Views (inklużi Katalogi, Dijagrammi, 3D u Mapep nawtiċi) huma wkoll esportati fis-formati li jistgħu jkunu viżibbli bl-użu ta browser internet.

Nota

Bħalissa, Opinjonijiet u matriċi ma jiġux ippubblikati.

Li tippubblika mudelli arkitettoniku tiegħek lill-web

1. Jiżgura li inti għandek l-rilevanti Fajl Abacusmiftuħa, li tinkludi l- arkitettura popolatili inti tixtieq li tippubblika l-web.

2. Agħżel File| Publish ....

3. Il Publish Biex Konfigurazzjoni Webtieqa se display.

Publish li Konfigurazzjoni Web

4. Konvenzjonalment-porzjonijiet kollha tal-mudell huma magħżula inkluż il Tree View, l Standards, Il Tipi, Templates u l-Arkitettura (i). Uncheck xi porzjonijiet inti ma tridx li tippubblika għall-web, inkluż kwalunkwe fehmiet individwali fi ħdan l-arkitettura (i).

Tip

Jekk inti tixtieq li jaħbu komponenti, konnessjonijiet speċifiċi u / jew proprjetà tagħhom huwa rrakkomandat li Amministratur joħloq rwol ta '"pubbliku" użu Karatteristika Abacus "aċċess ibbażat fuq l-irwol u imbagħad ineħħi l-permess Aqra minn dawk it-tipi komponenti, tipi konnessjoni u / jew proprjetà li ma jixtiqux li jiġu ppubblikati. Imbagħad utent għandu log fil taħt dan ir-rwol u tippubblika web bħala Abacus se tippubblika biss elementi li qrajt permess stabbilit għar-rwol. Barra minn hekk, l-utenti jistgħu auto-tippubblika mil-linja tal-kmand kif deskritt hawn .

Nota

Inti tista 'tagħżel il-porzjonijiet kollha murija billi tikklikkja fuq il- Kollhabuttuna jew invertit għażla tiegħek billi tikklikkja fuq il- Aqlebbuttuna. Tista 'wkoll ikklikkja fuq il- Xejnbuttuna biex ċar l-għażla tiegħek.

Nota

Jekk inti uncheck l-għażla Tree Viewallura l-ebda qafas tas-siġar (ara hawn taħt) se jkun ippubblikat. Għaldaqstant, għandek tagħżel paġna bidu skond pass 6 hawn taħt jew wara pubblikazzjoni ser ikollok bżonn biex jippersonalizzaw jew il-ogħla livell; a) index.htmlfajl billi jinbidel il-"src =" qafas mainPage.html "isem =" element_details "" linja biex tagħmel link direttament lill-paġna html rilevanti taħt il-folder kontenut, jew, b) mainPage.htmlbilli jipprovdi hyperlink jew jidderieġu mill-ġdid lejn il-paġna html rilevanti taħt il-folder Kontenut.

5. Ikklikkja l- Għażla buttuna u dan li ġej Għażliet pubblikaturdialog se display.

PublishGħażliet ER

6. Steleġġi l 3D, Dijagrammau formati Mapep nawtiċi u jekk juru l-Titolu, Deskrizzjoni jew Properties għall-opinjonijiet li jsiru mill-għażliet disponibbli (irreferi għan-nota hawn taħt għall-kummenti dwar il-formati differenti).

7. Jekk inti tixtieq li tiffissa l-paġna tal-bidu tal-mudell ippubblikat biex ħsieb partikolari mbagħad tiċċekkja l- Uża View Kif Start Pagegħażla u jibbrawżjaw il-fehma permezz tal- "..." buttuna li ssir ppermettiet.

Nota

Huma biss l-opinjonijiet magħżula fis-sezzjoni Żoni kif kull Pass 4 hawn fuq huma disponibbli biex tkun issettjata bħala paġna tal-bidu.

8. Jekk inti tixtieq li tirċievi rispons fuq il-paġni speċifiċi fil-mudell ippubblikat mbagħad tagħmel żgur li l- Email Feedbackgħażla hija magħżula, jidħol email address fil- Email AddressKaxxau jeditjaw il- Korp Emailtaqsima kif xieraq. Jekk ma tixtieqx li jkollha feedback mibgħut allura uncheck l Email Feedbacku jħallu l-kaxxa vojta.

9. Ikklikkja fuq il- kollox sewbuttuna.

10. Ikklikkja fuq il- Browsebuttuna.

11. Il Jibbrawżjaw għal Foldertieqa se display.

12. Agħżel il-post inti tixtieq li taħżen il-fajl HTML ogħla livell (u xi fajls ġġenerati awtomatikament).

Nota

Hija idea tajba biex toħloq folder speċifiku (tipikament tissejjaħ "Ippubblikat") bl-użu Għamla New Folderbuttuna fil-qiegħ tal-dialog li jaħżen il-fajl HTML ogħla livell u xi fajls ġġenerati awtomatikament.

13. Ikklikkja fuq il- kollox sewbuttuna.

14. Il-passaġġ folder se display fil- Directorykaxxa.

15. Ikklikkja fuq il- Finishbuttuna.

- Jew -

15. Ikteb il-passaġġ folder fil- Directorykaxxa fejn inti tixtieq li taħżen il-fajl HTML ogħla livell (u xi fajls ġġenerati awtomatikament).

16. Ikklikkja fuq il- Finishbuttuna.

Nota

Esportazzjoni ta ' Dijagrammiħafna drabi jonqos, ħafna drabi meta l-kompjuter huwa barra mill-memorja (normalment meta jużaw fajls kbar ħafna). A esportazzjoni naqset se jkun retried darba. Se jkun hemm twissija waħda għal tentattiv inizjali falla, u t-tieni twissija jekk id--tentattiv ġdid jonqos. Għalhekk, jekk l-uniċi twissijiet huma "tentattiv inizjali falla" dawk, il tippubblika kienet ta 'suċċess. Jekk il--tentattiv ġdid jonqos tipprova tippubblika porzjon iżgħar ta 'fajl tiegħek jew b'xejn sa xi memorja tas-sistema.

Il-fajl (s) HTML salvati issa jistgħu jiġu veduta mill-post tiegħu jew ikkupjati għal sit web sigur.

Publish għall-Web fl-Internet Explorer10

Kwalunkwe hyperlinks li ġew maħluqa fil-mudell oriġinali għandhom jiġu ppersistew fil-mudell ppubblikata u tikklikkja fuq il-link ser issegwi l-link sad-destinazzjoni tiegħu (jekk kien ippubblikat). Barra minn hekk, ebda element fil dijagrammi ppubblikati li mhumiex diġà hyperlinked fil-mudell oriġinali rieda ta 'hyperlinked lura lill-elementi korrispondenti tagħhom fil-fehma Tree (jekk kien ippubblikat) u billi tikklikkja l-element fid-dijagramma ippubblika l-enfasi se jaqbżu lura lill il-post rilevanti fil-Tree. Din il-karatteristika hija simili għall- "Show Fil Explorer" dritt ikklikkja karatteristika fil Abacus.

Nota

Avolution jirrakkomanda bil-qawwa l-software u l-fajl formati li ġejjin għandhom jintużaw biex jutilizzaw b'mod sħiħ il Publish funzjonalità Web Abacus:

1. Internet Explorer (80.0 u hawn fuq)biex tara l-opinjoni Explorer ippubblikat. Mozilla Firefox (30.0 jew aktar tard)huwa wkoll rakkomandat u appoġġ sħiħMadankollu, jekk jużaw il-format SVG rakkomandat għal dijagrammi imbagħad fil Firefox 9 tista 'tuża biss l-appoġġ telespettatur SVG native li sfortunatament ma tippermettix zooming jew panning.

2. Adobe SVG Viewer 3.0 plug-in (download minn hawn ) u SVGformat tal-fajl għall-ppublikata dijagrammi. Il-format image SVG għall- dijagrammihuwa rakkomandat minħabba; SVG huwa format image bbażati fuq vector u għalhekk huwa "-telf inqas" u jistenna ferm aħjar fi kwalunkwe livell zoom partikolari minn kwalunkwe mill-formati oħra, SVG jistgħu jiġu importati fil MS Visio, SVG jistgħu jiġu żżomjati għal kwalunkwe livell jew riżoluzzjoni , SVG għandha rabtiet lura lill-opinjoni siġra għall-konnessjonijiet (mhux biss il-komponenti), SVG dejjem prints fuq riżoluzzjoni aħjar, u, SVG huwa madwar nofs l-daqs tal-fajl tal-formati oħra. PNG hija r-rakkomandazzjoni li jmiss, madankollu, kif huwa format rasterised f'ċerti livelli zoom iċ-ċarezza tal-fehma se jintilfu u tikklikkja konnessjonijiet fuq dijagrammi mhux se jaqbżu lura lill-post rilevanti fil-siġra. BMP hija skoraġġuta kif filwaqt li huwa "-telf inqas" format daqs tal-fajl hija 100x dik tal-formati oħra u 20MB immaġini huma mhux tas-soltu.

Il-kompromess ma 'SVG hija li telespettatur SVG se jeħtieġu li jiġu installati u inti għandek bżonn kun żgur li l-immaġni .svg / svg + xml huwa miżjud tipi tal-web server ta MIME. Wara l-installazzjoni tat-telespettatur SVG Microsoft Internet Explorer se nitolbok taċċetta ftehim ta 'liċenzja tat-telespettaturi u mbagħad għandha taħdem multa. U filwaqtMozilla Firefox jappoġġja fajls SVG natively, il-plugin Adobe għadu rakkomandatbiex tkun tista 'zoom-dijagrammi jekk inti qed tuża Firefox 8 jew qabel (jekk qed tuża Firefox 9 inti ma tistax jiskonnettja l-telespettatur SVG endemiċi). Ladarba l-installazzjoni għall-plugin Adobe tkun tħaddmet, il-passi li ġejjin huma meħtieġa l-użu fil Firefox:

· Jiftħu firefox u daħħal "dwar: konfigurazzjoni" (mingħajr il-virgoletti) fil-bar URL.

· Skrollja 'l isfel u jsibu l-proprjetà svg.enabled(jekk qed tuża Firefox 9 allura l-wiri SVG nattiva ma tistax tkun b'diżabilità u din il-proprjetà ma teżistix). Double click fuqha li jneħħiha.

· Issa isibu l-direttorju fejn hemm installat it plugin SVG (eż C: \ Program Files \ Files Komuni \ Adobe \ SVG Viewer 30.0 \)

· Kopja tal-fajls NPSVG3dll u l NPSVG3zip u paste minnhom fil-firefox plugins direttorju (eż C: \ Program Files \ Mozilla Firefox \ plugins)

· Jagħlqu każijiet kollha ta 'Firefox

3. Abacus 3D Viewer Avolution (l 3.1 u hawn fuq)u .abacus3D Avolution sformat tal-fajl għall-pubblikati 3D fehmiet. Filwaqt li l- Klijent Cortona VRML plug-in (2.0 u hawn fuq)huwa disponibbli biex tara verżjonijiet VRML tal-fehmiet ippubblikati ma jkunx b'xejn għall-użu kummerċjali u għadha teħtieġ installazzjoni client-side. Il Abacus 3D Viewer hija aktar karatteristika b'ħafna minn kwalunkwe telespettatur VRML u huwa liberament disponibbli biex jitniżżel minn hawn . Fi kwalunkwe każ tagħmel żgur li int żid .vrml x-dinja / x-vrml u l-applikazzjoni .abacus3d / ottett-fluss għal tipi tal-web server ta MIME.

4. PNGformat tal-fajl għall-fehmiet Ċart ppubblikati. Il-format image PNG għall-fehmiet Ċart huwa rakkomandat għax filwaqt li huwa format rasterised u hemm "telf" l kompromess bejn daqs tal-fajl u ċ-ċarezza chart huwa tipikament l-aħjar. BMP hija skoraġġuta kif filwaqt li huwa "-telf inqas" format daqs tal-fajl hija 20x dik tal-formati oħra u charts 2MB m'humiex rari.

Jekk inti tixtieq li tibdel l-dehra u sensazzjoni tal-paġni tal-web, inti tista 'jeditjaw il-fajl paġna tal-bidu msemmi mainPage.html u l-fajl karta tal-istil jismu abacus.css. Għandek issib dawn il-fajls fl-istess folder fejn inti għażilt biex isalva l-fajl HTML ogħla livell. Għal aktar informazzjoni dwar l-istruttura u jfassluhom tal-output ippubblikat ara t-taqsima li jmiss.

L-istruttura tal Abacus ippubblikat mudelli

Il-mudell ippubblikat Abacus hija strutturata kif ġej:

1. Il folder ogħla livell fih diversi fajls u jekk wieħed jassumi għażliet kollha huma inklużi fil-Abacus Publish li Konfigurazzjoni Web dialog se tinkludi indiċi.htmlfajl magħmul minn tliet frames; treeView.html, findNode.html u mainPage.htmlu mbagħad shortcutError.htmlpaġna. Il treeView.html huwa magħmul minn l- tree.js, tree_items.jsu tree_tpl.js fajls JavaScript jinsabu taħt il-folder jinkludu (diskussi hawn taħt) u repliki-siġra Explorer minn Abacus. Il findNode.html huwa mħaddem minnl find.js fajl javascript tinsab taħt il jinkludu folder (diskussi hawn taħt) u se tfittex il-fergħat tas-siġra aktar minn sempliċiment il-lymph viżibbli. Thuwa mainPage.html hija paġna HTML statiku li jista 'jitfassal ma' logos korporattiva u similiu se jintwerew sakemm paġna bidu huwa magħżul meta jiġu ppubblikati.U fl-aħħarnett, il-paġna shortcutError.html hija paġna inżul għal kwalunkwe shortcuts miksur mill-siġra minħabba l-paġni xierqa ma jkunux ippubblikati.

Tip

Tista skip l mainPage.html għal kollox mill jagħżlu li uża paġna bidu meta jiġu ppubblikati jew timmodifika l-fajl index.html għall-punt direttament lill-għan partikolari (ngħidu aħna) mill-editjar src qafas = "mainPage.html" linja għall-punt direttament lill-ewwel opinjoni fl-ewwel arkitettura, tipikament l-dijagramma "qafas".

2. Il i-ogħla livellncludefolder fihomIngdiversi JavaScript (JS) u karta stil cascading (.css) fajls użati mill-fajls html matul il-mudell ippubblikat.

3. Il folder Kontenut ogħla livell fiha, Alfabetikament;

· A "3D Views' folder ma 'bin-numruPaġna HTML u VRML jew abacus3d file għal kull wieħed mill-3D fehmiet ippubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· An Arkitetturi folder mal-paġna HTML numerati għal kull arkitettura li kien ippubblikat. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Katalogi folder li jkun fih paġna HTML nnumerati għal kull wieħed mill-katalgi ppubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Mapep nawtiċi folder ma 'bin-numruPaġna HTML u PNG, JPG eċċ file għal wieħed tan-naħat Ċart ppubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Komponenti folder li jkun fihbin-numruPaġna HTML għal kull wieħed mill-komponenti ppubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Konnessjonijiet folder li jkun fihbin-numruPaġna HTML għal kull wieħed mill-konnessjonijiet ppubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Dijagrammi folder li jkun fihbin-numruPaġna HTML u PNG, SVG eċċ fajl għal kull wieħed mill-rati ppubblikati dijagrammi. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· An ikoni sub-folder ma stampi varji użati matul s-mudell ippubblikat.

· A Standards sub-folder bil-bin-numruPaġna HTML għal kwalunkwe standardsli ġew ippubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

· A Templates sub-folder bi ġbir ta 'numerati sub-folders għal kull template ippubblikat mill-proġett. Fi ħdan kull sotto-folder hija Komponenti u folder Konnessjonijiet u hija paġna HTML nnumerati għal kull komponent u l-konnessjoni tal-mudell fi ħdan dawn. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni folder / fajl.

· A Tipi sub-folder mal-Komponent uKonnessjoni sub-folders ma 'bin-numruPaġna HTML għal kull Komponent uTipi konnessjoni li ġew ippubblikatiu kollezzjoni ta 'sub-folders nnumerati għal kull tip ippubblikat mill-proġett li jkun fih paġna HTML għal kull wieħed mill-limiti. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni folder / fajl.

· A Viewpunts sub-folder ubin-numruPaġna HTML għal wieħed minn Viewpunts li kienu ppubblikati. Ara n-nota hawn taħt għall-informazzjoni dwar l-iskema ta 'numerazzjoni fajl.

Nota

In-numerazzjoni tal-paġni HTML (u f'xi każijiet l- fajls immaġni) jaqbel mal- unika ID għal kull oġġett repożitorju li kien sett meta kienet maħluqafi ħdan Abacus (imsejħa EEIDs). Dan ID ma jbiddilx hekk kif dijagrammi, it-tipi, komponenti eċċ huma Aġġornata dawn sejżommu l-istess ID bħal qabel. F'kull każ, il-rilevanti oġġett repożitorjuisem jista 'jinstab ħdejn il-bidu tal-paġna HTML bejn l- ... tags HTML.

Jillimitaw l-aċċess għall-paġni Ċerti / Views ma IIS

Jekk tuża IIS bħala web server tiegħek għall-mudell ippubblikat, tista 'tkun kapaċi li jirrestrinġu aċċess għal ċerti paġni / fehmiet jutilizzaw il-metodu ta' hawn taħt:

1. Oħloq websajt IIS (wieħed ieħor jekk ikun hemm waħda eżistenti ma tridu li tinterferixxi ma ').

2. Ibdel il--aċċess Properties> Direttorju mas-sigurtà> Anonymous - aċċess anonimu uncheck, u l-użu awtentikati aċċess.

3. Jekk din hija biss server normali bl-ebda kumplikazzjonijiet dominju eċċ, allura għandek tuża l-għażla "twieqi integrati awtentikazzjoni" li mbagħad jużaw il-magni server utenti lokali / logins bħala l-awtentikazzjoni, u żid ftit utenti għall-kompjuter lokali (li toqgħod attenta li inti huma konxji tal-implikazzjonijiet, is-sigurtà għaqli, ta 'żżid l-utenti ġodda biex il-magna, eż skond jekk l-aċċess remot huwa setup għall-magna, eċċ).

4. Żid permessi għall-fajls / folders speċifiċi kif meħtieġ. Dritt ikklikkja l-fajls individwali / folders -> Properties, u aġġusta l-permessi tas-sigurtà kif inti normalment għall-fajls / folders.

Dan jista 'jkun differenti jiddependi fuq liema verżjoni ta IIS u liema speċifiku Windows OS huwa fuq il-server, u jekk ikollok domain jew setup differenti oħra.

Ara wkoll

Populating arkitettura tiegħek | Analiżi arkitettura tiegħek


Irreġistra Abacus

Navigation: Referenza>

Irreġistra Abacus

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta inti l-ewwel tibda Abacus (jew wara li kull liċenzja temporanja jkun skada), ser ikollok bżonn biex tirreġistra l-applikazzjoni kontra server liċenzja Avolution bl-użu liċenzja ewlenija uniku pprovdut mill-Amministratur Abacus lokali tiegħek jew direttament mill Avolution. Jekk inti ma għandekx liċenzja ewlenija jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution .

Biex jirreġistraw ma 'liċenzja ewlenija

1. Wara l-installazzjoni, tibda Abacusbilli jew double-tikklikkja l-buttuna fuq il-desktop jew mill-menu Windows Start.

2. Fil-dialog Reġistrazzjoni li jidher jidħlu fil- 26 karattru liċenzja ewlenijapprovduta mill-Amministratur Abacus lokali tiegħek jew Appoġġ Avolution , Jew ikklikkja Browse ...u agħżel il-fajl .dlsc ffirmata lura minn Appoġġ Avolution kif fis-Nota fil-Pass 4 hawn taħt. Jekk tuża fajl .dlsc iffirmat korrett Abacus għandu jibda kull Pass 5 hawn taħt.

Tip

Tista 'paste tal-liċenzja ewlenija fil-dialog billi jikkopja lill-clipboard Windows u mbagħad tagħżel l-isfond tal-dialog u tagħfas Ctrl + V.

Dialog reġistrazzjoni

3. Ikklikkja kollox sewu jekk iċ-ċavetta liċenzja jkun valida liċenzja ewlenija AbacusAbacus issa se tipprova tikkuntattja server liċenzja Avolution li jawtentikaw it-liċenzja ewlenija.

Nota

Jekk ikollok xi Kodiċi Installazzjoni hija Invalidżball reġistrazzjoni huwa probabbli ħafna li inti għandek ittajpjat l-kodiċi żbaljat. Ipprova ikkupjar u pasta tal-kodiċi kif Skond il-Tip imsemmi hawn fuq.

Tikkuntattja l-License Server Avolution

4. Ikklikkja kollox sewu wara perjodu qasir ta 'żmien Abacus għandhom jirreġistraw b'suċċess.

Reġistrazzjoni ta 'suċċess

Nota

Jekk ikollok Ma jistgħux tikkuntattja server liċenzjażball reġistrazzjoni huwa probabbli ħafna li firewall (jew miżuri oħra ta 'sigurtà) fuq network tiegħek huma jipprevjeni aċċess għall server liċenzja Avolution tal. Ikklikkja kollox sew, Tiffranka l-fajl .dlsc għall-magna lokali tiegħek u mbagħad jew email-fajl .dlsc li Appoġġ Avolution u jistennew aktar istruzzjonijietjew jippruvaw li jiffirmaw il-liċenzja fajl yourself jużaw dan il-URL - http://licensing.avolutionsoftware.com/LicenceSign/ .

Ma jistgħux tikkuntattja l-server liċenzja

Iftaħ il-webpage iffirmar License

License Manwal webpage iffirmar

Alternattivament, jekk ikollok il- Dan il-kodiċi installazzjoni jkun ġie użat fuq aktar sistemi milli permess mil-liċenzjażball reġistrazzjoni huwa probabbli li l-apparat lokali tiegħek ġie rrikostitwit peress li inti aħħar rreġistrat Abacus jew li qed tipprova tirreġistra mal ewlenin liċenzja utent ieħor. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution .

Kodiċi installazzjoni jkun diġà ntuża

5. Ikklikkja kollox sewu jekk reġistrata b'suċċess Abacus għandha tiftaħ il- Merħba Screen .

Ara wkoll

Appoġġ Avolution | X'jagħmel Abacus do?


Standard Element Għażla

Navigation: Analiżi arkitettura tiegħek>

Standard Element Għażla

Jibagħtu l-kummenti fuq dan is-suġġett.

Meta jkun qed jinħoloq dijagramma, 3D fehma, Rapport,chart standardjew tmexxija ta 'simulazzjoni, It-tieqa għażla element standard huwa użat biex jintgħażel elementi inti tixtieq li tanalizza / fehma.

Window Standard Element Għażla

Pulldowns

· Iffiltra minn Viewse jinkludu l-elementi minn perspettiva qabel issejvjajt (ie Dijagramma, Grafika, 3D). B'dan il-mod inti tista 'twettaq kumpless "jingħaqdu" mistoqsijiet bit-trattament ħsieb ieħor bħala salvati "query".

Checkboxes

· Livelli Urigrupp rieda tal-element skond il-livell li bih iseħħu fil-siġra. Livell 1 hija l-ogħla livell l-aktar.

· Tipi Uririeda grupp l-elementi skont it-tipi li huma.

· Ġenituri ta 'magħżulse tinkludi l-elementi prinċipali ta 'kwalunkwe elementi magħżula. B'dan il-mod inti tista 'tiżgura li biss il-ġerarkija ta' hawn fuq kwalunkwe tfal se titqiegħed għal "bottom-up" għażla.

· Tfal ta 'magħżulse tinkludi t-tfal elementi ta 'kwalunkwe elementi magħżula. B'dan il-mod inti tista 'tiżgura li biss il-ġerarkija hawn taħt kwalunkwe ġenituri se titqiegħed għal "top-down" għażla.

· Isem Partiti Valurse tinkludi biss dawk l-elementi li jkollha isem li jinkludi l-sekwenza speċifikata (Jekk jogħġbok innota: wildcards (ie u *) jistgħu jintużaw?). B'dan il-mod inti tista jiffurmaw "semantika" query.

· Has Proprjetà Tip / Isem / Valurse tinkludi biss dawk l-elementi li għandhom Proprjetà tip, isem u Valur fih l-sekwenza speċifikata jew direttament fuq l-element jew fuq Standards tagħha (Jekk jogħġbok innota:?.? wildcards (jiġifieri u *) jistgħu jintużaw Eż * fil-qasam Valur se tagħti l-elementi kollha li għandhom valur mhux vojta għall-Proprjetà mogħtija). B'dan il-mod inti tista jiffurmaw "semantika" query.

· Has Standardse tinkludi biss dawk l-elementi li għandhom isem Standard fih il-sekwenza speċifikata (Jekk jogħġbok innota: wildcards (jiġifieri u *) jistgħu jintużaw Eż HP * se tagħti l-elementi kollha l-Istandard għall-inqas waħda tibda bl-ittri H u P?.). B'dan il-mod inti tista jiffurmaw "semantika" query.

· Komponenti / Konnessjonijiet mehmuża mal magħżulase jinkludu kull element mehmuża għal dawk li ġew magħżula. B'dan il-mod ta '"-siġra call" jew "-analiżi tal-impatt" jistgħu jiġu magħżula.

Nota

Jekk għandek kemm Livelli Uriu Tipi Urimagħżula allura inti tista 'tagħżel li jkollhom il-livelli tas-siġar juru ewwel jew tipi ewwel mill-buttuna li se jidhru hawn fuq iŜ-Ŝewā checkboxes.

Tip

Ladarba oġġett huwa magħżul fil-Tieqa Standard Element Għażla, mhux se jkun suġġett għal kull bidla filtru oħra sakemm ikun deselected. Peress li m'hemm l-ebda mod nattiva ta 'tiftix għal żewġ settijiet differenti ta' elementi f'daqqa (eż Komponenti bil Standard A JEW Standard B), inti tista 'tfittex l-ewwel għal sett wieħed, agħżel il-komponenti mixtieqa, u mbagħad iwettqu t-tieni tfittxija għat-tieni sett .

Buttuni

· Kollhajagħżel l-elementi kollha.

· Aqlebdeselects l-elementi kollha li bħalissa magħżula u tagħżel dawk kollha li ma kinux magħżula.

· Xejndeselects l-elementi kollha.

· Żid Iffiltratagħżel il-kontenut li tirriżulta mill-settings tal-filtru kurrenti u tippermetti l-għażla ta 'kontenut addizzjonali effettivament U jew jissieħbu filtru.

Ara wkoll

Analiżi arkitettura tiegħek


L-Għodda Tpinġija

Navigation: populating arkitettura tiegħek> Bl-użu Tpinġijiet>

L-Għodda Tpinġija

Jibagħtu l-kummenti fuq dan is-suġġett.

L-Għodda Tpinġija jippermetti l-ħolqien ta 'varjetà wiesgħa ta' iskematiċi arkitettoniċi u dijagrammi. Periti tradizzjonalment jużaw firxa ta 'disinji differenti biex jirreġistraw u twassal il-disinn ta' l-arkitettura. Żewġ dimensjonijiet (2D) dijagrammi huma l-mod tas-soltu ta 'dokumentazzjoni u l-komunikazzjoni partijiet varji ta' sistema. Tipi tpinġijiet tipiċi użati fis-sistemi intrapriża huma:

· Negozju Mudelli proċess u d-dijagrammi;

· Charts Organizzazzjoni;

· Dijagrammi Kollaborazzjoni;

· Entità Relazzjoni (ER) dijagrammi;

· Dijagrammi Data-fluss (tal DFD);

· Dijagrammi klassi;

· IDEF (li tinkorpora diversi ta 'hawn fuq); u

· UML (li tinkorpora diversi ta 'hawn fuq).

Jeżisti l-ebda limitu għall-tipi ta 'dijagrammi li jistgħu jinħolqu. Abacus tipprova tibbilanċja l-flessibilità dijagramma filwaqt li tippreserva l-integrità tal-arkitettura u l-forom tagħha ta 'rappreżentazzjoni.

L-ambjent tpinġija huwa tabbed u tieqa dockable ġewwa l-applikazzjoni ewlenija Abacus. Dan tieqa fiha tila fejn it-tfassil sseħħ u meta l-tieqa tfassil hija miftuħa tieni tieqa dockable , It-tieqa stensil, huwa viewable ma 'sett ta' stensils tpinġija. Il-pane stensil għandha 4 tabs: Komponenti, konnessjonijiet, forom u Konnetturi. Il-kanvas jidher bħala sfond abjad mal-linji tal-grilja fini (utli għall tqassim).

Komponenti huma rappreżentati minn firxa ta 'forom, filwaqt li l-konnessjonijiet huma mfassla bħala linji diretti. Konnessjonijiet jagħtu lill-komponenti li jużaw rwoli (jiġifieri kemm Sors jew inżel) għalkemm dawn ma jidhrux għal raġunijiet estetiċi.

Tip

Filwaqt dijagrammihuma utli ħafna għall-wiri partijiet differenti ta 'sistema, huma limitati fil modularità tagħhom, u huwa għalhekk Abacus użi 3D Ħares strutturi sistema kumplessa.

Inti tista 'tixtieq li

1. Iftaħ il- Diagramming Għodda

2. Oħloq dijagramma ġdida ta 'parti ta' arkitettura tiegħek

3. Kopja dijagramma fi jew madwar arkitetturi

4. Żid komponenti li dijagramma

5. Oħloq spare parts ġodda u konnessjonijiet fl-arkitettura tiegħek (dijagramma) jużaw l-għodda tpinġija

6. Ħassar komponenti minn dijagramma

7. Waħħal & jimmanipulaw konnessjonijiet

8. Ibdel il- proprjetajiet wiri ta 'komponenti u konnessjonijiet.

9. Bl-użu links dijagramma

10. Jinfurzaw tip reċiproku u opinjonijiet sabiex jirrestrinġu t-tipi ta 'dijagrammi li jistgħu jittieħdu.

Ara wkoll

Populating arkitettura tiegħek | Populating arkitettura tiegħek manwalment | Analiżi arkitettura tiegħek


Titolu Page

Abacus

Ċaħda ta 'responsabbiltà

Avolution Pty Ltd ma jagħmel ebda rappreżentazzjonijiet jew garanziji fir-rigward ta dan il-manwal u, sal-limitu massimu permess mil-liġi, espressament tillimita r-responsabbiltà tagħha għall-ksur ta 'kwalunkwe garanzija li jista' jkun taċitu għas-sostituzzjoni ta 'dan il-manwal ma' ieħor. Barra minn hekk, Avolution Pty Ltd tirriserva d-dritt li tirrevedi din il-pubblikazzjoni fi kwalunkwe ħin mingħajr ma jeħlu l-obbligu li jinnotifikaw kwalunkwe persuna tar-reviżjoni.

Copyright

Copyright 2001-2015Avolution Pty Ltd drittijiet kollha riżervati.

Trademarks

Avolution Pty Ltd għamlet kull sforz biex jipprovdu informazzjoni trademark dwar ismijiet ta 'kumpaniji, prodotti u servizzi msemmija f'dan il-manwal. Trademarks murija hawn taħt ġew derivati ​​minn diversi sorsi.

Microsoft Windows, Access, Visio, Excel, SQL Server u Internet Explorerhuma trademarks ta 'Microsoft Corporation.

Avviż ġenerali:

Xi ismijiet tal-prodotti użati f'dan il-manwal huma użati għal skopijiet ta 'identifikazzjoni biss u jista' jkun trademarks tal-kumpaniji rispettivi tagħhom.

Diċembru 2015Edizzjoni għall Avolution Abacus Verżjoni 4.5.

Reviżjoni Manwal 1.0

Ġġenerat, stampati, u llegata Awstralja.


Abacus Installazzjoni prerekwiżiti

Navigation: Referenza>

Abacus Installazzjoni prerekwiżiti

Jibagħtu l-kummenti fuq dan is-suġġett.

Informazzjoni Dwar Visio Importazzjoni u Excel Import / Export

Abacus teħtieġ li Microsoft Office jiġu installati sabiex iwettqu operazzjonijiet Excel Importazzjoni / Esportazzjoni u Importazzjoni Visio. Jekk jogħġbok jivverifika li Microsoft Office 2003 jew aktar ġoddahuwa installat b'mod korrett. Jekk ikollok aktar problemi, kuntatt Appoġġ Avolution .

Sabiex iwettqu operazzjonijiet Visio importazzjoni u Excel Importazzjoni / Esportazzjoni, Abacus juża l-Microsoft Office Primarja Interop Assemblej (s PIA). Abacus bħalissa jiġi ppakkjat mal-assembleji meħtieġa biex iwettaq Excel Import / Export u Visio Importazzjoni.

Informazzjoni Dwar SQL Server Importazzjoni

Abacus teħtieġ li Microsoft SQL Server 2005, 2008, 2008 R2, 2012 jew 2014huwa installat sabiex jibdew proġett ġdid Mill SQL Server. Jekk jogħġbok jivverifika li Microsoft SQL Server 2005, 2008, 2008 R2, 2012 jew 2014huwa installat b'mod korrett. Jekk ikollok aktar problemi, kuntatt Appoġġ Avolution .

Żbalji Ftuħ 3D mudelli viżwali

Jekk il-Abacus 3D Viewer ma jaħdmu għalik, inti tista 'tkun nieqsa l SlimDX DirectX Runtime (installat bħala parti mill-Abacus EXE sħiħa jinstallaw). Dan jista 'jitniżżel hawn . Jekk ikollok xi verżjoni 64bit tal-Windows, inti tista 'wkoll teħtieġ li jinstallaw dan .

Żbalji Editjar Abacus Custom Rapporti

Rapporti Custom Editjar Abacus "teħtieġ Rapport Bennej 3.0 li għandhom jiġu installati. Abacus u r-Rapport bennej huma mibnija fuq Qafas ta 'Microsoft NET 4.0, u filwaqt li tnejn ma jeħtiġux Qafas Microsoft NET 3.5, Microsoft b'mod żbaljat konfigurati r-Rapport bennej MSI biss jipproċedi jekk Qafas Microsoft NET 3.5 huwa installat.

Għaldaqstant, Avolution għandha verżjoni editjat tal-installazzjoni Rapport bennej fajl MSI li ma teħtieġx Qafas Microsoft NET 3.5, dan jista 'jitniżżel hawn .

L-oriġinal Rapport Microsoft Bennej MSI jista 'jitniżżel hawn . Jekk inti ma diġà għandhom Qafas NET Microsoft 3.5 li din ser teħtieġ, tista 'tniżżel hawn . Nota: Għal installazzjonijiet multipli, il offline jinstallaw tal Qafas Microsoft NET 3.5 minn hawn jistgħu jkunu aktar xierqa.


Jneħħu u jerġa 'jagħmel

Navigation: populating arkitettura tiegħek> populating manwalment> għażliet Extra>

Jneħħu u jerġa 'jagħmel

Jibagħtu l-kummenti fuq dan is-suġġett.

Bħal applikazzjonijiet moderni ħafna, Abacus jappoġġja l-abbiltà li kemm teqred u jerġa 'jagħmel bidliet reċenti min jagħmel użu magħmula għal proġett miftuħ. Li jneħħu l-bidla l-aktar riċenti, sempliċiment jattiva l-kmand jħoll. Bidliet li jkunu tneħħew jistgħu jiġu redone billi tiġi attivata l-kmand jerġa 'jagħmel; l-iktar bidla tneħħew reċentement applikazzjoni mill-ġdid.

Twissija

Bidliet tneħħew ma jkunux jistgħu jerġgħu jiġu applikati jekk ulterjuri isiru bidliet fil-proġett minn meta ġiet undone.

Nota

Filwaqt li l-maġġoranza kbira tal-bidliet appoġġ jħoll / jerġa 'jagħmel fil-ħin reali, xi dijagramma bidliet stensil, bħall-ħolqien ta '' Forma Tip / assoċjazzjoni Line ġdid jew tibdil tal attribut kulur assoċjazzjoni, ma jkunux jistgħu jiġu tneħħew immedjatament. F'dawn il-każijiet, il-Dijagramma modifikat (indikati b'asterisk) għandhom jingħalqu qabel ma dawn il-bidliet can not be undone.

Jneħħu u jerġa 'jagħmel postijiet kmand

Il-kmandijiet jħoll u jerġa 'jagħmel tista' tkun aċċessata minn tliet postijiet differenti:

· il-menu Edit

· l toolbar Standard

· l shortcut keys keyboard CTRL + Z(jħoll) u CTRL + Y(jerġa 'jagħmel)

Tip

Il jħoll u jerġa 'jagħmel buttuni fuq il-toolbar standard jipprovdu listi dropdown juri l-10 tibdiliet aktar riċenti li can not be undone u ġew redone rispettivament. Huma wkoll mod handy biex teqred / jerġa 'jagħmel tibdiliet multipli fuq darba.


Bl-użu Macros

Navigation: Jissimulaw l-arkitettura tiegħek>

Bl-użu Macros

Jibagħtu l-kummenti fuq dan is-suġġett.

Jekk inti twettaq xogħol ripetutament Abacus, inti tista awtomat-kompitu bl-użu ta makro. Għaldaqstant, l makro Abacus hija serje irreġistrat ta 'operazzjonijiet li jistgħu jiġu imwarrab jirrakkonta fi kwalunkwe ħin.

Reġistrazzjoni ta 'Macro

1. Agħżel Għodod | Macro Recordjew alternattivament istampa Alt + F10.

2. Tibda topera li tixtieq li tirreġistra jwettqu.

Twissija

At this time, hemm xi kwistjonijiet magħrufa ma recording makro. Jekk jogħġbok tieħu dawn f'konsiderazzjoni meta reġistrazzjoni macros tiegħek:

· Bħalissa Macros biss jirreġistraw keystrokes Microsoft Windows tiegħek, mouse-movimenti u l-ġurdien klikks-. Madankollu, minħabba limitazzjonijiet mal-reġistratur makro innifsu, hemm xi keystrokes li mhux dejjem irreġistrati. Dawn jinkludu:

· [Tab]

· [Ctrl]

· [Alt]

· [Esc]

· [Start]

· [F1] għal [F12]

· Huwa għalhekk rakkomandat li inti tivverifika li keyboard shortcut tiġi rreġistrata mir-reġistratur makro qabel reġistrazzjoni ta 'sekwenza kbira ta' konsegwenzi li jistgħu jiddependu fuq dik tax-xogħol shortcut keyboard.

· Bħalissa minħabba l-limitazzjonijiet mar-rikorder makro, menus kuntest mhumiex ġestiti sew mill Abacus meta jkunu miftuħa minn azzjoni rreġistrata mir-reġistratur makro. Meta inti tiftaħ kuntest menu, trid twettaq waħda mill-funzjonijiet elenkati fl-menu kuntest permezz tal-menu kuntest, inkella l-menu kuntest jistgħu jibqgħu miftuħa matul il daqq, li jista 'jwassal għal azzjonijiet jew azzjonijiet mhux intenzjonati li jistgħu jikkawżaw żbalji fil Abacus.

· Innota li l-metodi normali ta għeluq kuntest menu (eż ippressar [Esc] fuq it-tastiera, jew x'imkien ieħor fuq l-iskrin tikklikkja xellug) jista 'effettivament ma tagħlaq il-kuntest il-menu waqt daqq ta' makro.

Tip

Fil dialogs, milli jużaw ġurdien klikks, huwa rakkomandat li tuża ċ-ċavetta Tab biex jiċċaqalqu permezz tal-kontrolli disponibbli u l-ċwievet cursor biex jagħżlu oġġetti pull down menu jew għażliet buttuna tar-radju u l-ispazju bar li jagħżlu / check de-tagħżel kaxxi.

To Stop reġistrazzjoni ta 'Macro

1. Press Alt + F9jew alternattivament tagħżel Għodda | Stop Macro.

2. Fil-Macro Save As dialog jibbrawżjaw għal post u jagħżlu Abacus makro (fajl .abacusmac) isem tal-file u kklikkja Save.

Nota

Bl-użu Għodod| Stop Macrose tinkludi din l-operazzjoni fil-makro rreġistrat. Għalhekk, huwa rakkomandat li l-utenti isiru profiċjenti fl-użu tal Alt + Funzjoni għażliet ewlenin għall-ħidma ma macros sabiex ma jinkludu operazzjonijiet makro mhux mixtieqa fl-macros infushom.

Tip

Peress li l-macros bħalissa mhumiex editable huwa rakkomandat li jiġu rrekordjati kompiti twal bħala serje ta 'macros separati li jużaw Alt + F10 / Alt + F9 "pari".

Li daqq a Macro rreġistrati

1. Agħżel Għodod | Macro Playbackjew alternattivament istampa Alt + F8.

2. Fil-Open Macro dialog jibbrawżjaw għal post u jagħżlu Abacus makro (fajl .abacusmac) isem tal-file u kklikkja Open.

Twissija

Meta jinfetaħ makro Abacus, jekk inti double-click fuq fajl makro mill-dialog jibbrawżjaw li tiftħu,-reġistratur makro tista 'żżomm il-buttuna' maws xellug fi stat left-għafast sa ftit rreġistrati click xellug tirbaħ fuq dan l-istat.

Nota

Il-veloċità daqq tal-makro jista 'jiġi stabbilit fuq il-tab Ġenerali taħt Għodod| Għażlietjew bħala normali (default), Fast jew Slow. Kemm veloċitajiet Fast u Slow daqq mhumiex rakkomandati għax se replay l-macros rreġistrati fi madwar 100 darba u 1/100 f'ħin reali, rispettivament. Veloċità daqq normali xorta se replay l makro madwar 30% aktar mgħaġġla mill-veloċità rrekordjata u għalhekk huwa rakkomandat waqt reġistrazzjoni li nieqaf għal ftit żmien wara kwalunkwe kompitu ipproċessar twal biex jiġi żgurat li fuq daqq l-operazzjoni li jmiss ma jkunx esegwit qabel il-kompitu ipproċessar għandha kompletati.

To Stop playing a Macro rreġistrata

1. Press Alt + F9.


Viewing dijagramma 3D

Navigation: Analiżi arkitettura tiegħek> 3D dijagrammi>

Viewing dijagramma 3D

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus li tara l-arkitettura tiegħek bħala għan 3D fejn il-proprjetajiet tal-komponenti u l-konnessjoni huma assoċjati bil-kuluri, forom, u daqsijiet.

Biex tara ħsieb 3D ta 'arkitettura tiegħek

1. Jiżgura li inti għandek tiftaħ il-fajl Abacusfihom tiegħek arkitettura popolati.

2. Jespandu l- Viewsfergħa tas-siġra.

3. Jespandu l- 3Dfergħa tas-siġra.

4. Double click il-viżwalizzazzjoni inti tixtieq li tiftaħ.

- Jew -

1. Jiżgura li inti għandek tiftaħ il-fajl Abacusfihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| 3Djew ikklikkja l-buttuna toolbar.

3. Iftaħ eżistentiviżwalizzazzjoni (.abacus3d)

- Jew -

1. Jiżgura li inti għandek tiftaħ il-fajl Abacusfihom tiegħek arkitettura popolati.

2. Agħżel Daħħal| 3Djew ikklikkja l-buttuna toolbar.

3. Oħloq viżwalizzazzjoni ġdid:

· Agħżel il- Arkitetturainti tixtieq li tara mill-pull-down menu.

· Agħżel il- Komponentiu Konnessjonijietinti tixtieq li jinkludu fil-dijagramma mill- tieqa għażla element standard .

· Kuluri Assoċjati, forom u daqsijiet ma Tipi komponentiu Properties.

· Kuluri assoċjati u forom bil Tipi Konnessjoniu Properties.

Biex jesporta ħsieb 3D

1. Jiżgura li inti għandek tiftaħ fehma 3D eżistenti.

2. Fil pull-down menus mal-fehma 3D tal tagħżel File | Esportazzjoni ...u għażlet l-post u l-fajl tip għall-fajl viżwalizzazzjoni (.abacus3d, .vrml jew html).

3. Ikklikkja Save.

Ara wkoll

Analiżi arkitettura tiegħek | Navigazzjoni fil 3D | L-Għodda Diagramming


Viewing chart bużżieqa

Navigation: Analiżi arkitettura tiegħek> charts Custom>

Viewing chart bużżieqa

Jibagħtu l-kummenti fuq dan is-suġġett.

A chart bużżieqa tippermettilek li tqabbel sa 5 dimensjonijiet (ie X, Y, bubble daqs / raġġ, kulur bżieżaq u bubble kulur fruntiera) fid-dawl wieħed.

Biex tara chart bużżieqa

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Agħżel Daħħal| Chart| l Mapep nawtiċi Customtab | Bubble Chart.

3. Fil- Arkitetturitaqsima, immarka l-arkitetturi (jekk hemm) tixtieq chart, imbagħad ikklikkja Li jmiss.

4. Agħżel il- Komponentiu Konnessjonijietli trid fil-mappa (jekk ikun hemm) mill- tieqa għażla element standard , Imbagħad ikklikkja Li jmiss.

5. Agħżel il- Assi-Xproprjetà, imbagħad ikklikkja Li jmiss.

Nota

Biss Integer, Deċimali, Data / Ħin, Boolean u l-proprjetajiet Lista jistgħu jintużaw għall-assi-X. Barra minn hekk, Integer, Deċimali u Data / Ħin proprjetajiet huma mpinġija-xellug għal-lemin tul l-assi mqassma skont il-valur tal-proprjetà, madankollu, il-proprjetajiet Boolean u listi huma sempliċiment pplottjati-xellug għal-lemin fl-ordni eżatt (jew l-ordni treġġiegħ lura jekk l-għażla li jinqaleb l-ordni hija kkontrollata) definit għall-proprjetà irrispettivament mill-valuri tagħhom. Eż Baxx | Medju | Għolja jew 1, 2, 4, 8, 16.

6. Agħżel il- Y-assiproprjetà, imbagħad ikklikkja Li jmiss.

Nota

Biss Integer, Deċimali, Data / Ħin, Boolean u l-proprjetajiet Lista jistgħu jintużaw għall-Y-assi. Barra minn hekk, Integer, Deċimali u Data / Ħin proprjetajiet huma mpinġija minn isfel to top tul l-assi mqassma skont il-valur tal-proprjetà, madankollu, il-proprjetajiet Boolean u listi huma sempliċiment pplottjati minn isfel għal fuq fl-ordni eżatt (jew l-ordni treġġiegħ lura jekk l-għażla li jinqaleb l-ordni hija kkontrollata) definit għall-proprjetà irrispettivament mill-valuri tagħhom. Eż Baxx | Medju | Għolja jew 1, 2, 4, 8, 16.

7. Agħżel il- daqs bużżieqa / raġġproprjetà, imbagħad ikklikkja Li jmiss.

Nota

Biss Integer, Deċimali, Boolean u l-proprjetajiet Lista jistgħu jintużaw għall-bużżieqa daqs / raġġ. Barra minn hekk, Integer u l-proprjetajiet Deċimali jirriżulta fi daqs bużżieqa / raġġ titqiegħed fi skala skond il-valur tal-proprjetà, madankollu, il-proprjetajiet Boolean u Lista jirriżultaw f'żidiet pass ugwali ta 'l-bużżieqa daqs / raġġ fl-ordni eżatt (jew fil-ordni invers jekk l-għażla li jinqaleb l-ordni hija kkontrollata) definit għall-proprjetà irrispettivament mill-valuri tagħhom. Eż Baxx | Medju | Għolja jew 1, 2, 4, 8, 16.

8. Agħżel jew kulur bużżieqa fissjew assoċjata ma 'proprjetà mal-kulur bużżieqa, Imbagħad ikklikkja Li jmiss.

Nota

Biss Integer, Deċimali, Boolean u l-proprjetajiet Lista jistgħu jintużaw għall-kulur bużżieqa. Barra minn hekk, Integer u l-proprjetajiet Deċimali jirriżulta fil-kulur buzzieqa fil-medda magħżul titqiegħed fi skala skond il-valur tal-proprjetà, madankollu, il-proprjetajiet Boolean u Lista jirriżultaw f'żidiet pass ugwali tal-kulur bużżieqa fil-medda magħżul fl-ordni eżatt definiti għall- proprjetà irrispettivament mill-valuri tagħhom. Eż Baxx | Medju | Għolja jew 1, 2, 4, 8, 16.

9. Agħżel jew ebda kulur transkonfinali bużżieqajew assoċjata ma 'proprjetà mal-kulur fruntiera bużżieqa, Imbagħad ikklikkja Finish.

Nota

Biss Integer, Deċimali, Boolean u l-proprjetajiet Lista jistgħu jintużaw għall-kulur tal-fruntiera bużżieqa. Barra minn hekk, Integer u l-proprjetajiet Deċimali jirriżulta fi kulur fruntiera bużżieqa fil-medda magħżul titqiegħed fi skala skond il-valur tal-proprjetà, madankollu, il-proprjetajiet Boolean u Lista jirriżultaw f'żidiet pass ugwali tal-kulur fruntiera bużżieqa fil-medda magħżul fl-ordni eżatt definiti għall-proprjetà irrispettivament mill-valuri tagħhom. Eż Baxx | Medju | Għolja jew 1, 2, 4, 8, 16.

Chart Bubble

Biex jiffrankaw chart bużżieqa

Nota

Charts Bubble jistgħu jiġu salvati biss jekk biss ikun fihom komponenti u konnessjonijiet, li kollha jridu jkunu minn struttura waħda fil-proġett attwali.

1. Jiżguraw li inti għandek chart ġdida jew eżistenti bużżieqa miftuħau tkun għamilt il-bidliet meħtieġa.

2. Fil-toolbar chart ikklikkja fuq il-leftmost Save Chartbuttuna biex isalva l-chart u kwalunkwe ifformattjar bidliet.

3. Fil- Ċart Isemdialog li jidher jidħol isem għall-chart bużżieqa u l-istampa kollox sew.

Biex jesporta chart bużżieqa

1. Jiżgura li inti għandek tiftaħ chart bużżieqa eżistenti.

2. Fil-ikklikkja toolbar chart fit-2 mix-xellug Save As BMPbuttuna u għażlet il-post għall-grafika.

3. Ikklikkja Save.

Ara wkoll

Analiżi arkitettura tiegħek


Viewing chart spazju kapaċità

Navigation: Analiżi arkitettura tiegħek> charts Custom>

Viewing chart spazju kapaċità

Jibagħtu l-kummenti fuq dan is-suġġett.

A chart Kapaċità Ispazju li tara jekk arkitettura tiegħek jissodisfa l-kapaċità tas-sistema meħtieġ fir-rigward tal-proprjetajiet identifikati matul il-proċess analiżi tar-rekwiżiti tas-sistema.

Biex tara chart spazju kapaċità

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati, U li inti għandek evalwatiarkitettura tiegħek.

2. Agħżel Daħħal| Chart| Mapep nawtiċi Custom| Kapaċità Ispazju. (Il- Kapaċità Ispazju Chart konfigurazzjonidialog se display.)

3. Fil- Arkitetturitaqsima, immarka l-arkitetturi tixtieq chart, imbagħad ikklikkja Li jmiss.

4. Fil- Propertiesżona, immarka l-proprjetajiet arkitettoniċi inti tixtieq inklużi bħala l-assi tal-karta.

5. Fil- Kapaċitàqasam, għal kull proprjetà inkluża mill-pass preċedenti, tagħżel jekk xi Minimu jew limiti massimi kapaċità jeżistu u l-valuri ta 'dawk il-limiti. Il-valuri awtomatiċi huma l-valuri minimi u massimi evalwati għall-arkitetturi jew l- għan għall-proprjetà jekk ikun ġie stabbilit.

Biex jesporta chart spazju kapaċità

1. Jiżgura li inti għandek xi eżistenti chart ispazju kapaċitàmiftuħa.

2. Fil-toolbar chart ikklikkja fuq il-leftmost Save As BMPbuttuna u għażlet il-post għall-grafika.

3. Ikklikkja Save.

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart ħin ta 'reazzjoni


Rapporti standard

Navigation: Rappurtar dwar l-arkitettura tiegħek>

Rapporti standard

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus " standard rapporti jippermetti li inti tikseb lista tal-komponenti u konnessjonijiet f'wieħed jew aktar mill arkitetturi tiegħek. Ir-rapport fih informazzjoni kollha relatata mal-komponenti u konnessjonijiet magħżula, inkluża informazzjoni dwar il-komponent jew il-post konnessjoni fil-ġerarkija, it-tip, standards, deskrizzjoni, proprjetajiet u annessi tagħha.

Nota

Il-kontenut rapport huwaconfigurablepermezz tal-dialog Rapport Għażliet deskritti hawn taħt, madankollu, to issir taf aktar informazzjoni dwar kif tinħoloq custom kompletament configurable rapportiużu Rapporti Custom Abacus, Jekk jogħġbok jirreferu għall-suġġett hawn jew kuntatt Appoġġ Avolution .

Biex tara standard rapport

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati(i).

2. Agħżel Daħħal| Rapport Standardjew ikklikkja l- Oħloq Rapport Standard buttuna toolbar. Il Rapport Konfigurazzjonitieqa se jintwerew.

Tieqa rapport Konfigurazzjoni

3. Agħżel il- Arkitetturi, Komponentiu Konnessjonijietli trid fil-rapport mill- Rapport Konfigurazzjoni Tieqa.Jekk jogħġbok irreferi għall-Element Għażla Standard hawn suġġett għall-għajnuna.

4. Issa ikklikkja fuq il- Għażlietbuttuna u l- Rapport Għażliettieqa se display.

Tieqa rapport Għażliet

5. Tista 'tagħżel li juru Paġna ġdida għal kull Element, Il- Stampa Data, Ħin Stampa, Page Numbersu jekk jinkludu t-titolu fil-headertar-rapport billi timmarka / unticking l-kaxxi kontroll rilevanti. Inti tista 'ukoll tixtieq li customize-titolu u l-awtur mill-editjar Rapport Titoluu Awtur kaxxi test. Tista 'wkoll tagħżel liema kontenut huwa muri fuq ir-rapport billi timmarka / unticking l-kaxxi kontroll taħt il Rapport Kontenuttaqsima tat-tieqa. Ladarba inti tkun lest ikklikkja fuq kollox sew.

6. Issa ikklikkja fuq Finishfit-tieqa Rapport Konfigurazzjoni.

Li tinterpreta r-rapport viewable

Eżempju Ġġenerata Rapport spjegazzjonijiet fil-qosor

Biex jinnavigaw fil-paġni rapport, ikklikkja fuq l-icons [image] jinsabu fuq il-toolbar fuq il-kantuniera tan-naħa tax-xellug tal-iskrin.

Nota

Tista jiffrankaw ir-rapport formati differenti billi tikklikkja fuq il- Esportazzjoni rapport icon [image] tinsab fil l toolbar. Tista 'jagħżel li jesporta fil-formati li ġejjin: Excel, PDFu Kelma. Jekk jogħġbok tiffranka-rapport fil-post mixtieq għal użu aktar tard. Jekk isiru bidliet għall-arkitettura fi stadju aktar tard, rapport ġdid se jkollhom jiġu maħluqa biex jirriflettu l-bidliet.

Ara wkoll

Analiżi arkitettura tiegħek


Viewing chart ħin ta 'reazzjoni

Navigation: Analiżi arkitettura tiegħek> charts Custom>

Viewing chart ħin ta 'reazzjoni

Jibagħtu l-kummenti fuq dan is-suġġett.

A chart ħin tar-rispons li tara jekk konnessjonijiet tiegħek qed tiġi pproċessata skont ir-rata meħtieġa (jiġifieri fi żmien skadenza tagħhom).

Biex tara chart ħin ta 'reazzjoni

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ fihom tiegħek arkitettura popolati, U li inti għandek evalwatiarkitettura tiegħek.

2. Agħżel Daħħal| Chart| Mapep nawtiċi Custom| Ħin Rispons. (Il- Rispons Ħin Chart konfigurazzjonidialog se display.)

3. Mill- Arkitetturidrop-down list, tagħżel l-arkitettura tixtieq chart.

4. Fil- Konnessjonijietżona, immarka l-konnessjonijiet inti tixtieq inklużi fil-grafika.

5. Il Skala Tipqasam, tagħżel Linearjekk trid li l-assi vertikali (ħin tar-rispons) tintwera bħala progressjoni lineari - kull segment ta 'ħin hu allokat sehem indaqs ta' l-assi. Agħżel Logaritmikajekk inti tixtieq li tintwera bħala progressjoni logaritmiku - kull segment mill-assi jirrappreżenta Perijodi itwal ta 'żmien l-ogħla sa l-assi tmur. (Ir-rata taż-żieda huwa determinat mill- Bażiinti tagħżel.)

Chart ħin ta 'reazzjoni skala assi vertikali

Biex jesporta chart ħin ta 'reazzjoni

1. Jiżgura li inti għandek xi eżistenti chart ħin ta 'reazzjonimiftuħa.

2. Fil-toolbar chart ikklikkja fuq il-leftmost Save As BMPbuttuna u għażlet il-post għall-grafika.

3. Ikklikkja Save.

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart spazju kapaċità


Viewing plot scatter ta 'arkitetturi evolvew tiegħek

Navigation: Analiżi arkitettura tiegħek> charts Custom>

Viewing plot scatter ta 'arkitetturi evolvew tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Ladarba arkitettura ġie evolviet u l-għanijiet huma definiti, jista 'mbagħad jiġi viżwalizzata u mqabbel mal-arkitettura oriġinali li tuża matriċi scatterplot. Din it-taqsima tiddeskrivi kif toħloq u jifhmu l-karatteristiċi ta 'matriċi scatterplot.

Biex tara Matrix scatterplot ta 'arkitetturi evolvew tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandek evolvewu miri stabbilitigħall-arkitettura tiegħek kif spjegat taħt Jevolvu arkitettura tiegħek

3. Agħżel Daħħal| Chart| l Mapep nawtiċi Customtab | Matrix Scatterplot.

4. Ikklikkja fuq il- Finishbuttuna.

5. Il Plot dispersjonimal-evoluzzjoni definit ta 'arkitetturi u l-għanijiet se jintwerew.

Nota

Iż-żona fuq in-naħa tax-xellug tal-matriċi scatterplot turi l-settings tal-matriċi scatterplot murija. Dan jinkludi l-arkitettura li ġie żviluppat (f'dan il-każ "ABC Ltd As-Jinsab 2010") Kif ukoll l-għanijiet li ġew stabbiliti għal dik arkitettura. Inti se nota li l-għanijiet li għandhom marka immarka jmiss lilhom huma rappreżentati bħala X u Y assi tal-matriċi scatterplot (eż KPI- Cost, KPI - Kwalità u KPI - Time). Inti tista untick dawn l-għanijiet fi kwalunkwe punt ta 'żmien biex tneħħihom mill-matriċi scatterplot.

L-tikek blu li jidhru fuq plot tiegħek fil-matriċi jirrappreżentaw valur normalizzat, kif determinat mill-aħjar u l-agħar valur (deskritti taħt Miri għall-arkitettura evolvew tiegħek iffissar ). Dawn il-valuri huma rappreżentati fil- Kwalità Ispazju.

Żewġ għanijiet definiti huma mqabbla kontra xulxin f'matriċi scatterplot u l-proċess jiġi ripetut sakemm l-għanijiet ġew imqabbla (eż L-ewwel plot tal-matriċi fid-dijagramma ta 'hawn fuq tqabbel il- KPI - In-nefqagħan bil- KPI - Kwalità għan. It-tieni hija Cost kontra Ħin u l-aħħar plott huwa Kwalità kontra Ħin. It-tikketti mira rilevanti huma murija fil-quċċata u d-dritt jew kull filliera ta 'plottijiet.).

6. Agħżel il- Arkitettuributtuna tar-radju jekk inti tixtieq li juru l-metriċi għall-arkitetturi individwali.

7. Agħżel il- Evoluzzjonijietbuttuna tar-radju jekk inti tixtieq li juru l-bidliet normalizzati mill-arkitettura oriġinali (eg As-Jinsab 2010) Li l-arkitettura (i) evolvew (eż Iridu jiġu 2011 - Strateġija A u għall-Be 2011 - Strateġija B).

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart ħin ta 'reazzjoni | Viewing plot istilla ta 'arkitetturi evolvew tiegħek | Jevolvu arkitettura tiegħek


Viewing chart standard

Navigation: Analiżi arkitettura tiegħek> charts Standard>

Viewing chart standard

Jibagħtu l-kummenti fuq dan is-suġġett.

Charts standard Abacus "jinkludu linja, bar, kolonna, żona, dispersjoni, pie, kurva, Pareto, pass, wiċċ, radar, kubi, doughnut, piramida, kontorn u charts żona kurva. Ladarba inti għazilt-tip ta 'mappa li trid, il-bqija tal-proċess għall-wiri kull wieħed minn dawn il-mapep huwa l-istess.

Biex tara chart standard ta 'arkitettura tiegħek

1. Jiżgura li inti għandek tiftaħ il-fajl Abacusfihom tiegħek arkitettura popolati, U li inti għandek evalwatiarkitettura tiegħek.

2. Agħżel Daħħal| Chartjew ikklikkja l-buttuna toolbar. Il Mapep nawtiċitieqa se jintwerew.

Mapep nawtiċi tieqa

3. Agħżel it-tip ta 'mappa li trid u tistabbilixxi l-Għażliet Ċart, imbagħad ikklikkja Li jmiss.

Għażliet Ċart

o F'munzellise juri r-relazzjoni ta 'oġġetti individwali sad-sħiħ. Tista 'tuża chart f'munzelli meta inti tippjana li jkollhom serje data multipli (ie proprjetajiet multipli) u meta inti tixtieq li jenfasizzaw it-total.

o F'munzelli 100%se tipparaguna l-perċentwali ta 'kull valur jikkontribwixxi għal total fost il-kategoriji. Tista 'tuża chart f'munzelli 100% meta inti tippjana li jkollhom serje data multipli (jiġifieri proprjetajiet multipli) u inti tixtieq li jenfasizzaw l-kontribuzzjonijiet għall-proċess sħiħ, speċjalment jekk it-total huwa l-istess għal kull element.

o 3D Chartsempliċiment se juru l-punti tad-data fil-format 3-D għall-estetika. Jekk inti tixtieq li juru l-serje tad-data tul dimensjoni 3 / assi-ż mbagħad jużaw l-għażla Cluster Serje deskritti hawn taħt.

o Serje mill Proprjetàse display serje data għal kull proprjetà li finalment magħżula. Jekk dan huwa mingħajr xkiel allura l-proprjetajiet se jsiru l-kategoriji u s-serje tad-data se jkun għal kull element li jintgħażel.

o Ċart Dawwarse dawwar il-mappa 90 grad lejn il-lemin mill interchanging lx u assi y. Din l-għażla hija disponibbli biss għall-linji, Pass u Cube chartsu huwa partikolarment utli biex isiru mapep mijlpaal kif deskritt fil-ponta tieni hawn taħt. Nota: Kolonna u charts Bar huma diġà "jiddawru" verżjonijiet ta 'xulxin.

o Cluster Serjese display data serje multipli flimkien dimensjoni 3 / assi-ż. Din l-għażla hija disponibbli biss għall-Kolonna, Bar u Cube chartsu huwa partikolarment utli għat-teħid charts stil Gantt kif deskritt fl-ewwel Tip ta 'hawn taħt.

Tip

Inti tista 'toħloq Ċart Ganttbil-bars orizzontali li juru darba / proprjetajiet data għall-elementi differenti billi tagħżel it-tip chart Bar u mbagħad tagħżel l-għażla Cluster Serje.Barra minn hekk, ladarba ħolqot, l-aktar ix-xellug bar fuq il-karta tista 'ssir "inviżibbli" billi kulur huwa abjad bi dritt ta' tikklikkja waħda mill-bars, l-għażla kulur mill-menu li jidher u jagħżlu l-kulur top-xellug mill-paletta. Barra minn hekk il-fruntiera għall--aktar xellug bar jista 'jsir "inviżibbli" billi tikklikkja waħda mill-bars, l-għażla Properties ... u fuq il-tab Serje fil-dialog li jidher jinbidlu l-Effett tal-Fruntieri li xejn u Kulur għall-quċċata kulur -left mill-paletta.

Tip

Inti tista 'toħloq Chart mijlpaalma 'forom żgħar li juru darba / proprjetajiet data għall-elementi differenti billi tagħżel it-tip chart Cube u mbagħad tagħżel l-Chart Dawwar u l-għażliet Cluster Serje.Barra minn hekk, ladarba ħolqot, l-kubi jistgħu jiġu mibdula sabiex forom oħra billi tikklikkja waħda mill-kubi f'serje data partikolari u għażla Properties ... u fuq il-tab Serje fil-dialog li jidher jinbidlu l-Avukatura li jew taċ-ċilindru jew Cone . Nota: Il-valur wisa Gap jista 'jintuża wkoll biex "tiċkien"-simboli fuq il-mappa biex jitnaqqas jikkoinċidu, l-ogħla numru inqas overlapping se jkun hemm.

4. Fil- Arkitetturitaqsima, immarka l-arkitettura / i tixtieq chart il-proprjetajiet livell arkitettura għal, imbagħad ikklikkja Li jmiss.

Nota

Għażla proprjetajiet livell arkitettura huwa pass kompletament mhux obbligatorju u għandhom jintużaw biss meta inti tixtieq li chart espliċitament il-proprjetajiet livell arkitettura infushom.Arkitettura ma teħtieġx li jiġu magħżula biex imbagħad jinkludi komponent jew konnessjoni proprjetajiet fil-pass li jmiss.

5. Agħżel il- Komponentiu Konnessjonijietli trid fil-mappa mill- tieqa għażla element standard , Imbagħad ikklikkja Li jmiss.

6. Agħżel il- Propertiestrid fil-mappa u ikklikkja Finish.

Għażliet Ċart

o Inkludi proprjetajiet Standardse juru l-proprjetajiet li wirtet miż-Istandards disponibbli għall-għażla.

o Properties aggregatise jgħoddu l-varjanza bejn il-valuri serje u tabella dawk ir-riżultati kif oppost għad valuri l-individwu stess.Din l-għażla hija disponibbli biss jekk il-Serje mill-għażla Proprjetà kienet magħżula fil-pass 3 hawn fuq.

Tip

Il-proprjetajiet disponibbli għall iċċartjar jiddependu fuq l-elementi taghzel.

Biex jiffrankaw chart

Nota

Mapep nawtiċi jistgħu jiġu salvati biss jekk biss ikun fihom komponenti u konnessjonijiet, li kollha jridu jkunu minn struttura waħda fil-proġett attwali.

1. Jiżguraw li inti għandek chart ġdida jew eżistenti miftuħau tkun għamilt il-bidliet meħtieġa.

2. Fil-toolbar chart ikklikkja fuq il-leftmost Save Chartbuttuna biex isalva l-chart u kwalunkwe ifformattjar bidliet.

3. Fil- Ċart Isemdialog li jidher jidħol isem għall-chart u l-istampa kollox sew.

Biex jesporta chart

1. Jiżgura li inti għandek xi eżistenti chartmiftuħa.

2. Fil-ikklikkja toolbar chart fit-2 mix-xellug Save As BMPbuttuna u għażlet il-post għall-grafika.

3. Ikklikkja Save.

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart ħin ta 'reazzjoni | Viewing chart spazju kapaċità


Viewing plot istilla ta 'arkitetturi evolvew tiegħek

Navigation: Analiżi arkitettura tiegħek> charts Custom>

Viewing plot istilla ta 'arkitetturi evolvew tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Ladarba arkitettura ġie evolviet u l-għanijiet huma definiti, jista 'mbagħad jiġi viżwalizzata u mqabbel mal-arkitettura oriġinali li tuża plots stilel. Din it-taqsima tiddeskrivi kif toħloq u timmanipula plot stilla.

Biex tara bicca istilla ta 'arkitetturi evolvew tiegħek

1. Jiżgura li inti għandek xi Fajl Abacus miftuħ .

2. Jiżgura li inti għandek evolvewu miri stabbilitigħall-arkitettura tiegħek kif spjegat taħt Jevolvu arkitettura tiegħek

3. Agħżel Daħħal| Chart| l Mapep nawtiċi Customtab | Star Plot.

4. Ikklikkja fuq il- Finishbuttuna.

5. Il Star Plotmal-arkitetturi evolvew u li ffissaw miri se jintwerew. Nota: Il-punti fokali tal-plott istilla tista 'tiġi pożizzjonata mill-ġdid billi tikklikkja u jittrattienu l-assi lejn xi żona oħra fil-limiti tal-ispazju kwalità plott stilla.

Nota

Iż-żona fuq in-naħa tax-xellug tal-plott istilla turi l-settings tal-plott istilla murija. Dan jinkludi l-arkitettura li ġie żviluppat (f'dan il-każ "ABC Ltd As-Jinsab 2010") Kif ukoll l-għanijiet li ġew stabbiliti għal dik arkitettura. Inti se nota li l-għanijiet li għandhom marka immarka jmiss lilhom huma rappreżentati bħala assi tal-plott istilla (eż KPI- Cost, KPI - Kwalità u KPI - Time). Inti tista untick dawn l-għanijiet fi kwalunkwe punt ta 'żmien biex tneħħihom mill-plot istilla.

Il aħmar u aħdar "tikek" li jidhru fuq plot star tiegħek jirrappreżentaw valur normalizzat, kif determinat mill-aħjar u l-agħar valur (deskritti taħt Miri għall-arkitettura evolvew tiegħek iffissar ) Għall-arkitettura ogħla livell magħżul u kwalunkwe evoluzzjonijiet ta 'dan. Dawn il-valuri huma rappreżentati fil- Kwalità Ispazju.

Kif deskritt fil-immaġini hawn fuq, huwa viżibbli b'mod ċar li l-arkitettura oriġinali (As-Jinsab 2010) Għandha fqira Cost, Filwaqt li l-ewwel għażla evolvew (Iridu jiġu 2011 - Strateġija A) Li ċċaqlaq fi ħdan l-ispazju kwalità biex itejbu l- Cost, Kwalità u Ħinmiri. Alternattivament, it-tieni evolvew għażla (Iridu jiġu 2011 - Strateġija B) filwaqt li tjieb ukoll il Cost l-kobor tat-titjib huwa inqas minn dak ta ' Istrateġija A iżda kemm il-miri ta 'kwalità u Ħin ġew imtejba aktar milli ma Istrateġija A.F'dan il-każ perit jista jagħżlu Istrateġija Afuq Istrateġija Bkif rakkomandazzjoni tagħhomu aktar jevolvu dik l-għażla (iridu jiġu 2012 - Strateġija A).

6. Deselect l Evoluzzjonijiet Uricheck-kaxxa biex jaħbu l-linja (i) li jirrappreżenta l-evoluzzjoni (i) bejn l-oriġinal (eż As-Jinsab 2010) U evolviet (eż Iridu jiġu 2011 - StrateġijaA) Arkitettura (i).

7. Agħżel il- Stikek Uricheck-kaxxa li juri l-kobor relattiv ta 'kull attribut kwalità (l-għanijiet li ġew iddefiniti fuq kull assi) għal kull arkitettura.

8. Agħżel il- Uri Ismijiet Arkitetturacheck-kaxxa jekk inti tixtieq li l-ismijiet tal-arkitettura (i) oriġinali u evolvew biex jidhru fuq il-plott star.

Ara wkoll

Analiżi arkitettura tiegħek | Viewing chart ħin ta 'reazzjoni | Viewing matriċi scatterplot ta 'arkitetturi evolvew tiegħek | Jevolvu arkitettura tiegħek


Analiżi arkitettura tiegħek

Navigation: Analiżi arkitettura tiegħek>

Analiżi arkitettura tiegħek

Jibagħtu l-kummenti fuq dan is-suġġett.

Ladarba inti tkun popolati (u b'għażla simulata) arkitettura tiegħek, inti huma lesti biex jintużaw Abacus analizzata. Billi janalizzaw dan, inti tista 'tiddetermina jekk l-arkitettura tiegħek se jilħqu l-bżonnijiet tiegħek.

Inti tista 'tanalizza l-arkitettura tiegħek f'varjetà ta' modi differenti:

· Dijagramma

· 3D fehma

· charts standard (pie, linja, kolonna, bar, eċċ)

· charts doganali ( ħin ta 'reazzjoni , ispazju kapaċità , plot star , matriċi scatterplot u chart bużżieqa )

· Arkitettura Diff

Nota

Meta jkun qed jinħoloq dijagramma, 3D fehma, Rapport jew chart standard, il- tieqa għażla element standard huwa użat biex tagħżel elementi inti tixtieq tara.

Ara wkoll

Populating arkitettura tiegħek | Tissimula arkitettura tiegħek | Il Diagramming Għodda


X'inhu l-arkitettura?

Navigation: Introduzzjoni għall Abacus>

X'inhu l-arkitettura?

Jibagħtu l-kummenti fuq dan is-suġġett.

Arkitettura hija astratt kunċett- Mhux fiżiku Ħaġa. Huwa deskrizzjoni sinjuri u komprensiva jew fehim ta 'l-istruttura ta' sistema - jinqabad il-komponenti u kif dawn qed konnessi (jinteraġixxu). Minħabba li l-kunċett ta 'arkitettura hija tant li tinkludi kollox, huwa fundamentali li l-ispiża, id-disponibbiltà, evolvability, ftuħ, u l-prestazzjoni tas-sistema. Arkitettura tajba hija pre-rekwiżit ta 'sistema ta' ħoss.

Fil Abacus, inti mudell arkitettura tiegħek. Għas-sempliċità, nagħmlu sejħa dan il-mudell arkitettoniku arkitettura.

Id-dijagramma hawn taħt turi arkitettura tipika ta 5komponenti (f'ġerarkija) konnessi bi 2 konnessjonijiet. It-tikketti jindikaw l-ismijiet mogħtija l-partijiet varji tal-arkitettura fl Abacus.

Arkitettura sempliċi

Abacus iqis kollha ta 'dawn l-affarijiet li jkunu parti mill-arkitettura:

· Komponentijirrappreżentaw l-entitajiet ta 'arkitettura tiegħek li inti tista 'tiddeskrivi bħala "affarijiet". Għal kumpannija ta 'assigurazzjoni, il-komponenti jistgħu jkunu s-sistemi għall-politiki ta' pproċessar, pretensjonijiet, ħlasijiet, u l-irċevuti.

· Konnessjonijietjirrappreżentaw ir-relazzjonijiet bejn dawn il-komponenti. Per eżempju, fil kumpannija ta 'assigurazzjoni, irċevuti huma ġġenerati għall-politiki validi, ikun qed jingħad kontra politiki validi, u talbiet validi jirriżultaw f'pagamenti. Meta taħseb architecturally - partikolarment meta jużaw Abacus - il-konnessjonijiet huma importanti daqs il-komponenti, u li huma trattati bi b'mod kważi identiku.

· Kollox fil-siġra jista 'jkollhom Properties. Properties huma affarijiet simili l-mod li għandek bżonn sistema tiegħek biex twettaq, in-numru ta 'linji ta' kodiċi li għandha, il-persentaġġ ta 'dawn il-linji li huma kummenti, eċċ Abacus tqis kollha ta' dawn l-affarijiet li jkunu parti mill-arkitettura.

· Bl-użu ġerarkiji(jiġifieri sub-komponenti u sub-konnessjonijiet), Inti tista 'taħbi informazzjoni u de-compose arkitettura tiegħek. Il-mudell arkitettoniku Abacus huwa estremament flessibbli. Kull komponent fi kwalunkwe livell tista 'tkun relatata ma' kwalunkwe komponent ieħor fi kwalunkwe livell ieħor minn xi konnessjoni fi kwalunkwe livell.

· Sekwestruhija l-operazzjoni li biha komponenti portijiet huma marbuta li konnessjonirwoli. Portijiet u Rwoli huma l-interfacesbejn il-komponenti u konnessjonijiet. Dawn huma wżati biex iwaħħlu konnessjonijiet ma 'komponenti. Konnessjonijiet jkollhom Sors u inżel rwol(jiffaċilita fluss tad-data mill-komponent sors għall-komponent sink)u kunċettwali, il-komponenti għandhom portijiet. Għas-sempliċità, madankollu, fil Abacus portijiet komponenti ma jidhrux u r-rwoli ta 'konnessjoni huma mwaħħla direttament mal-komponenti nfushom.

· Komponenti u konnessjonijiet huma ta 'ċerti Tip. Dan huwa prinċipalment għal skopijiet klassifikazzjoni. Per eżempju l-politiki, pretensjonijiet, ħlasijiet, u l-irċevuti huma komponenti ta 'sistema "-tip. Il-politiki validi, pretensjonijiet validi, eċċ huma konnessjonijiet tat-tip "tranżazzjoni". Tip assenjat lil komponent jew konnessjoni jipprovdi mudell għall-proprjetajiet u l-istandards li jkun. Per eżempju, komponent Server tip jista 'jkollhom "Kun & Mudell" standardu ta 'proprjetà Indirizz IP. B'differenza għodod riġidi oħra bil-relazzjonali database bażiku (RDB) back-end, fil Abacus inti tista 'liberament toħloq Tipi ġodda tiegħek stess u tassenja kombinazzjonijiet tiegħek ta' proprjetajiet u standards lilhom.

· Libreriji standard ta 'proprjetajiet jistgħu jiġu speċifikati u assenjati lil kull ħaġa oħra fl-arkitettura. Dawn libreriji huma magħrufa bħala Standards. Bl-użu Standards, Inti għandek bżonn biss li jiġbru proprjetajiet sistemi speċifiċi - il-proprjetajiet standard huma diġà hemmhekk. Per eżempju l-karatteristiċi tal-prestazzjoni standard ta 'Microsoft Windows 2000 jistgħu jiġu assenjati għal dak kollu komponenti huma jużaw is-sistema operattiva Microsoft Windows 2000.

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus? | X'jagħmel Abacus do? | Kif inti tagħmel dan (Ħarsa ġenerali) | Ħolqien ta 'Tip ġdid


Ħidma ma Enterprise Server

Navigation: Amministrazzjoni>

Ħidma ma Enterprise Server

Jibagħtu l-kummenti fuq dan is-suġġett.

Abacus Enterprise Server hija kemm "mhux qfil" approċċ kollaborattiv, iżda waħda "skonnettjata" wkoll. Abacus huwa "ma jinqafilx" minħabba li ma seħħ il-fajl li jkun maqful minn utent wieħed biex din tiġi aġġornata. Kull utent għandu kopja lokali tagħhom stess tal-fajl, u kif jagħmlu bidliet u jiffrankaw fajl tagħhom, dawk il-bidliet huma rreġistrati u maħżuna għal meta l-utent jixtieq li jimpenjaw lill-server.

Abacus huwa "skonnettjata" fis-sens li inti m'għandekx bżonn li jkun konness mas-server jew jeħtieġu aċċess għan-netwerk waqt li jaħdmu fuq fajl. Abacus teħtieġ aċċess għall-server biss meta jwettqu operazzjonijiet bħal ħolqien ta 'fajl, jew twettaq checkout, flimkien ma' operazzjonijiet fuq fajl eżistenti - aġġornament, jikkommettu, jew iħares lejn it log tal-passat jikkommetti. Aċċess għall-server ma tkunx meħtieġa li taħdem fuq il-fajl, u bidliet tiegħek mhumiex mibgħuta lill-server immedjatament (dan jippermetti li inti faċilment jarmi bidliet tiegħek jekk inti tagħmel żball). Meta inti tiffranka fajl tiegħek, inti "biss" iffrankar tiegħek kopja lokalment - huwa biss ma jimpenjaw li l-bidliet lokali tiegħek (bidliet li sar mill tiegħek aħħar jikkommettu), jintbagħtu lill-server.

Ħolqien ta 'New File Enterprise

Biex jinħoloq fajl ġdid Intrapriża, tagħżel File| New ...u mbagħad tagħżel wieħed mill-ewwel żewġ għażliet taħt it-taqsima Intrapriża Mudell tal- Dialog Proġett New (jiġifieri jew fajl Intrapriża vojt, jew toħloq wieħed minn fajl Abacus eżistenti). It-tielet għażla hija li "Checkout" l xi ħadd fajl Enterprise ieħor diġà ħolqot, dan se jkun kopert fit-taqsima li jmiss.

Meta inti tagħżel li toħloq fajl ġdid Intrapriża, inti ser tingħata dialog li se jippermetti li inti jibbrawżjaw fejn fuq server repożitorju inti tixtieq li taħżen fajl tiegħek. Se jkollu wkoll il-passaġġ fajl eżistenti u denominazzjoni mniżżla up-quċċata jekk għażilt "Minn Mudell eżistenti" mill-dialog New Proġett u fornuti fajl.

URL: Dan huwa l-URL li server repożitorju tiegħek meta l-fajls Abacus Intrapriża huma maħżuna. Għandek titlob lill-persuna li qed tamministra l-server liema dan il-URL għandu jkun.

L-istampa hawn fuq turi repożitorju ma erba '(4) proġetti Abacus Intrapriża eżistenti, wara li jidħlu fil-URL u urġenti daħħal.You se tara wara li inti toħloq fajl ġdid Intrapriża, fuq il-screenshot li jmiss għall- "Checkout", se jkun hemm ieħor folder u fajl taħt dan repożitorju.

Nota

Jekk qed tuża https (SSL) server, u s-server ma jkollux ċertifikat SSL validu (komuni għall-intranet jew mhux pubbliċi servers minħabba l ispiża ta 'ċertifikat SSLs) Se jkun hemm pass addizzjonali li jieħu. Inti ser tkun meħtieġa li taċċetta b'mod permanenti konnessjonijiet kollha għal dak server fil-dialog li pops up (se juru wkoll daqsxejn aktar informazzjoni fuq is-server). Biex tagħmel dan, tip "p" (mingħajr il-kwotazzjonijiet) u l-istampa Ikteb. Abacus se pop up messaġġ nfarkkarkom ta 'dan qabel li turi l-dialog.

Nota

Inti tista 'tintalab biex login għal-server f'liema każ il-persuna li hija ġestjoni tal-serverjistgħu jipprovdu l-username server u password. Ukoll, l-kredenzjali login għal kwalunkwe servers li għandek konnessi ma huma salvati hekk jekk għal xi raġuni jeħtieġ li jiġu kklerjati dan jista 'jsir permezz Għodod | Għażlietu mbagħad fuq il- Ġenerali tab billi tikklikkja Irrisettja Subversion Ssejvjata Loginu l-għażla l-server mil-lista drop-down u tikklikkja Login ċarau l-għażla OK fil-dialog li jidher.

Nota

B'differenza mill-screenshot muri hawn fuq, tipikament Proġett Abacus wieħed huwa inkluż f'kull Repository Abacus għaliex jekk aktar minn 1 Abacus Proġett hija maħluqa minn Abacus Repository wieħed, in-numri log bidla Abacus huma maqsuma bejn proġetti kollha Abacus u dan jista 'jikkonfondi t-utenti.

Preferred Filename: Dan jaffettwa kemm il-folder u isem tal-file li se jintużaw (jekk ma tkunx diġà ttieħdet) meta jinħoloq il-fajl fuq is-server repożitorju. Innota li folder ġdida tkun maħluqha awtomatikament fuq is-server repożitorju għal kull fajl (għal raġunijiet ta 'prestazzjoni, fajls Abacus Intrapriża huma maħluqa fil-folder tagħhom taħt il-lokazzjoni browsed fit-dialog).

Jaħżen Ħidma Kopja fl Direttorju: Meta fajl Enterprise hija maħluqa fuq server repożitorju, fajls ta 'ħidma lokali jeħtieġu li jiġu maħluqa fuq il-kompjuter tiegħek, sabiex inti tista' taħdem fuq il-fajl mingħajr ma jkunu konnessi man-netwerk. Dan huwa l-post li inti ser tfittex li meta inti tixtieq li tiftaħ / terġa 'tiftaħ fajl Abacus Enterprise.

Checkout Intrapriża File eżistenti

Jekk xi ħadd diġà ħolqot fajl ġdid Intrapriża, inti tista 'checkout "dan il-fajl, li downloads kopja lokali u tistabbilixxi l-fajls kollha meħtieġa sabiex Abacus jirrikonoxxi dan bħala fajl Enterprise. Il dialog huwa simili għall-Intrapriża New File Dialog. Ikteb il-URL repożitorju (subdirectories jistgħu jiġu inklużi fil-URL), agħżel il-fajl meħtieġa, u kklikkja OK. Suġġett għan-nota hawn taħt thu fajl mbagħad ser jinfetħu.

Nota

Inti tista 'tintalab biex login għal-server f'liema każ il-persuna li hija ġestjoni tal-serverjistgħu jipprovdu l-username server u password. Ukoll, l-kredenzjali login għal kwalunkwe servers li għandek konnessi ma huma salvati hekk jekk għal xi raġuni jeħtieġ li jiġu kklerjati dan jista 'jsir permezz Għodod | Għażlietu mbagħad fuq il- Ġenerali tab billi tikklikkja Irrisettja Subversion Ssejvjata Loginu l-għażla l-server mil-lista drop-down u tikklikkja Login ċarau l-għażla OK fil-dialog li jidher.

Differenzi Enterprise File

Meta inti ħolqu fajl Intrapriża (jew waħda ġdida, jew via "checkout" ta 'fajl maħluqa minn xi ħadd ieħor), folder se jinħolqu għall-fajl, u se komunement fiha dawn it-3 tipi ewlenin ta' fajls:

· Fajl ".abacus"- Dan huwa l-fajl Abacus innifsu. Bidliet inti tagħmel lokalment mhumiex immedjatament mfaddla dan il-fajl, huwa biss bil-miktub meta inti jikkommettu. Dan il-fajl huwa fajl "normali" Abacus, jista 'jingħata lil utenti mhux EEbħala proġett waħdu (mingħajr il-fajl log), Jew użati bħala l-punt tat-tluq għal fajl EE ġdid.

· Fajl ".changes"- Il-bidliet lokali (mhux impenjati) magħmula għall-fajl. Jekk dan il-fajl tkun nieqsa, dan ifisser li hemm l-ebda tibdil lokali.

· Fajl log "- Dan il-fajl għandu biss il-bidliet li saru mill-aħħar utent (-kontenut tal .changes fajl tal-utent meta kommessi).

Nota

Hemm fajls oħra varji li jistgħu jinħolqu matul l-aġġornament u jimpenjaw proċessi, jiġifieri; ‘.changesbefore"File- Dan il-fajl huwa kopja tal-fajl .changes wara aġġornament twettqet u huwa użat biex tirrikonċiljaha awtomatikament xi kunflitti ID bejn l-aġġornament u kwalunkwe lokali (mhux impenjati) bidliet qabel jikkommettu; ‘.backup"File- Dan il-fajl huwa kopja tal-fajl .changes qabel utent jiffranka aktar lokali bidliet (mhux impenjati) għall-fajl .changes; u ‘.error"File- Dan il-fajl huwa kopja tal-.changes fajl jekk kienx hemm xi kwistjoni li kkawża Abacus biex tonqos milli tiftaħ il-fajl .abacus u l-utent għażlet biex imur lura bidliet tagħhom.Dawn il-fajls jistgħu jiġu injorati.

Ftuħ ta 'fajl

Li jiftaħ fajl, għandek bżonn biss li jibbrawżjaw fejn inti għażlet li taħżen l-kopja tax-xogħol, u tiftaħ il-fajl Abacus li hija maħżuna hemmhekk. Meta Abacus jara li hemm .log fajl (u forsi .bidliet fajl jekk tkun għamilt bidliet), se jittratta l-fajl bħala fajl Enterprise.

Aġġornament File

Twettiq ta 'n "Update" ser jiċċekkja jekk verżjoni l-ġdida ta 'fajl tinsab fuq is-server. Jekk ikun hemm, li se tagħlaq fajl kurrenti tiegħek, jaġġornaw għall-fajl ġodda mis-server, u tniżżel xi fajls temporanji li għandhom numru bħala estensjoni - eg "Demo.125". Dawn il-fajls huma l-verżjonijiet anzjani tal-fajl log, u huma użati biex jiddeterminaw liema bidliet saru għal fajl peress li inti aħħar aġġornat dan. Dan huwa meħtieġ biex tiskopri xi kunflitti li setgħu ġraw sabiex inti tista solvuti.

Jekk matul il-proċess ta 'aġġornament kwalunkwe kunflittiInstabu, Ser ikollok bżonn biex dawn jiġu solvuti qabel ma inti tista 'tiftaħ fajl tiegħek mill-ġdid (inti tista' tikkanċella iżda inti se tkun imħeġġa biex isolvu l-kunflitti mill-ġdidil-ħin li jmiss inti tiftaħ fajl tiegħek).

Iffrankar File

Meta inti tiffranka fajl, dan tannetti xi bidliet li jkunu saru fil-fajl .changes. Hija matimmodifika l-fajl .abacus f'dan l-istadju - biss meta l-fajl hija impenjata għall-server ser ikun miktub fuq (jew meta inti tirċievi aġġornament mis-server).

Fejn hi "Save As"?

M'hemm l-ebda kunċett ta 'Save As għall-fajls Intrapriża. Tista 'madankollu, kopja kopja tax-xogħol tiegħek .abacus fajl, u jżomm f'moħħu li wont jkollhom bidliet lokali tiegħek fiha.

Kunflitti Jsolvu

Jekk l-utenti l-oħra jkollhom bidliet impenjati fil-fajl f'parti simili tal-fajl għalik, jista 'jkun hemm xi kunflitti bejn tibdil tagħhom u tiegħek. Per eżempju, utent ieħor tista 'tħassar xi komponent li kellek jaġġorna proprjetà fuq. Ikollok bżonn jew teqred bidla tagħhom (jekk inti żgur li tagħhom għandhommhux ġara), jew jarmi bidla tiegħek (inti tista 'imbagħad mur lura fil-fajl u jerġa' jagħmel it-tibdil tiegħek).

Speċifikament hemm 4 klassijiet ta 'kunflitti li jistgħu jseħħu;

1. Ħassar - Meta utent wieħed tħassar oġġett li l-bidliet ieħor utent. Eż Utent A imħassar komponent iżda utent B biddlet isimha tal-komponent jew konnessa magħha jew miżjuda komponent tfal lilha eċċ

2. Attribut - Meta żewġ utenti kemm jibdlu l-istess eżatt "attribut" ta 'oġġett. Eż Kemm Utent A u B User biddlet isimha komponent jew deskrizzjoni tiegħu jew il-valur ta 'wieħed mill-proprjetajiet tiegħu eċċ

3. Referenza - Meta żewġ utenti jibdlu l-istess eżatt "referenza" oġġett irid oġġett ieħor. Eż Kemm Utent A u B User nbidlu tip ta 'komponent jew il-komponent sors / sink mehmuża ma' konnessjoni jew il-perspettiva marbuta għal dijagramma eċċ

4. Ġbir - Meta żewġ utenti bidla "ġbir" għal oġġett. Eż Kemm Utent A u B User mċaqalqa komponent minn ġenitur għall-ieħor jew ri-ordnata ġabra ta 'komponenti tat-tfal.

Nota

Kunflitti ebda sinifikat varji huma awtomatikament solvuti mill Abacus biex jimminimizzaw l-overhead fuq l-utenti.Per eżempju xi settings pan-zoom konfliġġenti għall dijagrammi huma determinati li jżommu l-aħħar settings pan-zoom.

Nimpenjaw Bidliet

Meta inti tagħżel li jikkommettu bidliet tiegħek, il-fajl Abacus mis-server jinfetaħ, tiegħek lokali bidliet huma mwettqakontriha, U mbagħad lokali tiegħek fajl .abacus hija miktubin fuq xulxin ma 'waħda li għandha bidliet tiegħek fiha. Bidliet tiegħek fajl allura overwrites-fajl log, u kemm il-fajl .abacus u l-fajl log jintbagħtu lill-server.Jekk il-jikkommettu huwa ta 'suċċess ta' Jimpenjaw Message dialog kif muri hawn taħt hija pprovduta lill jidħol messaġġ bil-tikkommetti.

Viewing Log ta Bidliet

Biex ħsieb reġistru ta '' tibdil fi Intrapriża proġett, Tagħżel File| View Log...

Entries massimi Log: Dan se default għall-aħħar 10-iskrizzjonijiet iżda daħliet addizzjonali tista 'tinġabar billi jinbidel il-valur u tikklikkja l- Irkuprata buttuna.

Reviżjoni: Thkolonna e Reviżjoni telenka n-numri ta 'reviżjoni impenjata lejn l-server Intrapriża, awtomatikament, fl-ordni kronoloġika reverse.

Nota

In-numri ta 'reviżjoni ma tista' tkun kontinwa kif biss l-Abacus jimpenja se jiġu elenkati filwaqt li l-istess repożitorju Subversion jistgħu jintużaw għal proġetti oħra Abacus u / jew applikazzjonijiet oħra ta 'kontroll verżjoni.

Data: Thkolonna e Data telenka d-data li r-reviżjoni kien impenjat għall-server Intrapriża.

Ħin: Thkolonna e Ħin jelenka l-ħin tal-ġurnata (f'24 format siegħa) li r-reviżjoni kien impenjat għall-server Intrapriża.

Awtur: Thkolonna e Awtur jelenka l-isem login Microsoft Windows għall-utent li wettaq l jimpenjaw segwit minn tagħhom Abacus isem l-utent , Jew "Anonymous" jekk l-utent ma jkunx awtentikat u l-utenti anonimi kienu jingħataw aċċess għall-proġett Enterprise fil-ħin ta 'l-jimpenjaw.

Log Messaġġ: Thkolonna e Log Message jelenka l-messaġġ jimpenjaw li ġiet ipprovduta bir-reviżjoni bħala per-dialog tidher hawn fuq.

Reviżjoni Download XX bħala fajl Abacus stand-alone: Jekk inti tagħżel reviżjoni mogħtija fit-tabella u mbagħad ikklikkja l-buttuna Download inti se tkun tista 'tiġbed l-reviŜjoni magħżula proġett Abacus mis-server u ħlief bħala stand-alone proġett lokali / Abacus.

Nota

Li roll lura għal reviżjoni preċedenti jekk jogħġbok ara din Artikolu komunità Avolution .

(Admin) Niżżel XML fajl Log għal reviżjoni XX: Utenti bil-kapaċità Amministratur Abacus jistgħu jagħżlu reviżjoni mogħtija fit-tabella u mbagħad ikklikkja l-buttuna Download biex jiġi estratt il-proġett Abacus magħżul jimpenjaw log file mis-server u ħlief bħala fajl XML.

Wiri rekord ta 'verifika tal-Bidliet

Biex ħsieb rekord ta 'verifika tal-bidliet xi element partikolari (ie komponent, konnessjoni, il-fehma, tfal eċċ) ta' Intrapriża proġett, dritt ikklikkja l-element u tagħżel Trail verifika..., Tistabbilixxi l-minn u lejn firxa Reviżjoni u ikklikkja Fittex.

Nota

Ladarba element huwa mħassar mill-proġett inti m'għadekx jistgħu jaċċessaw informazzjoni speċifika rekord ta 'verifika dwar dak l-element. Tista ', madankollu, għadu aċċess għall-komponent "parent" (per eżempju) u ara l-informazzjoni rekord ta' verifika dwar it-tħassir (f'dan il-każ jitniżżel in-ID tal-element li ġiet imħassra).Barra minn hekk, Komponent / sekwestru Konnessjoni hija "proprjetà" tal-konnessjonijiet ħalli jinbidlu komponent mehmuża permezz tal-tieqa Explorer jew fuq Dijagrammi se juri fid-rekord ta 'verifika għal konnessjoni MHUX-komponent, u t-tħassir ta' konnessjoni u joħloq konnessjoni ġdida (kif jiġri jekk inti dritt ikklikkja "Unattach" u mbagħad "Qabbad ..." f'katalgi) se tirriżulta f'telf ta 'tagħrif rekord ta' verifika għall-komponent oriġinali - sekwestru konnessjoni għal kollox.

Nota

Permezz ta 'default it-traċċa tal-verifika recursively ser jiċċekkja għal tibdil f'xi wieħed mill-tfal ta' l-element magħżula. Dan jista 'jirriżulta fi żminijiet ta' rispons twal u għaldaqstant it-traċċa tal-awditjar tista 'tiġi ristretta għall-element innifsu mill deselecting l Rikursivi għażla taħt il Għażliet ta 'verifika"rota gear" buttuna toolbar fil-dialog Trail Verifika.

Mill Reviżjoni: Dan se default għall-ewwel / eqdem reviżjoni disponibbli għall-proġett fuq is-server Intrapriża.

Biex Reviżjoni: Dan se default għall-aħħar / aktar reviżjoni reċenti disponibbli għall-proġett fuq is-server Intrapriża.

Nota

Wara li stabbiliet il minn u lejn reviżjoni firxa ikklikkja l-buttuna Fittex sabiex tkun irkuprata kwalunkwe bidliet speċifiċi lill-element magħżul.

Reviżjoni: Thkolonna e Reviżjoni telenka n-numri ta 'reviżjoni impenjata lejn l-server Intrapriża, awtomatikament, f'ordni kronoloġika l quddiem.

Nota

In-numri ta 'reviżjoni x'aktarx li jkun kontinwu peress li huma biss l-reviżjonijiet rilevanti għall-element magħżul se jintwerew u biss l-Abacus timpenja se jiġu elenkati filwaqt li l-istess repożitorju Subversion jistgħu jintużaw għal proġetti oħra Abacus u / jew applikazzjonijiet ta' kontroll verżjoni.

Data: Thkolonna e Data telenka d-data li l-azzjoni utent sar.

Nota

Id-data murija hija d-data azzjoni utent, mhux id-data r-reviżjoni kien impenjat għall-server Intrapriża. Għaldaqstant, id-data tista 'tiġi qabel ir-reviżjoni li tikkorrispondi jimpenjaw data muri bl- File | View Log ...kmand.

Ħin: Thkolonna e Ħin jelenka l-ħin tal-ġurnata (f'24 format siegħa) li l-azzjoni utent sar.

Nota

Il-ħin muri huwa l-ħin l-azzjoni utent, mhux il-ħin tar-reviżjoni kien impenjat għall-server Intrapriża. Għaldaqstant, il-ħin probabbilment se jippreċedi r-reviżjoni korrispondenti jimpenjaw ħin muri bl- File | View Log ...kmand.

Awtur: Thkolonna e Awtur jelenka l-utent li wettaq Microsoft Windows isem login tal-azzjoni segwita minn tagħhom Abacus isem l-utent , Jew "Anonymous" jekk l-utent ma jkunx awtentikat u l-utenti anonimi kienu jingħataw aċċess għall-proġett Enterprise fil-ħin ta 'l-azzjoni utent.

Nota

L-Awtur elenkati fil-Trail dialog Verifika mhux bilfors jaqblu mal-Awtur elenkati fil-dialog View Log hawn fuq għall-istess reviżjoni. Dan huwa minħabba li l-listi View Log dialog l illoggjat utent fiż-żmien tas-timpenja filwaqt li l-listi rekord ta 'verifika dialog l illoggjat utent fiż-żmien tal-azzjoni utent, u huwa possibbli li jkun hemm utent wieħed jagħmlu bidliet u jibgħat tagħhom. bidliet fajl lill-utent oħra sabiex twettaq - kif inhu l-każ meta l-utent estern (bħal Avolution) huwa li taħdem fuq proġett EE.

Dettalji: Thkolonna e Dettalji telenka d-dettalji eżatti tal-azzjoni utent kif irrekordjat fil-server Intrapriża.

Tip

Huwa utli li grupp mid-kolonna Reviżjoni (kif muri fl-dialog hawn fuq) u / jew il-kolonna Azzjoni Utent li faċilment tikklassifika l-bidliet għall-element ta 'interess.

Użu ta 'Scripting ma' fajls Intrapriża

Jekk tuża scripting ma 'fajls Intrapriża, inti għandek tkun konxju ta' kif korrett ħassar oġġett mill-mudell. Ġeneralment, meta inti tħassar oġġett, inti ser sejħa tal-metodu .Delete () fuqha, aktar milli biss tneħħih mill parent tagħha.

Eż jekk kellek comp1 bħala l-ġenitur ta comp2 u inti tixtieq li jitħassar comp2 b'kitba tiegħek, inti għandek iċċempel comp2.Delete (), aktar milli comp1.Components.Remove (comp2).

Inti tista 'tuża tneħħi jekk għandek il-ħsieb li jżidu l-oġġett comp2 lejn post ieħor ġewwa l-arkitettura, iżda m'għandux jintuża jekk l-intenzjoni hija li titħassar l-oġġett.

Hemm eċċezzjoni għal din, għal meta inti tixtieq li tneħħi oġġett li "jgħix" x'imkien ieħor fil-mudell. Meta inti tixtieq li tneħħi eżempju standard minn arkitettura / komponent / konnessjoni, allura inti se tagħmel hekk billi tneħħi mis-Prim'Istanza standard ġbir - arch1.Implimentazzjonijiet.Remove (Imp) - għaliex tħassar ikun tneħħiha mill-istanzi kollha.

Sew billi tuża Ħassar skripts huwa importanti għaliex jekk oġġett jitneħħa mill-objectmodel u ma jerġgħux miżjud, allura mhux se tkun kapaċi li jkun jinsab, iżda peress li ma kienx speċifikament "mħassra", Kunflitt Sejbien u r-Riżoluzzjoni mhux se jiskopru korrett kunflitt jekk utent ieħor kien li tipprova tuża dak l-oġġett fi kwalunkwe ta 'bidliet tagħhom, u r-riżultat aħħari se jkun hemm sett korrotta ta' bidliet għal dak l-utent.

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus?


Ħidma ma 'fajls Abacus

Navigation: Introduzzjoni għall Abacus>

Ħidma ma 'fajls Abacus

Jibagħtu l-kummenti fuq dan is-suġġett.

Fajl Abacus huwa kontenitur għal mudell ta 'tiegħek arkitettura . Fi ħdan fajl Abacus wieħed, inti tista 'mudell kwalunkwe numru ta' arkitetturi kull numru ta 'drabi.

Meta inti l-ewwel tiftaħ Abacus, m'hemm l-ebda fajls miftuħa. Biex jaħdmu fuq arkitettura tiegħek, inti għandek jew toħloq fajl ġdid, jew jiftħu fajl eżistenti.

Meta inti tiftaħ jew toħloq fajl ġdid, siġra fit-tieqa Explorer se display awtomatikament. Din il-fehma Explorer turi li inti l-arkitettura tiegħek sal-lum. Meta inti qrib il-fajl, il-siġra fit-tieqa Explorer se jisparixxu wkoll.

Biex jinħoloq fajl Abacus ġdida

1. Agħżel File| New ...

2. Fil-dialog New Proġett li jidher (kif muri hawn taħt) Agħżelli jew joħolqu mudell vojt, mudell minn standard Abacus librerija , Mudell minn konswetudini Abacus librerija, mudell minn XML, MS Access , MS Visio , MS Excel , MS SQL Server , L- Intrapriża Server mudell jew konswetudini Abacus librerija (fajl .abacuslib).

3. Ikklikkja fuq il- kollox sewbuttuna u jsegwi kwalunkwe dialogs li jistgħu jidhru.

Tip

Inti mhux ser ikunu mitluba li isem l-fajl sakemm inti tiffranka jew tagħlaqha. Hija idea tajba biex jiffrankaw fajl tiegħek hekk kif inti toħloq dan. Imbagħad inti mhux ser ikollhom għalfejn tinkwieta dwar tismija aktar tard fil-proċess meta int jikkonċentraw fuq affarijiet kumplessi oħra (bħall populating arkitettura tiegħek).

Oħloq New Proġett

Abacus Standard Libreriji

Abacus jappoġġja aktar 100 oqfsa pubbliċi u notazzjonijiet wħud minnhom huma murija hawn taħt. Meta jagħżlu li joħolqu proġett ġdid mill-utenti standard librerija ikollhom bidu malajr biex immudellar fi ħdan jistabbilixxu qafas jieħdu vantaġġ sħiħ ta 'kwalunkwe tip element definiti, l-attributi, notazzjonijiet, opinjonijiet u mudelli jew mudelli. Libreriji standard addizzjonali huma liberament disponibbli permezz tal-Komunità Avolution hawn .

Proġett ġdid mill Standard Librerija

Biex jiffrankaw fajl Abacus ġdida

1. Agħżel File| Save As

Tip

Filenames jista 'jkun kwalunkwe tul, u jista' jkun fihom xi karattri u l-ispazji alfanumeriċi. Huma ma jistgħux ikollhom l-tilde (~) karattru, il-pajp (|)-karattru, il-kwistjoni mark, jew il-karattri normalment użati għall deskrizzjonijiet passaġġ bħall-backslash (\) - ħlief bħala parti mill-passaġġ (?).

Biex tiftaħ fajl Abacus eżistenti

1. Agħżel File| Open

Nota

Jekk inti qed jiftħu fajl minn post network komuni li huwa diġà miftuħ għall-utenti oħra, Abacus ser jagħtik aċċess biss Aqra. Meta tuża Abacus b'aċċess Biss Aqra, inti mhux se tkun tista 'twettaq operazzjonijiet tikteb, bħall-populating arkitettura tiegħek u t-tħaddim evalwaturi. Tista ', madankollu, minħabba l-arkitettura tiegħek billi tuża l-fehma Explorer u 3D fehmiet.

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus?


Ħidma ma Dashboards

Navigation: Amministrazzjoni>

Ħidma ma Dashboards

Jibagħtu l-kummenti fuq dan is-suġġett.

Proġetti Abacus jista 'jkollhom kwalunkwe konfigurazzjoni ta' fehmiet (eż dijagrammi, Charts eċċ) li jiġu ffrankati bħala dashboard u dawn dashboards salvati jistgħu jkunu issettjata bħala default bidu "screen" dwar il-ftuħ ta 'proġett u / jew assenjat lil speċifiku grupp ta 'utenti u ppreżentat lill-membri ta 'dak il grupp ta' utenti meta log in to proġett Abacus.

Nota

Biex jiġi kkonfigurat dashboards fi proġett Abacus-liċenzja utent jeħtieġ il-kapaċità Amministratur. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

Wiri Dashboards

Eżempju Applikazzjoni Portfolio Management (APM) dashboard

Biex tara Dashboard salvati

1. Agħżel View| Dashboards

2. Agħżel daxxbord salvati mill-lista ta 'dashboards disponibbli.

Nota

Ladarba Abacus magħżula se jibni l-opinjonijiet meħtieġa għall-dashboard u dan jista 'jieħu ftit sekondi. Jekk jogħġbok kun pazjent.

Ġestjoni Dashboards

Ġestjoni Dashboards

Biex jinħoloq Dashboard ġdida

1. Iftaħ il-fehmiet meħtieġa u jirranġa u dock twieqi kif meħtieġ għall-dashboard.

2. Agħżel View| Dashboards| Manage Dashboards ...

Nota

Jekk inti ma tara l-oġġett menu Manage Dashboards allura inti ma għandekx il-kapaċità Amministratur. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

3. Fil-dialog li jidher jagħżlu l- Oħloqbuttuna u ikteb l-isem Dashboard fil-Oħloq New Dashboard dialog.

4. Ikklikkja fuq il- kollox sewbuttuna.

Sabiex jitħassar xi Dashboard eżistenti

1. Agħżel View| Dashboards| Manage Dashboards ...

2. Fil-dialog li jidher tagħżel l-Dashboard inti tixtieq li jitħassar mil-lista u tagħżel l- Ħassarbuttuna.

Nota

Tħassar dashboard se tħassar wkoll kwalunkwe assenjazzjonijiet grupp ta 'utenti għal dak dashboard.

3. Ikklikkja fuq il- kollox sewbuttuna.

Biex jissostitwixxu Dashboard eżistenti

1. Iftaħ il-fehmiet meħtieġa u jirranġa u dock twieqi kif meħtieġ għall-dashboard sostituzzjoni.

2. Agħżel View| Dashboards| Manage Dashboards ...

3. Fil-dialog li jidher tagħżel l-Dashboard tixtieq tissostitwixxi mil-lista u tagħżel l- Ibdelbuttuna.

4. Ikklikkja fuq il- kollox sewbuttuna biex jagħrfu l-Dashboard Sostitwit dialog.

Tassenja Dashboardbħala default Start Screen

1. Agħżel View| Dashboards| Manage Dashboards ...

2. Fil-dialog li jidher jagħżlu l-Dashboard mil-lista li tixtieq tassenja bħala l-bidu default "screen"u agħżel il- Jassenja ...buttuna.

3. Fil-dialog li jidher jagħżlu l- dħul fil-kolonna gruppi ta 'utenti.

Nota

Daxxbord wieħed biss jista 'jassenja l- tibda "screen" hekk assenjazzjoni mill-ġdid se tneħħi l- assenjazzjoni mill-dashboard preċedenti.Barra minn hekk, jekk l-utent zkuk fil bħala membru ta 'grupp ta' utenti li għandha daxxbord assenjat allura l dashboard assenjat ser jinfetħu minflok il-dashboard proġett default.

4. Ikklikkja fuq il- kollox sewbuttuna.

Biex tassenja Grupp ta 'Utenti lil Dashboard

1. Agħżel View| Dashboards| Manage Dashboards ...

2. Fil-dialog li jidher jagħżlu l-Dashboard mil-lista tixtieq tassenja grupp ta 'utenti għal u jagħżlu l- Jassenja ...buttuna.

3. Fil-dialog li jidher jagħżlu l- Grupp utent (jew Gruppi)inti tixtieq li jassenja l-dashboard bħala l- "bidu" iskrin għal.

Nota

Jekk l-istess Grupp ta 'Utenti huwa assenjat għal dashboards multipli allura l-ewwel trasferiment fil-lista se tintuża.

4. Ikklikkja fuq il- kollox sewbuttuna.

Biex unassign Grupp Utenti minn Dashboard

1. Agħżel View| Dashboards| Manage Dashboards ...

2. Fil-dialog li jidher jespandu l-oġġett Dashboard mil-lista tixtieq unassign grupp ta 'utenti minn.

3. Agħżel il-grupp ta 'utenti li tixtieq unassign u jagħżlu l- Unassignbuttuna.

4. Ikklikkja fuq il- kollox sewbuttuna.

Twaqqif permessi

Permessi jistgħu jiġu stabbiliti għal dashboards biex jippermettu l-dashboard biex tkun viewable, Aġġornabbli u / jew deleteableli gruppi ta 'utenti mogħtija.

Permessi ta 'Ġestjoni

Li tiffissa l-permess għal Dashboard

1. Agħżel View| Dashboards| Manage Dashboards ...

2. Fil-dialog li jidher jagħżlu l-Dashboard mil-lista int jixtiequ jistabbilixxu permessi għal u jagħżlu l- Permessi ...buttuna.

3. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

4. Permezz ta 'default se tara li l-Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

5. Ikklikkja fuq il- kollox sewbuttuna.

Ara wkoll

Customising l-interface Abacus | Ħidma ma Permessi


Ħidma ma Permessi

Navigation: Amministrazzjoni>

Ħidma ma Permessi

Jibagħtu l-kummenti fuq dan is-suġġett.

Proġetti Abacus jista 'jkollhom bbażati fuq ir-rwolpermessi stabbiliti għal kull element fil-repożitorju. Speċifikament, fine-grained Create-Read-Update-Delete (Crud) Permessi jistgħu jiġu stabbiliti fil-"oġġett" (ie komponent jew konnessjoni), il-fehma u attribut (ie proprjetà) livelli.

Ħarsa ġenerali

Meta taħdem bl- Abacus Enterprise Server , Abacus jipprovdi fine-grained, permessi crud bbażati fuq ir-rwol li jikkontrollaw l-aċċess ta 'utenti multipli fl-arkivju.

Nota

Biex jiġi kkonfigurat permessi fi proġett Abacus-liċenzja utent jeħtieġ il-kapaċità Amministratur. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

Permessi jistgħu jiġu stabbiliti għall-arkitetturi, tipi komponenti u l-konnessjoni, proprjetajiet (via it-tipi tagħhom), mudelli, opinjonijiet u dijagrammi, katalgi, matrices, charts u 3Dfehmiet. Meta permessi huma stabbiliti għal komponent jew konnessjoni tip l-istanzi kollha ta 'dak it-tip fi kwalunkwe arkitetturi f'dak il-proġett "jirtu" dawk permessi. Bl-istess mod, meta permess huwa stabbilit għal proprjetà ta 'komponent jew konnessjoni tip, il-proprjetà mogħtija fuq l-istanzi komponent jew konnessjoni fi kwalunkwe arkitetturi f'dak il-proġett "jirtu" dawk permessi. Għaldaqstant, ċerti permessi se jiġu applikati għall-opinjonijiet li fuqhom jeżistu dawk l-elementi. Meta l-permessi huma stabbiliti għal dijagramma, il-fehma u / jew il-kontenut tal-fehma stess ikollhom diversi permessi applikati għaliha.

Nota

Permezz ta 'default ebda permessi huma stabbiliti għall-elementi fi ħdan proġett Abacus. Dan huwa l-elementi kollha huma Createable, Tinqara, aġġornabbli u Deleteable mill-utenti kollha. B'dan il-mod permessi għandha tiġi kkunsidrata biss għal element partikolari fir-repożitorju meta permess ċerta hija li jkun ristrettagħal ċertu grupp ta 'utenti. Per eżempju, jekk permessi għal grupp ta 'utenti partikolari ġew miżjuda ma' oġġett (eż komponent tat-tip), iżda ħallew l-permessi kollha ppermettiet, allura dan hu funzjonalment-istess daqs li kieku dak il-grupp utent ma kienx miżjuda mal-oġġett.

Permessi ma tistaxjiġu stabbiliti għal każijiet konkreti ta 'elementi ta' l-arkitettura. Per eżempju, inti ma tistax tagħmel komponent Applikazzjoni waħda aġġornabbli énième le. Biex jintlaħqu b'mod effettiv dawn l-permessi "dominju speċifiċi" madankollu, l-Amministratur tista 'twaqqaf tipi element speċifiċi għall-oqsma partikolari, pereżempju "Applikazzjoni - domain CRM" tipi komponenti u "Applikazzjoni - domain HR", u mbagħad stabbiliti l-permessi għal kull tip xieraq. Inti tista 'tagħmel tipi kategorija speċifika għal kull qasam u mbagħad neħħi aġġornament permess għat-tip grupp speċifiku' domain u dan se jirrestrinġi kreazzjonijiet ġewwa u tħassir minn dak ir-raggruppament iżda mhux Taġġorna l-ulied. Tal-kors jekk il-Gruppi speċifiċi għall-domain kienet moħbija billi tneħħi permess read allura t-tfal se jkunu moħbija u b'hekk mhux aġġornabbli. Alternattivament, jekk fehmiet (aktar milli Explorer) jintużaw primarjament biex jimmaniġġjaw / tara repożitorju tiegħek, jista 'jiġi stabbilit għan partikolari għal kull dominju, u allura l-Amministratur jista' jistabbilixxi l-permessi għal kull ħsieb kif xieraq.

Ġestjoni Utenti u Gruppi

Permessi huma definiti fil- rwoljew grupplivell, għall-kuntrarju-livell utent individwali, b'tali mod li filwaqt sħubija tal-gruppi jistgħu jinbidlu, l-permessi jistgħu jibqgħu fissi. Of course, jekk inti tixtieq a permess speċifiku utent mbagħad sempliċement jagħmluhom grupp, jew b'mod aktar preċiż toħloq grupp ma 'dak l-utent bħala l-uniku membru.

Għandu jiġi nnutat li l-gruppi huma atomika, Li hija ma jistgħux jirtu permessi jew l-utenti minn wieħed għall-ieħor, u jekk utent jappartjeni għal gruppi multipli allura l-aktar permess "pessimisti" grupp se jieħdu preċedenza fuq bażi ta 'każ b'każ għal kull permess individwali (ie Oħloq -Read--Aġġornament Ħassar). Per eżempju, jekk l-istess utent huwa membru ta 'Grupp A u Grupp B u Grupp A għadu kif Oħloq-Aqra permess għat-tipi komponenti Applikazzjoni filwaqt Grupp B għadu kif Aqra' Aġġornament permess għat-tipi komponenti Applikazzjoni allura l-utent se jkunu biss Aqra permess għall każijiet komponent applikazzjoni.

Barra minn hekk, awtomatikament, utenti anonimi(jiġifieri l-utenti li ma jkunux ġew definiti jew li ma jkunux illoggjat) ikollhom aċċess sħiħgħall-proġett. Dan biex jiġi żgurat li l-aċċess huwa disponibbli fi konfigurazzjoni inizjali. Li jimblokka l-aċċess mill-utenti anonimi sempliċement uncheck "Ħalli utent anonimu aċċess sħiħ għall-fajl" għażla fil-Manage Utenti / Gruppi Dialog muri hawn taħt. Meta l-utenti anonimi ġewx iċċekkjata se tkun kapaċi li tara l-porzjon Istandards ta 'kwalunkwe proġett biss.

Fl-aħħarnett, l-awtentikazzjoni username jekk l-għażla tal- "Użu Windows Username Login" jkun eżaminat hija mwettqa kontra l-Windows Username logins fuq magna kull utent kontra l-li username daħal bħala kull taħt. Dan huwa jekk il-Windows Username Login għal magni utent partikolari li teżisti bħala username validu allura l-ebda password hija meħtieġa u l-utent huwa awtomatikament awtentikat. Nota: din effettivament tippermetti l-użu tal-Windows Active Directory (AD) awtentikazzjoni.

Nota

Li minħabba l-permessi huma definiti biss meta jeħtieġu li jiġu meħuda 'il bogħod (ristretta) minn utent, kull utent li mhix membru ta' xi grupp, jew kull grupp li m'għandha l-ebda permessi definiti għaliha kontra kwalunkwe oġġetti, se jkollhom aċċess sħiħ għall il-proġett.

Utenti u Gruppi ta 'Utenti

Biex jinħoloq utent ġdid

1. Agħżel File| Manage Utenti / Gruppi

Nota

Jekk inti ma tara l-Manage Utenti / oġġett menu Gruppi allura inti ma għandekx il-kapaċità Amministratur. Jekk jogħġbok ikkuntattja Amministratur Abacus lokali tiegħek jew Appoġġ Avolution jekk inti teħtieġ din il-kapaċità.

2. Fil-dialog li jidher jagħżlu l- Żid Utentbuttuna u jidħol user name u password fil-Oħloq New User dialog. Nota: ismijiet utent u passwords huma sensittivi każ.

Nota

Jekk l-għażla tal- "Użu Windows Username Login" hija kkontrollata kif deskritt hawn fuq imbagħad password finta jistgħu jiddaħħlu bħala awtentikazzjoni se jsir skond l Tieqa tal-utent Username Login biss.

2. Permezz ta 'default se tara li l- Utenti jistgħu jibdlu password tagħhom stess. Jekk ikun meħtieġ, l-Amministratur Abacus jista 'jneħħil abbiltà għall-utenti biex jistabbilixxu password tagħhom stess billi uncheckingl-kaxxi kontroll.

Nota

Jekk l-utenti jistgħu jbiddlu password tagħhom stess huma se jkollhom File | Biddel il-password...oġġett menu li jagħmlu dan.Ukoll, ikunu konxji li jekk in-nies multipli jużaw l-istess username allura utent wieħed jista 'jbiddel il-password tali li l-ebda persuni oħra jistgħu login wara. Prattika Għaldaqstant, huwa rakkomandat li jkun hemm username uniku għal kull persuna reali.

4. B'għażla, daħħal l-indirizz Email, Post u n-numru Phone għall-utenti għal referenza futura.

5. Ikklikkja fuq il- kollox sewbuttuna fil-Oħloq New User dialog.

6. Ikklikkja fuq il- kollox sewbuttuna.

Nota

Ladarba inti tkun maħluqa ewwel utent tiegħek għandek tqis jimblukkaw l-aċċess mill-utenti anonimi mill unchecking l- "Ħalli utent anonimu aċċess sħiħ għall-fajl" għażla fil-Manage Utenti / Gruppi dialog.Ukoll, darba li utent ikun ġie maħluq (u jekk proġett Enterprise, il-bidla impenjata għall-server), il-ħin li jmiss il-proġett jinfetaħ utenti se tkun imħeġġa biex Login għal aċċess Awtentikatkif fis-dialog li jidher hawn taħt. Jekk il- Login awtomatikament ma 'dawn id-dettaljigħażla hija kkontrollata allura l-isem l-utent / kombinazzjoni password se jiġi mfakkar għall-proġett u applikat kull darba fuq ftuħ. Biex ċar l login ffrankati tagħżel File | Clear Ssejvjata Loginwara l-ftuħ u int se tkun imħeġġa li login ħin mill-ġdid li jmiss inti tiftaħ il-proġett.

Login

Sabiex jitħassar xi User eżistenti

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher tagħżel l-isem Utent fil-panel Utenti li inti tixtieq li jitħassar u mbagħad tagħżel l- Ħassar Userbuttuna.

3. Ikklikkja fuq il- kollox sewbuttuna.

Biex jinħoloq Grupp ġdid

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher jagħżlu l- Żid Groupbuttuna u jidħol isem Grupp fil-panel Gruppi.

Nota

Ismijiet tal-grupp għandu jkun uniku.

3. Ikklikkja fuq il- kollox sewbuttuna.

Biex kopja ta 'eżistentiGrupp

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher jagħżlu l- KopjaGruppbuttuna.

Nota

Grupp duplikat ser ikunu maħluqa prefissi bil "Kopja ta".Konvenzjonalment l-permessi mill-grupp kkupjati se tiġi duplikata għall- "Kopja ta" grupp jinkludi kull assenjazzjoni utent.

3. Semmi il- "Kopja ta" grupp kif xieraq bl-użu Edit Gruppjew bil-mod double-click.

Biex tħassar Grupp eżistenti

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher tagħżel l-isem Grupp fil-panel Gruppi li inti tixtieq li jitħassar u mbagħad tagħżel l- Ħassar Gruppbuttuna.

Nota

Kwalunkwe assenjazzjonijiet utent biex l-Grupp se jitneħħew ukoll.

3. Ikklikkja fuq il- kollox sewbuttuna.

Tassenja Utenti lil Grupp

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher tagħżel l-isem Utent fil-panel Utenti li inti tixtieq li jassenjaw lil Grupp u drag and drophija fuq l-isem Grupp fil-panel Gruppi li inti tixtieq li tassenja lill.

3. Ikklikkja fuq il- kollox sewbuttuna.

Nota

Il-grupp (i) li utent huwa assenjat għal jintwerew billi tespandi l- Isem l-utent fil-panel Utentiu l-utenti li huma assenjati għal grupp huma murija billi tespandi l-isem Grupp fil-panel Gruppi. Per eżempju, fil-screenshot hawn fuq, l-utent "AS1-Aus" huwa assenjat għal tliet (3) gruppi, jiġifieri; "App Tim ta 'Appoġġ 1", "attwali" u "l-Awstralja".

Biex unassign Utent minn Grupp

1. Agħżel File| Manage Utenti / Gruppi

2. Fil-dialog li jidher jespandu l-isem Grupp li fih l-assenjazzjoni Utent li inti tixtieq li unassign u tagħżel l-isem Utent.

3. Ikklikkja fuq il- User Unassignbuttuna.

4. Ikklikkja fuq il- kollox sewbuttuna.

Biex utenti u / jew Gruppi (u kwalunkwe Permessi ta 'Tqabbil) jimpurtaw

1. Agħżel File| Manage Utenti / Gruppi

2. Ikklikkja fuq il- Importazzjonibuttuna.

3. Fil-dialog li jidher Browsegħal u tiftaħ il-proġett Abacus li fiha l-Utenti u / jew Gruppi (u Permessi) inti jixtiequ jimportaw fil-proġett attwali u kklikkja Open. Il-Utenti u Gruppi se jiġu importati u dialog Riżultati importazzjoni jidher li jiġbor l-importazzjoni tal-Utenti u / jew Gruppi. Ikklikkja fuq il- kollox sewbuttuna.

Nota

Jekk il-Utenti importati jew Gruppi diġà teżisti fil-proġett attwali allura dawn se jingħaqdu mal-utenti jew gruppi eżistenti.

4. Ikklikkja fuq il- kollox sewbuttuna back fil-prinċipali Manage Utenti / dialog Gruppi.

5. Jekk ikun hemm xi Tipi tqabbil, Fehmiet, Templates jew arkitetturi bejn l-proġett attwali u l-proġett Abacus qed jimpurtaw minn, kompluta bit-permessi li ma jkunux diġà jeżistu fl-proġett attwali, il-permessi huma importati u t-tieni Riżultati importazzjoni dialog jidher li jiġbor l-importazzjoni. Ikklikkja fuq il- kollox sewbuttuna.

Nota

Permessi huma miżjuda biss biex Tipi eżistenti (u Proprjetajiet tagħhom), Fehmiet, Templates jew arkitetturi għas-Gruppi fejn ma jkunux diġà jeżistu l-permessi għall-Grupp. Jew minħabba l-Grupp huwa ġdid jew l-Grupp diġà teżisti fil-proġett attwali iżda l-ebda permessi kienu ġew assenjati għal dak il-Grupp għal dak l-oġġett. M'hemm l-ebda "amalgamazzjoni" tad permessi għal tqabbil oġġetti fejn il-permessi diġà jeżistu għall-Grupp fil-proġett kurrenti.

Twaqqif permessi

Permessi jistgħu jiġu stabbiliti għall-arkitetturi, tipi komponenti u l-konnessjoni, proprjetajiet (via it-tipi tagħhom), mudelli, opinjonijiet u dijagrammi, katalgi, matrices, mapep ta 'd 3Dfehmiet. Meta permessi huma stabbiliti għal komponent jew konnessjoni tip l-istanzi kollha ta 'dak it-tip fi kwalunkwe arkitetturi f'dak il-proġett "jirtu" dawk permessi. Bl-istess mod, meta permess huwa stabbilit għal proprjetà ta 'komponent jew konnessjoni tip, il-proprjetà mogħtija fuq l-istanzi komponent jew konnessjoni fi kwalunkwe arkitetturi f'dak il-proġett "jirtu" dawk permessi. Għaldaqstant, ċerti permessi se jiġu applikati għall-opinjonijiet li fuqhom jeżistu dawk l-elementi. Meta l-permessi huma stabbiliti għal dijagramma, il-fehma u / jew il-kontenut tal-fehma stess ikollhom diversi permessi applikati għaliha.

Permessi ta 'Ġestjoni

Li tiffissa l-permess għal Komponent (jew Konnessjoni) Tip

1. Jespandu l- Tipifergħa tas-siġra.

2. Jespandu l- Komponent (jew konnessjoni) Tipifergħa tas-siġra.

3. Expand Gruppifejn meħtieġ.

4. Right-click fuq il Komponent (jew Konnessjoni) Tipinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

5. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

6. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

Nota

Oħloq permess jirregola wkoll meta inti tista 'kopja element. Għaldaqstant, biex ikunu jistgħu kopja element teħtieġ Oħloq permess għat-tfal kollha tagħha (peress li kopja tal-element ifisser ikkupjar kollox taħtha). Tneħħija tal-permess Aġġornament minn element tneħħi l-abbiltà li timmodifika t-tip innifsu, anke jekk l-utent għandu l-Disinjatur add-on u tneħħi wkoll l-approvazzjoni Aġġornament għall-proprjetajiet kollha tagħha. Element ġenitur għandu jkollu permess Update biex ikunu jistgħu Toħloq l-ebda elementi tat-tfal jew Ħassar tagħha eżistenti Elementi tfal. Ħassar permess għal element jeħtieġ ukoll iħassar permess għat-tfal kollha tagħha. Ħassar permess għall-komponenti teħtieġ ukoll permess Aġġornament tal-konnessjonijiet kollha mehmuża.U fl-aħħarnett, it-tneħħija permess Ħassar minn element tneħħi l-abbiltà li tħassar it-tip innifsu, anke jekk l-utent għandu l-Disinjatur add-on.

7. Ikklikkja fuq il- kollox sewbuttuna.

Biex jistabbilixxu l-permess għal Grupp ta 'Komponent (jew Konnessjoni) Tipi

1. Jespandu l- Tipifergħa tas-siġra.

2. Jespandu l- Komponent (jew konnessjoni) Tipifergħa tas-siġra.

3. Right-click fuq il Gruppli fiha l-Komponent (jew konnessjoni) Tipi li tixtieq li tistabbilixxi l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

7. Fil-dialog li jidher ikklikkja l- Ivabuttuna.

Li tiffissa l-permess għal Proprjetà

1. Jespandu l- Tipifergħa tas-siġra.

2. Jespandu l- Komponent (jew konnessjoni) Tipifergħa tas-siġra.

3. Expand Gruppifejn meħtieġ.

4. Agħżel il-Komponent (jew Konnessjoni) Tip li fih l-proprjetà inti tixtieq li l-permessi stabbiliti għal.

5. Fit-tieqa Properties dritt ikklikkja fuq il Proprjetàinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

6. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

7. Permezz ta 'default se tara li l-permessi Aqra u Aġġornament huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

Nota

Proprjetajiet li kellhom il-permess Aġġornament jitneħħew huma murija fil korsivfit-tieqa Propertiesu l-valuri tagħhom ma jistgħux jiġu aġġornati minn dik l-irwol. Ukoll, l-abbiltà li timmodifika d-dettalji ta 'proprjetà (per eżempju l-isem, l-unitajiet eċċ) jirrikjedi kemm il-permess Aġġornament fuq il-proprjetà u l Disinjatur add-on.

8. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Template

1. Jespandu l- Templatesfergħa tas-siġra.

2. Jibbrawżjaw il- Templateli inti interessat fil.

3. Right-click fuq il Templateinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-permess Aqra hija disponibbli. Neħħi l-permess mill uncheckingil-kaxxa verifika.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Opinjoni

1. Jespandu l- Fehmietfergħa tas-siġra.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il Perspettivainti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Arkitettura

1. Jespandu l- Arkitetturifergħa tas-siġra.

2. Jespandu l- Arkitetturali inti interessat fil.

3. Right-click fuq il Arkitetturainti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-permess Aqra hija disponibbli. Neħħi l-permess mill uncheckingil-kaxxa verifika.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Katalgu

1. Jespandu l- Katalogifergħa ta 'l-arkitettura inti interessat fil.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il Katalguinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Matrix

1. Jespandu l- Matriċifergħa ta 'l-arkitettura inti interessat fil.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il Matrixinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Dijagramma

1. Jespandu l- Dijagrammifergħa ta 'l-arkitettura inti interessat fil.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il Dijagrammainti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

Nota

Filwaqt li inti tista 'tistabbilixxi l-permessi crud direttament għal dijagramma, għandu jiġi nnotat li l-permessi ta' l-elementi fuq l-istampa tista 'taffettwa l-permessi għall-fehma innifsu. Per eżempju, jekk ikun hemm anki sempliċement element wieħed fuq l-opinjoni li kellu Aqra jew Update permess tagħha jitneħħew allura l-dijagramma se jkollhom il-permess Update tiegħu jitneħħew. Dan hu għaliex, a) l-elementi fuq il-fehma li kellhom permess Aqra tagħhom imneħħija mhux se jintwerew fuq l-opinjoni li jħallu "white space" fejn inti tista 'inkella jqiegħed xi elementi ġodda jekk l-opinjoni kienet aġġornabbli, u b) l-elementi fuq il-fehma li kellhom permess Update tagħhom imneħħija għalhekk jista 'jkollu elementi oħra niżel fuq dawn isiru tfal jekk il-fehma kienet aġġornabbli. Ukoll, Oħloq u permess Aġġornament għal dijagramma teħtieġ li l-elementi fuq il-fehma għandhom il-permess Aqra u l-komponenti għandhom il-permess Aġġornament (dan huwa minħabba li jimxu komponent fuq komponent ieħor, trid tkun kapaċi li tiġi aġġornata peress li se issir tfal).

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal View 3D

1. Jespandu l- 3Views Dfergħa ta 'l-arkitettura inti interessat fil.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il 3D Viewinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

Li tiffissa l-permess għal Chart

1. Jespandu l- Mapep nawtiċifergħa ta 'l-arkitettura inti interessat fil.

2. Expand Gruppifejn meħtieġ.

3. Right-click fuq il Chartinti tixtieq li tiffissa l-permessi għal u tagħżel Permessi Edit.

4. Fil-dialog li jidher ikklikkja fuq il- Żid ...buttuna u tagħżel l- Grupptixtieq iżżid jew mill double-tikklikkja fuqha jew għażla tagħha u tikklikkja l- kollox sewbuttuna.

5. Permezz ta 'default se tara li l-Oħloq, Aqra, tħassar jew taġġorna l-permessi huma kollha disponibbli. Neħħi l-permessi mill uncheckingl-kaxxi kontroll rilevanti.

6. Ikklikkja fuq il- kollox sewbuttuna.

Ara wkoll

Kif huwa arkitettura rappreżentat fil Abacus?


Skripts Kitba

Navigation: Jissimulaw l-arkitettura tiegħek>

Skripts Kitba

Jibagħtu l-kummenti fuq dan is-suġġett.

L-Editur Script huwa utilità sempliċi u funzjonali għall-kitba u l-eżekuzzjoni VB jew C # iskrittura kontra l fajl Abacus bħalissa jinfetaħ(Libreriji mhumiex appoġġjati fil scripting). Hija għandha l-File soltu jiftħu, jagħlqu u Save jikkmanda, sabiex inti tista 'tiffranka u jerġgħu jieħdu lura skripts tikteb. Hija għandha wkoll run u debug faċilità bażiku. Il-Manager Script jippermettilek li faċilment tesegwixxi l-iskripts varji li ktibt billi jqiegħdu menu oġġett għalihom direttament fil-menu Tools.

Aċċess għall-Script Editur

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Għodod | Script Edituru l-tieqa Script Editur se tiftaħ. Imbagħad jew;

3. Iftaħ iskrittura eżistenti permezz File | Open fil-menus Script Editur,

jew

3. Iftaħ iskrittura Eżempju permezz tal- Eżempju oġġett fil-menus Script Editur,

jew

3. Issettja l-Ilsien default li jew VB jew C # via l- Lingwa oġġett fil-menus Script Editur,

jew

3. Scripting Open Għajnuna speċifika permezz tal- Jgħinu oġġett fil-menus Script Editur

Meta tikteb skripts, inti trid tkun konformi mal jew l- VB jew C # sintassikif fis-setting taħt l-oġġett Lingwa l menus Script Editur.

NOTA:

· Biex tuża funzjonijiet standard VB bħal MsgBox ()inti trid tinkludi l- Importazzjonijiet Microsoft.VisualBasicdikjarazzjoni fil-bidu ta 'iskrittura tiegħek. Dan ma kienx meħtieġ qabel Verżjoni 3.0 ta 'Abacus.

· Dan jgħin ma jinkludix informazzjoni dwar kif jiktbu skript VB, u lanqas ma jkollhom referenza VB. Ħossok liberu li tikteb skripts tiegħek fil IDE favoriti tiegħek jew editur, mbagħad kopja u paste minnhom fil-Editur Script.

Meta inti l-ewwel tibda l-Script Editur, il Script Editur se jkunu vojta. Tista 'aċċess b'kitba iskeletru permezz tal-menu Eżempji. L-ewwel darba li tibda tiegħek Script Editur, inti għandek run-iskeletru Template biex tara li taħdem. Barra minn hekk, hemm żewġ eżempju skripts li jistgħu jiġu aċċessati permezz tal-menu Eżempji.

Jiktbu skript utli ser ikollok bżonn biex jagħmlu referenza għal l-ObjectModel Abacus. Huwa magħmul disponibbli għall-iskrittura tiegħek billi jinkludi l- Importazzjonijiet ABACUS.ObjectModeldikjarazzjoni fil-kap ta 'iskrittura tiegħek. Referenza kompleta mal-mudell kollu oġġett Abacus huwa inkluż mal-Script Editur. Tista 'ssib billi tagħżel Għajnuna | Kontenutmill-tieqa Script Editur.

Il iskript jinkludi karatteristiċi utli ħafna għall-kitba skripts, inkluż AutoComplete kif muri fil-screenshot hawn taħt. Madankollu, għal esperjenza utent aktar għani MS Visual Studio jistgħu jiġu integrati ma Abacus u struzzjonijiet dettaljati huma disponibbli hawn .

Script Editur ma AutoComplete

Biex tuża l-Manager Script

1. Jiżgura li inti għandek il-fajl Abacus, Li fihom tiegħek arkitettura popolati, miftuħa.

2. Agħżel Għodod | Script Manager.

3. Ikklikkja fuq il- Żidicon u Opentieqa jidher.

4. Jibbrawżjaw il Script Abacus (.abacusscript, .vb Jew .cs) Fajl inti tixtieq li żżid mal-menu Tools.

5. Ikklikkja kollox sewu referenza għall-iskrittura se jintwerew fit-tieqa Script Manager. Daħħal l-isem għall-iskrittura kif tixtieq biex din tkun tidher fil-menu Tools. Nota: Il-Manager tieqa Script tista 'tingħata daqs ieħor biex tara d-traġitt sħiħ jekk ikun meħtieġ.

6. Irrepeti passi 3-5biex jinħolqu links ma 'aktar skripts Abacus.

7. Ikklikkja Agħlaqli tagħlaq il-Manager Script u jinnota li l-iskrittura (i) Abacus issa jidhru taħt il-menu Tools.

Biex tmexxi iskrittura

Jew;

1. Open, it-tip fil, jew kopja u paste fil-iskrittura inti tixtieq li run, u għalhekk hija murija fit-tieqa prinċipali tal- Script Editur.

2. Ikklikkja l- Runbuttuna.

3. Jekk iskrittura tiegħek fiha żbalji, il Deskrizzjoni taqsima Error fil-qiegħ tal-Script Editur ser telenka d-dettalji inklużi n-numri linja. NOTA: Kull żball individwali fil-Deskrizzjoni taqsima Error jistgħu jkunu double-għafast li tieħdok għall-linja korrispondenti fl-iskrittura.

- Jew -

1. Agħżel Għododu allura l- Abacus Script isem oġġett menu kif maħluqa bl- Script Manager.

2. Jekk iskrittura tiegħek fiha żbalji, il Script Editur se jinfetħu mal-kontenut ta 'l-iskrittura murija fit-tieqa prinċipali (enfasizzati fil-linja ta' l-ewwel żball) u l Deskrizzjoni taqsima Error fil-qiegħ tal-Script Editur ser telenka d-dettalji jew l-iżball (i) inklużi n-numri linja. NOTA: Kull żball individwali fil-Deskrizzjoni taqsima Error jistgħu jkunu double-għafast li tieħdok għall-linja korrispondenti fl-iskrittura.

Żbalji Kompilazzjoni scripting

Żbalji kumpilazzjoni jseħħ meta l-sintassi tal-kodiċi iskrittura mhix korretta. Dawn l-iżbalji se juru up fil-qiegħ tat-tieqa fit-taqsima Error, b'deskrizzjoni tal-iżball, u numru linja. Huwa l-linja numru li jiddistingwi żball kompilazzjoni minn żball runtime (ara hawn taħt), li mhux se jkollhom numru linja. Żbalji kumpilazzjoni jistgħu jiġu doppja għafast li jaqbżu u tenfasizza l-linja speċifika in kwistjoni.

Żbalji Runtime scripting (Importanti)

Żbalji runtime jseħħu wara l-kodiċi iskrittura tkun ġiet miġbura b'suċċess mingħajr żbalji, iżda żball iseħħ fil runtime (ara l-eżempji stabbiliti aktar). Runtime żbalji huma importanti għax jista 'jirriżulta fil-mudelli korrotta, meta oġġetti maħluqa u referenzjati minn oġġetti oħra fil-mudell, huma stess, mhumiex parti mill-mudell (normalment għaliex żball runtime tkun seħħet qabel l-kodiċi li kienet tkun fil-mudell x'imkien, kien esegwit).

Jekk iskrittura tiegħek toħloq oġġetti li għandhom jiġu miżjuda mal-mudell, inti tista 'tevita l-korruzzjoni ikkawżat minn żball runtime mill-iffrankar iskrittura tiegħek, għeluq scripting, u jwettqu jneħħu tal-bidliet li ġew maħluqa mill-iskrittura (jekk eżekuzzjoni iskrittura ma lestewx normalment ). Madankollu, hemm ukoll modi oħra biex jiġi evitat kwalunkwe korruzzjoni jseħħu (ara hawn taħt). Nota: Kull skripts li sempliċement taqra mill-mudell u ma jiktbu lilu, huma sikuri u mhux se jikkawża xi problemi, irrispettivament minn jekk żbalji runtime jseħħu waqt l-eżekuzzjoni tagħhom.

Biex jiġi evitat korruzzjoni, meta tikteb kodiċi b'kitba li qed toħloq oġġetti u żiedhom mal-mudell oġġett, huwa ssuġġerit li l-oġġetti huma miżjuda mal-mudell mill-aktar fis possibbli jekk dawn ikunu referenzjati minn oġġetti oħra.

Per eżempju, jekk inti qed joħolqu konnessjoni ġdida, u 2-komponenti ġodda, u mbagħad rabta tagħhom flimkien, huwa aħjar biex joħolqu l-ewwel komponent, iżżidhiex mal-mudell, imbagħad it-tieni u iżżidhiex, u mbagħad joħolqu l-konnessjoni u iżżidhiex, u mbagħad finalment joħolqu l-attachments. Dan ifisser li jekk kellu jkun żball runtime li tinterrompi l-eżekuzzjoni iskrittura hemm, oġġetti kollha li huma meħtieġa li jkunu fil-objectmodel qabel hija maħluqa sekwestru, huma fil-mudell. Korruzzjoni tista 'sseħħ jekk, per eżempju, biss il-konnessjoni kienu ġew miżjuda, l-annessi magħmula, u mbagħad żball runtime seħħet qabel l-iskrittura finalment jiżdiedu l-komponenti ġodda għall-model.Corruption jista' jseħħ kull meta oġġett li huwa referenzjati mill oġġett ieħor li l objectmodel, hija hi stess mhux fil-objectmodel.

Runtime żbalji Eżempju jinkludu:

· Referenza Għan mhux stabbiliti biex każ ta 'oġġett - dan iseħħ meta varjabbli oġġett hija referenza null, u metodu jew proprjetà fuq dak l-oġġett ikun qed jintuża. Referenzi nulli jistgħu jiġu kkontrollati minn "Jekk objectVariable xejn Imbagħad ..."

· Indiċi kien barra l-limiti tal-firxa - dan iseħħ meta l-firxa tkun qed aċċessati b'indiċi li jkun barra t-limiti - eg inqas minn 0 jew ugwali għal jew akbar mill-Tul / Għadd ta 'l-array. Array jew it-tul Ġbir tistax tiġi vverifikata mill-proprjetajiet .Length jew .Count rispettivament.

· Nru Eċċezzjoni Permess - Inti ma għandekx permess biex ... - dan wieħed iseħħ jekk inti ma għandekx permess biex jagħmlu l-bidla mogħtija

· Eċċezzjoni Key Primarja - duplikati / Missing Isem / ID - dan wieħed se jseħħ jekk bidla iseħħ minn attribut uniku li ma jaqbilx man oġġett ieħor. Eż Arkitetturi għandha tkun unika bl-isem, bl-istess mod l-Istandards.

· Referenzjali Integrità Eċċezzjoni - Twaqqif qasam referenza għal oġġett li mhuwiex validu. Eż jżid "xejn" jew nulli bħala wild għal ħafna mill-kollezzjonijiet fil-objectmodel.

· Zero Eċċezzjoni Tul - dan jista 'jseħħ jekk inti tipprova li tiffissa l-isem ta' oġġett għal string vojta. Ħafna oġġetti jeħtieġu l-ismijiet tagħhom li jkollhom mill-inqas 1 karattru.

Dikjarazzjonijiet importazzjonijiet

Innota li fil-bidu ta 'l-iskripts iskeletru hemm stqarrijiet bħal Importazzjonijiet ABACUS.ObjectModel. Dawn id-dikjarazzjonijiet ma jinkludu dll li ma jkunx diġà referenzjati mill-iskrittura - għan tagħhom huwa li jipprovdi "shortcut" li m'għandu għalfejn jispeċifika l-isem sħiħ ta 'klassi.

Pereżempju, biex tiddikjara varjabbli ta 'CComponent tip (li jirrappreżenta komponent Abacus), mal- Importazzjonijiet ABACUS.ObjectModelDikjarazzjoni lejn il-quċċata tal-iskript, jinħtieġu biss li tiġi ddikjarata bħala comp dim kif CComponent, Minħabba li l-kumpilatur jaf li tfittex fil-namespace ABACUS.ObjectModel għall-klassi CComponent. Mingħajr id-dikjarazzjoni importazzjonijiet, huwa jkollu jiġi ddikjarat bħala dim comp kif ABACUS.ObjectModel.CComponent. Assemblaġġ (bħal mscorlib.dll, jew System.Windows.Forms.dll) jista 'jkun fihom namespace aktar minn waħda - id-dikjarazzjoni Importazzjonijiet Huwa għal dawn ir namespaces, mhux għall-assemblaġġi infushom. L-assemblea ABACUS.ObjectModel.dll biss għandha l-namespace ABACUS.ObjectModel uniku aċċessibbli permezz Scripting.

Assemblaġġi Awtomatikament referenza

Il DLLs li ġejjin huma referenzjati awtomatikament Scripting:

· mscorlib.dll

· System.dll

· System.Drawing.dll

· System.Windows.Forms.dll

· Microsoft.VisualBasic.dll (b'mod impliċitu referenzjati mill-kompilatur)

· ABACUS.ObjectModel.dll

Biex tagħmel referenzi addizzjonali għad jew assemblaġġi NET oħra, jew assemblaġġi tiegħek, ara t-taqsima li ġejja dwar il- #Dikjarazzjoni ImportDLL.

#Dikjarazzjoni ImportDLL

B'bidu fl Abacus 3.1, inti tista 'referenza assemblaġġi addizzjonali li inti tista' teħtieġ għall-kitba bl-użu tal- #Dikjarazzjoni ImportDLL. Per eżempju, jekk inti riedu aċċess DLL użanza tal tiegħek u tutilizza l-funzjonalità fiha, inti poġġih fil-direttorju Abacus u jinkludu d-dikjarazzjoni bħala l-ewwel linja (i) b'kitba tiegħek. Jekk huwa dll NET, allura normalment inti m'għandekx bżonn li jidħlu fil-passaġġ kollu, biss l-DLL.

· #ImportDLL C: \ Program Files \ Avolution \ Abacus \ YourDLL.dll

· #ImportDLL System.XML.dll

Xi affarijiet oħra li wieħed jinnota:

1. Minħabba li l-DLLs jeħtieġ li jinstabu fil jikkompilaw u runtime, dan jirrestrinġi doganali (mhux NET) DLLs ma jitqiegħdu fil-folder programm Abacus biss.

2. #Dikjarazzjonijiet ImportDLL għandha tkun l-ewwel linja (i) ta 'kitba - jekk għandek 5 dikjarazzjonijiet, allura dawn għandhom ikunu fuq l-ewwel 5 linji ta' l-iskrittura

3. An #Dikjarazzjoni ImportDLL titpoġġa kullimkien iżda l-ewwel linji tal-iskrittura (e.ż. jekk tqiegħdet wara kumment jew dikjarazzjoni Importazzjonijiet) mhux se taħdem b'mod korrett u / jew jista 'jikkawża żbalji kompilatur mhux relatati.

#ImportDLL ma Assemblaġġi Uffiċċju

Jekk għandek Microsoft Office installat, u b'kitba tiegħek jeħtieġ l-assemblaġġi Uffiċċju Interop, huwa possibbli li referenza għalihom sempliċiment bl-użu #ImportDLL bl-isem assemblaġġ (kif elenkati hawn taħt, eż #ImportDLL Excel). Bl-użu dan il-metodu għandu l-vantaġġ li triq dll assoluta ma għandhom jintużaw, sabiex l-iskrittura huwa aktar portabbli (għandhom jaħdmu kemm fuq Office 2003 u l-2007 mingħajr editjar-iskrittura).

Meta tuża din il-karatteristika, il-GAC (Global Assemblea Cache) huwa mfittxija għall-assemblaġġ Interop, u l-iskrittura jikkompila mal-triq għal dik assemblea jekk jinstab. Jekk huwa ma tkunx misjuba, scripting ser jiċċekkja l-direttorju programm Abacus (li fih il-Excel u Visio interops biss). Jekk il-Interop mitluba ma tinstabx minn dan iż-żmien, avviż jidher.

Il interops huma tipikament mhux installat fil-GAC jekk ikollok installat Microsoft Office qabel l-installazzjoni l-Qafas NET (li jagħmel parti mill-installazzjoni sħiħa Abacus). Inti tista 'tinstalla minnhom billi jwettqu l-għażla Bidla għall-Microsoft Office mill Żid / Neħħi Programs, u jagħżlu l-għażliet programmabbiltà NET. Għal aktar tagħrif, ara dan artikolu fuq MSDN.

L-assemblaġġi li għalihom dan shortcut huwa appoġġjat huma:

· Aċċess

· Access.Dao

· Excel

· Grafika

· MSProject

· Outlook

· OutlookViewCtl

· Owc11

· PowerPoint

· Pubblikatur

· SmartTag

· Visio

· Visio.SaveAsWeb

· VisOcx

· Kelma

It mhuwiex ċar għal kollox jekk il-assemblaġġi hawn fuq huma utli, kmamar havebeen inklużi f'dan regardeless karatteristika bħala xi utenti Frar jkollhom bżonn ta 'anki l-assemblaġġi joskuraw.

Ara wkoll

Tissimula arkitettura tiegħek

© 2001-2015 Avolution Pty Ltd Id-drittijiet kollha riżervati.